//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include "Exception.h"
#include "StackT.h"

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(BEGIN);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s10);

   Scanner s11(BETWEEN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s11);

   Scanner s12(BIGINT);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s12);

   Scanner s13(BITAND);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITOR);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BITXOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s15);

   Scanner s16(BLOB);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s16);

   Scanner s17(BOOL);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s17);

   Scanner s18(BY);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,FINAL));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s18);

   Scanner s19(CALL);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s19);

   Scanner s20(CASE);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s20);

   Scanner s21(CHECK);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(5 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s21.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s21);

   Scanner s22(CLOSE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s22);

   Scanner s23(COMMIT);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(6 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s23.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s23);

   Scanner s24(COLUMN);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(6 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s24.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s24);

   Scanner s25(CONSTRAINT);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(10 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s25.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s25.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s25.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s25.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s25.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s25);

   Scanner s26(COUNT);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s26);

   Scanner s27(COUNTER);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s27);

   Scanner s28(CREATE);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s28);

   Scanner s29(CURSOR);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(6 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s29.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s29);

   Scanner s30(DATE);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s30);

   Scanner s31(DATE2STR);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(8 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s31.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s31.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s31);

   Scanner s32(DATE2INT);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s32);

   Scanner s33(DATETIME);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s33);

   Scanner s34(DECIMAL);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s34);

   Scanner s35(DEFAULT);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(7 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s35.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s35);

   Scanner s36(DELETETOK);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s36);

   Scanner s37(DESC);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s37);

   Scanner s38(DISTINCT);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s38);

   Scanner s39(DIV);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s39);

   Scanner s40(DOUBLE);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s40);

   Scanner s41(DROP);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s41);

   Scanner s42(ELSE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s42);

   Scanner s43(ELSIF);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s43);

   Scanner s44(END_TOKEN);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s44);

   Scanner s45(EXCEPTION);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(9 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s45.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s45);

   Scanner s46(EXISTS);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s46);

   Scanner s47(FALSEVAL);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s47);

   Scanner s48(FETCH);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s48);

   Scanner s49(FIXED);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s49);

   Scanner s50(FLOAT);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s50);

   Scanner s51(FOR);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s51);

   Scanner s52(FOREIGN);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(7 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s52.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s52);

   Scanner s53(FROM);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s53);

   Scanner s54(GETPOS);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(6 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s54.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s54);

   Scanner s55(GROUP);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s55);

   Scanner s56(HAVING);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(6 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s56.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s56);

   Scanner s57(IDENTIFIED);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(10 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s57.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s57.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s57.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s57.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s57.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s57);

   Scanner s58(IF);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,FINAL));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s58.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s58);

   Scanner s59(INTOK);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,FINAL));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s59.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s59);

   Scanner s60(INDEX);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s60);

   Scanner s61(INNER);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s61);

   Scanner s62(INT);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s62);

   Scanner s63(INTO);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s63);

   Scanner s64(INT2DATE);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(8 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s64.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s64.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s64);

   Scanner s65(INSERT);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(6 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s65.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s65.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s65);

   Scanner s66(IS);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,FINAL));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s66);

   Scanner s67(ISOLATION);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(9 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s67.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s67.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s67.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s67.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s67);

   Scanner s68(JDBC);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s68);

   Scanner s69(JOIN);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s69);

   Scanner s70(KEY);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s70);

   Scanner s71(LEFT);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s71);

   Scanner s72(LENGTH);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s72);

   Scanner s73(LIKE);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s73);

   Scanner s74(LIST);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s74);

   Scanner s75(LOAD);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LOCKS);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s76);

   Scanner s77(LONG);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s77);

   Scanner s78(LOWER);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s78);

   Scanner s79(LTRIM);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s79);

   Scanner s80(MIN);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s80);

   Scanner s81(MAX);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s81);

   Scanner s82(MOD);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s82);

   Scanner s83(MODIFY);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(6 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s83.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s83.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s83);

   Scanner s84(NEXTCOUNT);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(9 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s84.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s84.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s84.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s84.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s84);

   Scanner s85(NOOP);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s85);

   Scanner s86(NOT);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s86);

   Scanner s87(NULLTOKEN);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s87);

   Scanner s88(OFF);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s88);

   Scanner s89(ON);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,FINAL));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s89.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s89);

   Scanner s90(OUTTOK);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s90);

   Scanner s91(OUTER);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s91);

   Scanner s92(OR);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,FINAL));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s92.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s92);

   Scanner s93(ORDER);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s93);

   Scanner s94(PLAN);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s94);

   Scanner s95(POOL);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s95);

   Scanner s96(POWER);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s96);

   Scanner s97(PRIMARY);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(7 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s97.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s97.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s97.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s97);

   Scanner s98(PRINT);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s98);

   Scanner s99(PROCEDURE);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(9 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s99.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s99.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s99.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s99.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s99);

   Scanner s100(QUIT);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s100);

   Scanner s101(RANDSTR);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(7 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s101.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s101.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s101.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s101);

   Scanner s102(RANDINT);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(7 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s102.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s102.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s102.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s102);

   Scanner s103(RBSEG);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s103);

   Scanner s104(REFERENCES);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(10 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s104.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s104.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s104.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s104.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s104.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s104);

   Scanner s105(RENAME);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(6 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s105.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s105);

   Scanner s106(REORGANIZE);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(10 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s106.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s106.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s106.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s106.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s106.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s106);

   Scanner s107(RETURNTOKEN);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s107);

   Scanner s108(REMOVE);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(6 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s108.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s108);

   Scanner s109(REPLACE);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(7 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s109.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s109);

   Scanner s110(RIGHT);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s110);

   Scanner s111(ROLLBACK);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(8 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s111.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s111.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s111.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s111);

   Scanner s112(ROUND);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s112);

   Scanner s113(ROWLIMIT);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(8 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s113.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s113.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s113.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s113);

   Scanner s114(RTRIM);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s114);

   Scanner s115(SELECT);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(6 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s115.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s115);

   Scanner s116(SET);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s116);

   Scanner s117(SHOW);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s117);

   Scanner s118(SMALLINT);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(8 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s118.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s118.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s118.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s118);

   Scanner s119(START_TOKEN);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s119);

   Scanner s120(STRING);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(6 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s120.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s120);

   Scanner s121(SUBSTR);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s121);

   Scanner s122(SUM);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s122);

   Scanner s123(SYNC);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s123);

   Scanner s124(SYSDATE);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(7 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s124.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s124);

   Scanner s125(SYSTEMSPACE);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(11 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s125.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s125.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s125.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s125.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s125.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s125);

   Scanner s126(SYSOBJ);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s126);

   Scanner s127(TABLEINFO);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(9 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s127.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s127.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s127.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s127);

   Scanner s128(TABLE);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s128);

   Scanner s129(TABLESET);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(8 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s129.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s129.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s129);

   Scanner s130(THEN);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s130);

   Scanner s131(TINYINT);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(7 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s131.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s131.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s131);

   Scanner s132(TMPOBJ);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(6 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s132.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s132);

   Scanner s133(TRANSACTION);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(11 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s133.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s133.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s133.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s133.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s133.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s133);

   Scanner s134(STR2INT);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(7 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s134.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s134);

   Scanner s135(STR2LONG);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(8 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s135.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s135.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s135);

   Scanner s136(TO);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,FINAL));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s136.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s136);

   Scanner s137(TRIM);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s137);

   Scanner s138(TRUEVAL);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s138);

   Scanner s139(TRUNC);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(5 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s139.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s139);

   Scanner s140(UNION);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s140);

   Scanner s141(UNIQUE);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(6 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s141.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s141);

   Scanner s142(UPDATE);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s142);

   Scanner s143(UPPER);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s143);

   Scanner s144(VAR);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s144);

   Scanner s145(VALUES);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s145);

   Scanner s146(VIEW);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s146);

   Scanner s147(WHEN);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s147);

   Scanner s148(WHERE);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s148);

   Scanner s149(WHILE);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s149);

   Scanner s150(CONCAT);
   s150.addState(ScannerStateEntry(0 ,START));
   s150.addState(ScannerStateEntry(1 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s150);

   Scanner s151(EQU);
   s151.addState(ScannerStateEntry(0 ,START));
   s151.addState(ScannerStateEntry(1 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s151);

   Scanner s152(KSEP);
   s152.addState(ScannerStateEntry(0 ,START));
   s152.addState(ScannerStateEntry(1 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s152);

   Scanner s153(LB);
   s153.addState(ScannerStateEntry(0 ,START));
   s153.addState(ScannerStateEntry(1 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s153);

   Scanner s154(LT);
   s154.addState(ScannerStateEntry(0 ,START));
   s154.addState(ScannerStateEntry(1 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s154);

   Scanner s155(MT);
   s155.addState(ScannerStateEntry(0 ,START));
   s155.addState(ScannerStateEntry(1 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s155);

   Scanner s156(NEGATION);
   s156.addState(ScannerStateEntry(0 ,START));
   s156.addState(ScannerStateEntry(1 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s156);

   Scanner s157(RB);
   s157.addState(ScannerStateEntry(0 ,START));
   s157.addState(ScannerStateEntry(1 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s157);

   Scanner s158(LAB);
   s158.addState(ScannerStateEntry(0 ,START));
   s158.addState(ScannerStateEntry(1 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s158);

   Scanner s159(RAB);
   s159.addState(ScannerStateEntry(0 ,START));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s159);

   Scanner s160(SEMICOLON);
   s160.addState(ScannerStateEntry(0 ,START));
   s160.addState(ScannerStateEntry(1 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s160);

   Scanner s161(STAR);
   s161.addState(ScannerStateEntry(0 ,START));
   s161.addState(ScannerStateEntry(1 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s161);

   Scanner s162(DIVISION);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s162);

   Scanner s163(MINUS);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s163);

   Scanner s164(PLUS);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s164);

   Scanner s165(INTVAL);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addState(ScannerStateEntry(2 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s165.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s165);

   Scanner s166(FLOATVAL);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(3 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s166.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s166.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s166.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s166);

   Scanner s167(IDENTIFIER);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s167);

   Scanner s168(VARREF);
   s168.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addState(ScannerStateEntry(2 ,START));
   s168.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s168.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s168);

   Scanner s169(QUALIFIEDOBJ);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(3 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s169.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s169.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s169);

   Scanner s170(QUALIFIEDPRE);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(2 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s170);

   Scanner s171(QUALIFIEDTS);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(3 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s171.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s171.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s171);

   Scanner s172(COUNTERID);
   s172.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(1 ,FINAL));
   s172.addState(ScannerStateEntry(2 ,START));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s172.addTransition(ScannerTransEntry(2 ,'#' ,0));
   _scannerList.Insert(s172);

}
void Cego::loadParser0()
{
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[796][RB] = ActionEntry(SHIFT, 797);
   _actionMap[795][IDENTIFIER] = ActionEntry(SHIFT, 681);
   _jumpMap[795][SimpleAttr] = 680;
   _jumpMap[795][SimpleAttrList] = 796;
   _actionMap[792][LB] = ActionEntry(SHIFT, 795);
   _actionMap[793][ROWLIMIT] = ActionEntry(REDUCE, 223);
   _actionMap[793][UNION] = ActionEntry(REDUCE, 223);
   _actionMap[793][ENDTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[793][RB] = ActionEntry(REDUCE, 223);
   _actionMap[793][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[793][KSEP] = ActionEntry(REDUCE, 223);
   _actionMap[794][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[794][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[794][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[794][ORDER] = ActionEntry(REDUCE, 217);
   _actionMap[794][ROWLIMIT] = ActionEntry(REDUCE, 217);
   _actionMap[794][UNION] = ActionEntry(REDUCE, 217);
   _actionMap[794][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[794][RB] = ActionEntry(REDUCE, 217);
   _actionMap[794][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[788][IDENTIFIER] = ActionEntry(SHIFT, 792);
   _actionMap[789][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[789][RB] = ActionEntry(REDUCE, 72);
   _actionMap[790][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[790][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[790][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[790][ASC] = ActionEntry(SHIFT, 781);
   _actionMap[790][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[790][DESC] = ActionEntry(SHIFT, 782);
   _actionMap[790][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[790][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[790][RB] = ActionEntry(REDUCE, 228);
   _actionMap[790][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[790][KSEP] = ActionEntry(REDUCE, 228);
   _jumpMap[790][DefaultOrderOpt] = 780;
   _jumpMap[790][OrderingOpt] = 793;
   _actionMap[791][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[791][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[791][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[791][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[791][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[791][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[791][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[791][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[791][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[791][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[791][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[791][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[791][LEFT] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser1()
{
   _actionMap[791][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[791][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[791][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[791][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[791][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[791][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[791][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[791][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[791][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[791][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[791][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[791][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[791][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[791][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[791][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[791][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[791][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[791][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[791][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[791][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[791][LB] = ActionEntry(SHIFT, 136);
   _actionMap[791][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[791][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[791][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[791][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[791][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[791][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[791][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[791][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[791][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[791][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[791][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[791][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[791][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[791][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[791][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[791][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[791][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[791][ObjSpec] = 95;
   _jumpMap[791][Constant] = 94;
   _jumpMap[791][SignedFloat] = 93;
   _jumpMap[791][SignedInt] = 92;
   _jumpMap[791][Attribute] = 91;
   _jumpMap[791][Function] = 90;
   _jumpMap[791][CasePrepare] = 89;
   _jumpMap[791][CaseClause] = 88;
   _jumpMap[791][Factor] = 87;
   _jumpMap[791][Term] = 86;
   _jumpMap[791][Expr] = 794;
   _actionMap[776][REFERENCES] = ActionEntry(SHIFT, 788);
}
void Cego::loadParser2()
{
   _actionMap[777][ELSE] = ActionEntry(REDUCE, 108);
   _actionMap[777][ELSIF] = ActionEntry(REDUCE, 108);
   _actionMap[777][EXCEPTION] = ActionEntry(REDUCE, 108);
   _actionMap[777][END_TOKEN] = ActionEntry(REDUCE, 108);
   _actionMap[777][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[777][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[777][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[777][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[777][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[777][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[777][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[777][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[777][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[777][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[777][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[777][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[777][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[777][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[777][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[777][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[777][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[777][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[777][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[777][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[777][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[777][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[777][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[777][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[777][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[777][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[777][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[777][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[777][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[777][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[777][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[777][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[777][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[777][LB] = ActionEntry(SHIFT, 136);
   _actionMap[777][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[777][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[777][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[777][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[777][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[777][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[777][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[777][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[777][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[777][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[777][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[777][FETCH] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser3()
{
   _actionMap[777][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[777][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[777][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[777][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[777][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[777][IF] = ActionEntry(SHIFT, 319);
   _actionMap[777][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[777][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[777][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[777][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[777][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[777][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[777][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[777][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[777][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[777][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[777][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[777][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[777][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[777][ObjSpec] = 95;
   _jumpMap[777][Constant] = 94;
   _jumpMap[777][SignedFloat] = 93;
   _jumpMap[777][SignedInt] = 92;
   _jumpMap[777][Attribute] = 91;
   _jumpMap[777][Function] = 90;
   _jumpMap[777][DeleteStatement] = 315;
   _jumpMap[777][UpdateStatement] = 314;
   _jumpMap[777][InsertStatement] = 313;
   _jumpMap[777][RollbackStatement] = 312;
   _jumpMap[777][CommitStatement] = 311;
   _jumpMap[777][StartStatement] = 310;
   _jumpMap[777][CasePrepare] = 89;
   _jumpMap[777][CaseClause] = 88;
   _jumpMap[777][Factor] = 87;
   _jumpMap[777][Term] = 86;
   _jumpMap[777][Expr] = 309;
   _jumpMap[777][ProcStatement] = 432;
   _jumpMap[777][ProcIfPart] = 307;
   _jumpMap[777][ProcBlockStart] = 306;
   _actionMap[778][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[778][SelectStatement] = 789;
   _actionMap[779][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[779][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[779][ENDTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[779][RB] = ActionEntry(REDUCE, 224);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[779][KSEP] = ActionEntry(REDUCE, 224);
   _actionMap[780][ROWLIMIT] = ActionEntry(REDUCE, 225);
   _actionMap[780][UNION] = ActionEntry(REDUCE, 225);
   _actionMap[780][ENDTOKEN] = ActionEntry(REDUCE, 225);
}
void Cego::loadParser4()
{
   _actionMap[780][RB] = ActionEntry(REDUCE, 225);
   _actionMap[780][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[780][KSEP] = ActionEntry(REDUCE, 225);
   _actionMap[781][ROWLIMIT] = ActionEntry(REDUCE, 227);
   _actionMap[781][UNION] = ActionEntry(REDUCE, 227);
   _actionMap[781][ENDTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[781][RB] = ActionEntry(REDUCE, 227);
   _actionMap[781][SEMICOLON] = ActionEntry(REDUCE, 227);
   _actionMap[781][KSEP] = ActionEntry(REDUCE, 227);
   _actionMap[782][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[782][UNION] = ActionEntry(REDUCE, 226);
   _actionMap[782][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[782][RB] = ActionEntry(REDUCE, 226);
   _actionMap[782][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[782][KSEP] = ActionEntry(REDUCE, 226);
   _actionMap[783][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[783][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[783][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[783][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[783][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[783][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[783][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[783][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[783][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[783][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[783][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[783][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[783][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[783][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[783][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[783][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[783][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[783][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[783][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[783][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[783][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[783][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[783][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[783][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[783][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[783][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[783][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[783][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[783][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[783][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[783][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[783][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[783][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[783][LB] = ActionEntry(SHIFT, 136);
   _actionMap[783][STRINGVAL] = ActionEntry(SHIFT, 96);
}
void Cego::loadParser5()
{
   _actionMap[783][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[783][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[783][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[783][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[783][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[783][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[783][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[783][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[783][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[783][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[783][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[783][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[783][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[783][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[783][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[783][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[783][ObjSpec] = 95;
   _jumpMap[783][Constant] = 94;
   _jumpMap[783][SignedFloat] = 93;
   _jumpMap[783][SignedInt] = 92;
   _jumpMap[783][Attribute] = 91;
   _jumpMap[783][Function] = 90;
   _jumpMap[783][CasePrepare] = 89;
   _jumpMap[783][CaseClause] = 88;
   _jumpMap[783][Factor] = 87;
   _jumpMap[783][Term] = 86;
   _jumpMap[783][Expr] = 790;
   _actionMap[784][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[784][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[784][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[784][EQU] = ActionEntry(SHIFT, 476);
   _actionMap[784][NEGATION] = ActionEntry(SHIFT, 479);
   _actionMap[784][LT] = ActionEntry(SHIFT, 477);
   _actionMap[784][MT] = ActionEntry(SHIFT, 478);
   _jumpMap[784][Comparison] = 791;
   _actionMap[785][KSEP] = ActionEntry(REDUCE, 215);
   _actionMap[785][HAVING] = ActionEntry(REDUCE, 215);
   _actionMap[785][ORDER] = ActionEntry(REDUCE, 215);
   _actionMap[785][ROWLIMIT] = ActionEntry(REDUCE, 215);
   _actionMap[785][UNION] = ActionEntry(REDUCE, 215);
   _actionMap[785][ENDTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[785][RB] = ActionEntry(REDUCE, 215);
   _actionMap[785][SEMICOLON] = ActionEntry(REDUCE, 215);
   _actionMap[786][AND] = ActionEntry(SHIFT, 480);
   _actionMap[786][OR] = ActionEntry(SHIFT, 481);
   _actionMap[786][LEFT] = ActionEntry(REDUCE, 201);
   _actionMap[786][RIGHT] = ActionEntry(REDUCE, 201);
   _actionMap[786][INNER] = ActionEntry(REDUCE, 201);
   _actionMap[786][JOIN] = ActionEntry(REDUCE, 201);
   _actionMap[786][RETURNTOKEN] = ActionEntry(REDUCE, 201);
}
void Cego::loadParser6()
{
   _actionMap[786][SEMICOLON] = ActionEntry(REDUCE, 201);
   _actionMap[786][RB] = ActionEntry(REDUCE, 201);
   _actionMap[786][ENDTOKEN] = ActionEntry(REDUCE, 201);
   _actionMap[786][UNION] = ActionEntry(REDUCE, 201);
   _actionMap[786][ROWLIMIT] = ActionEntry(REDUCE, 201);
   _actionMap[786][ORDER] = ActionEntry(REDUCE, 201);
   _actionMap[786][GROUP] = ActionEntry(REDUCE, 201);
   _actionMap[786][WHERE] = ActionEntry(REDUCE, 201);
   _actionMap[787][AND] = ActionEntry(SHIFT, 480);
   _actionMap[787][OR] = ActionEntry(SHIFT, 481);
   _actionMap[787][LEFT] = ActionEntry(REDUCE, 202);
   _actionMap[787][RIGHT] = ActionEntry(REDUCE, 202);
   _actionMap[787][INNER] = ActionEntry(REDUCE, 202);
   _actionMap[787][JOIN] = ActionEntry(REDUCE, 202);
   _actionMap[787][RETURNTOKEN] = ActionEntry(REDUCE, 202);
   _actionMap[787][SEMICOLON] = ActionEntry(REDUCE, 202);
   _actionMap[787][RB] = ActionEntry(REDUCE, 202);
   _actionMap[787][ENDTOKEN] = ActionEntry(REDUCE, 202);
   _actionMap[787][UNION] = ActionEntry(REDUCE, 202);
   _actionMap[787][ROWLIMIT] = ActionEntry(REDUCE, 202);
   _actionMap[787][ORDER] = ActionEntry(REDUCE, 202);
   _actionMap[787][GROUP] = ActionEntry(REDUCE, 202);
   _actionMap[787][WHERE] = ActionEntry(REDUCE, 202);
   _actionMap[753][RB] = ActionEntry(SHIFT, 776);
   _actionMap[754][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[754][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[754][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[754][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[754][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[754][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[754][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[754][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[754][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[754][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[754][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[754][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[754][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[754][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[754][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[754][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[754][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[754][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[754][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[754][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[754][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[754][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[754][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[754][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[754][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[754][POWER] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser7()
{
   _actionMap[754][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[754][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[754][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[754][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[754][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[754][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[754][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[754][LB] = ActionEntry(SHIFT, 136);
   _actionMap[754][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[754][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[754][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[754][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[754][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[754][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[754][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[754][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[754][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[754][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[754][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[754][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[754][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[754][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[754][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[754][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[754][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[754][IF] = ActionEntry(SHIFT, 319);
   _actionMap[754][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[754][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[754][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[754][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[754][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[754][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[754][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[754][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[754][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[754][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[754][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[754][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[754][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[754][ObjSpec] = 95;
   _jumpMap[754][Constant] = 94;
   _jumpMap[754][SignedFloat] = 93;
   _jumpMap[754][SignedInt] = 92;
   _jumpMap[754][Attribute] = 91;
   _jumpMap[754][Function] = 90;
   _jumpMap[754][DeleteStatement] = 315;
   _jumpMap[754][UpdateStatement] = 314;
   _jumpMap[754][InsertStatement] = 313;
   _jumpMap[754][RollbackStatement] = 312;
   _jumpMap[754][CommitStatement] = 311;
}
void Cego::loadParser8()
{
   _jumpMap[754][StartStatement] = 310;
   _jumpMap[754][CasePrepare] = 89;
   _jumpMap[754][CaseClause] = 88;
   _jumpMap[754][Factor] = 87;
   _jumpMap[754][Term] = 86;
   _jumpMap[754][Expr] = 309;
   _jumpMap[754][ProcStatement] = 308;
   _jumpMap[754][ProcIfPart] = 307;
   _jumpMap[754][ProcBlockStart] = 306;
   _jumpMap[754][ProcStatementList] = 777;
   _actionMap[755][BEGIN] = ActionEntry(REDUCE, 310);
   _actionMap[755][DEFAULT] = ActionEntry(REDUCE, 310);
   _actionMap[755][NULLTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[755][NOT] = ActionEntry(REDUCE, 310);
   _actionMap[755][KSEP] = ActionEntry(REDUCE, 310);
   _actionMap[755][RB] = ActionEntry(REDUCE, 310);
   _actionMap[755][EQU] = ActionEntry(REDUCE, 310);
   _actionMap[755][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[756][BEGIN] = ActionEntry(REDUCE, 315);
   _actionMap[756][DEFAULT] = ActionEntry(REDUCE, 315);
   _actionMap[756][NULLTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[756][NOT] = ActionEntry(REDUCE, 315);
   _actionMap[756][KSEP] = ActionEntry(REDUCE, 315);
   _actionMap[756][RB] = ActionEntry(REDUCE, 315);
   _actionMap[756][EQU] = ActionEntry(REDUCE, 315);
   _actionMap[756][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[757][BEGIN] = ActionEntry(REDUCE, 316);
   _actionMap[757][DEFAULT] = ActionEntry(REDUCE, 316);
   _actionMap[757][NULLTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[757][NOT] = ActionEntry(REDUCE, 316);
   _actionMap[757][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[757][RB] = ActionEntry(REDUCE, 316);
   _actionMap[757][EQU] = ActionEntry(REDUCE, 316);
   _actionMap[757][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[758][BEGIN] = ActionEntry(REDUCE, 307);
   _actionMap[758][DEFAULT] = ActionEntry(REDUCE, 307);
   _actionMap[758][NULLTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[758][NOT] = ActionEntry(REDUCE, 307);
   _actionMap[758][KSEP] = ActionEntry(REDUCE, 307);
   _actionMap[758][RB] = ActionEntry(REDUCE, 307);
   _actionMap[758][EQU] = ActionEntry(REDUCE, 307);
   _actionMap[758][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[759][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[760][RB] = ActionEntry(REDUCE, 173);
   _actionMap[761][SEMICOLON] = ActionEntry(REDUCE, 167);
   _actionMap[761][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[761][RB] = ActionEntry(REDUCE, 167);
   _actionMap[762][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[762][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[762][INNER] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser9()
{
   _actionMap[762][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[762][RETURNTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[762][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[762][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[762][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[762][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[762][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[762][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[762][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[762][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[762][AND] = ActionEntry(REDUCE, 296);
   _actionMap[762][OR] = ActionEntry(REDUCE, 296);
   _actionMap[762][RB] = ActionEntry(REDUCE, 296);
   _actionMap[763][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[763][RB] = ActionEntry(REDUCE, 190);
   _actionMap[764][ALL] = ActionEntry(SHIFT, 778);
   _actionMap[765][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[765][ENDTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[765][RB] = ActionEntry(REDUCE, 231);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[766][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[766][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[766][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[766][ASC] = ActionEntry(SHIFT, 781);
   _actionMap[766][ROWLIMIT] = ActionEntry(REDUCE, 228);
   _actionMap[766][DESC] = ActionEntry(SHIFT, 782);
   _actionMap[766][UNION] = ActionEntry(REDUCE, 228);
   _actionMap[766][ENDTOKEN] = ActionEntry(REDUCE, 228);
   _actionMap[766][RB] = ActionEntry(REDUCE, 228);
   _actionMap[766][SEMICOLON] = ActionEntry(REDUCE, 228);
   _actionMap[766][KSEP] = ActionEntry(REDUCE, 228);
   _jumpMap[766][DefaultOrderOpt] = 780;
   _jumpMap[766][OrderingOpt] = 779;
   _actionMap[767][KSEP] = ActionEntry(SHIFT, 783);
   _actionMap[767][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[767][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[767][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[767][RB] = ActionEntry(REDUCE, 220);
   _actionMap[767][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[768][ORDER] = ActionEntry(REDUCE, 212);
   _actionMap[768][ROWLIMIT] = ActionEntry(REDUCE, 212);
   _actionMap[768][UNION] = ActionEntry(REDUCE, 212);
   _actionMap[768][ENDTOKEN] = ActionEntry(REDUCE, 212);
   _actionMap[768][RB] = ActionEntry(REDUCE, 212);
   _actionMap[768][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[769][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[769][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[769][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[769][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[769][RB] = ActionEntry(REDUCE, 218);
}
void Cego::loadParser10()
{
   _actionMap[769][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[770][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[770][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[770][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[770][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[770][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[770][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[770][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[770][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[770][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[770][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[770][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[770][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[770][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[770][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[770][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[770][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[770][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[770][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[770][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[770][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[770][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[770][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[770][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[770][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[770][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[770][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[770][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[770][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[770][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[770][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[770][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[770][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[770][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[770][LB] = ActionEntry(SHIFT, 136);
   _actionMap[770][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[770][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[770][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[770][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[770][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[770][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[770][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[770][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[770][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[770][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[770][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[770][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[770][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[770][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[770][AVG] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser11()
{
   _actionMap[770][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[770][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[770][ObjSpec] = 95;
   _jumpMap[770][Constant] = 94;
   _jumpMap[770][SignedFloat] = 93;
   _jumpMap[770][SignedInt] = 92;
   _jumpMap[770][Attribute] = 91;
   _jumpMap[770][Function] = 90;
   _jumpMap[770][CasePrepare] = 89;
   _jumpMap[770][CaseClause] = 88;
   _jumpMap[770][Factor] = 87;
   _jumpMap[770][Term] = 86;
   _jumpMap[770][Expr] = 784;
   _actionMap[771][IDENTIFIER] = ActionEntry(SHIFT, 746);
   _actionMap[771][QUALIFIEDOBJ] = ActionEntry(SHIFT, 747);
   _actionMap[771][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _jumpMap[771][Attribute] = 785;
   _actionMap[772][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[772][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[772][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[772][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[772][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[772][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[772][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[772][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[772][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[772][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[772][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[772][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[772][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[772][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[772][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[772][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[772][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[772][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[772][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[772][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[772][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[772][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[772][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[772][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[772][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[772][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[772][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[772][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[772][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[772][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[772][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[772][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[772][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser12()
{
   _actionMap[772][LB] = ActionEntry(SHIFT, 351);
   _actionMap[772][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[772][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[772][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[772][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[772][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[772][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[772][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[772][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[772][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[772][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[772][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[772][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[772][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[772][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[772][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[772][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[772][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[772][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[772][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[772][ObjSpec] = 95;
   _jumpMap[772][Constant] = 94;
   _jumpMap[772][SignedFloat] = 93;
   _jumpMap[772][SignedInt] = 92;
   _jumpMap[772][Attribute] = 91;
   _jumpMap[772][QueryPredicate] = 348;
   _jumpMap[772][QueryCondition] = 786;
   _jumpMap[772][Function] = 90;
   _jumpMap[772][CasePrepare] = 89;
   _jumpMap[772][CaseClause] = 88;
   _jumpMap[772][Factor] = 87;
   _jumpMap[772][Term] = 86;
   _jumpMap[772][Expr] = 346;
   _actionMap[773][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[773][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[773][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[773][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[773][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[773][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[773][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[773][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[773][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[773][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[773][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[773][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[773][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[773][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[773][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[773][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[773][REPLACE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser13()
{
   _actionMap[773][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[773][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[773][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[773][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[773][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[773][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[773][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[773][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[773][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[773][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[773][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[773][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[773][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[773][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[773][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[773][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[773][LB] = ActionEntry(SHIFT, 351);
   _actionMap[773][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[773][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[773][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[773][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[773][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[773][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[773][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[773][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[773][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[773][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[773][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[773][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[773][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[773][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[773][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[773][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[773][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[773][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[773][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[773][ObjSpec] = 95;
   _jumpMap[773][Constant] = 94;
   _jumpMap[773][SignedFloat] = 93;
   _jumpMap[773][SignedInt] = 92;
   _jumpMap[773][Attribute] = 91;
   _jumpMap[773][QueryPredicate] = 348;
   _jumpMap[773][QueryCondition] = 787;
   _jumpMap[773][Function] = 90;
   _jumpMap[773][CasePrepare] = 89;
   _jumpMap[773][CaseClause] = 88;
   _jumpMap[773][Factor] = 87;
   _jumpMap[773][Term] = 86;
   _jumpMap[773][Expr] = 346;
   _actionMap[774][SEMICOLON] = ActionEntry(REDUCE, 240);
}
void Cego::loadParser14()
{
   _actionMap[774][KSEP] = ActionEntry(REDUCE, 240);
   _actionMap[775][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[775][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[775][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[775][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[775][KSEP] = ActionEntry(REDUCE, 242);
   _actionMap[713][AND] = ActionEntry(SHIFT, 480);
   _actionMap[713][OR] = ActionEntry(SHIFT, 481);
   _actionMap[713][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[714][IDENTIFIER] = ActionEntry(SHIFT, 681);
   _jumpMap[714][SimpleAttr] = 680;
   _jumpMap[714][SimpleAttrList] = 753;
   _actionMap[715][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[715][KSEP] = ActionEntry(REDUCE, 250);
   _actionMap[716][THEN] = ActionEntry(SHIFT, 754);
   _actionMap[717][THEN] = ActionEntry(REDUCE, 113);
   _actionMap[718][END_TOKEN] = ActionEntry(REDUCE, 118);
   _actionMap[718][ELSE] = ActionEntry(REDUCE, 118);
   _actionMap[718][ELSIF] = ActionEntry(REDUCE, 118);
   _actionMap[719][BEGIN] = ActionEntry(REDUCE, 132);
   _actionMap[719][THEN] = ActionEntry(REDUCE, 132);
   _actionMap[719][OR] = ActionEntry(REDUCE, 132);
   _actionMap[719][AND] = ActionEntry(REDUCE, 132);
   _actionMap[719][RB] = ActionEntry(REDUCE, 132);
   _actionMap[720][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[720][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[720][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[720][SEMICOLON] = ActionEntry(REDUCE, 93);
   _actionMap[721][RB] = ActionEntry(SHIFT, 755);
   _actionMap[722][RB] = ActionEntry(SHIFT, 756);
   _actionMap[723][RB] = ActionEntry(SHIFT, 757);
   _actionMap[724][RB] = ActionEntry(SHIFT, 758);
   _actionMap[725][SEMICOLON] = ActionEntry(REDUCE, 124);
   _actionMap[726][RB] = ActionEntry(SHIFT, 759);
   _actionMap[727][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[728][IDENTIFIER] = ActionEntry(SHIFT, 681);
   _jumpMap[728][SimpleAttr] = 680;
   _jumpMap[728][SimpleAttrList] = 760;
   _actionMap[729][SEMICOLON] = ActionEntry(REDUCE, 165);
   _actionMap[729][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[729][RB] = ActionEntry(REDUCE, 165);
   _actionMap[730][SEMICOLON] = ActionEntry(REDUCE, 168);
   _actionMap[730][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[730][RB] = ActionEntry(REDUCE, 168);
   _actionMap[731][NULLTOKEN] = ActionEntry(SHIFT, 761);
   _actionMap[732][SEMICOLON] = ActionEntry(REDUCE, 166);
   _actionMap[732][KSEP] = ActionEntry(REDUCE, 166);
   _actionMap[732][RB] = ActionEntry(REDUCE, 166);
   _actionMap[733][NULLTOKEN] = ActionEntry(REDUCE, 170);
   _actionMap[733][NOT] = ActionEntry(REDUCE, 170);
}
void Cego::loadParser15()
{
   _actionMap[733][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[733][SEMICOLON] = ActionEntry(REDUCE, 170);
   _actionMap[733][RB] = ActionEntry(REDUCE, 170);
   _actionMap[734][LONG] = ActionEntry(SHIFT, 260);
   _actionMap[734][BIGINT] = ActionEntry(SHIFT, 256);
   _actionMap[734][SMALLINT] = ActionEntry(SHIFT, 261);
   _actionMap[734][TINYINT] = ActionEntry(SHIFT, 262);
   _actionMap[734][DOUBLE] = ActionEntry(SHIFT, 258);
   _actionMap[734][DECIMAL] = ActionEntry(SHIFT, 257);
   _actionMap[734][FIXED] = ActionEntry(SHIFT, 259);
   _actionMap[735][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[735][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[735][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[735][KSEP] = ActionEntry(REDUCE, 188);
   _actionMap[735][RB] = ActionEntry(REDUCE, 188);
   _actionMap[736][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[736][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[736][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[736][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[736][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[736][INNER] = ActionEntry(REDUCE, 298);
   _actionMap[736][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[736][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[736][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[736][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[736][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[736][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[736][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[736][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[736][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[736][THEN] = ActionEntry(REDUCE, 298);
   _actionMap[736][AND] = ActionEntry(REDUCE, 298);
   _actionMap[736][OR] = ActionEntry(REDUCE, 298);
   _actionMap[736][RB] = ActionEntry(REDUCE, 298);
   _actionMap[737][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[737][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[737][INNER] = ActionEntry(REDUCE, 295);
   _actionMap[737][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[737][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[737][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[737][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[737][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[737][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[737][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[737][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[737][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[737][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[737][AND] = ActionEntry(REDUCE, 295);
   _actionMap[737][OR] = ActionEntry(REDUCE, 295);
   _actionMap[737][RB] = ActionEntry(REDUCE, 295);
}
void Cego::loadParser16()
{
   _actionMap[738][RB] = ActionEntry(SHIFT, 762);
   _actionMap[739][KSEP] = ActionEntry(REDUCE, 159);
   _actionMap[739][RB] = ActionEntry(REDUCE, 159);
   _actionMap[740][UNION] = ActionEntry(SHIFT, 764);
   _actionMap[740][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[740][RB] = ActionEntry(REDUCE, 73);
   _jumpMap[740][UnionAllOpt] = 763;
   _actionMap[741][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[741][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[741][RB] = ActionEntry(REDUCE, 232);
   _actionMap[741][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[742][INTVAL] = ActionEntry(SHIFT, 765);
   _actionMap[743][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[743][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[743][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[743][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[743][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[743][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[743][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[743][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[743][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[743][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[743][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[743][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[743][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[743][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[743][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[743][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[743][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[743][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[743][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[743][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[743][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[743][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[743][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[743][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[743][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[743][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[743][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[743][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[743][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[743][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[743][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[743][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[743][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[743][LB] = ActionEntry(SHIFT, 136);
   _actionMap[743][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[743][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[743][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[743][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser17()
{
   _actionMap[743][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[743][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[743][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[743][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[743][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[743][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[743][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[743][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[743][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[743][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[743][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[743][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[743][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[743][ObjSpec] = 95;
   _jumpMap[743][Constant] = 94;
   _jumpMap[743][SignedFloat] = 93;
   _jumpMap[743][SignedInt] = 92;
   _jumpMap[743][Attribute] = 91;
   _jumpMap[743][Function] = 90;
   _jumpMap[743][OrderingList] = 767;
   _jumpMap[743][CasePrepare] = 89;
   _jumpMap[743][CaseClause] = 88;
   _jumpMap[743][Factor] = 87;
   _jumpMap[743][Term] = 86;
   _jumpMap[743][Expr] = 766;
   _actionMap[744][KSEP] = ActionEntry(SHIFT, 771);
   _actionMap[744][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[744][HAVING] = ActionEntry(SHIFT, 770);
   _actionMap[744][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[744][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[744][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[744][RB] = ActionEntry(REDUCE, 219);
   _actionMap[744][SEMICOLON] = ActionEntry(REDUCE, 219);
   _jumpMap[744][NoHaving] = 769;
   _jumpMap[744][HavingClause] = 768;
   _actionMap[745][KSEP] = ActionEntry(REDUCE, 216);
   _actionMap[745][HAVING] = ActionEntry(REDUCE, 216);
   _actionMap[745][ORDER] = ActionEntry(REDUCE, 216);
   _actionMap[745][ROWLIMIT] = ActionEntry(REDUCE, 216);
   _actionMap[745][UNION] = ActionEntry(REDUCE, 216);
   _actionMap[745][ENDTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[745][RB] = ActionEntry(REDUCE, 216);
   _actionMap[745][SEMICOLON] = ActionEntry(REDUCE, 216);
   _actionMap[746][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[746][HAVING] = ActionEntry(REDUCE, 324);
   _actionMap[746][ORDER] = ActionEntry(REDUCE, 324);
   _actionMap[746][ROWLIMIT] = ActionEntry(REDUCE, 324);
   _actionMap[746][UNION] = ActionEntry(REDUCE, 324);
   _actionMap[746][ENDTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[746][RB] = ActionEntry(REDUCE, 324);
}
void Cego::loadParser18()
{
   _actionMap[746][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[747][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[747][HAVING] = ActionEntry(REDUCE, 325);
   _actionMap[747][ORDER] = ActionEntry(REDUCE, 325);
   _actionMap[747][ROWLIMIT] = ActionEntry(REDUCE, 325);
   _actionMap[747][UNION] = ActionEntry(REDUCE, 325);
   _actionMap[747][ENDTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[747][RB] = ActionEntry(REDUCE, 325);
   _actionMap[747][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[748][AND] = ActionEntry(SHIFT, 480);
   _actionMap[748][OR] = ActionEntry(SHIFT, 481);
   _actionMap[748][LEFT] = ActionEntry(REDUCE, 200);
   _actionMap[748][RIGHT] = ActionEntry(REDUCE, 200);
   _actionMap[748][INNER] = ActionEntry(REDUCE, 200);
   _actionMap[748][JOIN] = ActionEntry(REDUCE, 200);
   _actionMap[748][RETURNTOKEN] = ActionEntry(REDUCE, 200);
   _actionMap[748][SEMICOLON] = ActionEntry(REDUCE, 200);
   _actionMap[748][RB] = ActionEntry(REDUCE, 200);
   _actionMap[748][ENDTOKEN] = ActionEntry(REDUCE, 200);
   _actionMap[748][UNION] = ActionEntry(REDUCE, 200);
   _actionMap[748][ROWLIMIT] = ActionEntry(REDUCE, 200);
   _actionMap[748][ORDER] = ActionEntry(REDUCE, 200);
   _actionMap[748][GROUP] = ActionEntry(REDUCE, 200);
   _actionMap[748][WHERE] = ActionEntry(REDUCE, 200);
   _actionMap[749][ON] = ActionEntry(SHIFT, 707);
   _jumpMap[749][JoinTableOn] = 772;
   _actionMap[750][ON] = ActionEntry(SHIFT, 707);
   _jumpMap[750][JoinTableOn] = 773;
   _actionMap[751][VARREF] = ActionEntry(SHIFT, 712);
   _jumpMap[751][ReturnVar] = 774;
   _actionMap[752][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[752][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[752][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[752][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[752][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[752][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[752][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[752][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[752][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[752][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[752][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[752][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[752][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[752][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[752][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[752][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[752][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[752][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[752][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[752][STR2INT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser19()
{
   _actionMap[752][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[752][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[752][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[752][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[752][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[752][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[752][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[752][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[752][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[752][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[752][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[752][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[752][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[752][LB] = ActionEntry(SHIFT, 136);
   _actionMap[752][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[752][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[752][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[752][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[752][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[752][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[752][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[752][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[752][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[752][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[752][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[752][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[752][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[752][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[752][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[752][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[752][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[752][ObjSpec] = 95;
   _jumpMap[752][Constant] = 94;
   _jumpMap[752][SignedFloat] = 93;
   _jumpMap[752][SignedInt] = 92;
   _jumpMap[752][Attribute] = 91;
   _jumpMap[752][Function] = 90;
   _jumpMap[752][CasePrepare] = 89;
   _jumpMap[752][CaseClause] = 88;
   _jumpMap[752][Factor] = 87;
   _jumpMap[752][Term] = 86;
   _jumpMap[752][Expr] = 775;
   _actionMap[655][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[655][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[655][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[655][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[655][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[655][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[655][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[655][DATE2STR] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser20()
{
   _actionMap[655][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[655][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[655][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[655][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[655][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[655][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[655][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[655][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[655][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[655][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[655][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[655][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[655][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[655][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[655][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[655][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[655][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[655][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[655][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[655][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[655][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[655][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[655][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[655][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[655][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[655][LB] = ActionEntry(SHIFT, 351);
   _actionMap[655][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[655][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[655][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[655][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[655][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[655][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[655][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[655][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[655][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[655][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[655][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[655][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[655][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[655][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[655][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[655][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[655][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[655][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[655][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[655][ObjSpec] = 95;
   _jumpMap[655][Constant] = 94;
   _jumpMap[655][SignedFloat] = 93;
   _jumpMap[655][SignedInt] = 92;
   _jumpMap[655][Attribute] = 91;
}
void Cego::loadParser21()
{
   _jumpMap[655][QueryPredicate] = 348;
   _jumpMap[655][QueryCondition] = 713;
   _jumpMap[655][Function] = 90;
   _jumpMap[655][CasePrepare] = 89;
   _jumpMap[655][CaseClause] = 88;
   _jumpMap[655][Factor] = 87;
   _jumpMap[655][Term] = 86;
   _jumpMap[655][Expr] = 346;
   _actionMap[656][LB] = ActionEntry(SHIFT, 714);
   _actionMap[657][IDENTIFIER] = ActionEntry(SHIFT, 715);
   _actionMap[658][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[659][IDENTIFIER] = ActionEntry(SHIFT, 717);
   _jumpMap[659][ProcExceptionType] = 716;
   _actionMap[660][END_TOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[661][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[661][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[661][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[661][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[661][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[661][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[661][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[661][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[661][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[661][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[661][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[661][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[661][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[661][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[661][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[661][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[661][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[661][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[661][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[661][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[661][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[661][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[661][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[661][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[661][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[661][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[661][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[661][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[661][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[661][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[661][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[661][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[661][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[661][LB] = ActionEntry(SHIFT, 136);
   _actionMap[661][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[661][DATE] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser22()
{
   _actionMap[661][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[661][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[661][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[661][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[661][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[661][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[661][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[661][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[661][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[661][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[661][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[661][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[661][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[661][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[661][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[661][IF] = ActionEntry(SHIFT, 319);
   _actionMap[661][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[661][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[661][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[661][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[661][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[661][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[661][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[661][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[661][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[661][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[661][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[661][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[661][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[661][ObjSpec] = 95;
   _jumpMap[661][Constant] = 94;
   _jumpMap[661][SignedFloat] = 93;
   _jumpMap[661][SignedInt] = 92;
   _jumpMap[661][Attribute] = 91;
   _jumpMap[661][Function] = 90;
   _jumpMap[661][DeleteStatement] = 315;
   _jumpMap[661][UpdateStatement] = 314;
   _jumpMap[661][InsertStatement] = 313;
   _jumpMap[661][RollbackStatement] = 312;
   _jumpMap[661][CommitStatement] = 311;
   _jumpMap[661][StartStatement] = 310;
   _jumpMap[661][CasePrepare] = 89;
   _jumpMap[661][CaseClause] = 88;
   _jumpMap[661][Factor] = 87;
   _jumpMap[661][Term] = 86;
   _jumpMap[661][Expr] = 309;
   _jumpMap[661][ProcStatement] = 308;
   _jumpMap[661][ProcIfPart] = 307;
   _jumpMap[661][ProcBlockStart] = 306;
   _jumpMap[661][ProcStatementList] = 305;
}
void Cego::loadParser23()
{
   _jumpMap[661][ProcStmtBlock] = 718;
   _actionMap[662][SEMICOLON] = ActionEntry(REDUCE, 88);
   _actionMap[663][END_TOKEN] = ActionEntry(REDUCE, 115);
   _actionMap[663][ELSE] = ActionEntry(REDUCE, 115);
   _actionMap[663][ELSIF] = ActionEntry(REDUCE, 115);
   _actionMap[664][BEGIN] = ActionEntry(REDUCE, 127);
   _actionMap[664][RB] = ActionEntry(REDUCE, 127);
   _actionMap[664][AND] = ActionEntry(REDUCE, 127);
   _actionMap[664][OR] = ActionEntry(REDUCE, 127);
   _actionMap[664][THEN] = ActionEntry(REDUCE, 127);
   _actionMap[665][BEGIN] = ActionEntry(REDUCE, 126);
   _actionMap[665][RB] = ActionEntry(REDUCE, 126);
   _actionMap[665][AND] = ActionEntry(REDUCE, 126);
   _actionMap[665][OR] = ActionEntry(REDUCE, 126);
   _actionMap[665][THEN] = ActionEntry(REDUCE, 126);
   _actionMap[666][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[666][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[666][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[666][BEGIN] = ActionEntry(REDUCE, 130);
   _actionMap[666][THEN] = ActionEntry(REDUCE, 130);
   _actionMap[666][OR] = ActionEntry(REDUCE, 130);
   _actionMap[666][AND] = ActionEntry(REDUCE, 130);
   _actionMap[666][RB] = ActionEntry(REDUCE, 130);
   _actionMap[667][NULLTOKEN] = ActionEntry(SHIFT, 719);
   _actionMap[668][BEGIN] = ActionEntry(REDUCE, 131);
   _actionMap[668][THEN] = ActionEntry(REDUCE, 131);
   _actionMap[668][OR] = ActionEntry(REDUCE, 131);
   _actionMap[668][AND] = ActionEntry(REDUCE, 131);
   _actionMap[668][RB] = ActionEntry(REDUCE, 131);
   _actionMap[669][BEGIN] = ActionEntry(REDUCE, 129);
   _actionMap[669][RB] = ActionEntry(REDUCE, 129);
   _actionMap[669][AND] = ActionEntry(REDUCE, 129);
   _actionMap[669][OR] = ActionEntry(REDUCE, 129);
   _actionMap[669][THEN] = ActionEntry(REDUCE, 129);
   _actionMap[670][SEMICOLON] = ActionEntry(REDUCE, 87);
   _actionMap[671][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[672][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[672][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[672][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[672][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[672][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[672][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[672][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[672][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[672][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[672][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[672][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[672][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[672][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[672][RIGHT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser24()
{
   _actionMap[672][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[672][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[672][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[672][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[672][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[672][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[672][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[672][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[672][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[672][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[672][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[672][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[672][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[672][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[672][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[672][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[672][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[672][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[672][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[672][LB] = ActionEntry(SHIFT, 136);
   _actionMap[672][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[672][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[672][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[672][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[672][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[672][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[672][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[672][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[672][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[672][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[672][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[672][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[672][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[672][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[672][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[672][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[672][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[672][ObjSpec] = 95;
   _jumpMap[672][Constant] = 94;
   _jumpMap[672][SignedFloat] = 93;
   _jumpMap[672][SignedInt] = 92;
   _jumpMap[672][Attribute] = 91;
   _jumpMap[672][Function] = 90;
   _jumpMap[672][CasePrepare] = 89;
   _jumpMap[672][CaseClause] = 88;
   _jumpMap[672][Factor] = 87;
   _jumpMap[672][Term] = 86;
   _jumpMap[672][Expr] = 720;
   _actionMap[673][INTVAL] = ActionEntry(SHIFT, 721);
   _actionMap[674][INTVAL] = ActionEntry(SHIFT, 722);
}
void Cego::loadParser25()
{
   _actionMap[675][INTVAL] = ActionEntry(SHIFT, 723);
   _actionMap[676][INTVAL] = ActionEntry(SHIFT, 724);
   _actionMap[677][END_TOKEN] = ActionEntry(SHIFT, 725);
   _actionMap[678][IDENTIFIER] = ActionEntry(SHIFT, 681);
   _jumpMap[678][SimpleAttr] = 680;
   _jumpMap[678][SimpleAttrList] = 726;
   _actionMap[679][RB] = ActionEntry(SHIFT, 727);
   _actionMap[680][KSEP] = ActionEntry(SHIFT, 728);
   _actionMap[680][RB] = ActionEntry(REDUCE, 174);
   _actionMap[681][RB] = ActionEntry(REDUCE, 175);
   _actionMap[681][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[682][KSEP] = ActionEntry(REDUCE, 80);
   _actionMap[682][RB] = ActionEntry(REDUCE, 80);
   _actionMap[683][BEGIN] = ActionEntry(REDUCE, 76);
   _actionMap[684][KSEP] = ActionEntry(REDUCE, 82);
   _actionMap[684][RB] = ActionEntry(REDUCE, 82);
   _actionMap[685][KSEP] = ActionEntry(REDUCE, 83);
   _actionMap[685][RB] = ActionEntry(REDUCE, 83);
   _actionMap[686][KSEP] = ActionEntry(REDUCE, 161);
   _actionMap[686][RB] = ActionEntry(REDUCE, 161);
   _actionMap[687][SEMICOLON] = ActionEntry(REDUCE, 169);
   _actionMap[687][NULLTOKEN] = ActionEntry(SHIFT, 732);
   _actionMap[687][NOT] = ActionEntry(SHIFT, 731);
   _actionMap[687][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[687][RB] = ActionEntry(REDUCE, 169);
   _jumpMap[687][DefaultNullOpt] = 730;
   _jumpMap[687][NullOpt] = 729;
   _actionMap[688][NULLTOKEN] = ActionEntry(REDUCE, 171);
   _actionMap[688][NOT] = ActionEntry(REDUCE, 171);
   _actionMap[688][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[688][SEMICOLON] = ActionEntry(REDUCE, 171);
   _actionMap[688][RB] = ActionEntry(REDUCE, 171);
   _actionMap[689][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[689][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[689][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[689][LB] = ActionEntry(SHIFT, 734);
   _actionMap[689][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[689][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[689][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[689][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[689][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[689][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[689][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[689][COUNTERID] = ActionEntry(SHIFT, 145);
   _jumpMap[689][Constant] = 733;
   _jumpMap[689][SignedFloat] = 93;
   _jumpMap[689][SignedInt] = 92;
   _actionMap[690][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[690][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[690][INTVAL] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser26()
{
   _actionMap[690][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[690][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[690][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[690][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[690][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[690][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[690][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[690][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[690][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[690][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[690][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[690][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[690][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[690][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[690][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[690][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[690][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[690][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[690][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[690][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[690][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[690][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[690][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[690][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[690][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[690][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[690][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[690][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[690][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[690][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[690][LB] = ActionEntry(SHIFT, 136);
   _actionMap[690][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[690][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[690][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[690][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[690][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[690][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[690][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[690][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[690][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[690][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[690][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[690][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[690][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[690][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[690][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[690][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[690][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[690][ObjSpec] = 95;
   _jumpMap[690][Constant] = 94;
}
void Cego::loadParser27()
{
   _jumpMap[690][SignedFloat] = 93;
   _jumpMap[690][SignedInt] = 92;
   _jumpMap[690][Attribute] = 91;
   _jumpMap[690][Function] = 90;
   _jumpMap[690][CasePrepare] = 89;
   _jumpMap[690][CaseClause] = 88;
   _jumpMap[690][Factor] = 87;
   _jumpMap[690][Term] = 86;
   _jumpMap[690][Expr] = 735;
   _actionMap[691][SEMICOLON] = ActionEntry(REDUCE, 185);
   _actionMap[692][KSEP] = ActionEntry(REDUCE, 186);
   _actionMap[692][RB] = ActionEntry(REDUCE, 186);
   _actionMap[693][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[693][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[693][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[693][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[693][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[693][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[693][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[693][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[693][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[693][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[693][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[693][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[693][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[693][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[693][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[693][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[693][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[693][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[693][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[693][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[693][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[693][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[693][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[693][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[693][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[693][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[693][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[693][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[693][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[693][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[693][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[693][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[693][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[693][LB] = ActionEntry(SHIFT, 136);
   _actionMap[693][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[693][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[693][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[693][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser28()
{
   _actionMap[693][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[693][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[693][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[693][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[693][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[693][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[693][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[693][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[693][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[693][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[693][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[693][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[693][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[693][ObjSpec] = 95;
   _jumpMap[693][Constant] = 94;
   _jumpMap[693][SignedFloat] = 93;
   _jumpMap[693][SignedInt] = 92;
   _jumpMap[693][Attribute] = 91;
   _jumpMap[693][Function] = 90;
   _jumpMap[693][CasePrepare] = 89;
   _jumpMap[693][CaseClause] = 88;
   _jumpMap[693][Factor] = 87;
   _jumpMap[693][Term] = 86;
   _jumpMap[693][Expr] = 736;
   _actionMap[694][RB] = ActionEntry(SHIFT, 737);
   _actionMap[695][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[695][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[695][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[695][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[695][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[695][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[695][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[695][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[695][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[695][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[695][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[695][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[695][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[695][AND] = ActionEntry(REDUCE, 300);
   _actionMap[695][OR] = ActionEntry(REDUCE, 300);
   _actionMap[695][RB] = ActionEntry(REDUCE, 300);
   _actionMap[696][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[696][SelectStatement] = 738;
   _actionMap[697][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[697][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[697][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[697][JOIN] = ActionEntry(REDUCE, 302);
   _actionMap[697][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[697][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[697][ENDTOKEN] = ActionEntry(REDUCE, 302);
}
void Cego::loadParser29()
{
   _actionMap[697][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[697][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[697][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[697][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[697][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[697][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[697][AND] = ActionEntry(REDUCE, 302);
   _actionMap[697][OR] = ActionEntry(REDUCE, 302);
   _actionMap[697][RB] = ActionEntry(REDUCE, 302);
   _actionMap[698][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[698][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[698][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[698][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[698][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[698][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[698][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[698][RB] = ActionEntry(REDUCE, 294);
   _actionMap[698][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[698][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[698][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[698][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[698][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[698][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[698][AND] = ActionEntry(REDUCE, 294);
   _actionMap[698][OR] = ActionEntry(REDUCE, 294);
   _actionMap[699][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[699][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[699][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[699][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[699][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[699][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[699][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[699][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[699][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[699][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[699][NULLTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[699][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[699][AS] = ActionEntry(REDUCE, 341);
   _actionMap[699][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[699][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[699][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[699][OR] = ActionEntry(REDUCE, 341);
   _actionMap[699][AND] = ActionEntry(REDUCE, 341);
   _actionMap[699][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[699][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[699][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[699][IS] = ActionEntry(REDUCE, 341);
   _actionMap[699][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[699][MT] = ActionEntry(REDUCE, 341);
   _actionMap[699][LT] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser30()
{
   _actionMap[699][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[699][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[699][RB] = ActionEntry(REDUCE, 341);
   _actionMap[699][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[699][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[699][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[699][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[699][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[699][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[699][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[699][PLUS] = ActionEntry(REDUCE, 341);
   _actionMap[699][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[699][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[699][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[699][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[700][VARREF] = ActionEntry(SHIFT, 739);
   _actionMap[701][WHEN] = ActionEntry(REDUCE, 142);
   _actionMap[701][ELSE] = ActionEntry(REDUCE, 142);
   _actionMap[701][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[701][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[701][INNER] = ActionEntry(REDUCE, 142);
   _actionMap[701][JOIN] = ActionEntry(REDUCE, 142);
   _actionMap[701][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[701][ORDER] = ActionEntry(REDUCE, 142);
   _actionMap[701][GROUP] = ActionEntry(REDUCE, 142);
   _actionMap[701][WHERE] = ActionEntry(REDUCE, 142);
   _actionMap[701][AS] = ActionEntry(REDUCE, 142);
   _actionMap[701][FROM] = ActionEntry(REDUCE, 142);
   _actionMap[701][END_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[701][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[701][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[701][OR] = ActionEntry(REDUCE, 142);
   _actionMap[701][AND] = ActionEntry(REDUCE, 142);
   _actionMap[701][LIKE] = ActionEntry(REDUCE, 142);
   _actionMap[701][IS] = ActionEntry(REDUCE, 142);
   _actionMap[701][BETWEEN] = ActionEntry(REDUCE, 142);
   _actionMap[701][NOT] = ActionEntry(REDUCE, 142);
   _actionMap[701][INTOK] = ActionEntry(REDUCE, 142);
   _actionMap[701][EQU] = ActionEntry(REDUCE, 142);
   _actionMap[701][NEGATION] = ActionEntry(REDUCE, 142);
   _actionMap[701][LT] = ActionEntry(REDUCE, 142);
   _actionMap[701][MT] = ActionEntry(REDUCE, 142);
   _actionMap[701][DESC] = ActionEntry(REDUCE, 142);
   _actionMap[701][ASC] = ActionEntry(REDUCE, 142);
   _actionMap[701][KSEP] = ActionEntry(REDUCE, 142);
   _actionMap[701][ROWLIMIT] = ActionEntry(REDUCE, 142);
   _actionMap[701][UNION] = ActionEntry(REDUCE, 142);
   _actionMap[701][ENDTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[701][RB] = ActionEntry(REDUCE, 142);
   _actionMap[701][SEMICOLON] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser31()
{
   _actionMap[701][CONCAT] = ActionEntry(REDUCE, 142);
   _actionMap[701][STAR] = ActionEntry(REDUCE, 142);
   _actionMap[701][DIVISION] = ActionEntry(REDUCE, 142);
   _actionMap[701][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[701][PLUS] = ActionEntry(REDUCE, 142);
   _actionMap[702][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[702][RB] = ActionEntry(REDUCE, 233);
   _actionMap[702][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[702][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[702][ROWLIMIT] = ActionEntry(SHIFT, 742);
   _jumpMap[702][NoLimit] = 741;
   _jumpMap[702][LimitOpt] = 740;
   _actionMap[703][ROWLIMIT] = ActionEntry(REDUCE, 221);
   _actionMap[703][UNION] = ActionEntry(REDUCE, 221);
   _actionMap[703][ENDTOKEN] = ActionEntry(REDUCE, 221);
   _actionMap[703][RB] = ActionEntry(REDUCE, 221);
   _actionMap[703][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[704][BY] = ActionEntry(SHIFT, 743);
   _actionMap[705][IDENTIFIER] = ActionEntry(SHIFT, 746);
   _actionMap[705][QUALIFIEDOBJ] = ActionEntry(SHIFT, 747);
   _actionMap[705][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _jumpMap[705][Attribute] = 745;
   _jumpMap[705][GroupList] = 744;
   _actionMap[706][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[706][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[706][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[706][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[706][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[706][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[706][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[706][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[706][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[706][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[706][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[706][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[706][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[706][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[706][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[706][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[706][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[706][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[706][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[706][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[706][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[706][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[706][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[706][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[706][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[706][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[706][BITAND] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser32()
{
   _actionMap[706][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[706][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[706][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[706][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[706][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[706][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[706][LB] = ActionEntry(SHIFT, 351);
   _actionMap[706][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[706][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[706][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[706][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[706][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[706][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[706][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[706][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[706][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[706][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[706][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[706][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[706][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[706][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[706][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[706][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[706][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[706][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[706][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[706][ObjSpec] = 95;
   _jumpMap[706][Constant] = 94;
   _jumpMap[706][SignedFloat] = 93;
   _jumpMap[706][SignedInt] = 92;
   _jumpMap[706][Attribute] = 91;
   _jumpMap[706][QueryPredicate] = 348;
   _jumpMap[706][QueryCondition] = 748;
   _jumpMap[706][Function] = 90;
   _jumpMap[706][CasePrepare] = 89;
   _jumpMap[706][CaseClause] = 88;
   _jumpMap[706][Factor] = 87;
   _jumpMap[706][Term] = 86;
   _jumpMap[706][Expr] = 346;
   _actionMap[707][EXISTS] = ActionEntry(REDUCE, 209);
   _actionMap[707][LB] = ActionEntry(REDUCE, 209);
   _actionMap[707][NOT] = ActionEntry(REDUCE, 209);
   _actionMap[707][VARREF] = ActionEntry(REDUCE, 209);
   _actionMap[707][FETCH] = ActionEntry(REDUCE, 209);
   _actionMap[707][COUNT] = ActionEntry(REDUCE, 209);
   _actionMap[707][SUM] = ActionEntry(REDUCE, 209);
   _actionMap[707][AVG] = ActionEntry(REDUCE, 209);
   _actionMap[707][MIN] = ActionEntry(REDUCE, 209);
   _actionMap[707][MAX] = ActionEntry(REDUCE, 209);
   _actionMap[707][CASE] = ActionEntry(REDUCE, 209);
}
void Cego::loadParser33()
{
   _actionMap[707][TRIM] = ActionEntry(REDUCE, 209);
   _actionMap[707][RTRIM] = ActionEntry(REDUCE, 209);
   _actionMap[707][LTRIM] = ActionEntry(REDUCE, 209);
   _actionMap[707][ROUND] = ActionEntry(REDUCE, 209);
   _actionMap[707][DATE2STR] = ActionEntry(REDUCE, 209);
   _actionMap[707][DATE2INT] = ActionEntry(REDUCE, 209);
   _actionMap[707][INT2DATE] = ActionEntry(REDUCE, 209);
   _actionMap[707][LOWER] = ActionEntry(REDUCE, 209);
   _actionMap[707][UPPER] = ActionEntry(REDUCE, 209);
   _actionMap[707][LEFT] = ActionEntry(REDUCE, 209);
   _actionMap[707][RIGHT] = ActionEntry(REDUCE, 209);
   _actionMap[707][GETPOS] = ActionEntry(REDUCE, 209);
   _actionMap[707][SUBSTR] = ActionEntry(REDUCE, 209);
   _actionMap[707][REPLACE] = ActionEntry(REDUCE, 209);
   _actionMap[707][LENGTH] = ActionEntry(REDUCE, 209);
   _actionMap[707][TRUNC] = ActionEntry(REDUCE, 209);
   _actionMap[707][STR2INT] = ActionEntry(REDUCE, 209);
   _actionMap[707][STR2LONG] = ActionEntry(REDUCE, 209);
   _actionMap[707][RANDSTR] = ActionEntry(REDUCE, 209);
   _actionMap[707][RANDINT] = ActionEntry(REDUCE, 209);
   _actionMap[707][MOD] = ActionEntry(REDUCE, 209);
   _actionMap[707][DIV] = ActionEntry(REDUCE, 209);
   _actionMap[707][POWER] = ActionEntry(REDUCE, 209);
   _actionMap[707][BITAND] = ActionEntry(REDUCE, 209);
   _actionMap[707][BITOR] = ActionEntry(REDUCE, 209);
   _actionMap[707][BITXOR] = ActionEntry(REDUCE, 209);
   _actionMap[707][NEXTCOUNT] = ActionEntry(REDUCE, 209);
   _actionMap[707][IDENTIFIER] = ActionEntry(REDUCE, 209);
   _actionMap[707][QUALIFIEDOBJ] = ActionEntry(REDUCE, 209);
   _actionMap[707][QUALIFIEDTS] = ActionEntry(REDUCE, 209);
   _actionMap[707][QUALIFIEDPRE] = ActionEntry(REDUCE, 209);
   _actionMap[707][STRINGVAL] = ActionEntry(REDUCE, 209);
   _actionMap[707][DATE] = ActionEntry(REDUCE, 209);
   _actionMap[707][SYSDATE] = ActionEntry(REDUCE, 209);
   _actionMap[707][NULLTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[707][TRUEVAL] = ActionEntry(REDUCE, 209);
   _actionMap[707][FALSEVAL] = ActionEntry(REDUCE, 209);
   _actionMap[707][LAB] = ActionEntry(REDUCE, 209);
   _actionMap[707][COUNTERID] = ActionEntry(REDUCE, 209);
   _actionMap[707][FLOATVAL] = ActionEntry(REDUCE, 209);
   _actionMap[707][MINUS] = ActionEntry(REDUCE, 209);
   _actionMap[707][INTVAL] = ActionEntry(REDUCE, 209);
   _actionMap[708][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[708][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[708][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[708][ObjSpec] = 411;
   _jumpMap[708][Table] = 749;
   _actionMap[709][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[709][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[709][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser34()
{
   _jumpMap[709][ObjSpec] = 411;
   _jumpMap[709][Table] = 750;
   _actionMap[710][KSEP] = ActionEntry(SHIFT, 751);
   _actionMap[710][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[711][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[711][KSEP] = ActionEntry(REDUCE, 241);
   _actionMap[712][EQU] = ActionEntry(SHIFT, 752);
   _actionMap[557][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[558][COLUMN] = ActionEntry(SHIFT, 423);
   _actionMap[559][ON] = ActionEntry(SHIFT, 655);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[560][KSEP] = ActionEntry(REDUCE, 248);
   _actionMap[561][IDENTIFIER] = ActionEntry(SHIFT, 656);
   _actionMap[562][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[562][KSEP] = ActionEntry(REDUCE, 247);
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[563][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[564][TO] = ActionEntry(SHIFT, 657);
   _actionMap[565][IDENTIFIER] = ActionEntry(SHIFT, 658);
   _actionMap[566][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[566][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[566][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[566][KSEP] = ActionEntry(REDUCE, 111);
   _actionMap[566][RB] = ActionEntry(REDUCE, 111);
   _actionMap[567][ELSE] = ActionEntry(REDUCE, 106);
   _actionMap[567][ELSIF] = ActionEntry(REDUCE, 106);
   _actionMap[567][EXCEPTION] = ActionEntry(REDUCE, 106);
   _actionMap[567][END_TOKEN] = ActionEntry(REDUCE, 106);
   _actionMap[568][WHEN] = ActionEntry(SHIFT, 659);
   _actionMap[569][EXCEPTION] = ActionEntry(REDUCE, 85);
   _actionMap[569][END_TOKEN] = ActionEntry(REDUCE, 85);
   _actionMap[569][ELSE] = ActionEntry(REDUCE, 85);
   _actionMap[569][ELSIF] = ActionEntry(REDUCE, 85);
   _actionMap[569][VAR] = ActionEntry(REDUCE, 85);
   _actionMap[569][CURSOR] = ActionEntry(REDUCE, 85);
   _actionMap[569][CLOSE] = ActionEntry(REDUCE, 85);
   _actionMap[569][VARREF] = ActionEntry(REDUCE, 85);
   _actionMap[569][NOOP] = ActionEntry(REDUCE, 85);
   _actionMap[569][RETURNTOKEN] = ActionEntry(REDUCE, 85);
   _actionMap[569][WHILE] = ActionEntry(REDUCE, 85);
   _actionMap[569][IF] = ActionEntry(REDUCE, 85);
   _actionMap[569][BEGIN] = ActionEntry(REDUCE, 85);
   _actionMap[569][ROLLBACK] = ActionEntry(REDUCE, 85);
   _actionMap[569][COMMIT] = ActionEntry(REDUCE, 85);
   _actionMap[569][START_TOKEN] = ActionEntry(REDUCE, 85);
   _actionMap[569][UPDATE] = ActionEntry(REDUCE, 85);
   _actionMap[569][DELETETOK] = ActionEntry(REDUCE, 85);
   _actionMap[569][INSERT] = ActionEntry(REDUCE, 85);
   _actionMap[569][FETCH] = ActionEntry(REDUCE, 85);
   _actionMap[569][LB] = ActionEntry(REDUCE, 85);
}
void Cego::loadParser35()
{
   _actionMap[569][COUNT] = ActionEntry(REDUCE, 85);
   _actionMap[569][SUM] = ActionEntry(REDUCE, 85);
   _actionMap[569][AVG] = ActionEntry(REDUCE, 85);
   _actionMap[569][MIN] = ActionEntry(REDUCE, 85);
   _actionMap[569][MAX] = ActionEntry(REDUCE, 85);
   _actionMap[569][CASE] = ActionEntry(REDUCE, 85);
   _actionMap[569][TRIM] = ActionEntry(REDUCE, 85);
   _actionMap[569][RTRIM] = ActionEntry(REDUCE, 85);
   _actionMap[569][LTRIM] = ActionEntry(REDUCE, 85);
   _actionMap[569][ROUND] = ActionEntry(REDUCE, 85);
   _actionMap[569][DATE2STR] = ActionEntry(REDUCE, 85);
   _actionMap[569][DATE2INT] = ActionEntry(REDUCE, 85);
   _actionMap[569][INT2DATE] = ActionEntry(REDUCE, 85);
   _actionMap[569][LOWER] = ActionEntry(REDUCE, 85);
   _actionMap[569][UPPER] = ActionEntry(REDUCE, 85);
   _actionMap[569][LEFT] = ActionEntry(REDUCE, 85);
   _actionMap[569][RIGHT] = ActionEntry(REDUCE, 85);
   _actionMap[569][GETPOS] = ActionEntry(REDUCE, 85);
   _actionMap[569][SUBSTR] = ActionEntry(REDUCE, 85);
   _actionMap[569][REPLACE] = ActionEntry(REDUCE, 85);
   _actionMap[569][LENGTH] = ActionEntry(REDUCE, 85);
   _actionMap[569][TRUNC] = ActionEntry(REDUCE, 85);
   _actionMap[569][STR2INT] = ActionEntry(REDUCE, 85);
   _actionMap[569][STR2LONG] = ActionEntry(REDUCE, 85);
   _actionMap[569][RANDSTR] = ActionEntry(REDUCE, 85);
   _actionMap[569][RANDINT] = ActionEntry(REDUCE, 85);
   _actionMap[569][MOD] = ActionEntry(REDUCE, 85);
   _actionMap[569][DIV] = ActionEntry(REDUCE, 85);
   _actionMap[569][POWER] = ActionEntry(REDUCE, 85);
   _actionMap[569][BITAND] = ActionEntry(REDUCE, 85);
   _actionMap[569][BITOR] = ActionEntry(REDUCE, 85);
   _actionMap[569][BITXOR] = ActionEntry(REDUCE, 85);
   _actionMap[569][NEXTCOUNT] = ActionEntry(REDUCE, 85);
   _actionMap[569][IDENTIFIER] = ActionEntry(REDUCE, 85);
   _actionMap[569][QUALIFIEDOBJ] = ActionEntry(REDUCE, 85);
   _actionMap[569][QUALIFIEDTS] = ActionEntry(REDUCE, 85);
   _actionMap[569][QUALIFIEDPRE] = ActionEntry(REDUCE, 85);
   _actionMap[569][STRINGVAL] = ActionEntry(REDUCE, 85);
   _actionMap[569][DATE] = ActionEntry(REDUCE, 85);
   _actionMap[569][SYSDATE] = ActionEntry(REDUCE, 85);
   _actionMap[569][NULLTOKEN] = ActionEntry(REDUCE, 85);
   _actionMap[569][TRUEVAL] = ActionEntry(REDUCE, 85);
   _actionMap[569][FALSEVAL] = ActionEntry(REDUCE, 85);
   _actionMap[569][LAB] = ActionEntry(REDUCE, 85);
   _actionMap[569][COUNTERID] = ActionEntry(REDUCE, 85);
   _actionMap[569][FLOATVAL] = ActionEntry(REDUCE, 85);
   _actionMap[569][MINUS] = ActionEntry(REDUCE, 85);
   _actionMap[569][INTVAL] = ActionEntry(REDUCE, 85);
   _actionMap[570][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[571][END_TOKEN] = ActionEntry(SHIFT, 574);
}
void Cego::loadParser36()
{
   _actionMap[572][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[572][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[572][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[572][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[572][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[572][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[572][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[572][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[572][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[572][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[572][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[572][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[572][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[572][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[572][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[572][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[572][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[572][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[572][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[572][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[572][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[572][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[572][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[572][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[572][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[572][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[572][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[572][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[572][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[572][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[572][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[572][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[572][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[572][LB] = ActionEntry(SHIFT, 136);
   _actionMap[572][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[572][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[572][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[572][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[572][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[572][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[572][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[572][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[572][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[572][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[572][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[572][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[572][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[572][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[572][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[572][MIN] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser37()
{
   _actionMap[572][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[572][IF] = ActionEntry(SHIFT, 319);
   _actionMap[572][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[572][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[572][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[572][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[572][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[572][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[572][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[572][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[572][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[572][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[572][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[572][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[572][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[572][ObjSpec] = 95;
   _jumpMap[572][Constant] = 94;
   _jumpMap[572][SignedFloat] = 93;
   _jumpMap[572][SignedInt] = 92;
   _jumpMap[572][Attribute] = 91;
   _jumpMap[572][Function] = 90;
   _jumpMap[572][DeleteStatement] = 315;
   _jumpMap[572][UpdateStatement] = 314;
   _jumpMap[572][InsertStatement] = 313;
   _jumpMap[572][RollbackStatement] = 312;
   _jumpMap[572][CommitStatement] = 311;
   _jumpMap[572][StartStatement] = 310;
   _jumpMap[572][CasePrepare] = 89;
   _jumpMap[572][CaseClause] = 88;
   _jumpMap[572][Factor] = 87;
   _jumpMap[572][Term] = 86;
   _jumpMap[572][Expr] = 309;
   _jumpMap[572][ProcStatement] = 308;
   _jumpMap[572][ProcIfPart] = 307;
   _jumpMap[572][ProcBlockStart] = 306;
   _jumpMap[572][ProcStatementList] = 305;
   _jumpMap[572][ProcStmtBlock] = 660;
   _actionMap[573][VAR] = ActionEntry(REDUCE, 121);
   _actionMap[573][CURSOR] = ActionEntry(REDUCE, 121);
   _actionMap[573][CLOSE] = ActionEntry(REDUCE, 121);
   _actionMap[573][VARREF] = ActionEntry(REDUCE, 121);
   _actionMap[573][NOOP] = ActionEntry(REDUCE, 121);
   _actionMap[573][RETURNTOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[573][WHILE] = ActionEntry(REDUCE, 121);
   _actionMap[573][IF] = ActionEntry(REDUCE, 121);
   _actionMap[573][BEGIN] = ActionEntry(REDUCE, 121);
   _actionMap[573][ROLLBACK] = ActionEntry(REDUCE, 121);
   _actionMap[573][COMMIT] = ActionEntry(REDUCE, 121);
   _actionMap[573][START_TOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[573][UPDATE] = ActionEntry(REDUCE, 121);
}
void Cego::loadParser38()
{
   _actionMap[573][DELETETOK] = ActionEntry(REDUCE, 121);
   _actionMap[573][INSERT] = ActionEntry(REDUCE, 121);
   _actionMap[573][FETCH] = ActionEntry(REDUCE, 121);
   _actionMap[573][LB] = ActionEntry(REDUCE, 121);
   _actionMap[573][COUNT] = ActionEntry(REDUCE, 121);
   _actionMap[573][SUM] = ActionEntry(REDUCE, 121);
   _actionMap[573][AVG] = ActionEntry(REDUCE, 121);
   _actionMap[573][MIN] = ActionEntry(REDUCE, 121);
   _actionMap[573][MAX] = ActionEntry(REDUCE, 121);
   _actionMap[573][CASE] = ActionEntry(REDUCE, 121);
   _actionMap[573][TRIM] = ActionEntry(REDUCE, 121);
   _actionMap[573][RTRIM] = ActionEntry(REDUCE, 121);
   _actionMap[573][LTRIM] = ActionEntry(REDUCE, 121);
   _actionMap[573][ROUND] = ActionEntry(REDUCE, 121);
   _actionMap[573][DATE2STR] = ActionEntry(REDUCE, 121);
   _actionMap[573][DATE2INT] = ActionEntry(REDUCE, 121);
   _actionMap[573][INT2DATE] = ActionEntry(REDUCE, 121);
   _actionMap[573][LOWER] = ActionEntry(REDUCE, 121);
   _actionMap[573][UPPER] = ActionEntry(REDUCE, 121);
   _actionMap[573][LEFT] = ActionEntry(REDUCE, 121);
   _actionMap[573][RIGHT] = ActionEntry(REDUCE, 121);
   _actionMap[573][GETPOS] = ActionEntry(REDUCE, 121);
   _actionMap[573][SUBSTR] = ActionEntry(REDUCE, 121);
   _actionMap[573][REPLACE] = ActionEntry(REDUCE, 121);
   _actionMap[573][LENGTH] = ActionEntry(REDUCE, 121);
   _actionMap[573][TRUNC] = ActionEntry(REDUCE, 121);
   _actionMap[573][STR2INT] = ActionEntry(REDUCE, 121);
   _actionMap[573][STR2LONG] = ActionEntry(REDUCE, 121);
   _actionMap[573][RANDSTR] = ActionEntry(REDUCE, 121);
   _actionMap[573][RANDINT] = ActionEntry(REDUCE, 121);
   _actionMap[573][MOD] = ActionEntry(REDUCE, 121);
   _actionMap[573][DIV] = ActionEntry(REDUCE, 121);
   _actionMap[573][POWER] = ActionEntry(REDUCE, 121);
   _actionMap[573][BITAND] = ActionEntry(REDUCE, 121);
   _actionMap[573][BITOR] = ActionEntry(REDUCE, 121);
   _actionMap[573][BITXOR] = ActionEntry(REDUCE, 121);
   _actionMap[573][NEXTCOUNT] = ActionEntry(REDUCE, 121);
   _actionMap[573][IDENTIFIER] = ActionEntry(REDUCE, 121);
   _actionMap[573][QUALIFIEDOBJ] = ActionEntry(REDUCE, 121);
   _actionMap[573][QUALIFIEDTS] = ActionEntry(REDUCE, 121);
   _actionMap[573][QUALIFIEDPRE] = ActionEntry(REDUCE, 121);
   _actionMap[573][STRINGVAL] = ActionEntry(REDUCE, 121);
   _actionMap[573][DATE] = ActionEntry(REDUCE, 121);
   _actionMap[573][SYSDATE] = ActionEntry(REDUCE, 121);
   _actionMap[573][NULLTOKEN] = ActionEntry(REDUCE, 121);
   _actionMap[573][TRUEVAL] = ActionEntry(REDUCE, 121);
   _actionMap[573][FALSEVAL] = ActionEntry(REDUCE, 121);
   _actionMap[573][LAB] = ActionEntry(REDUCE, 121);
   _actionMap[573][COUNTERID] = ActionEntry(REDUCE, 121);
   _actionMap[573][FLOATVAL] = ActionEntry(REDUCE, 121);
}
void Cego::loadParser39()
{
   _actionMap[573][MINUS] = ActionEntry(REDUCE, 121);
   _actionMap[573][INTVAL] = ActionEntry(REDUCE, 121);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 114);
   _actionMap[575][END_TOKEN] = ActionEntry(REDUCE, 116);
   _actionMap[575][ELSE] = ActionEntry(REDUCE, 116);
   _actionMap[576][THEN] = ActionEntry(SHIFT, 661);
   _actionMap[577][OR] = ActionEntry(SHIFT, 581);
   _actionMap[577][AND] = ActionEntry(SHIFT, 580);
   _actionMap[577][THEN] = ActionEntry(REDUCE, 123);
   _actionMap[578][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[578][SelectStatement] = 662;
   _actionMap[579][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[579][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[579][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[579][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[579][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[579][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[579][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[579][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[579][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[579][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[579][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[579][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[579][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[579][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[579][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[579][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[579][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[579][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[579][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[579][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[579][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[579][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[579][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[579][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[579][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[579][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[579][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[579][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[579][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[579][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[579][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[579][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[579][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[579][LB] = ActionEntry(SHIFT, 136);
   _actionMap[579][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[579][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[579][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[579][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[579][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser40()
{
   _actionMap[579][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[579][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[579][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[579][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[579][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[579][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[579][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[579][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[579][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[579][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[579][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[579][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[579][IF] = ActionEntry(SHIFT, 319);
   _actionMap[579][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[579][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[579][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[579][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[579][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[579][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[579][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[579][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[579][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[579][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[579][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[579][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[579][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[579][ObjSpec] = 95;
   _jumpMap[579][Constant] = 94;
   _jumpMap[579][SignedFloat] = 93;
   _jumpMap[579][SignedInt] = 92;
   _jumpMap[579][Attribute] = 91;
   _jumpMap[579][Function] = 90;
   _jumpMap[579][DeleteStatement] = 315;
   _jumpMap[579][UpdateStatement] = 314;
   _jumpMap[579][InsertStatement] = 313;
   _jumpMap[579][RollbackStatement] = 312;
   _jumpMap[579][CommitStatement] = 311;
   _jumpMap[579][StartStatement] = 310;
   _jumpMap[579][CasePrepare] = 89;
   _jumpMap[579][CaseClause] = 88;
   _jumpMap[579][Factor] = 87;
   _jumpMap[579][Term] = 86;
   _jumpMap[579][Expr] = 309;
   _jumpMap[579][ProcStatement] = 308;
   _jumpMap[579][ProcIfPart] = 307;
   _jumpMap[579][ProcBlockStart] = 306;
   _jumpMap[579][ProcStatementList] = 305;
   _jumpMap[579][ProcStmtBlock] = 663;
   _actionMap[580][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[580][MINUS] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser41()
{
   _actionMap[580][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[580][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[580][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[580][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[580][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[580][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[580][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[580][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[580][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[580][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[580][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[580][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[580][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[580][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[580][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[580][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[580][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[580][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[580][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[580][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[580][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[580][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[580][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[580][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[580][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[580][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[580][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[580][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[580][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[580][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[580][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[580][LB] = ActionEntry(SHIFT, 444);
   _actionMap[580][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[580][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[580][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[580][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[580][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[580][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[580][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[580][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[580][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[580][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[580][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[580][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[580][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[580][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[580][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[580][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[580][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[580][ObjSpec] = 95;
}
void Cego::loadParser42()
{
   _jumpMap[580][Constant] = 94;
   _jumpMap[580][SignedFloat] = 93;
   _jumpMap[580][SignedInt] = 92;
   _jumpMap[580][Attribute] = 91;
   _jumpMap[580][Function] = 90;
   _jumpMap[580][CasePrepare] = 89;
   _jumpMap[580][CaseClause] = 88;
   _jumpMap[580][Factor] = 87;
   _jumpMap[580][Term] = 86;
   _jumpMap[580][Expr] = 443;
   _jumpMap[580][ProcPredicate] = 664;
   _actionMap[581][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[581][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[581][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[581][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[581][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[581][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[581][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[581][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[581][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[581][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[581][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[581][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[581][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[581][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[581][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[581][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[581][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[581][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[581][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[581][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[581][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[581][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[581][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[581][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[581][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[581][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[581][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[581][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[581][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[581][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[581][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[581][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[581][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[581][LB] = ActionEntry(SHIFT, 444);
   _actionMap[581][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[581][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[581][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[581][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[581][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser43()
{
   _actionMap[581][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[581][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[581][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[581][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[581][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[581][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[581][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[581][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[581][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[581][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[581][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[581][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[581][ObjSpec] = 95;
   _jumpMap[581][Constant] = 94;
   _jumpMap[581][SignedFloat] = 93;
   _jumpMap[581][SignedInt] = 92;
   _jumpMap[581][Attribute] = 91;
   _jumpMap[581][Function] = 90;
   _jumpMap[581][CasePrepare] = 89;
   _jumpMap[581][CaseClause] = 88;
   _jumpMap[581][Factor] = 87;
   _jumpMap[581][Term] = 86;
   _jumpMap[581][Expr] = 443;
   _jumpMap[581][ProcPredicate] = 665;
   _actionMap[582][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[582][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[582][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[582][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[582][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[582][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[582][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[582][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[582][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[582][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[582][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[582][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[582][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[582][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[582][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[582][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[582][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[582][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[582][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[582][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[582][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[582][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[582][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[582][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[582][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[582][POWER] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser44()
{
   _actionMap[582][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[582][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[582][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[582][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[582][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[582][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[582][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[582][LB] = ActionEntry(SHIFT, 136);
   _actionMap[582][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[582][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[582][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[582][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[582][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[582][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[582][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[582][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[582][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[582][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[582][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[582][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[582][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[582][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[582][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[582][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[582][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[582][ObjSpec] = 95;
   _jumpMap[582][Constant] = 94;
   _jumpMap[582][SignedFloat] = 93;
   _jumpMap[582][SignedInt] = 92;
   _jumpMap[582][Attribute] = 91;
   _jumpMap[582][Function] = 90;
   _jumpMap[582][CasePrepare] = 89;
   _jumpMap[582][CaseClause] = 88;
   _jumpMap[582][Factor] = 87;
   _jumpMap[582][Term] = 86;
   _jumpMap[582][Expr] = 666;
   _actionMap[583][NOT] = ActionEntry(SHIFT, 667);
   _actionMap[583][NULLTOKEN] = ActionEntry(SHIFT, 668);
   _actionMap[584][RB] = ActionEntry(SHIFT, 669);
   _actionMap[584][OR] = ActionEntry(SHIFT, 581);
   _actionMap[584][AND] = ActionEntry(SHIFT, 580);
   _actionMap[585][RB] = ActionEntry(SHIFT, 391);
   _actionMap[585][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[585][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[585][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[585][IS] = ActionEntry(SHIFT, 583);
   _actionMap[585][EQU] = ActionEntry(SHIFT, 476);
   _actionMap[585][NEGATION] = ActionEntry(SHIFT, 479);
   _actionMap[585][LT] = ActionEntry(SHIFT, 477);
   _actionMap[585][MT] = ActionEntry(SHIFT, 478);
}
void Cego::loadParser45()
{
   _jumpMap[585][Comparison] = 582;
   _actionMap[586][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[586][EQU] = ActionEntry(SHIFT, 672);
   _jumpMap[586][ProcNoAssignment] = 671;
   _jumpMap[586][ProcInitialAssignment] = 670;
   _actionMap[587][LB] = ActionEntry(SHIFT, 673);
   _actionMap[588][BEGIN] = ActionEntry(REDUCE, 317);
   _actionMap[588][DEFAULT] = ActionEntry(REDUCE, 317);
   _actionMap[588][NULLTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[588][NOT] = ActionEntry(REDUCE, 317);
   _actionMap[588][KSEP] = ActionEntry(REDUCE, 317);
   _actionMap[588][RB] = ActionEntry(REDUCE, 317);
   _actionMap[588][EQU] = ActionEntry(REDUCE, 317);
   _actionMap[588][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[589][BEGIN] = ActionEntry(REDUCE, 309);
   _actionMap[589][DEFAULT] = ActionEntry(REDUCE, 309);
   _actionMap[589][NULLTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[589][NOT] = ActionEntry(REDUCE, 309);
   _actionMap[589][KSEP] = ActionEntry(REDUCE, 309);
   _actionMap[589][RB] = ActionEntry(REDUCE, 309);
   _actionMap[589][EQU] = ActionEntry(REDUCE, 309);
   _actionMap[589][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[590][BEGIN] = ActionEntry(REDUCE, 308);
   _actionMap[590][DEFAULT] = ActionEntry(REDUCE, 308);
   _actionMap[590][NULLTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[590][NOT] = ActionEntry(REDUCE, 308);
   _actionMap[590][KSEP] = ActionEntry(REDUCE, 308);
   _actionMap[590][RB] = ActionEntry(REDUCE, 308);
   _actionMap[590][EQU] = ActionEntry(REDUCE, 308);
   _actionMap[590][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[591][LB] = ActionEntry(SHIFT, 674);
   _actionMap[592][BEGIN] = ActionEntry(REDUCE, 312);
   _actionMap[592][DEFAULT] = ActionEntry(REDUCE, 312);
   _actionMap[592][NULLTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[592][NOT] = ActionEntry(REDUCE, 312);
   _actionMap[592][KSEP] = ActionEntry(REDUCE, 312);
   _actionMap[592][RB] = ActionEntry(REDUCE, 312);
   _actionMap[592][EQU] = ActionEntry(REDUCE, 312);
   _actionMap[592][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[593][LB] = ActionEntry(SHIFT, 675);
   _actionMap[594][BEGIN] = ActionEntry(REDUCE, 311);
   _actionMap[594][DEFAULT] = ActionEntry(REDUCE, 311);
   _actionMap[594][NULLTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[594][NOT] = ActionEntry(REDUCE, 311);
   _actionMap[594][KSEP] = ActionEntry(REDUCE, 311);
   _actionMap[594][RB] = ActionEntry(REDUCE, 311);
   _actionMap[594][EQU] = ActionEntry(REDUCE, 311);
   _actionMap[594][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[595][BEGIN] = ActionEntry(REDUCE, 305);
   _actionMap[595][DEFAULT] = ActionEntry(REDUCE, 305);
}
void Cego::loadParser46()
{
   _actionMap[595][NULLTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[595][NOT] = ActionEntry(REDUCE, 305);
   _actionMap[595][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[595][RB] = ActionEntry(REDUCE, 305);
   _actionMap[595][EQU] = ActionEntry(REDUCE, 305);
   _actionMap[595][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[596][BEGIN] = ActionEntry(REDUCE, 306);
   _actionMap[596][DEFAULT] = ActionEntry(REDUCE, 306);
   _actionMap[596][NULLTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[596][NOT] = ActionEntry(REDUCE, 306);
   _actionMap[596][KSEP] = ActionEntry(REDUCE, 306);
   _actionMap[596][RB] = ActionEntry(REDUCE, 306);
   _actionMap[596][EQU] = ActionEntry(REDUCE, 306);
   _actionMap[596][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[597][BEGIN] = ActionEntry(REDUCE, 313);
   _actionMap[597][DEFAULT] = ActionEntry(REDUCE, 313);
   _actionMap[597][NULLTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[597][NOT] = ActionEntry(REDUCE, 313);
   _actionMap[597][KSEP] = ActionEntry(REDUCE, 313);
   _actionMap[597][RB] = ActionEntry(REDUCE, 313);
   _actionMap[597][EQU] = ActionEntry(REDUCE, 313);
   _actionMap[597][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[598][LB] = ActionEntry(SHIFT, 676);
   _actionMap[599][BEGIN] = ActionEntry(REDUCE, 314);
   _actionMap[599][DEFAULT] = ActionEntry(REDUCE, 314);
   _actionMap[599][NULLTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[599][NOT] = ActionEntry(REDUCE, 314);
   _actionMap[599][KSEP] = ActionEntry(REDUCE, 314);
   _actionMap[599][RB] = ActionEntry(REDUCE, 314);
   _actionMap[599][EQU] = ActionEntry(REDUCE, 314);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[600][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[600][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[600][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[600][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[600][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[600][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[600][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[600][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[600][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[600][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[600][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[600][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[600][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[600][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[600][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[600][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[600][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[600][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[600][TRUNC] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser47()
{
   _actionMap[600][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[600][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[600][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[600][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[600][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[600][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[600][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[600][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[600][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[600][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[600][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[600][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[600][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[600][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[600][LB] = ActionEntry(SHIFT, 136);
   _actionMap[600][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[600][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[600][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[600][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[600][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[600][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[600][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[600][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[600][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[600][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[600][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[600][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[600][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[600][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[600][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[600][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[600][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[600][IF] = ActionEntry(SHIFT, 319);
   _actionMap[600][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[600][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[600][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[600][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[600][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[600][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[600][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[600][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[600][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[600][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[600][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[600][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[600][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[600][ObjSpec] = 95;
   _jumpMap[600][Constant] = 94;
   _jumpMap[600][SignedFloat] = 93;
   _jumpMap[600][SignedInt] = 92;
}
void Cego::loadParser48()
{
   _jumpMap[600][Attribute] = 91;
   _jumpMap[600][Function] = 90;
   _jumpMap[600][DeleteStatement] = 315;
   _jumpMap[600][UpdateStatement] = 314;
   _jumpMap[600][InsertStatement] = 313;
   _jumpMap[600][RollbackStatement] = 312;
   _jumpMap[600][CommitStatement] = 311;
   _jumpMap[600][StartStatement] = 310;
   _jumpMap[600][CasePrepare] = 89;
   _jumpMap[600][CaseClause] = 88;
   _jumpMap[600][Factor] = 87;
   _jumpMap[600][Term] = 86;
   _jumpMap[600][Expr] = 309;
   _jumpMap[600][ProcStatement] = 308;
   _jumpMap[600][ProcIfPart] = 307;
   _jumpMap[600][ProcBlockStart] = 306;
   _jumpMap[600][ProcStatementList] = 305;
   _jumpMap[600][ProcStmtBlock] = 677;
   _actionMap[601][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[601][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[601][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[601][SEMICOLON] = ActionEntry(REDUCE, 90);
   _actionMap[602][LB] = ActionEntry(SHIFT, 678);
   _actionMap[603][IDENTIFIER] = ActionEntry(SHIFT, 681);
   _jumpMap[603][SimpleAttr] = 680;
   _jumpMap[603][SimpleAttrList] = 679;
   _actionMap[604][IDENTIFIER] = ActionEntry(SHIFT, 456);
   _jumpMap[604][ProcArg] = 682;
   _actionMap[605][BEGIN] = ActionEntry(REDUCE, 74);
   _actionMap[606][INT] = ActionEntry(SHIFT, 595);
   _actionMap[606][LONG] = ActionEntry(SHIFT, 596);
   _actionMap[606][STRING] = ActionEntry(SHIFT, 598);
   _actionMap[606][DATETIME] = ActionEntry(SHIFT, 590);
   _actionMap[606][BOOL] = ActionEntry(SHIFT, 589);
   _actionMap[606][BIGINT] = ActionEntry(SHIFT, 587);
   _actionMap[606][FLOAT] = ActionEntry(SHIFT, 594);
   _actionMap[606][DOUBLE] = ActionEntry(SHIFT, 592);
   _actionMap[606][SMALLINT] = ActionEntry(SHIFT, 597);
   _actionMap[606][TINYINT] = ActionEntry(SHIFT, 599);
   _actionMap[606][DECIMAL] = ActionEntry(SHIFT, 591);
   _actionMap[606][FIXED] = ActionEntry(SHIFT, 593);
   _actionMap[606][BLOB] = ActionEntry(SHIFT, 588);
   _jumpMap[606][DataTypeProd] = 683;
   _actionMap[607][INT] = ActionEntry(SHIFT, 595);
   _actionMap[607][LONG] = ActionEntry(SHIFT, 596);
   _actionMap[607][STRING] = ActionEntry(SHIFT, 598);
   _actionMap[607][DATETIME] = ActionEntry(SHIFT, 590);
   _actionMap[607][BOOL] = ActionEntry(SHIFT, 589);
   _actionMap[607][BIGINT] = ActionEntry(SHIFT, 587);
   _actionMap[607][FLOAT] = ActionEntry(SHIFT, 594);
}
void Cego::loadParser49()
{
   _actionMap[607][DOUBLE] = ActionEntry(SHIFT, 592);
   _actionMap[607][SMALLINT] = ActionEntry(SHIFT, 597);
   _actionMap[607][TINYINT] = ActionEntry(SHIFT, 599);
   _actionMap[607][DECIMAL] = ActionEntry(SHIFT, 591);
   _actionMap[607][FIXED] = ActionEntry(SHIFT, 593);
   _actionMap[607][BLOB] = ActionEntry(SHIFT, 588);
   _jumpMap[607][DataTypeProd] = 684;
   _actionMap[608][INT] = ActionEntry(SHIFT, 595);
   _actionMap[608][LONG] = ActionEntry(SHIFT, 596);
   _actionMap[608][STRING] = ActionEntry(SHIFT, 598);
   _actionMap[608][DATETIME] = ActionEntry(SHIFT, 590);
   _actionMap[608][BOOL] = ActionEntry(SHIFT, 589);
   _actionMap[608][BIGINT] = ActionEntry(SHIFT, 587);
   _actionMap[608][FLOAT] = ActionEntry(SHIFT, 594);
   _actionMap[608][DOUBLE] = ActionEntry(SHIFT, 592);
   _actionMap[608][SMALLINT] = ActionEntry(SHIFT, 597);
   _actionMap[608][TINYINT] = ActionEntry(SHIFT, 599);
   _actionMap[608][DECIMAL] = ActionEntry(SHIFT, 591);
   _actionMap[608][FIXED] = ActionEntry(SHIFT, 593);
   _actionMap[608][BLOB] = ActionEntry(SHIFT, 588);
   _jumpMap[608][DataTypeProd] = 685;
   _actionMap[609][IDENTIFIER] = ActionEntry(SHIFT, 461);
   _actionMap[609][PRIMARY] = ActionEntry(SHIFT, 460);
   _jumpMap[609][ColumnDesc] = 459;
   _jumpMap[609][KeyColumn] = 686;
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[611][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[611][RB] = ActionEntry(REDUCE, 163);
   _actionMap[612][RB] = ActionEntry(REDUCE, 172);
   _actionMap[612][SEMICOLON] = ActionEntry(REDUCE, 172);
   _actionMap[612][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[612][NOT] = ActionEntry(REDUCE, 172);
   _actionMap[612][NULLTOKEN] = ActionEntry(REDUCE, 172);
   _actionMap[612][DEFAULT] = ActionEntry(SHIFT, 689);
   _jumpMap[612][DefaultDefOpt] = 688;
   _jumpMap[612][DefaultOpt] = 687;
   _actionMap[613][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[613][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[613][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[613][KSEP] = ActionEntry(REDUCE, 189);
   _actionMap[613][RB] = ActionEntry(REDUCE, 189);
   _actionMap[614][RB] = ActionEntry(SHIFT, 691);
   _actionMap[614][KSEP] = ActionEntry(SHIFT, 690);
   _actionMap[615][IDENTIFIER] = ActionEntry(SHIFT, 692);
   _actionMap[616][SELECT] = ActionEntry(REDUCE, 183);
   _actionMap[616][VALUES] = ActionEntry(REDUCE, 183);
   _actionMap[617][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[617][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[617][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[617][RIGHT] = ActionEntry(REDUCE, 154);
}
void Cego::loadParser50()
{
   _actionMap[617][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[617][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[617][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[617][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[617][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[617][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[617][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[617][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[617][OR] = ActionEntry(REDUCE, 154);
   _actionMap[617][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[617][AS] = ActionEntry(REDUCE, 154);
   _actionMap[617][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[617][AND] = ActionEntry(REDUCE, 154);
   _actionMap[617][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[617][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[617][BETWEEN] = ActionEntry(REDUCE, 154);
   _actionMap[617][IS] = ActionEntry(REDUCE, 154);
   _actionMap[617][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[617][MT] = ActionEntry(REDUCE, 154);
   _actionMap[617][LT] = ActionEntry(REDUCE, 154);
   _actionMap[617][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[617][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[617][RB] = ActionEntry(REDUCE, 154);
   _actionMap[617][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[617][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[617][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[617][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[617][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[617][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[617][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[617][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[617][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[617][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[617][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[617][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[618][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[618][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[618][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[618][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[618][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[618][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[618][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[618][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[618][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[618][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[618][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[618][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[618][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[618][GROUP] = ActionEntry(REDUCE, 297);
   _actionMap[618][WHERE] = ActionEntry(REDUCE, 297);
}
void Cego::loadParser51()
{
   _actionMap[618][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[618][AND] = ActionEntry(REDUCE, 297);
   _actionMap[618][OR] = ActionEntry(REDUCE, 297);
   _actionMap[618][RB] = ActionEntry(REDUCE, 297);
   _actionMap[619][AND] = ActionEntry(SHIFT, 693);
   _actionMap[619][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[619][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[619][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[620][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[620][SelectStatement] = 694;
   _actionMap[621][NULLTOKEN] = ActionEntry(SHIFT, 695);
   _actionMap[622][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[622][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[622][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[622][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[622][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[622][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[622][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[622][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[622][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[622][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[622][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[622][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[622][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[622][AND] = ActionEntry(REDUCE, 299);
   _actionMap[622][OR] = ActionEntry(REDUCE, 299);
   _actionMap[622][RB] = ActionEntry(REDUCE, 299);
   _actionMap[623][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[623][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[623][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[623][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[623][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[623][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[623][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[623][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[623][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[623][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[623][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[623][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[623][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[623][AND] = ActionEntry(REDUCE, 301);
   _actionMap[623][OR] = ActionEntry(REDUCE, 301);
   _actionMap[623][RB] = ActionEntry(REDUCE, 301);
   _actionMap[624][LB] = ActionEntry(SHIFT, 696);
   _actionMap[625][STRINGVAL] = ActionEntry(SHIFT, 697);
   _actionMap[626][VARREF] = ActionEntry(REDUCE, 322);
   _actionMap[626][FETCH] = ActionEntry(REDUCE, 322);
   _actionMap[626][LB] = ActionEntry(REDUCE, 322);
   _actionMap[626][COUNT] = ActionEntry(REDUCE, 322);
   _actionMap[626][SUM] = ActionEntry(REDUCE, 322);
}
void Cego::loadParser52()
{
   _actionMap[626][AVG] = ActionEntry(REDUCE, 322);
   _actionMap[626][MIN] = ActionEntry(REDUCE, 322);
   _actionMap[626][MAX] = ActionEntry(REDUCE, 322);
   _actionMap[626][CASE] = ActionEntry(REDUCE, 322);
   _actionMap[626][TRIM] = ActionEntry(REDUCE, 322);
   _actionMap[626][RTRIM] = ActionEntry(REDUCE, 322);
   _actionMap[626][LTRIM] = ActionEntry(REDUCE, 322);
   _actionMap[626][ROUND] = ActionEntry(REDUCE, 322);
   _actionMap[626][DATE2STR] = ActionEntry(REDUCE, 322);
   _actionMap[626][DATE2INT] = ActionEntry(REDUCE, 322);
   _actionMap[626][INT2DATE] = ActionEntry(REDUCE, 322);
   _actionMap[626][LOWER] = ActionEntry(REDUCE, 322);
   _actionMap[626][UPPER] = ActionEntry(REDUCE, 322);
   _actionMap[626][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[626][RIGHT] = ActionEntry(REDUCE, 322);
   _actionMap[626][GETPOS] = ActionEntry(REDUCE, 322);
   _actionMap[626][SUBSTR] = ActionEntry(REDUCE, 322);
   _actionMap[626][REPLACE] = ActionEntry(REDUCE, 322);
   _actionMap[626][LENGTH] = ActionEntry(REDUCE, 322);
   _actionMap[626][TRUNC] = ActionEntry(REDUCE, 322);
   _actionMap[626][STR2INT] = ActionEntry(REDUCE, 322);
   _actionMap[626][STR2LONG] = ActionEntry(REDUCE, 322);
   _actionMap[626][RANDSTR] = ActionEntry(REDUCE, 322);
   _actionMap[626][RANDINT] = ActionEntry(REDUCE, 322);
   _actionMap[626][MOD] = ActionEntry(REDUCE, 322);
   _actionMap[626][DIV] = ActionEntry(REDUCE, 322);
   _actionMap[626][POWER] = ActionEntry(REDUCE, 322);
   _actionMap[626][BITAND] = ActionEntry(REDUCE, 322);
   _actionMap[626][BITOR] = ActionEntry(REDUCE, 322);
   _actionMap[626][BITXOR] = ActionEntry(REDUCE, 322);
   _actionMap[626][NEXTCOUNT] = ActionEntry(REDUCE, 322);
   _actionMap[626][IDENTIFIER] = ActionEntry(REDUCE, 322);
   _actionMap[626][QUALIFIEDOBJ] = ActionEntry(REDUCE, 322);
   _actionMap[626][QUALIFIEDTS] = ActionEntry(REDUCE, 322);
   _actionMap[626][QUALIFIEDPRE] = ActionEntry(REDUCE, 322);
   _actionMap[626][STRINGVAL] = ActionEntry(REDUCE, 322);
   _actionMap[626][DATE] = ActionEntry(REDUCE, 322);
   _actionMap[626][SYSDATE] = ActionEntry(REDUCE, 322);
   _actionMap[626][NULLTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[626][TRUEVAL] = ActionEntry(REDUCE, 322);
   _actionMap[626][FALSEVAL] = ActionEntry(REDUCE, 322);
   _actionMap[626][LAB] = ActionEntry(REDUCE, 322);
   _actionMap[626][COUNTERID] = ActionEntry(REDUCE, 322);
   _actionMap[626][FLOATVAL] = ActionEntry(REDUCE, 322);
   _actionMap[626][MINUS] = ActionEntry(REDUCE, 322);
   _actionMap[626][INTVAL] = ActionEntry(REDUCE, 322);
   _actionMap[627][VARREF] = ActionEntry(REDUCE, 323);
   _actionMap[627][FETCH] = ActionEntry(REDUCE, 323);
   _actionMap[627][LB] = ActionEntry(REDUCE, 323);
   _actionMap[627][COUNT] = ActionEntry(REDUCE, 323);
}
void Cego::loadParser53()
{
   _actionMap[627][SUM] = ActionEntry(REDUCE, 323);
   _actionMap[627][AVG] = ActionEntry(REDUCE, 323);
   _actionMap[627][MIN] = ActionEntry(REDUCE, 323);
   _actionMap[627][MAX] = ActionEntry(REDUCE, 323);
   _actionMap[627][CASE] = ActionEntry(REDUCE, 323);
   _actionMap[627][TRIM] = ActionEntry(REDUCE, 323);
   _actionMap[627][RTRIM] = ActionEntry(REDUCE, 323);
   _actionMap[627][LTRIM] = ActionEntry(REDUCE, 323);
   _actionMap[627][ROUND] = ActionEntry(REDUCE, 323);
   _actionMap[627][DATE2STR] = ActionEntry(REDUCE, 323);
   _actionMap[627][DATE2INT] = ActionEntry(REDUCE, 323);
   _actionMap[627][INT2DATE] = ActionEntry(REDUCE, 323);
   _actionMap[627][LOWER] = ActionEntry(REDUCE, 323);
   _actionMap[627][UPPER] = ActionEntry(REDUCE, 323);
   _actionMap[627][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[627][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[627][GETPOS] = ActionEntry(REDUCE, 323);
   _actionMap[627][SUBSTR] = ActionEntry(REDUCE, 323);
   _actionMap[627][REPLACE] = ActionEntry(REDUCE, 323);
   _actionMap[627][LENGTH] = ActionEntry(REDUCE, 323);
   _actionMap[627][TRUNC] = ActionEntry(REDUCE, 323);
   _actionMap[627][STR2INT] = ActionEntry(REDUCE, 323);
   _actionMap[627][STR2LONG] = ActionEntry(REDUCE, 323);
   _actionMap[627][RANDSTR] = ActionEntry(REDUCE, 323);
   _actionMap[627][RANDINT] = ActionEntry(REDUCE, 323);
   _actionMap[627][MOD] = ActionEntry(REDUCE, 323);
   _actionMap[627][DIV] = ActionEntry(REDUCE, 323);
   _actionMap[627][POWER] = ActionEntry(REDUCE, 323);
   _actionMap[627][BITAND] = ActionEntry(REDUCE, 323);
   _actionMap[627][BITOR] = ActionEntry(REDUCE, 323);
   _actionMap[627][BITXOR] = ActionEntry(REDUCE, 323);
   _actionMap[627][NEXTCOUNT] = ActionEntry(REDUCE, 323);
   _actionMap[627][IDENTIFIER] = ActionEntry(REDUCE, 323);
   _actionMap[627][QUALIFIEDOBJ] = ActionEntry(REDUCE, 323);
   _actionMap[627][QUALIFIEDTS] = ActionEntry(REDUCE, 323);
   _actionMap[627][QUALIFIEDPRE] = ActionEntry(REDUCE, 323);
   _actionMap[627][STRINGVAL] = ActionEntry(REDUCE, 323);
   _actionMap[627][DATE] = ActionEntry(REDUCE, 323);
   _actionMap[627][SYSDATE] = ActionEntry(REDUCE, 323);
   _actionMap[627][NULLTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[627][TRUEVAL] = ActionEntry(REDUCE, 323);
   _actionMap[627][FALSEVAL] = ActionEntry(REDUCE, 323);
   _actionMap[627][LAB] = ActionEntry(REDUCE, 323);
   _actionMap[627][COUNTERID] = ActionEntry(REDUCE, 323);
   _actionMap[627][FLOATVAL] = ActionEntry(REDUCE, 323);
   _actionMap[627][MINUS] = ActionEntry(REDUCE, 323);
   _actionMap[627][INTVAL] = ActionEntry(REDUCE, 323);
   _actionMap[628][VARREF] = ActionEntry(REDUCE, 319);
   _actionMap[628][FETCH] = ActionEntry(REDUCE, 319);
   _actionMap[628][LB] = ActionEntry(REDUCE, 319);
}
void Cego::loadParser54()
{
   _actionMap[628][COUNT] = ActionEntry(REDUCE, 319);
   _actionMap[628][SUM] = ActionEntry(REDUCE, 319);
   _actionMap[628][AVG] = ActionEntry(REDUCE, 319);
   _actionMap[628][MIN] = ActionEntry(REDUCE, 319);
   _actionMap[628][MAX] = ActionEntry(REDUCE, 319);
   _actionMap[628][CASE] = ActionEntry(REDUCE, 319);
   _actionMap[628][TRIM] = ActionEntry(REDUCE, 319);
   _actionMap[628][RTRIM] = ActionEntry(REDUCE, 319);
   _actionMap[628][LTRIM] = ActionEntry(REDUCE, 319);
   _actionMap[628][ROUND] = ActionEntry(REDUCE, 319);
   _actionMap[628][DATE2STR] = ActionEntry(REDUCE, 319);
   _actionMap[628][DATE2INT] = ActionEntry(REDUCE, 319);
   _actionMap[628][INT2DATE] = ActionEntry(REDUCE, 319);
   _actionMap[628][LOWER] = ActionEntry(REDUCE, 319);
   _actionMap[628][UPPER] = ActionEntry(REDUCE, 319);
   _actionMap[628][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[628][RIGHT] = ActionEntry(REDUCE, 319);
   _actionMap[628][GETPOS] = ActionEntry(REDUCE, 319);
   _actionMap[628][SUBSTR] = ActionEntry(REDUCE, 319);
   _actionMap[628][REPLACE] = ActionEntry(REDUCE, 319);
   _actionMap[628][LENGTH] = ActionEntry(REDUCE, 319);
   _actionMap[628][TRUNC] = ActionEntry(REDUCE, 319);
   _actionMap[628][STR2INT] = ActionEntry(REDUCE, 319);
   _actionMap[628][STR2LONG] = ActionEntry(REDUCE, 319);
   _actionMap[628][RANDSTR] = ActionEntry(REDUCE, 319);
   _actionMap[628][RANDINT] = ActionEntry(REDUCE, 319);
   _actionMap[628][MOD] = ActionEntry(REDUCE, 319);
   _actionMap[628][DIV] = ActionEntry(REDUCE, 319);
   _actionMap[628][POWER] = ActionEntry(REDUCE, 319);
   _actionMap[628][BITAND] = ActionEntry(REDUCE, 319);
   _actionMap[628][BITOR] = ActionEntry(REDUCE, 319);
   _actionMap[628][BITXOR] = ActionEntry(REDUCE, 319);
   _actionMap[628][NEXTCOUNT] = ActionEntry(REDUCE, 319);
   _actionMap[628][IDENTIFIER] = ActionEntry(REDUCE, 319);
   _actionMap[628][QUALIFIEDOBJ] = ActionEntry(REDUCE, 319);
   _actionMap[628][QUALIFIEDTS] = ActionEntry(REDUCE, 319);
   _actionMap[628][QUALIFIEDPRE] = ActionEntry(REDUCE, 319);
   _actionMap[628][STRINGVAL] = ActionEntry(REDUCE, 319);
   _actionMap[628][DATE] = ActionEntry(REDUCE, 319);
   _actionMap[628][SYSDATE] = ActionEntry(REDUCE, 319);
   _actionMap[628][NULLTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[628][TRUEVAL] = ActionEntry(REDUCE, 319);
   _actionMap[628][FALSEVAL] = ActionEntry(REDUCE, 319);
   _actionMap[628][LAB] = ActionEntry(REDUCE, 319);
   _actionMap[628][COUNTERID] = ActionEntry(REDUCE, 319);
   _actionMap[628][FLOATVAL] = ActionEntry(REDUCE, 319);
   _actionMap[628][MINUS] = ActionEntry(REDUCE, 319);
   _actionMap[628][INTVAL] = ActionEntry(REDUCE, 319);
   _actionMap[629][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[629][LEFT] = ActionEntry(REDUCE, 291);
}
void Cego::loadParser55()
{
   _actionMap[629][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[629][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[629][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[629][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[629][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[629][RB] = ActionEntry(REDUCE, 291);
   _actionMap[629][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[629][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[629][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[629][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[629][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[629][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[629][OR] = ActionEntry(REDUCE, 291);
   _actionMap[629][AND] = ActionEntry(REDUCE, 291);
   _actionMap[630][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[630][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[630][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[630][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[630][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[630][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[630][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[630][RB] = ActionEntry(REDUCE, 292);
   _actionMap[630][ENDTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[630][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[630][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[630][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[630][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[630][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[630][OR] = ActionEntry(REDUCE, 292);
   _actionMap[630][AND] = ActionEntry(REDUCE, 292);
   _actionMap[631][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[631][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[631][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[631][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[631][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[632][RB] = ActionEntry(SHIFT, 698);
   _actionMap[633][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[633][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[633][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[633][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[633][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[633][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[633][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[633][RB] = ActionEntry(REDUCE, 303);
   _actionMap[633][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[633][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[633][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[633][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[633][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[633][WHERE] = ActionEntry(REDUCE, 303);
}
void Cego::loadParser56()
{
   _actionMap[633][AND] = ActionEntry(REDUCE, 303);
   _actionMap[633][OR] = ActionEntry(REDUCE, 303);
   _actionMap[634][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[634][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[634][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[634][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[634][RB] = ActionEntry(REDUCE, 286);
   _actionMap[635][RB] = ActionEntry(SHIFT, 699);
   _actionMap[636][RB] = ActionEntry(REDUCE, 349);
   _actionMap[637][RB] = ActionEntry(SHIFT, 701);
   _actionMap[637][KSEP] = ActionEntry(SHIFT, 700);
   _actionMap[638][KSEP] = ActionEntry(REDUCE, 160);
   _actionMap[638][RB] = ActionEntry(REDUCE, 160);
   _actionMap[639][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[639][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[639][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[639][RIGHT] = ActionEntry(REDUCE, 346);
   _actionMap[639][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[639][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[639][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[639][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[639][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[639][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[639][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[639][AS] = ActionEntry(REDUCE, 346);
   _actionMap[639][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[639][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[639][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[639][OR] = ActionEntry(REDUCE, 346);
   _actionMap[639][AND] = ActionEntry(REDUCE, 346);
   _actionMap[639][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[639][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[639][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[639][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[639][IS] = ActionEntry(REDUCE, 346);
   _actionMap[639][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[639][MT] = ActionEntry(REDUCE, 346);
   _actionMap[639][LT] = ActionEntry(REDUCE, 346);
   _actionMap[639][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[639][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[639][RB] = ActionEntry(REDUCE, 346);
   _actionMap[639][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[639][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[639][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[639][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[639][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[639][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[639][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[639][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[639][MINUS] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser57()
{
   _actionMap[639][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[639][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[639][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[640][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[640][RB] = ActionEntry(REDUCE, 222);
   _actionMap[640][ENDTOKEN] = ActionEntry(REDUCE, 222);
   _actionMap[640][UNION] = ActionEntry(REDUCE, 222);
   _actionMap[640][ROWLIMIT] = ActionEntry(REDUCE, 222);
   _actionMap[640][ORDER] = ActionEntry(SHIFT, 704);
   _jumpMap[640][NoOrdering] = 703;
   _jumpMap[640][OrderingClause] = 702;
   _actionMap[641][ORDER] = ActionEntry(REDUCE, 213);
   _actionMap[641][ROWLIMIT] = ActionEntry(REDUCE, 213);
   _actionMap[641][UNION] = ActionEntry(REDUCE, 213);
   _actionMap[641][ENDTOKEN] = ActionEntry(REDUCE, 213);
   _actionMap[641][RB] = ActionEntry(REDUCE, 213);
   _actionMap[641][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[642][BY] = ActionEntry(SHIFT, 705);
   _actionMap[643][ON] = ActionEntry(SHIFT, 707);
   _jumpMap[643][JoinTableOn] = 706;
   _actionMap[644][IDENTIFIER] = ActionEntry(REDUCE, 203);
   _actionMap[644][QUALIFIEDOBJ] = ActionEntry(REDUCE, 203);
   _actionMap[644][QUALIFIEDTS] = ActionEntry(REDUCE, 203);
   _actionMap[645][JOIN] = ActionEntry(SHIFT, 708);
   _actionMap[646][JOIN] = ActionEntry(SHIFT, 709);
   _actionMap[647][RETURNTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[647][SEMICOLON] = ActionEntry(REDUCE, 205);
   _actionMap[647][RB] = ActionEntry(REDUCE, 205);
   _actionMap[647][ENDTOKEN] = ActionEntry(REDUCE, 205);
   _actionMap[647][UNION] = ActionEntry(REDUCE, 205);
   _actionMap[647][ROWLIMIT] = ActionEntry(REDUCE, 205);
   _actionMap[647][ORDER] = ActionEntry(REDUCE, 205);
   _actionMap[647][GROUP] = ActionEntry(REDUCE, 205);
   _actionMap[647][WHERE] = ActionEntry(REDUCE, 205);
   _actionMap[648][KSEP] = ActionEntry(SHIFT, 548);
   _actionMap[648][RETURNTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[648][SEMICOLON] = ActionEntry(REDUCE, 206);
   _actionMap[648][RB] = ActionEntry(REDUCE, 206);
   _actionMap[648][ENDTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[648][UNION] = ActionEntry(REDUCE, 206);
   _actionMap[648][ROWLIMIT] = ActionEntry(REDUCE, 206);
   _actionMap[648][ORDER] = ActionEntry(REDUCE, 206);
   _actionMap[648][GROUP] = ActionEntry(REDUCE, 206);
   _actionMap[648][WHERE] = ActionEntry(REDUCE, 206);
   _actionMap[649][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[650][VARREF] = ActionEntry(SHIFT, 712);
   _jumpMap[650][ReturnVar] = 711;
   _jumpMap[650][ReturnVarList] = 710;
   _actionMap[651][KSEP] = ActionEntry(REDUCE, 235);
   _actionMap[651][WHERE] = ActionEntry(REDUCE, 235);
}
void Cego::loadParser58()
{
   _actionMap[651][GROUP] = ActionEntry(REDUCE, 235);
   _actionMap[651][ORDER] = ActionEntry(REDUCE, 235);
   _actionMap[651][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[651][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[651][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[651][RB] = ActionEntry(REDUCE, 235);
   _actionMap[651][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[651][RETURNTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[652][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[652][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[652][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[652][KSEP] = ActionEntry(REDUCE, 237);
   _actionMap[652][WHERE] = ActionEntry(REDUCE, 237);
   _actionMap[652][GROUP] = ActionEntry(REDUCE, 237);
   _actionMap[652][ORDER] = ActionEntry(REDUCE, 237);
   _actionMap[652][ROWLIMIT] = ActionEntry(REDUCE, 237);
   _actionMap[652][UNION] = ActionEntry(REDUCE, 237);
   _actionMap[652][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[652][RB] = ActionEntry(REDUCE, 237);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[652][RETURNTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[653][RB] = ActionEntry(SHIFT, 654);
   _actionMap[654][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[421][DROP] = ActionEntry(SHIFT, 296);
   _actionMap[421][ADD] = ActionEntry(SHIFT, 558);
   _actionMap[421][MODIFY] = ActionEntry(SHIFT, 297);
   _actionMap[421][RENAME] = ActionEntry(SHIFT, 298);
   _jumpMap[421][AlterOption] = 294;
   _jumpMap[421][AlterList] = 557;
   _actionMap[422][IDENTIFIER] = ActionEntry(SHIFT, 559);
   _actionMap[423][IDENTIFIER] = ActionEntry(SHIFT, 461);
   _jumpMap[423][ColumnDesc] = 560;
   _actionMap[424][KEY] = ActionEntry(SHIFT, 561);
   _actionMap[425][IDENTIFIER] = ActionEntry(SHIFT, 562);
   _actionMap[426][IDENTIFIER] = ActionEntry(SHIFT, 461);
   _jumpMap[426][ColumnDesc] = 563;
   _actionMap[427][IDENTIFIER] = ActionEntry(SHIFT, 564);
   _actionMap[428][FOR] = ActionEntry(SHIFT, 565);
   _actionMap[429][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[429][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[429][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[429][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[429][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[429][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[429][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[429][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[429][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[429][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[429][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[429][UPPER] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser59()
{
   _actionMap[429][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[429][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[429][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[429][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[429][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[429][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[429][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[429][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[429][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[429][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[429][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[429][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[429][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[429][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[429][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[429][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[429][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[429][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[429][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[429][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[429][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[429][LB] = ActionEntry(SHIFT, 136);
   _actionMap[429][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[429][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[429][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[429][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[429][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[429][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[429][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[429][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[429][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[429][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[429][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[429][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[429][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[429][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[429][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[429][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[429][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[429][ObjSpec] = 95;
   _jumpMap[429][Constant] = 94;
   _jumpMap[429][SignedFloat] = 93;
   _jumpMap[429][SignedInt] = 92;
   _jumpMap[429][Attribute] = 91;
   _jumpMap[429][Function] = 90;
   _jumpMap[429][CasePrepare] = 89;
   _jumpMap[429][CaseClause] = 88;
   _jumpMap[429][Factor] = 87;
   _jumpMap[429][Term] = 86;
   _jumpMap[429][Expr] = 566;
}
void Cego::loadParser60()
{
   _actionMap[430][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[431][ELSE] = ActionEntry(REDUCE, 84);
   _actionMap[431][ELSIF] = ActionEntry(REDUCE, 84);
   _actionMap[431][END_TOKEN] = ActionEntry(REDUCE, 84);
   _actionMap[431][EXCEPTION] = ActionEntry(SHIFT, 568);
   _jumpMap[431][ProcExceptionStmt] = 567;
   _actionMap[432][SEMICOLON] = ActionEntry(SHIFT, 569);
   _actionMap[433][END_TOKEN] = ActionEntry(SHIFT, 570);
   _actionMap[434][ELSE] = ActionEntry(SHIFT, 573);
   _actionMap[434][END_TOKEN] = ActionEntry(REDUCE, 120);
   _jumpMap[434][ProcElsePart] = 572;
   _jumpMap[434][ProcElseOpt] = 571;
   _actionMap[435][ELSIF] = ActionEntry(SHIFT, 436);
   _actionMap[435][END_TOKEN] = ActionEntry(REDUCE, 117);
   _actionMap[435][ELSE] = ActionEntry(REDUCE, 117);
   _jumpMap[435][ProcElsIfOpt] = 435;
   _jumpMap[435][ProcElsIfList] = 575;
   _actionMap[436][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[436][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[436][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[436][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[436][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[436][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[436][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[436][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[436][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[436][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[436][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[436][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[436][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[436][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[436][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[436][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[436][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[436][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[436][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[436][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[436][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[436][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[436][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[436][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[436][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[436][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[436][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[436][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[436][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[436][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[436][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[436][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[436][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser61()
{
   _actionMap[436][LB] = ActionEntry(SHIFT, 444);
   _actionMap[436][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[436][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[436][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[436][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[436][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[436][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[436][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[436][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[436][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[436][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[436][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[436][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[436][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[436][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[436][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[436][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[436][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[436][ObjSpec] = 95;
   _jumpMap[436][Constant] = 94;
   _jumpMap[436][SignedFloat] = 93;
   _jumpMap[436][SignedInt] = 92;
   _jumpMap[436][Attribute] = 91;
   _jumpMap[436][Function] = 90;
   _jumpMap[436][CasePrepare] = 89;
   _jumpMap[436][CaseClause] = 88;
   _jumpMap[436][Factor] = 87;
   _jumpMap[436][Term] = 86;
   _jumpMap[436][Expr] = 443;
   _jumpMap[436][ProcPredicate] = 442;
   _jumpMap[436][ProcCondition] = 577;
   _jumpMap[436][ProcElsIfCondition] = 576;
   _actionMap[437][EXCEPTION] = ActionEntry(REDUCE, 86);
   _actionMap[437][END_TOKEN] = ActionEntry(REDUCE, 86);
   _actionMap[437][ELSE] = ActionEntry(REDUCE, 86);
   _actionMap[437][ELSIF] = ActionEntry(REDUCE, 86);
   _actionMap[437][VAR] = ActionEntry(REDUCE, 86);
   _actionMap[437][CURSOR] = ActionEntry(REDUCE, 86);
   _actionMap[437][CLOSE] = ActionEntry(REDUCE, 86);
   _actionMap[437][VARREF] = ActionEntry(REDUCE, 86);
   _actionMap[437][NOOP] = ActionEntry(REDUCE, 86);
   _actionMap[437][RETURNTOKEN] = ActionEntry(REDUCE, 86);
   _actionMap[437][WHILE] = ActionEntry(REDUCE, 86);
   _actionMap[437][IF] = ActionEntry(REDUCE, 86);
   _actionMap[437][BEGIN] = ActionEntry(REDUCE, 86);
   _actionMap[437][ROLLBACK] = ActionEntry(REDUCE, 86);
   _actionMap[437][COMMIT] = ActionEntry(REDUCE, 86);
   _actionMap[437][START_TOKEN] = ActionEntry(REDUCE, 86);
   _actionMap[437][UPDATE] = ActionEntry(REDUCE, 86);
   _actionMap[437][DELETETOK] = ActionEntry(REDUCE, 86);
}
void Cego::loadParser62()
{
   _actionMap[437][INSERT] = ActionEntry(REDUCE, 86);
   _actionMap[437][FETCH] = ActionEntry(REDUCE, 86);
   _actionMap[437][LB] = ActionEntry(REDUCE, 86);
   _actionMap[437][COUNT] = ActionEntry(REDUCE, 86);
   _actionMap[437][SUM] = ActionEntry(REDUCE, 86);
   _actionMap[437][AVG] = ActionEntry(REDUCE, 86);
   _actionMap[437][MIN] = ActionEntry(REDUCE, 86);
   _actionMap[437][MAX] = ActionEntry(REDUCE, 86);
   _actionMap[437][CASE] = ActionEntry(REDUCE, 86);
   _actionMap[437][TRIM] = ActionEntry(REDUCE, 86);
   _actionMap[437][RTRIM] = ActionEntry(REDUCE, 86);
   _actionMap[437][LTRIM] = ActionEntry(REDUCE, 86);
   _actionMap[437][ROUND] = ActionEntry(REDUCE, 86);
   _actionMap[437][DATE2STR] = ActionEntry(REDUCE, 86);
   _actionMap[437][DATE2INT] = ActionEntry(REDUCE, 86);
   _actionMap[437][INT2DATE] = ActionEntry(REDUCE, 86);
   _actionMap[437][LOWER] = ActionEntry(REDUCE, 86);
   _actionMap[437][UPPER] = ActionEntry(REDUCE, 86);
   _actionMap[437][LEFT] = ActionEntry(REDUCE, 86);
   _actionMap[437][RIGHT] = ActionEntry(REDUCE, 86);
   _actionMap[437][GETPOS] = ActionEntry(REDUCE, 86);
   _actionMap[437][SUBSTR] = ActionEntry(REDUCE, 86);
   _actionMap[437][REPLACE] = ActionEntry(REDUCE, 86);
   _actionMap[437][LENGTH] = ActionEntry(REDUCE, 86);
   _actionMap[437][TRUNC] = ActionEntry(REDUCE, 86);
   _actionMap[437][STR2INT] = ActionEntry(REDUCE, 86);
   _actionMap[437][STR2LONG] = ActionEntry(REDUCE, 86);
   _actionMap[437][RANDSTR] = ActionEntry(REDUCE, 86);
   _actionMap[437][RANDINT] = ActionEntry(REDUCE, 86);
   _actionMap[437][MOD] = ActionEntry(REDUCE, 86);
   _actionMap[437][DIV] = ActionEntry(REDUCE, 86);
   _actionMap[437][POWER] = ActionEntry(REDUCE, 86);
   _actionMap[437][BITAND] = ActionEntry(REDUCE, 86);
   _actionMap[437][BITOR] = ActionEntry(REDUCE, 86);
   _actionMap[437][BITXOR] = ActionEntry(REDUCE, 86);
   _actionMap[437][NEXTCOUNT] = ActionEntry(REDUCE, 86);
   _actionMap[437][IDENTIFIER] = ActionEntry(REDUCE, 86);
   _actionMap[437][QUALIFIEDOBJ] = ActionEntry(REDUCE, 86);
   _actionMap[437][QUALIFIEDTS] = ActionEntry(REDUCE, 86);
   _actionMap[437][QUALIFIEDPRE] = ActionEntry(REDUCE, 86);
   _actionMap[437][STRINGVAL] = ActionEntry(REDUCE, 86);
   _actionMap[437][DATE] = ActionEntry(REDUCE, 86);
   _actionMap[437][SYSDATE] = ActionEntry(REDUCE, 86);
   _actionMap[437][NULLTOKEN] = ActionEntry(REDUCE, 86);
   _actionMap[437][TRUEVAL] = ActionEntry(REDUCE, 86);
   _actionMap[437][FALSEVAL] = ActionEntry(REDUCE, 86);
   _actionMap[437][LAB] = ActionEntry(REDUCE, 86);
   _actionMap[437][COUNTERID] = ActionEntry(REDUCE, 86);
   _actionMap[437][FLOATVAL] = ActionEntry(REDUCE, 86);
   _actionMap[437][MINUS] = ActionEntry(REDUCE, 86);
}
void Cego::loadParser63()
{
   _actionMap[437][INTVAL] = ActionEntry(REDUCE, 86);
   _actionMap[438][SEMICOLON] = ActionEntry(REDUCE, 89);
   _actionMap[439][AS] = ActionEntry(SHIFT, 578);
   _actionMap[440][THEN] = ActionEntry(SHIFT, 579);
   _actionMap[441][OR] = ActionEntry(SHIFT, 581);
   _actionMap[441][AND] = ActionEntry(SHIFT, 580);
   _actionMap[441][THEN] = ActionEntry(REDUCE, 122);
   _actionMap[442][BEGIN] = ActionEntry(REDUCE, 128);
   _actionMap[442][RB] = ActionEntry(REDUCE, 128);
   _actionMap[442][AND] = ActionEntry(REDUCE, 128);
   _actionMap[442][OR] = ActionEntry(REDUCE, 128);
   _actionMap[442][THEN] = ActionEntry(REDUCE, 128);
   _actionMap[443][IS] = ActionEntry(SHIFT, 583);
   _actionMap[443][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[443][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[443][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[443][EQU] = ActionEntry(SHIFT, 476);
   _actionMap[443][NEGATION] = ActionEntry(SHIFT, 479);
   _actionMap[443][LT] = ActionEntry(SHIFT, 477);
   _actionMap[443][MT] = ActionEntry(SHIFT, 478);
   _jumpMap[443][Comparison] = 582;
   _actionMap[444][LONG] = ActionEntry(SHIFT, 260);
   _actionMap[444][BIGINT] = ActionEntry(SHIFT, 256);
   _actionMap[444][SMALLINT] = ActionEntry(SHIFT, 261);
   _actionMap[444][TINYINT] = ActionEntry(SHIFT, 262);
   _actionMap[444][DOUBLE] = ActionEntry(SHIFT, 258);
   _actionMap[444][DECIMAL] = ActionEntry(SHIFT, 257);
   _actionMap[444][FIXED] = ActionEntry(SHIFT, 259);
   _actionMap[444][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[444][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[444][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[444][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[444][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[444][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[444][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[444][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[444][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[444][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[444][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[444][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[444][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[444][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[444][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[444][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[444][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[444][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[444][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[444][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[444][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[444][RANDSTR] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser64()
{
   _actionMap[444][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[444][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[444][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[444][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[444][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[444][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[444][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[444][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[444][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[444][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[444][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[444][LB] = ActionEntry(SHIFT, 444);
   _actionMap[444][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[444][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[444][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[444][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[444][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[444][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[444][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[444][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[444][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[444][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[444][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[444][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[444][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[444][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[444][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[444][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[444][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[444][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[444][ObjSpec] = 95;
   _jumpMap[444][Constant] = 94;
   _jumpMap[444][SignedFloat] = 93;
   _jumpMap[444][SignedInt] = 92;
   _jumpMap[444][Attribute] = 91;
   _jumpMap[444][Function] = 90;
   _jumpMap[444][SelectStatement] = 255;
   _jumpMap[444][CasePrepare] = 89;
   _jumpMap[444][CaseClause] = 88;
   _jumpMap[444][Factor] = 87;
   _jumpMap[444][Term] = 86;
   _jumpMap[444][Expr] = 585;
   _jumpMap[444][ProcPredicate] = 442;
   _jumpMap[444][ProcCondition] = 584;
   _actionMap[445][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[445][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[445][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[445][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[446][INT] = ActionEntry(SHIFT, 595);
   _actionMap[446][LONG] = ActionEntry(SHIFT, 596);
}
void Cego::loadParser65()
{
   _actionMap[446][STRING] = ActionEntry(SHIFT, 598);
   _actionMap[446][DATETIME] = ActionEntry(SHIFT, 590);
   _actionMap[446][BOOL] = ActionEntry(SHIFT, 589);
   _actionMap[446][BIGINT] = ActionEntry(SHIFT, 587);
   _actionMap[446][FLOAT] = ActionEntry(SHIFT, 594);
   _actionMap[446][DOUBLE] = ActionEntry(SHIFT, 592);
   _actionMap[446][SMALLINT] = ActionEntry(SHIFT, 597);
   _actionMap[446][TINYINT] = ActionEntry(SHIFT, 599);
   _actionMap[446][DECIMAL] = ActionEntry(SHIFT, 591);
   _actionMap[446][FIXED] = ActionEntry(SHIFT, 593);
   _actionMap[446][BLOB] = ActionEntry(SHIFT, 588);
   _jumpMap[446][DataTypeProd] = 586;
   _actionMap[447][BEGIN] = ActionEntry(SHIFT, 600);
   _actionMap[448][OR] = ActionEntry(SHIFT, 581);
   _actionMap[448][AND] = ActionEntry(SHIFT, 580);
   _actionMap[448][BEGIN] = ActionEntry(REDUCE, 125);
   _actionMap[449][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[449][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[449][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[449][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[449][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[449][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[449][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[449][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[449][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[449][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[449][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[449][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[449][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[449][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[449][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[449][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[449][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[449][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[449][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[449][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[449][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[449][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[449][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[449][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[449][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[449][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[449][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[449][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[449][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[449][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[449][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[449][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[449][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[449][LB] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser66()
{
   _actionMap[449][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[449][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[449][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[449][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[449][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[449][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[449][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[449][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[449][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[449][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[449][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[449][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[449][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[449][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[449][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[449][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[449][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[449][ObjSpec] = 95;
   _jumpMap[449][Constant] = 94;
   _jumpMap[449][SignedFloat] = 93;
   _jumpMap[449][SignedInt] = 92;
   _jumpMap[449][Attribute] = 91;
   _jumpMap[449][Function] = 90;
   _jumpMap[449][CasePrepare] = 89;
   _jumpMap[449][CaseClause] = 88;
   _jumpMap[449][Factor] = 87;
   _jumpMap[449][Term] = 86;
   _jumpMap[449][Expr] = 601;
   _actionMap[450][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[450][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[450][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[450][ObjSpec] = 602;
   _actionMap[451][LB] = ActionEntry(SHIFT, 603);
   _actionMap[452][RB] = ActionEntry(SHIFT, 455);
   _actionMap[453][KSEP] = ActionEntry(SHIFT, 604);
   _actionMap[453][RB] = ActionEntry(REDUCE, 78);
   _actionMap[454][KSEP] = ActionEntry(REDUCE, 81);
   _actionMap[454][RB] = ActionEntry(REDUCE, 81);
   _actionMap[455][RETURNTOKEN] = ActionEntry(SHIFT, 606);
   _actionMap[455][BEGIN] = ActionEntry(REDUCE, 77);
   _jumpMap[455][ReturnOpt] = 605;
   _actionMap[456][INTOK] = ActionEntry(SHIFT, 607);
   _actionMap[456][OUTTOK] = ActionEntry(SHIFT, 608);
   _actionMap[457][RB] = ActionEntry(SHIFT, 610);
   _actionMap[457][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[458][KSEP] = ActionEntry(REDUCE, 162);
   _actionMap[458][RB] = ActionEntry(REDUCE, 162);
   _actionMap[459][KSEP] = ActionEntry(REDUCE, 164);
   _actionMap[459][RB] = ActionEntry(REDUCE, 164);
   _actionMap[460][IDENTIFIER] = ActionEntry(SHIFT, 461);
}
void Cego::loadParser67()
{
   _jumpMap[460][ColumnDesc] = 611;
   _actionMap[461][INT] = ActionEntry(SHIFT, 595);
   _actionMap[461][LONG] = ActionEntry(SHIFT, 596);
   _actionMap[461][STRING] = ActionEntry(SHIFT, 598);
   _actionMap[461][DATETIME] = ActionEntry(SHIFT, 590);
   _actionMap[461][BOOL] = ActionEntry(SHIFT, 589);
   _actionMap[461][BIGINT] = ActionEntry(SHIFT, 587);
   _actionMap[461][FLOAT] = ActionEntry(SHIFT, 594);
   _actionMap[461][DOUBLE] = ActionEntry(SHIFT, 592);
   _actionMap[461][SMALLINT] = ActionEntry(SHIFT, 597);
   _actionMap[461][TINYINT] = ActionEntry(SHIFT, 599);
   _actionMap[461][DECIMAL] = ActionEntry(SHIFT, 591);
   _actionMap[461][FIXED] = ActionEntry(SHIFT, 593);
   _actionMap[461][BLOB] = ActionEntry(SHIFT, 588);
   _jumpMap[461][DataTypeProd] = 612;
   _actionMap[462][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[463][AND] = ActionEntry(SHIFT, 480);
   _actionMap[463][OR] = ActionEntry(SHIFT, 481);
   _actionMap[463][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[463][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[463][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[463][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[463][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[463][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[463][RB] = ActionEntry(REDUCE, 288);
   _actionMap[463][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[464][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[465][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[465][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[465][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[465][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[465][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[465][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[465][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[465][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[465][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[465][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[465][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[465][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[465][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[465][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[465][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[465][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[465][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[465][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[465][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[465][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[465][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[465][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[465][RANDINT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser68()
{
   _actionMap[465][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[465][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[465][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[465][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[465][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[465][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[465][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[465][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[465][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[465][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[465][LB] = ActionEntry(SHIFT, 136);
   _actionMap[465][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[465][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[465][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[465][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[465][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[465][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[465][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[465][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[465][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[465][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[465][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[465][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[465][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[465][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[465][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[465][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[465][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[465][ObjSpec] = 95;
   _jumpMap[465][Constant] = 94;
   _jumpMap[465][SignedFloat] = 93;
   _jumpMap[465][SignedInt] = 92;
   _jumpMap[465][Attribute] = 91;
   _jumpMap[465][Function] = 90;
   _jumpMap[465][InsertValueList] = 614;
   _jumpMap[465][CasePrepare] = 89;
   _jumpMap[465][CaseClause] = 88;
   _jumpMap[465][Factor] = 87;
   _jumpMap[465][Term] = 86;
   _jumpMap[465][Expr] = 613;
   _actionMap[466][RB] = ActionEntry(SHIFT, 616);
   _actionMap[466][KSEP] = ActionEntry(SHIFT, 615);
   _actionMap[467][KSEP] = ActionEntry(REDUCE, 187);
   _actionMap[467][RB] = ActionEntry(REDUCE, 187);
   _actionMap[468][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[469][END_TOKEN] = ActionEntry(SHIFT, 617);
   _actionMap[469][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[469][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[469][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[470][FLOATVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser69()
{
   _actionMap[470][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[470][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[470][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[470][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[470][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[470][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[470][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[470][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[470][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[470][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[470][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[470][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[470][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[470][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[470][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[470][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[470][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[470][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[470][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[470][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[470][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[470][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[470][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[470][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[470][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[470][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[470][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[470][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[470][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[470][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[470][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[470][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[470][LB] = ActionEntry(SHIFT, 136);
   _actionMap[470][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[470][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[470][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[470][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[470][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[470][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[470][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[470][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[470][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[470][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[470][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[470][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[470][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[470][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[470][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[470][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[470][MAX] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser70()
{
   _jumpMap[470][ObjSpec] = 95;
   _jumpMap[470][Constant] = 94;
   _jumpMap[470][SignedFloat] = 93;
   _jumpMap[470][SignedInt] = 92;
   _jumpMap[470][Attribute] = 91;
   _jumpMap[470][Function] = 90;
   _jumpMap[470][CasePrepare] = 89;
   _jumpMap[470][CaseClause] = 88;
   _jumpMap[470][Factor] = 87;
   _jumpMap[470][Term] = 86;
   _jumpMap[470][Expr] = 618;
   _actionMap[471][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[471][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[471][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[471][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[471][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[471][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[471][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[471][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[471][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[471][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[471][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[471][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[471][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[471][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[471][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[471][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[471][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[471][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[471][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[471][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[471][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[471][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[471][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[471][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[471][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[471][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[471][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[471][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[471][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[471][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[471][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[471][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[471][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[471][LB] = ActionEntry(SHIFT, 136);
   _actionMap[471][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[471][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[471][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[471][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[471][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser71()
{
   _actionMap[471][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[471][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[471][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[471][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[471][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[471][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[471][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[471][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[471][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[471][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[471][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[471][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[471][ObjSpec] = 95;
   _jumpMap[471][Constant] = 94;
   _jumpMap[471][SignedFloat] = 93;
   _jumpMap[471][SignedInt] = 92;
   _jumpMap[471][Attribute] = 91;
   _jumpMap[471][Function] = 90;
   _jumpMap[471][CasePrepare] = 89;
   _jumpMap[471][CaseClause] = 88;
   _jumpMap[471][Factor] = 87;
   _jumpMap[471][Term] = 86;
   _jumpMap[471][Expr] = 619;
   _actionMap[472][LB] = ActionEntry(SHIFT, 620);
   _actionMap[473][NOT] = ActionEntry(SHIFT, 621);
   _actionMap[473][NULLTOKEN] = ActionEntry(SHIFT, 622);
   _actionMap[474][STRINGVAL] = ActionEntry(SHIFT, 623);
   _actionMap[475][LIKE] = ActionEntry(SHIFT, 625);
   _actionMap[475][INTOK] = ActionEntry(SHIFT, 624);
   _actionMap[476][VARREF] = ActionEntry(REDUCE, 318);
   _actionMap[476][FETCH] = ActionEntry(REDUCE, 318);
   _actionMap[476][LB] = ActionEntry(REDUCE, 318);
   _actionMap[476][COUNT] = ActionEntry(REDUCE, 318);
   _actionMap[476][SUM] = ActionEntry(REDUCE, 318);
   _actionMap[476][AVG] = ActionEntry(REDUCE, 318);
   _actionMap[476][MIN] = ActionEntry(REDUCE, 318);
   _actionMap[476][MAX] = ActionEntry(REDUCE, 318);
   _actionMap[476][CASE] = ActionEntry(REDUCE, 318);
   _actionMap[476][TRIM] = ActionEntry(REDUCE, 318);
   _actionMap[476][RTRIM] = ActionEntry(REDUCE, 318);
   _actionMap[476][LTRIM] = ActionEntry(REDUCE, 318);
   _actionMap[476][ROUND] = ActionEntry(REDUCE, 318);
   _actionMap[476][DATE2STR] = ActionEntry(REDUCE, 318);
   _actionMap[476][DATE2INT] = ActionEntry(REDUCE, 318);
   _actionMap[476][INT2DATE] = ActionEntry(REDUCE, 318);
   _actionMap[476][LOWER] = ActionEntry(REDUCE, 318);
   _actionMap[476][UPPER] = ActionEntry(REDUCE, 318);
   _actionMap[476][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[476][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[476][GETPOS] = ActionEntry(REDUCE, 318);
}
void Cego::loadParser72()
{
   _actionMap[476][SUBSTR] = ActionEntry(REDUCE, 318);
   _actionMap[476][REPLACE] = ActionEntry(REDUCE, 318);
   _actionMap[476][LENGTH] = ActionEntry(REDUCE, 318);
   _actionMap[476][TRUNC] = ActionEntry(REDUCE, 318);
   _actionMap[476][STR2INT] = ActionEntry(REDUCE, 318);
   _actionMap[476][STR2LONG] = ActionEntry(REDUCE, 318);
   _actionMap[476][RANDSTR] = ActionEntry(REDUCE, 318);
   _actionMap[476][RANDINT] = ActionEntry(REDUCE, 318);
   _actionMap[476][MOD] = ActionEntry(REDUCE, 318);
   _actionMap[476][DIV] = ActionEntry(REDUCE, 318);
   _actionMap[476][POWER] = ActionEntry(REDUCE, 318);
   _actionMap[476][BITAND] = ActionEntry(REDUCE, 318);
   _actionMap[476][BITOR] = ActionEntry(REDUCE, 318);
   _actionMap[476][BITXOR] = ActionEntry(REDUCE, 318);
   _actionMap[476][NEXTCOUNT] = ActionEntry(REDUCE, 318);
   _actionMap[476][IDENTIFIER] = ActionEntry(REDUCE, 318);
   _actionMap[476][QUALIFIEDOBJ] = ActionEntry(REDUCE, 318);
   _actionMap[476][QUALIFIEDTS] = ActionEntry(REDUCE, 318);
   _actionMap[476][QUALIFIEDPRE] = ActionEntry(REDUCE, 318);
   _actionMap[476][STRINGVAL] = ActionEntry(REDUCE, 318);
   _actionMap[476][DATE] = ActionEntry(REDUCE, 318);
   _actionMap[476][SYSDATE] = ActionEntry(REDUCE, 318);
   _actionMap[476][NULLTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[476][TRUEVAL] = ActionEntry(REDUCE, 318);
   _actionMap[476][FALSEVAL] = ActionEntry(REDUCE, 318);
   _actionMap[476][LAB] = ActionEntry(REDUCE, 318);
   _actionMap[476][COUNTERID] = ActionEntry(REDUCE, 318);
   _actionMap[476][FLOATVAL] = ActionEntry(REDUCE, 318);
   _actionMap[476][MINUS] = ActionEntry(REDUCE, 318);
   _actionMap[476][INTVAL] = ActionEntry(REDUCE, 318);
   _actionMap[477][VARREF] = ActionEntry(REDUCE, 320);
   _actionMap[477][FETCH] = ActionEntry(REDUCE, 320);
   _actionMap[477][LB] = ActionEntry(REDUCE, 320);
   _actionMap[477][COUNT] = ActionEntry(REDUCE, 320);
   _actionMap[477][SUM] = ActionEntry(REDUCE, 320);
   _actionMap[477][AVG] = ActionEntry(REDUCE, 320);
   _actionMap[477][MIN] = ActionEntry(REDUCE, 320);
   _actionMap[477][MAX] = ActionEntry(REDUCE, 320);
   _actionMap[477][CASE] = ActionEntry(REDUCE, 320);
   _actionMap[477][TRIM] = ActionEntry(REDUCE, 320);
   _actionMap[477][RTRIM] = ActionEntry(REDUCE, 320);
   _actionMap[477][LTRIM] = ActionEntry(REDUCE, 320);
   _actionMap[477][ROUND] = ActionEntry(REDUCE, 320);
   _actionMap[477][DATE2STR] = ActionEntry(REDUCE, 320);
   _actionMap[477][DATE2INT] = ActionEntry(REDUCE, 320);
   _actionMap[477][INT2DATE] = ActionEntry(REDUCE, 320);
   _actionMap[477][LOWER] = ActionEntry(REDUCE, 320);
   _actionMap[477][UPPER] = ActionEntry(REDUCE, 320);
   _actionMap[477][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[477][RIGHT] = ActionEntry(REDUCE, 320);
}
void Cego::loadParser73()
{
   _actionMap[477][GETPOS] = ActionEntry(REDUCE, 320);
   _actionMap[477][SUBSTR] = ActionEntry(REDUCE, 320);
   _actionMap[477][REPLACE] = ActionEntry(REDUCE, 320);
   _actionMap[477][LENGTH] = ActionEntry(REDUCE, 320);
   _actionMap[477][TRUNC] = ActionEntry(REDUCE, 320);
   _actionMap[477][STR2INT] = ActionEntry(REDUCE, 320);
   _actionMap[477][STR2LONG] = ActionEntry(REDUCE, 320);
   _actionMap[477][RANDSTR] = ActionEntry(REDUCE, 320);
   _actionMap[477][RANDINT] = ActionEntry(REDUCE, 320);
   _actionMap[477][MOD] = ActionEntry(REDUCE, 320);
   _actionMap[477][DIV] = ActionEntry(REDUCE, 320);
   _actionMap[477][POWER] = ActionEntry(REDUCE, 320);
   _actionMap[477][BITAND] = ActionEntry(REDUCE, 320);
   _actionMap[477][BITOR] = ActionEntry(REDUCE, 320);
   _actionMap[477][BITXOR] = ActionEntry(REDUCE, 320);
   _actionMap[477][NEXTCOUNT] = ActionEntry(REDUCE, 320);
   _actionMap[477][IDENTIFIER] = ActionEntry(REDUCE, 320);
   _actionMap[477][QUALIFIEDOBJ] = ActionEntry(REDUCE, 320);
   _actionMap[477][QUALIFIEDTS] = ActionEntry(REDUCE, 320);
   _actionMap[477][QUALIFIEDPRE] = ActionEntry(REDUCE, 320);
   _actionMap[477][STRINGVAL] = ActionEntry(REDUCE, 320);
   _actionMap[477][DATE] = ActionEntry(REDUCE, 320);
   _actionMap[477][SYSDATE] = ActionEntry(REDUCE, 320);
   _actionMap[477][NULLTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[477][TRUEVAL] = ActionEntry(REDUCE, 320);
   _actionMap[477][FALSEVAL] = ActionEntry(REDUCE, 320);
   _actionMap[477][LAB] = ActionEntry(REDUCE, 320);
   _actionMap[477][COUNTERID] = ActionEntry(REDUCE, 320);
   _actionMap[477][FLOATVAL] = ActionEntry(REDUCE, 320);
   _actionMap[477][MINUS] = ActionEntry(REDUCE, 320);
   _actionMap[477][INTVAL] = ActionEntry(REDUCE, 320);
   _actionMap[477][EQU] = ActionEntry(SHIFT, 626);
   _actionMap[478][VARREF] = ActionEntry(REDUCE, 321);
   _actionMap[478][FETCH] = ActionEntry(REDUCE, 321);
   _actionMap[478][LB] = ActionEntry(REDUCE, 321);
   _actionMap[478][COUNT] = ActionEntry(REDUCE, 321);
   _actionMap[478][SUM] = ActionEntry(REDUCE, 321);
   _actionMap[478][AVG] = ActionEntry(REDUCE, 321);
   _actionMap[478][MIN] = ActionEntry(REDUCE, 321);
   _actionMap[478][MAX] = ActionEntry(REDUCE, 321);
   _actionMap[478][CASE] = ActionEntry(REDUCE, 321);
   _actionMap[478][TRIM] = ActionEntry(REDUCE, 321);
   _actionMap[478][RTRIM] = ActionEntry(REDUCE, 321);
   _actionMap[478][LTRIM] = ActionEntry(REDUCE, 321);
   _actionMap[478][ROUND] = ActionEntry(REDUCE, 321);
   _actionMap[478][DATE2STR] = ActionEntry(REDUCE, 321);
   _actionMap[478][DATE2INT] = ActionEntry(REDUCE, 321);
   _actionMap[478][INT2DATE] = ActionEntry(REDUCE, 321);
   _actionMap[478][LOWER] = ActionEntry(REDUCE, 321);
   _actionMap[478][UPPER] = ActionEntry(REDUCE, 321);
}
void Cego::loadParser74()
{
   _actionMap[478][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[478][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[478][GETPOS] = ActionEntry(REDUCE, 321);
   _actionMap[478][SUBSTR] = ActionEntry(REDUCE, 321);
   _actionMap[478][REPLACE] = ActionEntry(REDUCE, 321);
   _actionMap[478][LENGTH] = ActionEntry(REDUCE, 321);
   _actionMap[478][TRUNC] = ActionEntry(REDUCE, 321);
   _actionMap[478][STR2INT] = ActionEntry(REDUCE, 321);
   _actionMap[478][STR2LONG] = ActionEntry(REDUCE, 321);
   _actionMap[478][RANDSTR] = ActionEntry(REDUCE, 321);
   _actionMap[478][RANDINT] = ActionEntry(REDUCE, 321);
   _actionMap[478][MOD] = ActionEntry(REDUCE, 321);
   _actionMap[478][DIV] = ActionEntry(REDUCE, 321);
   _actionMap[478][POWER] = ActionEntry(REDUCE, 321);
   _actionMap[478][BITAND] = ActionEntry(REDUCE, 321);
   _actionMap[478][BITOR] = ActionEntry(REDUCE, 321);
   _actionMap[478][BITXOR] = ActionEntry(REDUCE, 321);
   _actionMap[478][NEXTCOUNT] = ActionEntry(REDUCE, 321);
   _actionMap[478][IDENTIFIER] = ActionEntry(REDUCE, 321);
   _actionMap[478][QUALIFIEDOBJ] = ActionEntry(REDUCE, 321);
   _actionMap[478][QUALIFIEDTS] = ActionEntry(REDUCE, 321);
   _actionMap[478][QUALIFIEDPRE] = ActionEntry(REDUCE, 321);
   _actionMap[478][STRINGVAL] = ActionEntry(REDUCE, 321);
   _actionMap[478][DATE] = ActionEntry(REDUCE, 321);
   _actionMap[478][SYSDATE] = ActionEntry(REDUCE, 321);
   _actionMap[478][NULLTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[478][TRUEVAL] = ActionEntry(REDUCE, 321);
   _actionMap[478][FALSEVAL] = ActionEntry(REDUCE, 321);
   _actionMap[478][LAB] = ActionEntry(REDUCE, 321);
   _actionMap[478][COUNTERID] = ActionEntry(REDUCE, 321);
   _actionMap[478][FLOATVAL] = ActionEntry(REDUCE, 321);
   _actionMap[478][MINUS] = ActionEntry(REDUCE, 321);
   _actionMap[478][INTVAL] = ActionEntry(REDUCE, 321);
   _actionMap[478][EQU] = ActionEntry(SHIFT, 627);
   _actionMap[479][EQU] = ActionEntry(SHIFT, 628);
   _actionMap[480][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[480][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[480][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[480][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[480][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[480][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[480][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[480][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[480][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[480][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[480][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[480][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[480][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[480][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[480][GETPOS] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser75()
{
   _actionMap[480][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[480][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[480][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[480][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[480][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[480][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[480][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[480][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[480][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[480][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[480][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[480][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[480][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[480][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[480][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[480][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[480][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[480][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[480][LB] = ActionEntry(SHIFT, 351);
   _actionMap[480][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[480][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[480][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[480][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[480][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[480][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[480][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[480][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[480][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[480][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[480][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[480][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[480][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[480][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[480][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[480][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[480][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[480][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[480][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[480][ObjSpec] = 95;
   _jumpMap[480][Constant] = 94;
   _jumpMap[480][SignedFloat] = 93;
   _jumpMap[480][SignedInt] = 92;
   _jumpMap[480][Attribute] = 91;
   _jumpMap[480][QueryPredicate] = 629;
   _jumpMap[480][Function] = 90;
   _jumpMap[480][CasePrepare] = 89;
   _jumpMap[480][CaseClause] = 88;
   _jumpMap[480][Factor] = 87;
   _jumpMap[480][Term] = 86;
   _jumpMap[480][Expr] = 346;
}
void Cego::loadParser76()
{
   _actionMap[481][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[481][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[481][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[481][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[481][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[481][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[481][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[481][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[481][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[481][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[481][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[481][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[481][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[481][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[481][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[481][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[481][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[481][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[481][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[481][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[481][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[481][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[481][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[481][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[481][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[481][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[481][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[481][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[481][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[481][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[481][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[481][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[481][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[481][LB] = ActionEntry(SHIFT, 351);
   _actionMap[481][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[481][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[481][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[481][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[481][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[481][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[481][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[481][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[481][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[481][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[481][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[481][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[481][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[481][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[481][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[481][MIN] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser77()
{
   _actionMap[481][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[481][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[481][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[481][ObjSpec] = 95;
   _jumpMap[481][Constant] = 94;
   _jumpMap[481][SignedFloat] = 93;
   _jumpMap[481][SignedInt] = 92;
   _jumpMap[481][Attribute] = 91;
   _jumpMap[481][QueryPredicate] = 630;
   _jumpMap[481][Function] = 90;
   _jumpMap[481][CasePrepare] = 89;
   _jumpMap[481][CaseClause] = 88;
   _jumpMap[481][Factor] = 87;
   _jumpMap[481][Term] = 86;
   _jumpMap[481][Expr] = 346;
   _actionMap[482][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[482][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[482][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[482][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[482][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[482][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[482][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[482][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[482][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[482][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[482][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[482][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[482][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[482][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[482][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[482][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[482][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[482][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[482][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[482][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[482][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[482][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[482][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[482][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[482][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[482][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[482][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[482][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[482][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[482][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[482][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[482][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[482][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[482][LB] = ActionEntry(SHIFT, 136);
   _actionMap[482][STRINGVAL] = ActionEntry(SHIFT, 96);
}
void Cego::loadParser78()
{
   _actionMap[482][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[482][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[482][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[482][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[482][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[482][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[482][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[482][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[482][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[482][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[482][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[482][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[482][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[482][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[482][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[482][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[482][ObjSpec] = 95;
   _jumpMap[482][Constant] = 94;
   _jumpMap[482][SignedFloat] = 93;
   _jumpMap[482][SignedInt] = 92;
   _jumpMap[482][Attribute] = 91;
   _jumpMap[482][Function] = 90;
   _jumpMap[482][CasePrepare] = 89;
   _jumpMap[482][CaseClause] = 88;
   _jumpMap[482][Factor] = 87;
   _jumpMap[482][Term] = 86;
   _jumpMap[482][Expr] = 631;
   _actionMap[483][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[483][SelectStatement] = 632;
   _actionMap[484][THEN] = ActionEntry(REDUCE, 304);
   _actionMap[484][LEFT] = ActionEntry(REDUCE, 304);
   _actionMap[484][RIGHT] = ActionEntry(REDUCE, 304);
   _actionMap[484][INNER] = ActionEntry(REDUCE, 304);
   _actionMap[484][JOIN] = ActionEntry(REDUCE, 304);
   _actionMap[484][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[484][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[484][RB] = ActionEntry(REDUCE, 304);
   _actionMap[484][ENDTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[484][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[484][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[484][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[484][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[484][WHERE] = ActionEntry(REDUCE, 304);
   _actionMap[484][AND] = ActionEntry(REDUCE, 304);
   _actionMap[484][OR] = ActionEntry(REDUCE, 304);
   _actionMap[485][RB] = ActionEntry(SHIFT, 391);
   _actionMap[485][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[485][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[485][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[485][INTOK] = ActionEntry(SHIFT, 472);
}
void Cego::loadParser79()
{
   _actionMap[485][NOT] = ActionEntry(SHIFT, 475);
   _actionMap[485][BETWEEN] = ActionEntry(SHIFT, 471);
   _actionMap[485][IS] = ActionEntry(SHIFT, 473);
   _actionMap[485][LIKE] = ActionEntry(SHIFT, 474);
   _actionMap[485][EQU] = ActionEntry(SHIFT, 476);
   _actionMap[485][NEGATION] = ActionEntry(SHIFT, 479);
   _actionMap[485][LT] = ActionEntry(SHIFT, 477);
   _actionMap[485][MT] = ActionEntry(SHIFT, 478);
   _jumpMap[485][Comparison] = 470;
   _actionMap[486][RB] = ActionEntry(SHIFT, 633);
   _actionMap[486][AND] = ActionEntry(SHIFT, 480);
   _actionMap[486][OR] = ActionEntry(SHIFT, 481);
   _actionMap[487][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[487][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[487][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[487][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[487][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[487][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[487][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[487][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[487][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[487][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[487][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[487][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[487][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[487][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[487][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[487][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[487][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[487][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[487][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[487][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[487][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[487][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[487][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[487][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[487][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[487][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[487][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[487][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[487][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[487][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[487][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[487][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[487][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[487][LB] = ActionEntry(SHIFT, 136);
   _actionMap[487][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[487][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[487][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[487][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser80()
{
   _actionMap[487][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[487][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[487][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[487][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[487][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[487][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[487][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[487][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[487][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[487][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[487][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[487][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[487][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[487][ObjSpec] = 95;
   _jumpMap[487][Constant] = 94;
   _jumpMap[487][SignedFloat] = 93;
   _jumpMap[487][SignedInt] = 92;
   _jumpMap[487][Attribute] = 91;
   _jumpMap[487][Function] = 90;
   _jumpMap[487][CasePrepare] = 89;
   _jumpMap[487][CaseClause] = 88;
   _jumpMap[487][Factor] = 87;
   _jumpMap[487][Term] = 86;
   _jumpMap[487][Expr] = 634;
   _actionMap[488][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[488][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[488][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[488][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[488][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[488][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[488][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[488][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[488][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[488][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[488][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[488][AS] = ActionEntry(REDUCE, 284);
   _actionMap[488][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[488][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[488][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[488][OR] = ActionEntry(REDUCE, 284);
   _actionMap[488][AND] = ActionEntry(REDUCE, 284);
   _actionMap[488][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[488][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[488][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[488][IS] = ActionEntry(REDUCE, 284);
   _actionMap[488][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[488][MT] = ActionEntry(REDUCE, 284);
   _actionMap[488][LT] = ActionEntry(REDUCE, 284);
   _actionMap[488][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[488][EQU] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser81()
{
   _actionMap[488][RB] = ActionEntry(REDUCE, 284);
   _actionMap[488][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[488][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[488][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[488][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[488][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[488][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[488][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[488][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[488][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[488][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[488][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[488][CONCAT] = ActionEntry(REDUCE, 284);
   _actionMap[489][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[489][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[489][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[489][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[489][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[489][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[489][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[489][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[489][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[489][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[489][AS] = ActionEntry(REDUCE, 150);
   _actionMap[489][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[489][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[489][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[489][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[489][OR] = ActionEntry(REDUCE, 150);
   _actionMap[489][AND] = ActionEntry(REDUCE, 150);
   _actionMap[489][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[489][IS] = ActionEntry(REDUCE, 150);
   _actionMap[489][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[489][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[489][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[489][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[489][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[489][LT] = ActionEntry(REDUCE, 150);
   _actionMap[489][MT] = ActionEntry(REDUCE, 150);
   _actionMap[489][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[489][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[489][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[489][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[489][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[489][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[489][RB] = ActionEntry(REDUCE, 150);
   _actionMap[489][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[489][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[489][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[489][DIVISION] = ActionEntry(REDUCE, 150);
}
void Cego::loadParser82()
{
   _actionMap[489][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[489][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[490][WHEN] = ActionEntry(REDUCE, 280);
   _actionMap[490][ELSE] = ActionEntry(REDUCE, 280);
   _actionMap[490][LEFT] = ActionEntry(REDUCE, 280);
   _actionMap[490][RIGHT] = ActionEntry(REDUCE, 280);
   _actionMap[490][INNER] = ActionEntry(REDUCE, 280);
   _actionMap[490][JOIN] = ActionEntry(REDUCE, 280);
   _actionMap[490][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[490][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[490][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[490][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[490][FROM] = ActionEntry(REDUCE, 280);
   _actionMap[490][AS] = ActionEntry(REDUCE, 280);
   _actionMap[490][END_TOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[490][BEGIN] = ActionEntry(REDUCE, 280);
   _actionMap[490][THEN] = ActionEntry(REDUCE, 280);
   _actionMap[490][OR] = ActionEntry(REDUCE, 280);
   _actionMap[490][AND] = ActionEntry(REDUCE, 280);
   _actionMap[490][INTOK] = ActionEntry(REDUCE, 280);
   _actionMap[490][NOT] = ActionEntry(REDUCE, 280);
   _actionMap[490][BETWEEN] = ActionEntry(REDUCE, 280);
   _actionMap[490][IS] = ActionEntry(REDUCE, 280);
   _actionMap[490][LIKE] = ActionEntry(REDUCE, 280);
   _actionMap[490][MT] = ActionEntry(REDUCE, 280);
   _actionMap[490][LT] = ActionEntry(REDUCE, 280);
   _actionMap[490][NEGATION] = ActionEntry(REDUCE, 280);
   _actionMap[490][EQU] = ActionEntry(REDUCE, 280);
   _actionMap[490][RB] = ActionEntry(REDUCE, 280);
   _actionMap[490][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[490][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[490][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[490][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[490][ASC] = ActionEntry(REDUCE, 280);
   _actionMap[490][DESC] = ActionEntry(REDUCE, 280);
   _actionMap[490][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[490][PLUS] = ActionEntry(REDUCE, 280);
   _actionMap[490][MINUS] = ActionEntry(REDUCE, 280);
   _actionMap[490][DIVISION] = ActionEntry(REDUCE, 280);
   _actionMap[490][STAR] = ActionEntry(REDUCE, 280);
   _actionMap[490][CONCAT] = ActionEntry(REDUCE, 280);
   _actionMap[491][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[491][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[491][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[491][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[491][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[491][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[491][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[491][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[491][GROUP] = ActionEntry(REDUCE, 281);
}
void Cego::loadParser83()
{
   _actionMap[491][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[491][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[491][AS] = ActionEntry(REDUCE, 281);
   _actionMap[491][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[491][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[491][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[491][OR] = ActionEntry(REDUCE, 281);
   _actionMap[491][AND] = ActionEntry(REDUCE, 281);
   _actionMap[491][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[491][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[491][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[491][IS] = ActionEntry(REDUCE, 281);
   _actionMap[491][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[491][MT] = ActionEntry(REDUCE, 281);
   _actionMap[491][LT] = ActionEntry(REDUCE, 281);
   _actionMap[491][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[491][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[491][RB] = ActionEntry(REDUCE, 281);
   _actionMap[491][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[491][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[491][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[491][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[491][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[491][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[491][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[491][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[491][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[491][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[491][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[491][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[492][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[492][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[492][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[492][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[492][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[492][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[492][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[492][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[492][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[492][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[492][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[492][AS] = ActionEntry(REDUCE, 282);
   _actionMap[492][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[492][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[492][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[492][OR] = ActionEntry(REDUCE, 282);
   _actionMap[492][AND] = ActionEntry(REDUCE, 282);
   _actionMap[492][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[492][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[492][BETWEEN] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser84()
{
   _actionMap[492][IS] = ActionEntry(REDUCE, 282);
   _actionMap[492][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[492][MT] = ActionEntry(REDUCE, 282);
   _actionMap[492][LT] = ActionEntry(REDUCE, 282);
   _actionMap[492][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[492][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[492][RB] = ActionEntry(REDUCE, 282);
   _actionMap[492][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[492][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[492][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[492][KSEP] = ActionEntry(REDUCE, 282);
   _actionMap[492][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[492][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[492][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[492][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[492][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[492][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[492][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[492][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[493][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[493][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[493][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[493][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[493][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[493][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[493][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[493][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[493][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[493][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[493][AS] = ActionEntry(REDUCE, 151);
   _actionMap[493][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[493][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[493][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[493][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[493][OR] = ActionEntry(REDUCE, 151);
   _actionMap[493][AND] = ActionEntry(REDUCE, 151);
   _actionMap[493][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[493][IS] = ActionEntry(REDUCE, 151);
   _actionMap[493][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[493][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[493][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[493][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[493][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[493][LT] = ActionEntry(REDUCE, 151);
   _actionMap[493][MT] = ActionEntry(REDUCE, 151);
   _actionMap[493][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[493][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[493][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[493][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[493][UNION] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser85()
{
   _actionMap[493][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[493][RB] = ActionEntry(REDUCE, 151);
   _actionMap[493][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[493][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[493][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[493][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[493][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[493][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[494][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[494][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[494][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[494][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[494][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[494][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[494][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[494][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[494][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[494][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[494][AS] = ActionEntry(REDUCE, 148);
   _actionMap[494][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[494][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[494][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[494][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[494][OR] = ActionEntry(REDUCE, 148);
   _actionMap[494][AND] = ActionEntry(REDUCE, 148);
   _actionMap[494][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[494][IS] = ActionEntry(REDUCE, 148);
   _actionMap[494][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[494][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[494][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[494][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[494][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[494][LT] = ActionEntry(REDUCE, 148);
   _actionMap[494][MT] = ActionEntry(REDUCE, 148);
   _actionMap[494][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[494][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[494][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[494][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[494][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[494][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[494][RB] = ActionEntry(REDUCE, 148);
   _actionMap[494][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[494][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[494][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[494][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[494][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[494][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[495][STRINGVAL] = ActionEntry(SHIFT, 636);
   _jumpMap[495][DateValue] = 635;
   _actionMap[496][WHEN] = ActionEntry(REDUCE, 261);
}
void Cego::loadParser86()
{
   _actionMap[496][ELSE] = ActionEntry(REDUCE, 261);
   _actionMap[496][LEFT] = ActionEntry(REDUCE, 261);
   _actionMap[496][RIGHT] = ActionEntry(REDUCE, 261);
   _actionMap[496][INNER] = ActionEntry(REDUCE, 261);
   _actionMap[496][JOIN] = ActionEntry(REDUCE, 261);
   _actionMap[496][RETURNTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[496][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[496][GROUP] = ActionEntry(REDUCE, 261);
   _actionMap[496][WHERE] = ActionEntry(REDUCE, 261);
   _actionMap[496][FROM] = ActionEntry(REDUCE, 261);
   _actionMap[496][AS] = ActionEntry(REDUCE, 261);
   _actionMap[496][END_TOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[496][BEGIN] = ActionEntry(REDUCE, 261);
   _actionMap[496][THEN] = ActionEntry(REDUCE, 261);
   _actionMap[496][OR] = ActionEntry(REDUCE, 261);
   _actionMap[496][AND] = ActionEntry(REDUCE, 261);
   _actionMap[496][INTOK] = ActionEntry(REDUCE, 261);
   _actionMap[496][NOT] = ActionEntry(REDUCE, 261);
   _actionMap[496][BETWEEN] = ActionEntry(REDUCE, 261);
   _actionMap[496][IS] = ActionEntry(REDUCE, 261);
   _actionMap[496][LIKE] = ActionEntry(REDUCE, 261);
   _actionMap[496][MT] = ActionEntry(REDUCE, 261);
   _actionMap[496][LT] = ActionEntry(REDUCE, 261);
   _actionMap[496][NEGATION] = ActionEntry(REDUCE, 261);
   _actionMap[496][EQU] = ActionEntry(REDUCE, 261);
   _actionMap[496][RB] = ActionEntry(REDUCE, 261);
   _actionMap[496][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[496][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[496][ROWLIMIT] = ActionEntry(REDUCE, 261);
   _actionMap[496][KSEP] = ActionEntry(REDUCE, 261);
   _actionMap[496][ASC] = ActionEntry(REDUCE, 261);
   _actionMap[496][DESC] = ActionEntry(REDUCE, 261);
   _actionMap[496][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[496][PLUS] = ActionEntry(REDUCE, 261);
   _actionMap[496][MINUS] = ActionEntry(REDUCE, 261);
   _actionMap[496][DIVISION] = ActionEntry(REDUCE, 261);
   _actionMap[496][STAR] = ActionEntry(REDUCE, 261);
   _actionMap[496][CONCAT] = ActionEntry(REDUCE, 261);
   _actionMap[497][WHEN] = ActionEntry(REDUCE, 262);
   _actionMap[497][ELSE] = ActionEntry(REDUCE, 262);
   _actionMap[497][LEFT] = ActionEntry(REDUCE, 262);
   _actionMap[497][RIGHT] = ActionEntry(REDUCE, 262);
   _actionMap[497][INNER] = ActionEntry(REDUCE, 262);
   _actionMap[497][JOIN] = ActionEntry(REDUCE, 262);
   _actionMap[497][RETURNTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[497][ORDER] = ActionEntry(REDUCE, 262);
   _actionMap[497][GROUP] = ActionEntry(REDUCE, 262);
   _actionMap[497][WHERE] = ActionEntry(REDUCE, 262);
   _actionMap[497][FROM] = ActionEntry(REDUCE, 262);
   _actionMap[497][AS] = ActionEntry(REDUCE, 262);
}
void Cego::loadParser87()
{
   _actionMap[497][END_TOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[497][BEGIN] = ActionEntry(REDUCE, 262);
   _actionMap[497][THEN] = ActionEntry(REDUCE, 262);
   _actionMap[497][OR] = ActionEntry(REDUCE, 262);
   _actionMap[497][AND] = ActionEntry(REDUCE, 262);
   _actionMap[497][INTOK] = ActionEntry(REDUCE, 262);
   _actionMap[497][NOT] = ActionEntry(REDUCE, 262);
   _actionMap[497][BETWEEN] = ActionEntry(REDUCE, 262);
   _actionMap[497][IS] = ActionEntry(REDUCE, 262);
   _actionMap[497][LIKE] = ActionEntry(REDUCE, 262);
   _actionMap[497][MT] = ActionEntry(REDUCE, 262);
   _actionMap[497][LT] = ActionEntry(REDUCE, 262);
   _actionMap[497][NEGATION] = ActionEntry(REDUCE, 262);
   _actionMap[497][EQU] = ActionEntry(REDUCE, 262);
   _actionMap[497][RB] = ActionEntry(REDUCE, 262);
   _actionMap[497][ENDTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[497][UNION] = ActionEntry(REDUCE, 262);
   _actionMap[497][ROWLIMIT] = ActionEntry(REDUCE, 262);
   _actionMap[497][KSEP] = ActionEntry(REDUCE, 262);
   _actionMap[497][ASC] = ActionEntry(REDUCE, 262);
   _actionMap[497][DESC] = ActionEntry(REDUCE, 262);
   _actionMap[497][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[497][PLUS] = ActionEntry(REDUCE, 262);
   _actionMap[497][MINUS] = ActionEntry(REDUCE, 262);
   _actionMap[497][DIVISION] = ActionEntry(REDUCE, 262);
   _actionMap[497][STAR] = ActionEntry(REDUCE, 262);
   _actionMap[497][CONCAT] = ActionEntry(REDUCE, 262);
   _actionMap[498][WHEN] = ActionEntry(REDUCE, 278);
   _actionMap[498][ELSE] = ActionEntry(REDUCE, 278);
   _actionMap[498][LEFT] = ActionEntry(REDUCE, 278);
   _actionMap[498][RIGHT] = ActionEntry(REDUCE, 278);
   _actionMap[498][INNER] = ActionEntry(REDUCE, 278);
   _actionMap[498][JOIN] = ActionEntry(REDUCE, 278);
   _actionMap[498][RETURNTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[498][ORDER] = ActionEntry(REDUCE, 278);
   _actionMap[498][GROUP] = ActionEntry(REDUCE, 278);
   _actionMap[498][WHERE] = ActionEntry(REDUCE, 278);
   _actionMap[498][FROM] = ActionEntry(REDUCE, 278);
   _actionMap[498][AS] = ActionEntry(REDUCE, 278);
   _actionMap[498][END_TOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[498][BEGIN] = ActionEntry(REDUCE, 278);
   _actionMap[498][THEN] = ActionEntry(REDUCE, 278);
   _actionMap[498][OR] = ActionEntry(REDUCE, 278);
   _actionMap[498][AND] = ActionEntry(REDUCE, 278);
   _actionMap[498][INTOK] = ActionEntry(REDUCE, 278);
   _actionMap[498][NOT] = ActionEntry(REDUCE, 278);
   _actionMap[498][BETWEEN] = ActionEntry(REDUCE, 278);
   _actionMap[498][IS] = ActionEntry(REDUCE, 278);
   _actionMap[498][LIKE] = ActionEntry(REDUCE, 278);
   _actionMap[498][MT] = ActionEntry(REDUCE, 278);
}
void Cego::loadParser88()
{
   _actionMap[498][LT] = ActionEntry(REDUCE, 278);
   _actionMap[498][NEGATION] = ActionEntry(REDUCE, 278);
   _actionMap[498][EQU] = ActionEntry(REDUCE, 278);
   _actionMap[498][RB] = ActionEntry(REDUCE, 278);
   _actionMap[498][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[498][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[498][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[498][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[498][ASC] = ActionEntry(REDUCE, 278);
   _actionMap[498][DESC] = ActionEntry(REDUCE, 278);
   _actionMap[498][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[498][PLUS] = ActionEntry(REDUCE, 278);
   _actionMap[498][MINUS] = ActionEntry(REDUCE, 278);
   _actionMap[498][DIVISION] = ActionEntry(REDUCE, 278);
   _actionMap[498][STAR] = ActionEntry(REDUCE, 278);
   _actionMap[498][CONCAT] = ActionEntry(REDUCE, 278);
   _actionMap[499][VARREF] = ActionEntry(SHIFT, 638);
   _jumpMap[499][FetchArgList] = 637;
   _actionMap[500][WHEN] = ActionEntry(REDUCE, 268);
   _actionMap[500][ELSE] = ActionEntry(REDUCE, 268);
   _actionMap[500][LEFT] = ActionEntry(REDUCE, 268);
   _actionMap[500][RIGHT] = ActionEntry(REDUCE, 268);
   _actionMap[500][INNER] = ActionEntry(REDUCE, 268);
   _actionMap[500][JOIN] = ActionEntry(REDUCE, 268);
   _actionMap[500][RETURNTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[500][ORDER] = ActionEntry(REDUCE, 268);
   _actionMap[500][GROUP] = ActionEntry(REDUCE, 268);
   _actionMap[500][WHERE] = ActionEntry(REDUCE, 268);
   _actionMap[500][FROM] = ActionEntry(REDUCE, 268);
   _actionMap[500][AS] = ActionEntry(REDUCE, 268);
   _actionMap[500][END_TOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[500][BEGIN] = ActionEntry(REDUCE, 268);
   _actionMap[500][THEN] = ActionEntry(REDUCE, 268);
   _actionMap[500][OR] = ActionEntry(REDUCE, 268);
   _actionMap[500][AND] = ActionEntry(REDUCE, 268);
   _actionMap[500][INTOK] = ActionEntry(REDUCE, 268);
   _actionMap[500][NOT] = ActionEntry(REDUCE, 268);
   _actionMap[500][BETWEEN] = ActionEntry(REDUCE, 268);
   _actionMap[500][IS] = ActionEntry(REDUCE, 268);
   _actionMap[500][LIKE] = ActionEntry(REDUCE, 268);
   _actionMap[500][MT] = ActionEntry(REDUCE, 268);
   _actionMap[500][LT] = ActionEntry(REDUCE, 268);
   _actionMap[500][NEGATION] = ActionEntry(REDUCE, 268);
   _actionMap[500][EQU] = ActionEntry(REDUCE, 268);
   _actionMap[500][RB] = ActionEntry(REDUCE, 268);
   _actionMap[500][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[500][UNION] = ActionEntry(REDUCE, 268);
   _actionMap[500][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[500][KSEP] = ActionEntry(REDUCE, 268);
   _actionMap[500][ASC] = ActionEntry(REDUCE, 268);
}
void Cego::loadParser89()
{
   _actionMap[500][DESC] = ActionEntry(REDUCE, 268);
   _actionMap[500][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[500][PLUS] = ActionEntry(REDUCE, 268);
   _actionMap[500][MINUS] = ActionEntry(REDUCE, 268);
   _actionMap[500][DIVISION] = ActionEntry(REDUCE, 268);
   _actionMap[500][STAR] = ActionEntry(REDUCE, 268);
   _actionMap[500][CONCAT] = ActionEntry(REDUCE, 268);
   _actionMap[501][WHEN] = ActionEntry(REDUCE, 263);
   _actionMap[501][ELSE] = ActionEntry(REDUCE, 263);
   _actionMap[501][LEFT] = ActionEntry(REDUCE, 263);
   _actionMap[501][RIGHT] = ActionEntry(REDUCE, 263);
   _actionMap[501][INNER] = ActionEntry(REDUCE, 263);
   _actionMap[501][JOIN] = ActionEntry(REDUCE, 263);
   _actionMap[501][RETURNTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[501][ORDER] = ActionEntry(REDUCE, 263);
   _actionMap[501][GROUP] = ActionEntry(REDUCE, 263);
   _actionMap[501][WHERE] = ActionEntry(REDUCE, 263);
   _actionMap[501][FROM] = ActionEntry(REDUCE, 263);
   _actionMap[501][AS] = ActionEntry(REDUCE, 263);
   _actionMap[501][END_TOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[501][BEGIN] = ActionEntry(REDUCE, 263);
   _actionMap[501][THEN] = ActionEntry(REDUCE, 263);
   _actionMap[501][OR] = ActionEntry(REDUCE, 263);
   _actionMap[501][AND] = ActionEntry(REDUCE, 263);
   _actionMap[501][INTOK] = ActionEntry(REDUCE, 263);
   _actionMap[501][NOT] = ActionEntry(REDUCE, 263);
   _actionMap[501][BETWEEN] = ActionEntry(REDUCE, 263);
   _actionMap[501][IS] = ActionEntry(REDUCE, 263);
   _actionMap[501][LIKE] = ActionEntry(REDUCE, 263);
   _actionMap[501][MT] = ActionEntry(REDUCE, 263);
   _actionMap[501][LT] = ActionEntry(REDUCE, 263);
   _actionMap[501][NEGATION] = ActionEntry(REDUCE, 263);
   _actionMap[501][EQU] = ActionEntry(REDUCE, 263);
   _actionMap[501][RB] = ActionEntry(REDUCE, 263);
   _actionMap[501][ENDTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[501][UNION] = ActionEntry(REDUCE, 263);
   _actionMap[501][ROWLIMIT] = ActionEntry(REDUCE, 263);
   _actionMap[501][KSEP] = ActionEntry(REDUCE, 263);
   _actionMap[501][ASC] = ActionEntry(REDUCE, 263);
   _actionMap[501][DESC] = ActionEntry(REDUCE, 263);
   _actionMap[501][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[501][PLUS] = ActionEntry(REDUCE, 263);
   _actionMap[501][MINUS] = ActionEntry(REDUCE, 263);
   _actionMap[501][DIVISION] = ActionEntry(REDUCE, 263);
   _actionMap[501][STAR] = ActionEntry(REDUCE, 263);
   _actionMap[501][CONCAT] = ActionEntry(REDUCE, 263);
   _actionMap[502][WHEN] = ActionEntry(REDUCE, 266);
   _actionMap[502][ELSE] = ActionEntry(REDUCE, 266);
   _actionMap[502][LEFT] = ActionEntry(REDUCE, 266);
   _actionMap[502][RIGHT] = ActionEntry(REDUCE, 266);
}
void Cego::loadParser90()
{
   _actionMap[502][INNER] = ActionEntry(REDUCE, 266);
   _actionMap[502][JOIN] = ActionEntry(REDUCE, 266);
   _actionMap[502][RETURNTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[502][ORDER] = ActionEntry(REDUCE, 266);
   _actionMap[502][GROUP] = ActionEntry(REDUCE, 266);
   _actionMap[502][WHERE] = ActionEntry(REDUCE, 266);
   _actionMap[502][FROM] = ActionEntry(REDUCE, 266);
   _actionMap[502][AS] = ActionEntry(REDUCE, 266);
   _actionMap[502][END_TOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[502][BEGIN] = ActionEntry(REDUCE, 266);
   _actionMap[502][THEN] = ActionEntry(REDUCE, 266);
   _actionMap[502][OR] = ActionEntry(REDUCE, 266);
   _actionMap[502][AND] = ActionEntry(REDUCE, 266);
   _actionMap[502][INTOK] = ActionEntry(REDUCE, 266);
   _actionMap[502][NOT] = ActionEntry(REDUCE, 266);
   _actionMap[502][BETWEEN] = ActionEntry(REDUCE, 266);
   _actionMap[502][IS] = ActionEntry(REDUCE, 266);
   _actionMap[502][LIKE] = ActionEntry(REDUCE, 266);
   _actionMap[502][MT] = ActionEntry(REDUCE, 266);
   _actionMap[502][LT] = ActionEntry(REDUCE, 266);
   _actionMap[502][NEGATION] = ActionEntry(REDUCE, 266);
   _actionMap[502][EQU] = ActionEntry(REDUCE, 266);
   _actionMap[502][RB] = ActionEntry(REDUCE, 266);
   _actionMap[502][ENDTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[502][UNION] = ActionEntry(REDUCE, 266);
   _actionMap[502][ROWLIMIT] = ActionEntry(REDUCE, 266);
   _actionMap[502][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[502][ASC] = ActionEntry(REDUCE, 266);
   _actionMap[502][DESC] = ActionEntry(REDUCE, 266);
   _actionMap[502][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[502][PLUS] = ActionEntry(REDUCE, 266);
   _actionMap[502][MINUS] = ActionEntry(REDUCE, 266);
   _actionMap[502][DIVISION] = ActionEntry(REDUCE, 266);
   _actionMap[502][STAR] = ActionEntry(REDUCE, 266);
   _actionMap[502][CONCAT] = ActionEntry(REDUCE, 266);
   _actionMap[503][WHEN] = ActionEntry(REDUCE, 271);
   _actionMap[503][ELSE] = ActionEntry(REDUCE, 271);
   _actionMap[503][LEFT] = ActionEntry(REDUCE, 271);
   _actionMap[503][RIGHT] = ActionEntry(REDUCE, 271);
   _actionMap[503][INNER] = ActionEntry(REDUCE, 271);
   _actionMap[503][JOIN] = ActionEntry(REDUCE, 271);
   _actionMap[503][RETURNTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[503][ORDER] = ActionEntry(REDUCE, 271);
   _actionMap[503][GROUP] = ActionEntry(REDUCE, 271);
   _actionMap[503][WHERE] = ActionEntry(REDUCE, 271);
   _actionMap[503][FROM] = ActionEntry(REDUCE, 271);
   _actionMap[503][AS] = ActionEntry(REDUCE, 271);
   _actionMap[503][END_TOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[503][BEGIN] = ActionEntry(REDUCE, 271);
   _actionMap[503][THEN] = ActionEntry(REDUCE, 271);
}
void Cego::loadParser91()
{
   _actionMap[503][OR] = ActionEntry(REDUCE, 271);
   _actionMap[503][AND] = ActionEntry(REDUCE, 271);
   _actionMap[503][INTOK] = ActionEntry(REDUCE, 271);
   _actionMap[503][NOT] = ActionEntry(REDUCE, 271);
   _actionMap[503][BETWEEN] = ActionEntry(REDUCE, 271);
   _actionMap[503][IS] = ActionEntry(REDUCE, 271);
   _actionMap[503][LIKE] = ActionEntry(REDUCE, 271);
   _actionMap[503][MT] = ActionEntry(REDUCE, 271);
   _actionMap[503][LT] = ActionEntry(REDUCE, 271);
   _actionMap[503][NEGATION] = ActionEntry(REDUCE, 271);
   _actionMap[503][EQU] = ActionEntry(REDUCE, 271);
   _actionMap[503][RB] = ActionEntry(REDUCE, 271);
   _actionMap[503][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[503][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[503][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[503][KSEP] = ActionEntry(REDUCE, 271);
   _actionMap[503][ASC] = ActionEntry(REDUCE, 271);
   _actionMap[503][DESC] = ActionEntry(REDUCE, 271);
   _actionMap[503][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[503][PLUS] = ActionEntry(REDUCE, 271);
   _actionMap[503][MINUS] = ActionEntry(REDUCE, 271);
   _actionMap[503][DIVISION] = ActionEntry(REDUCE, 271);
   _actionMap[503][STAR] = ActionEntry(REDUCE, 271);
   _actionMap[503][CONCAT] = ActionEntry(REDUCE, 271);
   _actionMap[504][WHEN] = ActionEntry(REDUCE, 264);
   _actionMap[504][ELSE] = ActionEntry(REDUCE, 264);
   _actionMap[504][LEFT] = ActionEntry(REDUCE, 264);
   _actionMap[504][RIGHT] = ActionEntry(REDUCE, 264);
   _actionMap[504][INNER] = ActionEntry(REDUCE, 264);
   _actionMap[504][JOIN] = ActionEntry(REDUCE, 264);
   _actionMap[504][RETURNTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[504][ORDER] = ActionEntry(REDUCE, 264);
   _actionMap[504][GROUP] = ActionEntry(REDUCE, 264);
   _actionMap[504][WHERE] = ActionEntry(REDUCE, 264);
   _actionMap[504][FROM] = ActionEntry(REDUCE, 264);
   _actionMap[504][AS] = ActionEntry(REDUCE, 264);
   _actionMap[504][END_TOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[504][BEGIN] = ActionEntry(REDUCE, 264);
   _actionMap[504][THEN] = ActionEntry(REDUCE, 264);
   _actionMap[504][OR] = ActionEntry(REDUCE, 264);
   _actionMap[504][AND] = ActionEntry(REDUCE, 264);
   _actionMap[504][INTOK] = ActionEntry(REDUCE, 264);
   _actionMap[504][NOT] = ActionEntry(REDUCE, 264);
   _actionMap[504][BETWEEN] = ActionEntry(REDUCE, 264);
   _actionMap[504][IS] = ActionEntry(REDUCE, 264);
   _actionMap[504][LIKE] = ActionEntry(REDUCE, 264);
   _actionMap[504][MT] = ActionEntry(REDUCE, 264);
   _actionMap[504][LT] = ActionEntry(REDUCE, 264);
   _actionMap[504][NEGATION] = ActionEntry(REDUCE, 264);
   _actionMap[504][EQU] = ActionEntry(REDUCE, 264);
}
void Cego::loadParser92()
{
   _actionMap[504][RB] = ActionEntry(REDUCE, 264);
   _actionMap[504][ENDTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[504][UNION] = ActionEntry(REDUCE, 264);
   _actionMap[504][ROWLIMIT] = ActionEntry(REDUCE, 264);
   _actionMap[504][KSEP] = ActionEntry(REDUCE, 264);
   _actionMap[504][ASC] = ActionEntry(REDUCE, 264);
   _actionMap[504][DESC] = ActionEntry(REDUCE, 264);
   _actionMap[504][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[504][PLUS] = ActionEntry(REDUCE, 264);
   _actionMap[504][MINUS] = ActionEntry(REDUCE, 264);
   _actionMap[504][DIVISION] = ActionEntry(REDUCE, 264);
   _actionMap[504][STAR] = ActionEntry(REDUCE, 264);
   _actionMap[504][CONCAT] = ActionEntry(REDUCE, 264);
   _actionMap[505][WHEN] = ActionEntry(REDUCE, 259);
   _actionMap[505][ELSE] = ActionEntry(REDUCE, 259);
   _actionMap[505][LEFT] = ActionEntry(REDUCE, 259);
   _actionMap[505][RIGHT] = ActionEntry(REDUCE, 259);
   _actionMap[505][INNER] = ActionEntry(REDUCE, 259);
   _actionMap[505][JOIN] = ActionEntry(REDUCE, 259);
   _actionMap[505][RETURNTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[505][ORDER] = ActionEntry(REDUCE, 259);
   _actionMap[505][GROUP] = ActionEntry(REDUCE, 259);
   _actionMap[505][WHERE] = ActionEntry(REDUCE, 259);
   _actionMap[505][FROM] = ActionEntry(REDUCE, 259);
   _actionMap[505][AS] = ActionEntry(REDUCE, 259);
   _actionMap[505][END_TOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[505][BEGIN] = ActionEntry(REDUCE, 259);
   _actionMap[505][THEN] = ActionEntry(REDUCE, 259);
   _actionMap[505][OR] = ActionEntry(REDUCE, 259);
   _actionMap[505][AND] = ActionEntry(REDUCE, 259);
   _actionMap[505][INTOK] = ActionEntry(REDUCE, 259);
   _actionMap[505][NOT] = ActionEntry(REDUCE, 259);
   _actionMap[505][BETWEEN] = ActionEntry(REDUCE, 259);
   _actionMap[505][IS] = ActionEntry(REDUCE, 259);
   _actionMap[505][LIKE] = ActionEntry(REDUCE, 259);
   _actionMap[505][MT] = ActionEntry(REDUCE, 259);
   _actionMap[505][LT] = ActionEntry(REDUCE, 259);
   _actionMap[505][NEGATION] = ActionEntry(REDUCE, 259);
   _actionMap[505][EQU] = ActionEntry(REDUCE, 259);
   _actionMap[505][RB] = ActionEntry(REDUCE, 259);
   _actionMap[505][ENDTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[505][UNION] = ActionEntry(REDUCE, 259);
   _actionMap[505][ROWLIMIT] = ActionEntry(REDUCE, 259);
   _actionMap[505][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[505][ASC] = ActionEntry(REDUCE, 259);
   _actionMap[505][DESC] = ActionEntry(REDUCE, 259);
   _actionMap[505][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[505][PLUS] = ActionEntry(REDUCE, 259);
   _actionMap[505][MINUS] = ActionEntry(REDUCE, 259);
   _actionMap[505][DIVISION] = ActionEntry(REDUCE, 259);
}
void Cego::loadParser93()
{
   _actionMap[505][STAR] = ActionEntry(REDUCE, 259);
   _actionMap[505][CONCAT] = ActionEntry(REDUCE, 259);
   _actionMap[506][WHEN] = ActionEntry(REDUCE, 152);
   _actionMap[506][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[506][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[506][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[506][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[506][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[506][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[506][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[506][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[506][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[506][AS] = ActionEntry(REDUCE, 152);
   _actionMap[506][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[506][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[506][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[506][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[506][OR] = ActionEntry(REDUCE, 152);
   _actionMap[506][AND] = ActionEntry(REDUCE, 152);
   _actionMap[506][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[506][IS] = ActionEntry(REDUCE, 152);
   _actionMap[506][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[506][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[506][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[506][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[506][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[506][LT] = ActionEntry(REDUCE, 152);
   _actionMap[506][MT] = ActionEntry(REDUCE, 152);
   _actionMap[506][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[506][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[506][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[506][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[506][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[506][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[506][RB] = ActionEntry(REDUCE, 152);
   _actionMap[506][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[506][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[506][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[506][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[506][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[506][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[507][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[507][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[507][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[507][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[507][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[507][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[507][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[507][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[507][GROUP] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser94()
{
   _actionMap[507][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[507][AS] = ActionEntry(REDUCE, 153);
   _actionMap[507][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[507][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[507][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[507][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[507][OR] = ActionEntry(REDUCE, 153);
   _actionMap[507][AND] = ActionEntry(REDUCE, 153);
   _actionMap[507][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[507][IS] = ActionEntry(REDUCE, 153);
   _actionMap[507][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[507][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[507][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[507][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[507][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[507][LT] = ActionEntry(REDUCE, 153);
   _actionMap[507][MT] = ActionEntry(REDUCE, 153);
   _actionMap[507][DESC] = ActionEntry(REDUCE, 153);
   _actionMap[507][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[507][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[507][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[507][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[507][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[507][RB] = ActionEntry(REDUCE, 153);
   _actionMap[507][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[507][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[507][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[507][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[507][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[507][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[508][WHEN] = ActionEntry(REDUCE, 277);
   _actionMap[508][ELSE] = ActionEntry(REDUCE, 277);
   _actionMap[508][LEFT] = ActionEntry(REDUCE, 277);
   _actionMap[508][RIGHT] = ActionEntry(REDUCE, 277);
   _actionMap[508][INNER] = ActionEntry(REDUCE, 277);
   _actionMap[508][JOIN] = ActionEntry(REDUCE, 277);
   _actionMap[508][RETURNTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[508][ORDER] = ActionEntry(REDUCE, 277);
   _actionMap[508][GROUP] = ActionEntry(REDUCE, 277);
   _actionMap[508][WHERE] = ActionEntry(REDUCE, 277);
   _actionMap[508][FROM] = ActionEntry(REDUCE, 277);
   _actionMap[508][AS] = ActionEntry(REDUCE, 277);
   _actionMap[508][END_TOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[508][BEGIN] = ActionEntry(REDUCE, 277);
   _actionMap[508][THEN] = ActionEntry(REDUCE, 277);
   _actionMap[508][OR] = ActionEntry(REDUCE, 277);
   _actionMap[508][AND] = ActionEntry(REDUCE, 277);
   _actionMap[508][INTOK] = ActionEntry(REDUCE, 277);
   _actionMap[508][NOT] = ActionEntry(REDUCE, 277);
   _actionMap[508][BETWEEN] = ActionEntry(REDUCE, 277);
}
void Cego::loadParser95()
{
   _actionMap[508][IS] = ActionEntry(REDUCE, 277);
   _actionMap[508][LIKE] = ActionEntry(REDUCE, 277);
   _actionMap[508][MT] = ActionEntry(REDUCE, 277);
   _actionMap[508][LT] = ActionEntry(REDUCE, 277);
   _actionMap[508][NEGATION] = ActionEntry(REDUCE, 277);
   _actionMap[508][EQU] = ActionEntry(REDUCE, 277);
   _actionMap[508][RB] = ActionEntry(REDUCE, 277);
   _actionMap[508][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[508][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[508][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[508][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[508][ASC] = ActionEntry(REDUCE, 277);
   _actionMap[508][DESC] = ActionEntry(REDUCE, 277);
   _actionMap[508][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[508][PLUS] = ActionEntry(REDUCE, 277);
   _actionMap[508][MINUS] = ActionEntry(REDUCE, 277);
   _actionMap[508][DIVISION] = ActionEntry(REDUCE, 277);
   _actionMap[508][STAR] = ActionEntry(REDUCE, 277);
   _actionMap[508][CONCAT] = ActionEntry(REDUCE, 277);
   _actionMap[509][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[509][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[509][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[509][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[509][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[509][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[509][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[509][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[509][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[509][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[509][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[509][AS] = ActionEntry(REDUCE, 283);
   _actionMap[509][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[509][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[509][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[509][OR] = ActionEntry(REDUCE, 283);
   _actionMap[509][AND] = ActionEntry(REDUCE, 283);
   _actionMap[509][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[509][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[509][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[509][IS] = ActionEntry(REDUCE, 283);
   _actionMap[509][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[509][MT] = ActionEntry(REDUCE, 283);
   _actionMap[509][LT] = ActionEntry(REDUCE, 283);
   _actionMap[509][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[509][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[509][RB] = ActionEntry(REDUCE, 283);
   _actionMap[509][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[509][UNION] = ActionEntry(REDUCE, 283);
   _actionMap[509][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[509][KSEP] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser96()
{
   _actionMap[509][ASC] = ActionEntry(REDUCE, 283);
   _actionMap[509][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[509][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[509][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[509][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[509][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[509][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[509][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[510][WHEN] = ActionEntry(REDUCE, 279);
   _actionMap[510][ELSE] = ActionEntry(REDUCE, 279);
   _actionMap[510][LEFT] = ActionEntry(REDUCE, 279);
   _actionMap[510][RIGHT] = ActionEntry(REDUCE, 279);
   _actionMap[510][INNER] = ActionEntry(REDUCE, 279);
   _actionMap[510][JOIN] = ActionEntry(REDUCE, 279);
   _actionMap[510][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[510][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[510][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[510][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[510][FROM] = ActionEntry(REDUCE, 279);
   _actionMap[510][AS] = ActionEntry(REDUCE, 279);
   _actionMap[510][END_TOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[510][BEGIN] = ActionEntry(REDUCE, 279);
   _actionMap[510][THEN] = ActionEntry(REDUCE, 279);
   _actionMap[510][OR] = ActionEntry(REDUCE, 279);
   _actionMap[510][AND] = ActionEntry(REDUCE, 279);
   _actionMap[510][INTOK] = ActionEntry(REDUCE, 279);
   _actionMap[510][NOT] = ActionEntry(REDUCE, 279);
   _actionMap[510][BETWEEN] = ActionEntry(REDUCE, 279);
   _actionMap[510][IS] = ActionEntry(REDUCE, 279);
   _actionMap[510][LIKE] = ActionEntry(REDUCE, 279);
   _actionMap[510][MT] = ActionEntry(REDUCE, 279);
   _actionMap[510][LT] = ActionEntry(REDUCE, 279);
   _actionMap[510][NEGATION] = ActionEntry(REDUCE, 279);
   _actionMap[510][EQU] = ActionEntry(REDUCE, 279);
   _actionMap[510][RB] = ActionEntry(REDUCE, 279);
   _actionMap[510][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[510][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[510][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[510][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[510][ASC] = ActionEntry(REDUCE, 279);
   _actionMap[510][DESC] = ActionEntry(REDUCE, 279);
   _actionMap[510][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[510][PLUS] = ActionEntry(REDUCE, 279);
   _actionMap[510][MINUS] = ActionEntry(REDUCE, 279);
   _actionMap[510][DIVISION] = ActionEntry(REDUCE, 279);
   _actionMap[510][STAR] = ActionEntry(REDUCE, 279);
   _actionMap[510][CONCAT] = ActionEntry(REDUCE, 279);
   _actionMap[511][WHEN] = ActionEntry(REDUCE, 275);
   _actionMap[511][ELSE] = ActionEntry(REDUCE, 275);
   _actionMap[511][LEFT] = ActionEntry(REDUCE, 275);
}
void Cego::loadParser97()
{
   _actionMap[511][RIGHT] = ActionEntry(REDUCE, 275);
   _actionMap[511][INNER] = ActionEntry(REDUCE, 275);
   _actionMap[511][JOIN] = ActionEntry(REDUCE, 275);
   _actionMap[511][RETURNTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[511][ORDER] = ActionEntry(REDUCE, 275);
   _actionMap[511][GROUP] = ActionEntry(REDUCE, 275);
   _actionMap[511][WHERE] = ActionEntry(REDUCE, 275);
   _actionMap[511][FROM] = ActionEntry(REDUCE, 275);
   _actionMap[511][AS] = ActionEntry(REDUCE, 275);
   _actionMap[511][END_TOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[511][BEGIN] = ActionEntry(REDUCE, 275);
   _actionMap[511][THEN] = ActionEntry(REDUCE, 275);
   _actionMap[511][OR] = ActionEntry(REDUCE, 275);
   _actionMap[511][AND] = ActionEntry(REDUCE, 275);
   _actionMap[511][INTOK] = ActionEntry(REDUCE, 275);
   _actionMap[511][NOT] = ActionEntry(REDUCE, 275);
   _actionMap[511][BETWEEN] = ActionEntry(REDUCE, 275);
   _actionMap[511][IS] = ActionEntry(REDUCE, 275);
   _actionMap[511][LIKE] = ActionEntry(REDUCE, 275);
   _actionMap[511][MT] = ActionEntry(REDUCE, 275);
   _actionMap[511][LT] = ActionEntry(REDUCE, 275);
   _actionMap[511][NEGATION] = ActionEntry(REDUCE, 275);
   _actionMap[511][EQU] = ActionEntry(REDUCE, 275);
   _actionMap[511][RB] = ActionEntry(REDUCE, 275);
   _actionMap[511][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[511][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[511][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[511][KSEP] = ActionEntry(REDUCE, 275);
   _actionMap[511][ASC] = ActionEntry(REDUCE, 275);
   _actionMap[511][DESC] = ActionEntry(REDUCE, 275);
   _actionMap[511][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[511][PLUS] = ActionEntry(REDUCE, 275);
   _actionMap[511][MINUS] = ActionEntry(REDUCE, 275);
   _actionMap[511][DIVISION] = ActionEntry(REDUCE, 275);
   _actionMap[511][STAR] = ActionEntry(REDUCE, 275);
   _actionMap[511][CONCAT] = ActionEntry(REDUCE, 275);
   _actionMap[512][WHEN] = ActionEntry(REDUCE, 276);
   _actionMap[512][ELSE] = ActionEntry(REDUCE, 276);
   _actionMap[512][LEFT] = ActionEntry(REDUCE, 276);
   _actionMap[512][RIGHT] = ActionEntry(REDUCE, 276);
   _actionMap[512][INNER] = ActionEntry(REDUCE, 276);
   _actionMap[512][JOIN] = ActionEntry(REDUCE, 276);
   _actionMap[512][RETURNTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[512][ORDER] = ActionEntry(REDUCE, 276);
   _actionMap[512][GROUP] = ActionEntry(REDUCE, 276);
   _actionMap[512][WHERE] = ActionEntry(REDUCE, 276);
   _actionMap[512][FROM] = ActionEntry(REDUCE, 276);
   _actionMap[512][AS] = ActionEntry(REDUCE, 276);
   _actionMap[512][END_TOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[512][BEGIN] = ActionEntry(REDUCE, 276);
}
void Cego::loadParser98()
{
   _actionMap[512][THEN] = ActionEntry(REDUCE, 276);
   _actionMap[512][OR] = ActionEntry(REDUCE, 276);
   _actionMap[512][AND] = ActionEntry(REDUCE, 276);
   _actionMap[512][INTOK] = ActionEntry(REDUCE, 276);
   _actionMap[512][NOT] = ActionEntry(REDUCE, 276);
   _actionMap[512][BETWEEN] = ActionEntry(REDUCE, 276);
   _actionMap[512][IS] = ActionEntry(REDUCE, 276);
   _actionMap[512][LIKE] = ActionEntry(REDUCE, 276);
   _actionMap[512][MT] = ActionEntry(REDUCE, 276);
   _actionMap[512][LT] = ActionEntry(REDUCE, 276);
   _actionMap[512][NEGATION] = ActionEntry(REDUCE, 276);
   _actionMap[512][EQU] = ActionEntry(REDUCE, 276);
   _actionMap[512][RB] = ActionEntry(REDUCE, 276);
   _actionMap[512][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[512][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[512][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[512][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[512][ASC] = ActionEntry(REDUCE, 276);
   _actionMap[512][DESC] = ActionEntry(REDUCE, 276);
   _actionMap[512][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[512][PLUS] = ActionEntry(REDUCE, 276);
   _actionMap[512][MINUS] = ActionEntry(REDUCE, 276);
   _actionMap[512][DIVISION] = ActionEntry(REDUCE, 276);
   _actionMap[512][STAR] = ActionEntry(REDUCE, 276);
   _actionMap[512][CONCAT] = ActionEntry(REDUCE, 276);
   _actionMap[513][WHEN] = ActionEntry(REDUCE, 270);
   _actionMap[513][ELSE] = ActionEntry(REDUCE, 270);
   _actionMap[513][LEFT] = ActionEntry(REDUCE, 270);
   _actionMap[513][RIGHT] = ActionEntry(REDUCE, 270);
   _actionMap[513][INNER] = ActionEntry(REDUCE, 270);
   _actionMap[513][JOIN] = ActionEntry(REDUCE, 270);
   _actionMap[513][RETURNTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[513][ORDER] = ActionEntry(REDUCE, 270);
   _actionMap[513][GROUP] = ActionEntry(REDUCE, 270);
   _actionMap[513][WHERE] = ActionEntry(REDUCE, 270);
   _actionMap[513][FROM] = ActionEntry(REDUCE, 270);
   _actionMap[513][AS] = ActionEntry(REDUCE, 270);
   _actionMap[513][END_TOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[513][BEGIN] = ActionEntry(REDUCE, 270);
   _actionMap[513][THEN] = ActionEntry(REDUCE, 270);
   _actionMap[513][OR] = ActionEntry(REDUCE, 270);
   _actionMap[513][AND] = ActionEntry(REDUCE, 270);
   _actionMap[513][INTOK] = ActionEntry(REDUCE, 270);
   _actionMap[513][NOT] = ActionEntry(REDUCE, 270);
   _actionMap[513][BETWEEN] = ActionEntry(REDUCE, 270);
   _actionMap[513][IS] = ActionEntry(REDUCE, 270);
   _actionMap[513][LIKE] = ActionEntry(REDUCE, 270);
   _actionMap[513][MT] = ActionEntry(REDUCE, 270);
   _actionMap[513][LT] = ActionEntry(REDUCE, 270);
   _actionMap[513][NEGATION] = ActionEntry(REDUCE, 270);
}
void Cego::loadParser99()
{
   _actionMap[513][EQU] = ActionEntry(REDUCE, 270);
   _actionMap[513][RB] = ActionEntry(REDUCE, 270);
   _actionMap[513][ENDTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[513][UNION] = ActionEntry(REDUCE, 270);
   _actionMap[513][ROWLIMIT] = ActionEntry(REDUCE, 270);
   _actionMap[513][KSEP] = ActionEntry(REDUCE, 270);
   _actionMap[513][ASC] = ActionEntry(REDUCE, 270);
   _actionMap[513][DESC] = ActionEntry(REDUCE, 270);
   _actionMap[513][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[513][PLUS] = ActionEntry(REDUCE, 270);
   _actionMap[513][MINUS] = ActionEntry(REDUCE, 270);
   _actionMap[513][DIVISION] = ActionEntry(REDUCE, 270);
   _actionMap[513][STAR] = ActionEntry(REDUCE, 270);
   _actionMap[513][CONCAT] = ActionEntry(REDUCE, 270);
   _actionMap[514][WHEN] = ActionEntry(REDUCE, 267);
   _actionMap[514][ELSE] = ActionEntry(REDUCE, 267);
   _actionMap[514][LEFT] = ActionEntry(REDUCE, 267);
   _actionMap[514][RIGHT] = ActionEntry(REDUCE, 267);
   _actionMap[514][INNER] = ActionEntry(REDUCE, 267);
   _actionMap[514][JOIN] = ActionEntry(REDUCE, 267);
   _actionMap[514][RETURNTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[514][ORDER] = ActionEntry(REDUCE, 267);
   _actionMap[514][GROUP] = ActionEntry(REDUCE, 267);
   _actionMap[514][WHERE] = ActionEntry(REDUCE, 267);
   _actionMap[514][FROM] = ActionEntry(REDUCE, 267);
   _actionMap[514][AS] = ActionEntry(REDUCE, 267);
   _actionMap[514][END_TOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[514][BEGIN] = ActionEntry(REDUCE, 267);
   _actionMap[514][THEN] = ActionEntry(REDUCE, 267);
   _actionMap[514][OR] = ActionEntry(REDUCE, 267);
   _actionMap[514][AND] = ActionEntry(REDUCE, 267);
   _actionMap[514][INTOK] = ActionEntry(REDUCE, 267);
   _actionMap[514][NOT] = ActionEntry(REDUCE, 267);
   _actionMap[514][BETWEEN] = ActionEntry(REDUCE, 267);
   _actionMap[514][IS] = ActionEntry(REDUCE, 267);
   _actionMap[514][LIKE] = ActionEntry(REDUCE, 267);
   _actionMap[514][MT] = ActionEntry(REDUCE, 267);
   _actionMap[514][LT] = ActionEntry(REDUCE, 267);
   _actionMap[514][NEGATION] = ActionEntry(REDUCE, 267);
   _actionMap[514][EQU] = ActionEntry(REDUCE, 267);
   _actionMap[514][RB] = ActionEntry(REDUCE, 267);
   _actionMap[514][ENDTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[514][UNION] = ActionEntry(REDUCE, 267);
   _actionMap[514][ROWLIMIT] = ActionEntry(REDUCE, 267);
   _actionMap[514][KSEP] = ActionEntry(REDUCE, 267);
   _actionMap[514][ASC] = ActionEntry(REDUCE, 267);
   _actionMap[514][DESC] = ActionEntry(REDUCE, 267);
   _actionMap[514][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[514][PLUS] = ActionEntry(REDUCE, 267);
   _actionMap[514][MINUS] = ActionEntry(REDUCE, 267);
}
void Cego::loadParser100()
{
   _actionMap[514][DIVISION] = ActionEntry(REDUCE, 267);
   _actionMap[514][STAR] = ActionEntry(REDUCE, 267);
   _actionMap[514][CONCAT] = ActionEntry(REDUCE, 267);
   _actionMap[515][WHEN] = ActionEntry(REDUCE, 260);
   _actionMap[515][ELSE] = ActionEntry(REDUCE, 260);
   _actionMap[515][LEFT] = ActionEntry(REDUCE, 260);
   _actionMap[515][RIGHT] = ActionEntry(REDUCE, 260);
   _actionMap[515][INNER] = ActionEntry(REDUCE, 260);
   _actionMap[515][JOIN] = ActionEntry(REDUCE, 260);
   _actionMap[515][RETURNTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[515][ORDER] = ActionEntry(REDUCE, 260);
   _actionMap[515][GROUP] = ActionEntry(REDUCE, 260);
   _actionMap[515][WHERE] = ActionEntry(REDUCE, 260);
   _actionMap[515][FROM] = ActionEntry(REDUCE, 260);
   _actionMap[515][AS] = ActionEntry(REDUCE, 260);
   _actionMap[515][END_TOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[515][BEGIN] = ActionEntry(REDUCE, 260);
   _actionMap[515][THEN] = ActionEntry(REDUCE, 260);
   _actionMap[515][OR] = ActionEntry(REDUCE, 260);
   _actionMap[515][AND] = ActionEntry(REDUCE, 260);
   _actionMap[515][INTOK] = ActionEntry(REDUCE, 260);
   _actionMap[515][NOT] = ActionEntry(REDUCE, 260);
   _actionMap[515][BETWEEN] = ActionEntry(REDUCE, 260);
   _actionMap[515][IS] = ActionEntry(REDUCE, 260);
   _actionMap[515][LIKE] = ActionEntry(REDUCE, 260);
   _actionMap[515][MT] = ActionEntry(REDUCE, 260);
   _actionMap[515][LT] = ActionEntry(REDUCE, 260);
   _actionMap[515][NEGATION] = ActionEntry(REDUCE, 260);
   _actionMap[515][EQU] = ActionEntry(REDUCE, 260);
   _actionMap[515][RB] = ActionEntry(REDUCE, 260);
   _actionMap[515][ENDTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[515][UNION] = ActionEntry(REDUCE, 260);
   _actionMap[515][ROWLIMIT] = ActionEntry(REDUCE, 260);
   _actionMap[515][KSEP] = ActionEntry(REDUCE, 260);
   _actionMap[515][ASC] = ActionEntry(REDUCE, 260);
   _actionMap[515][DESC] = ActionEntry(REDUCE, 260);
   _actionMap[515][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[515][PLUS] = ActionEntry(REDUCE, 260);
   _actionMap[515][MINUS] = ActionEntry(REDUCE, 260);
   _actionMap[515][DIVISION] = ActionEntry(REDUCE, 260);
   _actionMap[515][STAR] = ActionEntry(REDUCE, 260);
   _actionMap[515][CONCAT] = ActionEntry(REDUCE, 260);
   _actionMap[516][WHEN] = ActionEntry(REDUCE, 258);
   _actionMap[516][ELSE] = ActionEntry(REDUCE, 258);
   _actionMap[516][LEFT] = ActionEntry(REDUCE, 258);
   _actionMap[516][RIGHT] = ActionEntry(REDUCE, 258);
   _actionMap[516][INNER] = ActionEntry(REDUCE, 258);
   _actionMap[516][JOIN] = ActionEntry(REDUCE, 258);
   _actionMap[516][RETURNTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[516][ORDER] = ActionEntry(REDUCE, 258);
}
void Cego::loadParser101()
{
   _actionMap[516][GROUP] = ActionEntry(REDUCE, 258);
   _actionMap[516][WHERE] = ActionEntry(REDUCE, 258);
   _actionMap[516][FROM] = ActionEntry(REDUCE, 258);
   _actionMap[516][AS] = ActionEntry(REDUCE, 258);
   _actionMap[516][END_TOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[516][BEGIN] = ActionEntry(REDUCE, 258);
   _actionMap[516][THEN] = ActionEntry(REDUCE, 258);
   _actionMap[516][OR] = ActionEntry(REDUCE, 258);
   _actionMap[516][AND] = ActionEntry(REDUCE, 258);
   _actionMap[516][INTOK] = ActionEntry(REDUCE, 258);
   _actionMap[516][NOT] = ActionEntry(REDUCE, 258);
   _actionMap[516][BETWEEN] = ActionEntry(REDUCE, 258);
   _actionMap[516][IS] = ActionEntry(REDUCE, 258);
   _actionMap[516][LIKE] = ActionEntry(REDUCE, 258);
   _actionMap[516][MT] = ActionEntry(REDUCE, 258);
   _actionMap[516][LT] = ActionEntry(REDUCE, 258);
   _actionMap[516][NEGATION] = ActionEntry(REDUCE, 258);
   _actionMap[516][EQU] = ActionEntry(REDUCE, 258);
   _actionMap[516][RB] = ActionEntry(REDUCE, 258);
   _actionMap[516][ENDTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[516][UNION] = ActionEntry(REDUCE, 258);
   _actionMap[516][ROWLIMIT] = ActionEntry(REDUCE, 258);
   _actionMap[516][KSEP] = ActionEntry(REDUCE, 258);
   _actionMap[516][ASC] = ActionEntry(REDUCE, 258);
   _actionMap[516][DESC] = ActionEntry(REDUCE, 258);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[516][PLUS] = ActionEntry(REDUCE, 258);
   _actionMap[516][MINUS] = ActionEntry(REDUCE, 258);
   _actionMap[516][DIVISION] = ActionEntry(REDUCE, 258);
   _actionMap[516][STAR] = ActionEntry(REDUCE, 258);
   _actionMap[516][CONCAT] = ActionEntry(REDUCE, 258);
   _actionMap[517][WHEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][ELSE] = ActionEntry(REDUCE, 269);
   _actionMap[517][LEFT] = ActionEntry(REDUCE, 269);
   _actionMap[517][RIGHT] = ActionEntry(REDUCE, 269);
   _actionMap[517][INNER] = ActionEntry(REDUCE, 269);
   _actionMap[517][JOIN] = ActionEntry(REDUCE, 269);
   _actionMap[517][RETURNTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][ORDER] = ActionEntry(REDUCE, 269);
   _actionMap[517][GROUP] = ActionEntry(REDUCE, 269);
   _actionMap[517][WHERE] = ActionEntry(REDUCE, 269);
   _actionMap[517][FROM] = ActionEntry(REDUCE, 269);
   _actionMap[517][AS] = ActionEntry(REDUCE, 269);
   _actionMap[517][END_TOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][BEGIN] = ActionEntry(REDUCE, 269);
   _actionMap[517][THEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][OR] = ActionEntry(REDUCE, 269);
   _actionMap[517][AND] = ActionEntry(REDUCE, 269);
   _actionMap[517][INTOK] = ActionEntry(REDUCE, 269);
   _actionMap[517][NOT] = ActionEntry(REDUCE, 269);
}
void Cego::loadParser102()
{
   _actionMap[517][BETWEEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][IS] = ActionEntry(REDUCE, 269);
   _actionMap[517][LIKE] = ActionEntry(REDUCE, 269);
   _actionMap[517][MT] = ActionEntry(REDUCE, 269);
   _actionMap[517][LT] = ActionEntry(REDUCE, 269);
   _actionMap[517][NEGATION] = ActionEntry(REDUCE, 269);
   _actionMap[517][EQU] = ActionEntry(REDUCE, 269);
   _actionMap[517][RB] = ActionEntry(REDUCE, 269);
   _actionMap[517][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[517][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[517][ROWLIMIT] = ActionEntry(REDUCE, 269);
   _actionMap[517][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[517][ASC] = ActionEntry(REDUCE, 269);
   _actionMap[517][DESC] = ActionEntry(REDUCE, 269);
   _actionMap[517][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[517][PLUS] = ActionEntry(REDUCE, 269);
   _actionMap[517][MINUS] = ActionEntry(REDUCE, 269);
   _actionMap[517][DIVISION] = ActionEntry(REDUCE, 269);
   _actionMap[517][STAR] = ActionEntry(REDUCE, 269);
   _actionMap[517][CONCAT] = ActionEntry(REDUCE, 269);
   _actionMap[518][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[518][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[518][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[518][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[518][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[518][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[518][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[518][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[518][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[518][WHERE] = ActionEntry(REDUCE, 149);
   _actionMap[518][AS] = ActionEntry(REDUCE, 149);
   _actionMap[518][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[518][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[518][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[518][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[518][OR] = ActionEntry(REDUCE, 149);
   _actionMap[518][AND] = ActionEntry(REDUCE, 149);
   _actionMap[518][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[518][IS] = ActionEntry(REDUCE, 149);
   _actionMap[518][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[518][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[518][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[518][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[518][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[518][LT] = ActionEntry(REDUCE, 149);
   _actionMap[518][MT] = ActionEntry(REDUCE, 149);
   _actionMap[518][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[518][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[518][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[518][ROWLIMIT] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser103()
{
   _actionMap[518][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[518][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[518][RB] = ActionEntry(REDUCE, 149);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[518][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[518][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[518][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[518][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[518][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[519][WHEN] = ActionEntry(REDUCE, 273);
   _actionMap[519][ELSE] = ActionEntry(REDUCE, 273);
   _actionMap[519][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[519][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[519][INNER] = ActionEntry(REDUCE, 273);
   _actionMap[519][JOIN] = ActionEntry(REDUCE, 273);
   _actionMap[519][RETURNTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 273);
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 273);
   _actionMap[519][WHERE] = ActionEntry(REDUCE, 273);
   _actionMap[519][FROM] = ActionEntry(REDUCE, 273);
   _actionMap[519][AS] = ActionEntry(REDUCE, 273);
   _actionMap[519][END_TOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[519][BEGIN] = ActionEntry(REDUCE, 273);
   _actionMap[519][THEN] = ActionEntry(REDUCE, 273);
   _actionMap[519][OR] = ActionEntry(REDUCE, 273);
   _actionMap[519][AND] = ActionEntry(REDUCE, 273);
   _actionMap[519][INTOK] = ActionEntry(REDUCE, 273);
   _actionMap[519][NOT] = ActionEntry(REDUCE, 273);
   _actionMap[519][BETWEEN] = ActionEntry(REDUCE, 273);
   _actionMap[519][IS] = ActionEntry(REDUCE, 273);
   _actionMap[519][LIKE] = ActionEntry(REDUCE, 273);
   _actionMap[519][MT] = ActionEntry(REDUCE, 273);
   _actionMap[519][LT] = ActionEntry(REDUCE, 273);
   _actionMap[519][NEGATION] = ActionEntry(REDUCE, 273);
   _actionMap[519][EQU] = ActionEntry(REDUCE, 273);
   _actionMap[519][RB] = ActionEntry(REDUCE, 273);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[519][ASC] = ActionEntry(REDUCE, 273);
   _actionMap[519][DESC] = ActionEntry(REDUCE, 273);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[519][PLUS] = ActionEntry(REDUCE, 273);
   _actionMap[519][MINUS] = ActionEntry(REDUCE, 273);
   _actionMap[519][DIVISION] = ActionEntry(REDUCE, 273);
   _actionMap[519][STAR] = ActionEntry(REDUCE, 273);
   _actionMap[519][CONCAT] = ActionEntry(REDUCE, 273);
   _actionMap[520][WHEN] = ActionEntry(REDUCE, 274);
   _actionMap[520][ELSE] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser104()
{
   _actionMap[520][LEFT] = ActionEntry(REDUCE, 274);
   _actionMap[520][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[520][INNER] = ActionEntry(REDUCE, 274);
   _actionMap[520][JOIN] = ActionEntry(REDUCE, 274);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 274);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 274);
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 274);
   _actionMap[520][FROM] = ActionEntry(REDUCE, 274);
   _actionMap[520][AS] = ActionEntry(REDUCE, 274);
   _actionMap[520][END_TOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[520][BEGIN] = ActionEntry(REDUCE, 274);
   _actionMap[520][THEN] = ActionEntry(REDUCE, 274);
   _actionMap[520][OR] = ActionEntry(REDUCE, 274);
   _actionMap[520][AND] = ActionEntry(REDUCE, 274);
   _actionMap[520][INTOK] = ActionEntry(REDUCE, 274);
   _actionMap[520][NOT] = ActionEntry(REDUCE, 274);
   _actionMap[520][BETWEEN] = ActionEntry(REDUCE, 274);
   _actionMap[520][IS] = ActionEntry(REDUCE, 274);
   _actionMap[520][LIKE] = ActionEntry(REDUCE, 274);
   _actionMap[520][MT] = ActionEntry(REDUCE, 274);
   _actionMap[520][LT] = ActionEntry(REDUCE, 274);
   _actionMap[520][NEGATION] = ActionEntry(REDUCE, 274);
   _actionMap[520][EQU] = ActionEntry(REDUCE, 274);
   _actionMap[520][RB] = ActionEntry(REDUCE, 274);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[520][KSEP] = ActionEntry(REDUCE, 274);
   _actionMap[520][ASC] = ActionEntry(REDUCE, 274);
   _actionMap[520][DESC] = ActionEntry(REDUCE, 274);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[520][PLUS] = ActionEntry(REDUCE, 274);
   _actionMap[520][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[520][DIVISION] = ActionEntry(REDUCE, 274);
   _actionMap[520][STAR] = ActionEntry(REDUCE, 274);
   _actionMap[520][CONCAT] = ActionEntry(REDUCE, 274);
   _actionMap[521][WHEN] = ActionEntry(REDUCE, 257);
   _actionMap[521][ELSE] = ActionEntry(REDUCE, 257);
   _actionMap[521][LEFT] = ActionEntry(REDUCE, 257);
   _actionMap[521][RIGHT] = ActionEntry(REDUCE, 257);
   _actionMap[521][INNER] = ActionEntry(REDUCE, 257);
   _actionMap[521][JOIN] = ActionEntry(REDUCE, 257);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 257);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 257);
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 257);
   _actionMap[521][FROM] = ActionEntry(REDUCE, 257);
   _actionMap[521][AS] = ActionEntry(REDUCE, 257);
   _actionMap[521][END_TOKEN] = ActionEntry(REDUCE, 257);
}
void Cego::loadParser105()
{
   _actionMap[521][BEGIN] = ActionEntry(REDUCE, 257);
   _actionMap[521][THEN] = ActionEntry(REDUCE, 257);
   _actionMap[521][OR] = ActionEntry(REDUCE, 257);
   _actionMap[521][AND] = ActionEntry(REDUCE, 257);
   _actionMap[521][INTOK] = ActionEntry(REDUCE, 257);
   _actionMap[521][NOT] = ActionEntry(REDUCE, 257);
   _actionMap[521][BETWEEN] = ActionEntry(REDUCE, 257);
   _actionMap[521][IS] = ActionEntry(REDUCE, 257);
   _actionMap[521][LIKE] = ActionEntry(REDUCE, 257);
   _actionMap[521][MT] = ActionEntry(REDUCE, 257);
   _actionMap[521][LT] = ActionEntry(REDUCE, 257);
   _actionMap[521][NEGATION] = ActionEntry(REDUCE, 257);
   _actionMap[521][EQU] = ActionEntry(REDUCE, 257);
   _actionMap[521][RB] = ActionEntry(REDUCE, 257);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[521][UNION] = ActionEntry(REDUCE, 257);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 257);
   _actionMap[521][KSEP] = ActionEntry(REDUCE, 257);
   _actionMap[521][ASC] = ActionEntry(REDUCE, 257);
   _actionMap[521][DESC] = ActionEntry(REDUCE, 257);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[521][PLUS] = ActionEntry(REDUCE, 257);
   _actionMap[521][MINUS] = ActionEntry(REDUCE, 257);
   _actionMap[521][DIVISION] = ActionEntry(REDUCE, 257);
   _actionMap[521][STAR] = ActionEntry(REDUCE, 257);
   _actionMap[521][CONCAT] = ActionEntry(REDUCE, 257);
   _actionMap[522][WHEN] = ActionEntry(REDUCE, 272);
   _actionMap[522][ELSE] = ActionEntry(REDUCE, 272);
   _actionMap[522][LEFT] = ActionEntry(REDUCE, 272);
   _actionMap[522][RIGHT] = ActionEntry(REDUCE, 272);
   _actionMap[522][INNER] = ActionEntry(REDUCE, 272);
   _actionMap[522][JOIN] = ActionEntry(REDUCE, 272);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 272);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 272);
   _actionMap[522][FROM] = ActionEntry(REDUCE, 272);
   _actionMap[522][AS] = ActionEntry(REDUCE, 272);
   _actionMap[522][END_TOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[522][BEGIN] = ActionEntry(REDUCE, 272);
   _actionMap[522][THEN] = ActionEntry(REDUCE, 272);
   _actionMap[522][OR] = ActionEntry(REDUCE, 272);
   _actionMap[522][AND] = ActionEntry(REDUCE, 272);
   _actionMap[522][INTOK] = ActionEntry(REDUCE, 272);
   _actionMap[522][NOT] = ActionEntry(REDUCE, 272);
   _actionMap[522][BETWEEN] = ActionEntry(REDUCE, 272);
   _actionMap[522][IS] = ActionEntry(REDUCE, 272);
   _actionMap[522][LIKE] = ActionEntry(REDUCE, 272);
   _actionMap[522][MT] = ActionEntry(REDUCE, 272);
   _actionMap[522][LT] = ActionEntry(REDUCE, 272);
}
void Cego::loadParser106()
{
   _actionMap[522][NEGATION] = ActionEntry(REDUCE, 272);
   _actionMap[522][EQU] = ActionEntry(REDUCE, 272);
   _actionMap[522][RB] = ActionEntry(REDUCE, 272);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 272);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[522][ASC] = ActionEntry(REDUCE, 272);
   _actionMap[522][DESC] = ActionEntry(REDUCE, 272);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[522][PLUS] = ActionEntry(REDUCE, 272);
   _actionMap[522][MINUS] = ActionEntry(REDUCE, 272);
   _actionMap[522][DIVISION] = ActionEntry(REDUCE, 272);
   _actionMap[522][STAR] = ActionEntry(REDUCE, 272);
   _actionMap[522][CONCAT] = ActionEntry(REDUCE, 272);
   _actionMap[523][WHEN] = ActionEntry(REDUCE, 265);
   _actionMap[523][ELSE] = ActionEntry(REDUCE, 265);
   _actionMap[523][LEFT] = ActionEntry(REDUCE, 265);
   _actionMap[523][RIGHT] = ActionEntry(REDUCE, 265);
   _actionMap[523][INNER] = ActionEntry(REDUCE, 265);
   _actionMap[523][JOIN] = ActionEntry(REDUCE, 265);
   _actionMap[523][RETURNTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[523][ORDER] = ActionEntry(REDUCE, 265);
   _actionMap[523][GROUP] = ActionEntry(REDUCE, 265);
   _actionMap[523][WHERE] = ActionEntry(REDUCE, 265);
   _actionMap[523][FROM] = ActionEntry(REDUCE, 265);
   _actionMap[523][AS] = ActionEntry(REDUCE, 265);
   _actionMap[523][END_TOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[523][BEGIN] = ActionEntry(REDUCE, 265);
   _actionMap[523][THEN] = ActionEntry(REDUCE, 265);
   _actionMap[523][OR] = ActionEntry(REDUCE, 265);
   _actionMap[523][AND] = ActionEntry(REDUCE, 265);
   _actionMap[523][INTOK] = ActionEntry(REDUCE, 265);
   _actionMap[523][NOT] = ActionEntry(REDUCE, 265);
   _actionMap[523][BETWEEN] = ActionEntry(REDUCE, 265);
   _actionMap[523][IS] = ActionEntry(REDUCE, 265);
   _actionMap[523][LIKE] = ActionEntry(REDUCE, 265);
   _actionMap[523][MT] = ActionEntry(REDUCE, 265);
   _actionMap[523][LT] = ActionEntry(REDUCE, 265);
   _actionMap[523][NEGATION] = ActionEntry(REDUCE, 265);
   _actionMap[523][EQU] = ActionEntry(REDUCE, 265);
   _actionMap[523][RB] = ActionEntry(REDUCE, 265);
   _actionMap[523][ENDTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[523][UNION] = ActionEntry(REDUCE, 265);
   _actionMap[523][ROWLIMIT] = ActionEntry(REDUCE, 265);
   _actionMap[523][KSEP] = ActionEntry(REDUCE, 265);
   _actionMap[523][ASC] = ActionEntry(REDUCE, 265);
   _actionMap[523][DESC] = ActionEntry(REDUCE, 265);
   _actionMap[523][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[523][PLUS] = ActionEntry(REDUCE, 265);
}
void Cego::loadParser107()
{
   _actionMap[523][MINUS] = ActionEntry(REDUCE, 265);
   _actionMap[523][DIVISION] = ActionEntry(REDUCE, 265);
   _actionMap[523][STAR] = ActionEntry(REDUCE, 265);
   _actionMap[523][CONCAT] = ActionEntry(REDUCE, 265);
   _actionMap[524][WHEN] = ActionEntry(REDUCE, 333);
   _actionMap[524][ELSE] = ActionEntry(REDUCE, 333);
   _actionMap[524][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[524][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[524][INNER] = ActionEntry(REDUCE, 333);
   _actionMap[524][JOIN] = ActionEntry(REDUCE, 333);
   _actionMap[524][RETURNTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[524][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[524][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[524][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[524][FROM] = ActionEntry(REDUCE, 333);
   _actionMap[524][AS] = ActionEntry(REDUCE, 333);
   _actionMap[524][END_TOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[524][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[524][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[524][OR] = ActionEntry(REDUCE, 333);
   _actionMap[524][AND] = ActionEntry(REDUCE, 333);
   _actionMap[524][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[524][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[524][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[524][ASC] = ActionEntry(REDUCE, 333);
   _actionMap[524][DESC] = ActionEntry(REDUCE, 333);
   _actionMap[524][INTOK] = ActionEntry(REDUCE, 333);
   _actionMap[524][BETWEEN] = ActionEntry(REDUCE, 333);
   _actionMap[524][LIKE] = ActionEntry(REDUCE, 333);
   _actionMap[524][PLUS] = ActionEntry(REDUCE, 333);
   _actionMap[524][MINUS] = ActionEntry(REDUCE, 333);
   _actionMap[524][CONCAT] = ActionEntry(REDUCE, 333);
   _actionMap[524][DIVISION] = ActionEntry(REDUCE, 333);
   _actionMap[524][STAR] = ActionEntry(REDUCE, 333);
   _actionMap[524][MT] = ActionEntry(REDUCE, 333);
   _actionMap[524][LT] = ActionEntry(REDUCE, 333);
   _actionMap[524][NEGATION] = ActionEntry(REDUCE, 333);
   _actionMap[524][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[524][IS] = ActionEntry(REDUCE, 333);
   _actionMap[524][NULLTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[524][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[524][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[524][RB] = ActionEntry(REDUCE, 333);
   _actionMap[525][INTVAL] = ActionEntry(SHIFT, 264);
   _actionMap[526][WHEN] = ActionEntry(REDUCE, 339);
   _actionMap[526][ELSE] = ActionEntry(REDUCE, 339);
   _actionMap[526][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[526][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[526][INNER] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser108()
{
   _actionMap[526][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[526][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[526][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[526][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[526][WHERE] = ActionEntry(REDUCE, 339);
   _actionMap[526][FROM] = ActionEntry(REDUCE, 339);
   _actionMap[526][AS] = ActionEntry(REDUCE, 339);
   _actionMap[526][END_TOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[526][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[526][THEN] = ActionEntry(REDUCE, 339);
   _actionMap[526][OR] = ActionEntry(REDUCE, 339);
   _actionMap[526][AND] = ActionEntry(REDUCE, 339);
   _actionMap[526][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[526][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[526][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[526][ASC] = ActionEntry(REDUCE, 339);
   _actionMap[526][DESC] = ActionEntry(REDUCE, 339);
   _actionMap[526][INTOK] = ActionEntry(REDUCE, 339);
   _actionMap[526][BETWEEN] = ActionEntry(REDUCE, 339);
   _actionMap[526][LIKE] = ActionEntry(REDUCE, 339);
   _actionMap[526][PLUS] = ActionEntry(REDUCE, 339);
   _actionMap[526][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[526][CONCAT] = ActionEntry(REDUCE, 339);
   _actionMap[526][DIVISION] = ActionEntry(REDUCE, 339);
   _actionMap[526][STAR] = ActionEntry(REDUCE, 339);
   _actionMap[526][MT] = ActionEntry(REDUCE, 339);
   _actionMap[526][LT] = ActionEntry(REDUCE, 339);
   _actionMap[526][NEGATION] = ActionEntry(REDUCE, 339);
   _actionMap[526][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[526][IS] = ActionEntry(REDUCE, 339);
   _actionMap[526][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[526][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[526][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[526][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[526][RB] = ActionEntry(REDUCE, 339);
   _actionMap[527][FLOATVAL] = ActionEntry(SHIFT, 265);
   _actionMap[528][WHEN] = ActionEntry(REDUCE, 338);
   _actionMap[528][ELSE] = ActionEntry(REDUCE, 338);
   _actionMap[528][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[528][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[528][INNER] = ActionEntry(REDUCE, 338);
   _actionMap[528][JOIN] = ActionEntry(REDUCE, 338);
   _actionMap[528][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[528][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[528][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[528][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[528][FROM] = ActionEntry(REDUCE, 338);
   _actionMap[528][AS] = ActionEntry(REDUCE, 338);
   _actionMap[528][END_TOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[528][BEGIN] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser109()
{
   _actionMap[528][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[528][OR] = ActionEntry(REDUCE, 338);
   _actionMap[528][AND] = ActionEntry(REDUCE, 338);
   _actionMap[528][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[528][UNION] = ActionEntry(REDUCE, 338);
   _actionMap[528][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[528][ASC] = ActionEntry(REDUCE, 338);
   _actionMap[528][DESC] = ActionEntry(REDUCE, 338);
   _actionMap[528][INTOK] = ActionEntry(REDUCE, 338);
   _actionMap[528][BETWEEN] = ActionEntry(REDUCE, 338);
   _actionMap[528][LIKE] = ActionEntry(REDUCE, 338);
   _actionMap[528][PLUS] = ActionEntry(REDUCE, 338);
   _actionMap[528][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[528][CONCAT] = ActionEntry(REDUCE, 338);
   _actionMap[528][DIVISION] = ActionEntry(REDUCE, 338);
   _actionMap[528][STAR] = ActionEntry(REDUCE, 338);
   _actionMap[528][MT] = ActionEntry(REDUCE, 338);
   _actionMap[528][LT] = ActionEntry(REDUCE, 338);
   _actionMap[528][NEGATION] = ActionEntry(REDUCE, 338);
   _actionMap[528][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[528][IS] = ActionEntry(REDUCE, 338);
   _actionMap[528][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[528][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[528][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[528][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[528][RB] = ActionEntry(REDUCE, 338);
   _actionMap[529][WHEN] = ActionEntry(REDUCE, 340);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[529][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[529][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[529][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[529][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[529][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[529][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[529][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[529][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[529][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[529][AS] = ActionEntry(REDUCE, 340);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[529][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[529][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[529][OR] = ActionEntry(REDUCE, 340);
   _actionMap[529][AND] = ActionEntry(REDUCE, 340);
   _actionMap[529][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[529][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[529][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[529][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[529][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[529][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[529][BETWEEN] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser110()
{
   _actionMap[529][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[529][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[529][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[529][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[529][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[529][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[529][MT] = ActionEntry(REDUCE, 340);
   _actionMap[529][LT] = ActionEntry(REDUCE, 340);
   _actionMap[529][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[529][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[529][IS] = ActionEntry(REDUCE, 340);
   _actionMap[529][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[529][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[529][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[529][RB] = ActionEntry(REDUCE, 340);
   _actionMap[530][WHEN] = ActionEntry(REDUCE, 332);
   _actionMap[530][ELSE] = ActionEntry(REDUCE, 332);
   _actionMap[530][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[530][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[530][INNER] = ActionEntry(REDUCE, 332);
   _actionMap[530][JOIN] = ActionEntry(REDUCE, 332);
   _actionMap[530][RETURNTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[530][ORDER] = ActionEntry(REDUCE, 332);
   _actionMap[530][GROUP] = ActionEntry(REDUCE, 332);
   _actionMap[530][WHERE] = ActionEntry(REDUCE, 332);
   _actionMap[530][FROM] = ActionEntry(REDUCE, 332);
   _actionMap[530][AS] = ActionEntry(REDUCE, 332);
   _actionMap[530][END_TOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[530][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[530][THEN] = ActionEntry(REDUCE, 332);
   _actionMap[530][OR] = ActionEntry(REDUCE, 332);
   _actionMap[530][AND] = ActionEntry(REDUCE, 332);
   _actionMap[530][ENDTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[530][UNION] = ActionEntry(REDUCE, 332);
   _actionMap[530][ROWLIMIT] = ActionEntry(REDUCE, 332);
   _actionMap[530][ASC] = ActionEntry(REDUCE, 332);
   _actionMap[530][DESC] = ActionEntry(REDUCE, 332);
   _actionMap[530][INTOK] = ActionEntry(REDUCE, 332);
   _actionMap[530][BETWEEN] = ActionEntry(REDUCE, 332);
   _actionMap[530][LIKE] = ActionEntry(REDUCE, 332);
   _actionMap[530][PLUS] = ActionEntry(REDUCE, 332);
   _actionMap[530][MINUS] = ActionEntry(REDUCE, 332);
   _actionMap[530][CONCAT] = ActionEntry(REDUCE, 332);
   _actionMap[530][DIVISION] = ActionEntry(REDUCE, 332);
   _actionMap[530][STAR] = ActionEntry(REDUCE, 332);
   _actionMap[530][MT] = ActionEntry(REDUCE, 332);
   _actionMap[530][LT] = ActionEntry(REDUCE, 332);
   _actionMap[530][NEGATION] = ActionEntry(REDUCE, 332);
   _actionMap[530][EQU] = ActionEntry(REDUCE, 332);
}
void Cego::loadParser111()
{
   _actionMap[530][IS] = ActionEntry(REDUCE, 332);
   _actionMap[530][NULLTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[530][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[530][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[530][RB] = ActionEntry(REDUCE, 332);
   _actionMap[531][WHEN] = ActionEntry(REDUCE, 334);
   _actionMap[531][ELSE] = ActionEntry(REDUCE, 334);
   _actionMap[531][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[531][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[531][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[531][JOIN] = ActionEntry(REDUCE, 334);
   _actionMap[531][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[531][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[531][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[531][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[531][FROM] = ActionEntry(REDUCE, 334);
   _actionMap[531][AS] = ActionEntry(REDUCE, 334);
   _actionMap[531][END_TOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[531][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[531][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[531][OR] = ActionEntry(REDUCE, 334);
   _actionMap[531][AND] = ActionEntry(REDUCE, 334);
   _actionMap[531][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[531][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[531][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[531][ASC] = ActionEntry(REDUCE, 334);
   _actionMap[531][DESC] = ActionEntry(REDUCE, 334);
   _actionMap[531][INTOK] = ActionEntry(REDUCE, 334);
   _actionMap[531][BETWEEN] = ActionEntry(REDUCE, 334);
   _actionMap[531][LIKE] = ActionEntry(REDUCE, 334);
   _actionMap[531][PLUS] = ActionEntry(REDUCE, 334);
   _actionMap[531][MINUS] = ActionEntry(REDUCE, 334);
   _actionMap[531][CONCAT] = ActionEntry(REDUCE, 334);
   _actionMap[531][DIVISION] = ActionEntry(REDUCE, 334);
   _actionMap[531][STAR] = ActionEntry(REDUCE, 334);
   _actionMap[531][MT] = ActionEntry(REDUCE, 334);
   _actionMap[531][LT] = ActionEntry(REDUCE, 334);
   _actionMap[531][NEGATION] = ActionEntry(REDUCE, 334);
   _actionMap[531][EQU] = ActionEntry(REDUCE, 334);
   _actionMap[531][IS] = ActionEntry(REDUCE, 334);
   _actionMap[531][NULLTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[531][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[531][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[531][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[531][RB] = ActionEntry(REDUCE, 334);
   _actionMap[532][WHEN] = ActionEntry(REDUCE, 335);
   _actionMap[532][ELSE] = ActionEntry(REDUCE, 335);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser112()
{
   _actionMap[532][INNER] = ActionEntry(REDUCE, 335);
   _actionMap[532][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[532][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[532][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[532][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[532][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[532][FROM] = ActionEntry(REDUCE, 335);
   _actionMap[532][AS] = ActionEntry(REDUCE, 335);
   _actionMap[532][END_TOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[532][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[532][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[532][OR] = ActionEntry(REDUCE, 335);
   _actionMap[532][AND] = ActionEntry(REDUCE, 335);
   _actionMap[532][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[532][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[532][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[532][ASC] = ActionEntry(REDUCE, 335);
   _actionMap[532][DESC] = ActionEntry(REDUCE, 335);
   _actionMap[532][INTOK] = ActionEntry(REDUCE, 335);
   _actionMap[532][BETWEEN] = ActionEntry(REDUCE, 335);
   _actionMap[532][LIKE] = ActionEntry(REDUCE, 335);
   _actionMap[532][PLUS] = ActionEntry(REDUCE, 335);
   _actionMap[532][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[532][CONCAT] = ActionEntry(REDUCE, 335);
   _actionMap[532][DIVISION] = ActionEntry(REDUCE, 335);
   _actionMap[532][STAR] = ActionEntry(REDUCE, 335);
   _actionMap[532][MT] = ActionEntry(REDUCE, 335);
   _actionMap[532][LT] = ActionEntry(REDUCE, 335);
   _actionMap[532][NEGATION] = ActionEntry(REDUCE, 335);
   _actionMap[532][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[532][IS] = ActionEntry(REDUCE, 335);
   _actionMap[532][NULLTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[532][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[532][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[532][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[532][RB] = ActionEntry(REDUCE, 335);
   _actionMap[533][RAB] = ActionEntry(SHIFT, 639);
   _actionMap[534][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[535][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[537][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[538][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[540][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[540][RB] = ActionEntry(REDUCE, 214);
   _actionMap[540][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[540][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[540][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[540][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[540][GROUP] = ActionEntry(SHIFT, 642);
}
void Cego::loadParser113()
{
   _jumpMap[540][NoGroup] = 641;
   _jumpMap[540][GroupClause] = 640;
   _actionMap[541][LEFT] = ActionEntry(REDUCE, 198);
   _actionMap[541][RIGHT] = ActionEntry(REDUCE, 198);
   _actionMap[541][INNER] = ActionEntry(REDUCE, 198);
   _actionMap[541][JOIN] = ActionEntry(REDUCE, 198);
   _actionMap[541][RETURNTOKEN] = ActionEntry(REDUCE, 198);
   _actionMap[541][SEMICOLON] = ActionEntry(REDUCE, 198);
   _actionMap[541][RB] = ActionEntry(REDUCE, 198);
   _actionMap[541][ENDTOKEN] = ActionEntry(REDUCE, 198);
   _actionMap[541][UNION] = ActionEntry(REDUCE, 198);
   _actionMap[541][ROWLIMIT] = ActionEntry(REDUCE, 198);
   _actionMap[541][ORDER] = ActionEntry(REDUCE, 198);
   _actionMap[541][GROUP] = ActionEntry(REDUCE, 198);
   _actionMap[541][WHERE] = ActionEntry(REDUCE, 198);
   _actionMap[542][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[542][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[542][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[542][ObjSpec] = 411;
   _jumpMap[542][Table] = 643;
   _actionMap[543][JOIN] = ActionEntry(SHIFT, 644);
   _actionMap[544][IDENTIFIER] = ActionEntry(REDUCE, 204);
   _actionMap[544][QUALIFIEDOBJ] = ActionEntry(REDUCE, 204);
   _actionMap[544][QUALIFIEDTS] = ActionEntry(REDUCE, 204);
   _actionMap[545][OUTER] = ActionEntry(SHIFT, 645);
   _actionMap[546][OUTER] = ActionEntry(SHIFT, 646);
   _actionMap[547][LEFT] = ActionEntry(REDUCE, 199);
   _actionMap[547][RIGHT] = ActionEntry(REDUCE, 199);
   _actionMap[547][INNER] = ActionEntry(REDUCE, 199);
   _actionMap[547][JOIN] = ActionEntry(REDUCE, 199);
   _actionMap[547][RETURNTOKEN] = ActionEntry(REDUCE, 199);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 199);
   _actionMap[547][RB] = ActionEntry(REDUCE, 199);
   _actionMap[547][ENDTOKEN] = ActionEntry(REDUCE, 199);
   _actionMap[547][UNION] = ActionEntry(REDUCE, 199);
   _actionMap[547][ROWLIMIT] = ActionEntry(REDUCE, 199);
   _actionMap[547][ORDER] = ActionEntry(REDUCE, 199);
   _actionMap[547][GROUP] = ActionEntry(REDUCE, 199);
   _actionMap[547][WHERE] = ActionEntry(REDUCE, 199);
   _actionMap[548][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[548][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[548][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[548][ObjSpec] = 411;
   _jumpMap[548][Table] = 648;
   _jumpMap[548][TableList] = 647;
   _actionMap[549][WHERE] = ActionEntry(REDUCE, 208);
   _actionMap[549][GROUP] = ActionEntry(REDUCE, 208);
   _actionMap[549][ORDER] = ActionEntry(REDUCE, 208);
   _actionMap[549][ROWLIMIT] = ActionEntry(REDUCE, 208);
   _actionMap[549][UNION] = ActionEntry(REDUCE, 208);
}
void Cego::loadParser114()
{
   _actionMap[549][ENDTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[549][RB] = ActionEntry(REDUCE, 208);
   _actionMap[549][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[549][RETURNTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[549][LEFT] = ActionEntry(REDUCE, 208);
   _actionMap[549][RIGHT] = ActionEntry(REDUCE, 208);
   _actionMap[549][INNER] = ActionEntry(REDUCE, 208);
   _actionMap[549][JOIN] = ActionEntry(REDUCE, 208);
   _actionMap[549][KSEP] = ActionEntry(REDUCE, 208);
   _actionMap[549][ON] = ActionEntry(REDUCE, 208);
   _actionMap[550][FROM] = ActionEntry(REDUCE, 210);
   _actionMap[550][KSEP] = ActionEntry(REDUCE, 210);
   _actionMap[551][FROM] = ActionEntry(REDUCE, 193);
   _actionMap[551][KSEP] = ActionEntry(REDUCE, 193);
   _actionMap[552][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[552][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[552][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[552][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[553][RETURNTOKEN] = ActionEntry(SHIFT, 650);
   _actionMap[553][SEMICOLON] = ActionEntry(REDUCE, 239);
   _jumpMap[553][UpdReturnOpt] = 649;
   _actionMap[554][IDENTIFIER] = ActionEntry(SHIFT, 419);
   _jumpMap[554][Assignment] = 651;
   _actionMap[555][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[555][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[555][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[555][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[555][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[555][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[555][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[555][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[555][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[555][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[555][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[555][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[555][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[555][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[555][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[555][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[555][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[555][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[555][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[555][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[555][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[555][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[555][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[555][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[555][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[555][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[555][BITAND] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser115()
{
   _actionMap[555][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[555][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[555][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[555][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[555][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[555][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[555][LB] = ActionEntry(SHIFT, 136);
   _actionMap[555][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[555][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[555][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[555][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[555][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[555][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[555][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[555][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[555][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[555][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[555][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[555][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[555][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[555][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[555][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[555][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[555][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[555][ObjSpec] = 95;
   _jumpMap[555][Constant] = 94;
   _jumpMap[555][SignedFloat] = 93;
   _jumpMap[555][SignedInt] = 92;
   _jumpMap[555][Attribute] = 91;
   _jumpMap[555][Function] = 90;
   _jumpMap[555][CasePrepare] = 89;
   _jumpMap[555][CaseClause] = 88;
   _jumpMap[555][Factor] = 87;
   _jumpMap[555][Term] = 86;
   _jumpMap[555][Expr] = 652;
   _actionMap[556][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[556][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[556][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[556][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[556][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[556][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[556][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[556][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[556][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[556][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[556][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[556][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[556][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[556][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[556][GETPOS] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser116()
{
   _actionMap[556][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[556][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[556][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[556][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[556][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[556][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[556][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[556][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[556][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[556][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[556][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[556][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[556][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[556][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[556][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[556][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[556][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[556][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[556][LB] = ActionEntry(SHIFT, 136);
   _actionMap[556][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[556][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[556][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[556][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[556][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[556][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[556][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[556][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[556][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[556][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[556][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[556][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[556][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[556][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[556][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[556][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[556][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[556][RB] = ActionEntry(REDUCE, 110);
   _jumpMap[556][ObjSpec] = 95;
   _jumpMap[556][Constant] = 94;
   _jumpMap[556][SignedFloat] = 93;
   _jumpMap[556][SignedInt] = 92;
   _jumpMap[556][Attribute] = 91;
   _jumpMap[556][Function] = 90;
   _jumpMap[556][CasePrepare] = 89;
   _jumpMap[556][CaseClause] = 88;
   _jumpMap[556][Factor] = 87;
   _jumpMap[556][Term] = 86;
   _jumpMap[556][Expr] = 302;
   _jumpMap[556][ProcValueList] = 301;
   _jumpMap[556][ProcValueListOpt] = 653;
}
void Cego::loadParser117()
{
   _actionMap[292][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[293][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[294][KSEP] = ActionEntry(SHIFT, 421);
   _actionMap[294][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[295][CHECK] = ActionEntry(SHIFT, 422);
   _actionMap[295][FOREIGN] = ActionEntry(SHIFT, 424);
   _actionMap[295][COLUMN] = ActionEntry(SHIFT, 423);
   _actionMap[296][COLUMN] = ActionEntry(SHIFT, 425);
   _actionMap[297][COLUMN] = ActionEntry(SHIFT, 426);
   _actionMap[298][COLUMN] = ActionEntry(SHIFT, 427);
   _actionMap[299][STRINGVAL] = ActionEntry(SHIFT, 428);
   _actionMap[300][RB] = ActionEntry(SHIFT, 303);
   _actionMap[301][KSEP] = ActionEntry(SHIFT, 429);
   _actionMap[301][RB] = ActionEntry(REDUCE, 109);
   _actionMap[302][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[302][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[302][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[302][KSEP] = ActionEntry(REDUCE, 112);
   _actionMap[302][RB] = ActionEntry(REDUCE, 112);
   _actionMap[303][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[304][END_TOKEN] = ActionEntry(SHIFT, 430);
   _actionMap[305][EXCEPTION] = ActionEntry(REDUCE, 107);
   _actionMap[305][ELSE] = ActionEntry(REDUCE, 107);
   _actionMap[305][ELSIF] = ActionEntry(REDUCE, 107);
   _actionMap[305][END_TOKEN] = ActionEntry(REDUCE, 107);
   _actionMap[305][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[305][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[305][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[305][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[305][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[305][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[305][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[305][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[305][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[305][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[305][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[305][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[305][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[305][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[305][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[305][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[305][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[305][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[305][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[305][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[305][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[305][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[305][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[305][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[305][DIV] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser118()
{
   _actionMap[305][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[305][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[305][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[305][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[305][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[305][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[305][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[305][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[305][LB] = ActionEntry(SHIFT, 136);
   _actionMap[305][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[305][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[305][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[305][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[305][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[305][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[305][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[305][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[305][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[305][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[305][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[305][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[305][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[305][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[305][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[305][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[305][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[305][IF] = ActionEntry(SHIFT, 319);
   _actionMap[305][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[305][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[305][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[305][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[305][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[305][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[305][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[305][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[305][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[305][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[305][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[305][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[305][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[305][ObjSpec] = 95;
   _jumpMap[305][Constant] = 94;
   _jumpMap[305][SignedFloat] = 93;
   _jumpMap[305][SignedInt] = 92;
   _jumpMap[305][Attribute] = 91;
   _jumpMap[305][Function] = 90;
   _jumpMap[305][DeleteStatement] = 315;
   _jumpMap[305][UpdateStatement] = 314;
   _jumpMap[305][InsertStatement] = 313;
   _jumpMap[305][RollbackStatement] = 312;
}
void Cego::loadParser119()
{
   _jumpMap[305][CommitStatement] = 311;
   _jumpMap[305][StartStatement] = 310;
   _jumpMap[305][CasePrepare] = 89;
   _jumpMap[305][CaseClause] = 88;
   _jumpMap[305][Factor] = 87;
   _jumpMap[305][Term] = 86;
   _jumpMap[305][Expr] = 309;
   _jumpMap[305][ProcStatement] = 432;
   _jumpMap[305][ProcIfPart] = 307;
   _jumpMap[305][ProcExceptionList] = 431;
   _jumpMap[305][ProcBlockStart] = 306;
   _actionMap[306][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[306][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[306][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[306][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[306][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[306][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[306][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[306][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[306][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[306][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[306][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[306][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[306][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[306][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[306][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[306][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[306][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[306][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[306][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[306][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[306][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[306][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[306][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[306][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[306][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[306][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[306][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[306][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[306][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[306][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[306][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[306][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[306][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[306][LB] = ActionEntry(SHIFT, 136);
   _actionMap[306][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[306][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[306][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[306][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[306][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser120()
{
   _actionMap[306][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[306][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[306][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[306][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[306][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[306][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[306][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[306][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[306][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[306][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[306][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[306][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[306][IF] = ActionEntry(SHIFT, 319);
   _actionMap[306][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[306][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[306][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[306][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[306][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[306][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[306][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[306][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[306][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[306][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[306][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[306][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[306][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[306][ObjSpec] = 95;
   _jumpMap[306][Constant] = 94;
   _jumpMap[306][SignedFloat] = 93;
   _jumpMap[306][SignedInt] = 92;
   _jumpMap[306][Attribute] = 91;
   _jumpMap[306][Function] = 90;
   _jumpMap[306][DeleteStatement] = 315;
   _jumpMap[306][UpdateStatement] = 314;
   _jumpMap[306][InsertStatement] = 313;
   _jumpMap[306][RollbackStatement] = 312;
   _jumpMap[306][CommitStatement] = 311;
   _jumpMap[306][StartStatement] = 310;
   _jumpMap[306][CasePrepare] = 89;
   _jumpMap[306][CaseClause] = 88;
   _jumpMap[306][Factor] = 87;
   _jumpMap[306][Term] = 86;
   _jumpMap[306][Expr] = 309;
   _jumpMap[306][ProcStatement] = 308;
   _jumpMap[306][ProcIfPart] = 307;
   _jumpMap[306][ProcBlockStart] = 306;
   _jumpMap[306][ProcStatementList] = 305;
   _jumpMap[306][ProcStmtBlock] = 433;
   _actionMap[307][ELSIF] = ActionEntry(SHIFT, 436);
   _actionMap[307][END_TOKEN] = ActionEntry(REDUCE, 117);
}
void Cego::loadParser121()
{
   _actionMap[307][ELSE] = ActionEntry(REDUCE, 117);
   _jumpMap[307][ProcElsIfOpt] = 435;
   _jumpMap[307][ProcElsIfList] = 434;
   _actionMap[308][SEMICOLON] = ActionEntry(SHIFT, 437);
   _actionMap[309][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[309][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[309][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[309][SEMICOLON] = ActionEntry(REDUCE, 91);
   _actionMap[310][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[311][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[312][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[313][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[314][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[315][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[316][VAR] = ActionEntry(REDUCE, 105);
   _actionMap[316][CURSOR] = ActionEntry(REDUCE, 105);
   _actionMap[316][CLOSE] = ActionEntry(REDUCE, 105);
   _actionMap[316][VARREF] = ActionEntry(REDUCE, 105);
   _actionMap[316][NOOP] = ActionEntry(REDUCE, 105);
   _actionMap[316][RETURNTOKEN] = ActionEntry(REDUCE, 105);
   _actionMap[316][WHILE] = ActionEntry(REDUCE, 105);
   _actionMap[316][IF] = ActionEntry(REDUCE, 105);
   _actionMap[316][BEGIN] = ActionEntry(REDUCE, 105);
   _actionMap[316][ROLLBACK] = ActionEntry(REDUCE, 105);
   _actionMap[316][COMMIT] = ActionEntry(REDUCE, 105);
   _actionMap[316][START_TOKEN] = ActionEntry(REDUCE, 105);
   _actionMap[316][UPDATE] = ActionEntry(REDUCE, 105);
   _actionMap[316][DELETETOK] = ActionEntry(REDUCE, 105);
   _actionMap[316][INSERT] = ActionEntry(REDUCE, 105);
   _actionMap[316][FETCH] = ActionEntry(REDUCE, 105);
   _actionMap[316][LB] = ActionEntry(REDUCE, 105);
   _actionMap[316][COUNT] = ActionEntry(REDUCE, 105);
   _actionMap[316][SUM] = ActionEntry(REDUCE, 105);
   _actionMap[316][AVG] = ActionEntry(REDUCE, 105);
   _actionMap[316][MIN] = ActionEntry(REDUCE, 105);
   _actionMap[316][MAX] = ActionEntry(REDUCE, 105);
   _actionMap[316][CASE] = ActionEntry(REDUCE, 105);
   _actionMap[316][TRIM] = ActionEntry(REDUCE, 105);
   _actionMap[316][RTRIM] = ActionEntry(REDUCE, 105);
   _actionMap[316][LTRIM] = ActionEntry(REDUCE, 105);
   _actionMap[316][ROUND] = ActionEntry(REDUCE, 105);
   _actionMap[316][DATE2STR] = ActionEntry(REDUCE, 105);
   _actionMap[316][DATE2INT] = ActionEntry(REDUCE, 105);
   _actionMap[316][INT2DATE] = ActionEntry(REDUCE, 105);
   _actionMap[316][LOWER] = ActionEntry(REDUCE, 105);
   _actionMap[316][UPPER] = ActionEntry(REDUCE, 105);
   _actionMap[316][LEFT] = ActionEntry(REDUCE, 105);
   _actionMap[316][RIGHT] = ActionEntry(REDUCE, 105);
   _actionMap[316][GETPOS] = ActionEntry(REDUCE, 105);
   _actionMap[316][SUBSTR] = ActionEntry(REDUCE, 105);
}
void Cego::loadParser122()
{
   _actionMap[316][REPLACE] = ActionEntry(REDUCE, 105);
   _actionMap[316][LENGTH] = ActionEntry(REDUCE, 105);
   _actionMap[316][TRUNC] = ActionEntry(REDUCE, 105);
   _actionMap[316][STR2INT] = ActionEntry(REDUCE, 105);
   _actionMap[316][STR2LONG] = ActionEntry(REDUCE, 105);
   _actionMap[316][RANDSTR] = ActionEntry(REDUCE, 105);
   _actionMap[316][RANDINT] = ActionEntry(REDUCE, 105);
   _actionMap[316][MOD] = ActionEntry(REDUCE, 105);
   _actionMap[316][DIV] = ActionEntry(REDUCE, 105);
   _actionMap[316][POWER] = ActionEntry(REDUCE, 105);
   _actionMap[316][BITAND] = ActionEntry(REDUCE, 105);
   _actionMap[316][BITOR] = ActionEntry(REDUCE, 105);
   _actionMap[316][BITXOR] = ActionEntry(REDUCE, 105);
   _actionMap[316][NEXTCOUNT] = ActionEntry(REDUCE, 105);
   _actionMap[316][IDENTIFIER] = ActionEntry(REDUCE, 105);
   _actionMap[316][QUALIFIEDOBJ] = ActionEntry(REDUCE, 105);
   _actionMap[316][QUALIFIEDTS] = ActionEntry(REDUCE, 105);
   _actionMap[316][QUALIFIEDPRE] = ActionEntry(REDUCE, 105);
   _actionMap[316][STRINGVAL] = ActionEntry(REDUCE, 105);
   _actionMap[316][DATE] = ActionEntry(REDUCE, 105);
   _actionMap[316][SYSDATE] = ActionEntry(REDUCE, 105);
   _actionMap[316][NULLTOKEN] = ActionEntry(REDUCE, 105);
   _actionMap[316][TRUEVAL] = ActionEntry(REDUCE, 105);
   _actionMap[316][FALSEVAL] = ActionEntry(REDUCE, 105);
   _actionMap[316][LAB] = ActionEntry(REDUCE, 105);
   _actionMap[316][COUNTERID] = ActionEntry(REDUCE, 105);
   _actionMap[316][FLOATVAL] = ActionEntry(REDUCE, 105);
   _actionMap[316][MINUS] = ActionEntry(REDUCE, 105);
   _actionMap[316][INTVAL] = ActionEntry(REDUCE, 105);
   _actionMap[317][IDENTIFIER] = ActionEntry(SHIFT, 438);
   _actionMap[318][IDENTIFIER] = ActionEntry(SHIFT, 439);
   _actionMap[319][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[319][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[319][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[319][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[319][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[319][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[319][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[319][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[319][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[319][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[319][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[319][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[319][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[319][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[319][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[319][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[319][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[319][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[319][TRUNC] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser123()
{
   _actionMap[319][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[319][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[319][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[319][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[319][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[319][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[319][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[319][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[319][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[319][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[319][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[319][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[319][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[319][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[319][LB] = ActionEntry(SHIFT, 444);
   _actionMap[319][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[319][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[319][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[319][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[319][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[319][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[319][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[319][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[319][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[319][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[319][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[319][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[319][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[319][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[319][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[319][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[319][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[319][ObjSpec] = 95;
   _jumpMap[319][Constant] = 94;
   _jumpMap[319][SignedFloat] = 93;
   _jumpMap[319][SignedInt] = 92;
   _jumpMap[319][Attribute] = 91;
   _jumpMap[319][Function] = 90;
   _jumpMap[319][CasePrepare] = 89;
   _jumpMap[319][CaseClause] = 88;
   _jumpMap[319][Factor] = 87;
   _jumpMap[319][Term] = 86;
   _jumpMap[319][Expr] = 443;
   _jumpMap[319][ProcPredicate] = 442;
   _jumpMap[319][ProcCondition] = 441;
   _jumpMap[319][ProcIfCondition] = 440;
   _actionMap[320][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[321][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[321][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[321][MINUS] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser124()
{
   _actionMap[321][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[321][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[321][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[321][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[321][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[321][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[321][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[321][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[321][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[321][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[321][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[321][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[321][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[321][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[321][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[321][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[321][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[321][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[321][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[321][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[321][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[321][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[321][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[321][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[321][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[321][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[321][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[321][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[321][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[321][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[321][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[321][LB] = ActionEntry(SHIFT, 136);
   _actionMap[321][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[321][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[321][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[321][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[321][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[321][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[321][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[321][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[321][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[321][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[321][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[321][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[321][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[321][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[321][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[321][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[321][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[321][ObjSpec] = 95;
}
void Cego::loadParser125()
{
   _jumpMap[321][Constant] = 94;
   _jumpMap[321][SignedFloat] = 93;
   _jumpMap[321][SignedInt] = 92;
   _jumpMap[321][Attribute] = 91;
   _jumpMap[321][Function] = 90;
   _jumpMap[321][CasePrepare] = 89;
   _jumpMap[321][CaseClause] = 88;
   _jumpMap[321][Factor] = 87;
   _jumpMap[321][Term] = 86;
   _jumpMap[321][Expr] = 445;
   _actionMap[322][IDENTIFIER] = ActionEntry(SHIFT, 446);
   _actionMap[323][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[323][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[323][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[323][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[323][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[323][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[323][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[323][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[323][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[323][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[323][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[323][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[323][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[323][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[323][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[323][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[323][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[323][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[323][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[323][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[323][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[323][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[323][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[323][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[323][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[323][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[323][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[323][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[323][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[323][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[323][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[323][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[323][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[323][LB] = ActionEntry(SHIFT, 444);
   _actionMap[323][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[323][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[323][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[323][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[323][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser126()
{
   _actionMap[323][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[323][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[323][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[323][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[323][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[323][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[323][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[323][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[323][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[323][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[323][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[323][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[323][ObjSpec] = 95;
   _jumpMap[323][Constant] = 94;
   _jumpMap[323][SignedFloat] = 93;
   _jumpMap[323][SignedInt] = 92;
   _jumpMap[323][Attribute] = 91;
   _jumpMap[323][Function] = 90;
   _jumpMap[323][CasePrepare] = 89;
   _jumpMap[323][CaseClause] = 88;
   _jumpMap[323][Factor] = 87;
   _jumpMap[323][Term] = 86;
   _jumpMap[323][Expr] = 443;
   _jumpMap[323][ProcPredicate] = 442;
   _jumpMap[323][ProcCondition] = 448;
   _jumpMap[323][ProcWhileCondition] = 447;
   _actionMap[324][CONCAT] = ActionEntry(REDUCE, 140);
   _actionMap[324][STAR] = ActionEntry(REDUCE, 140);
   _actionMap[324][DIVISION] = ActionEntry(REDUCE, 140);
   _actionMap[324][MINUS] = ActionEntry(REDUCE, 140);
   _actionMap[324][PLUS] = ActionEntry(REDUCE, 140);
   _actionMap[324][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[324][EQU] = ActionEntry(SHIFT, 449);
   _actionMap[325][ON] = ActionEntry(SHIFT, 450);
   _actionMap[326][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[326][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[326][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[326][ObjSpec] = 451;
   _actionMap[327][IDENTIFIER] = ActionEntry(SHIFT, 456);
   _actionMap[327][RB] = ActionEntry(REDUCE, 79);
   _jumpMap[327][ProcArg] = 454;
   _jumpMap[327][ProcArgList] = 453;
   _jumpMap[327][ProcArgOpt] = 452;
   _actionMap[328][IDENTIFIER] = ActionEntry(SHIFT, 461);
   _actionMap[328][PRIMARY] = ActionEntry(SHIFT, 460);
   _jumpMap[328][ColumnDesc] = 459;
   _jumpMap[328][KeyColumn] = 458;
   _jumpMap[328][ColumnList] = 457;
   _actionMap[329][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[329][SelectStatement] = 462;
}
void Cego::loadParser127()
{
   _actionMap[330][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[331][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[331][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[331][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[331][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[331][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[331][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[331][RB] = ActionEntry(REDUCE, 289);
   _actionMap[331][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[332][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[332][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[332][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[332][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[332][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[332][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[332][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[332][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[332][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[332][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[332][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[332][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[332][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[332][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[332][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[332][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[332][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[332][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[332][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[332][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[332][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[332][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[332][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[332][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[332][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[332][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[332][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[332][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[332][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[332][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[332][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[332][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[332][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[332][LB] = ActionEntry(SHIFT, 351);
   _actionMap[332][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[332][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[332][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[332][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[332][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[332][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[332][LAB] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser128()
{
   _actionMap[332][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[332][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[332][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[332][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[332][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[332][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[332][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[332][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[332][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[332][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[332][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[332][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[332][ObjSpec] = 95;
   _jumpMap[332][Constant] = 94;
   _jumpMap[332][SignedFloat] = 93;
   _jumpMap[332][SignedInt] = 92;
   _jumpMap[332][Attribute] = 91;
   _jumpMap[332][QueryPredicate] = 348;
   _jumpMap[332][QueryCondition] = 463;
   _jumpMap[332][Function] = 90;
   _jumpMap[332][CasePrepare] = 89;
   _jumpMap[332][CaseClause] = 88;
   _jumpMap[332][Factor] = 87;
   _jumpMap[332][Term] = 86;
   _jumpMap[332][Expr] = 346;
   _actionMap[333][VALUES] = ActionEntry(SHIFT, 335);
   _actionMap[333][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[333][SelectStatement] = 334;
   _actionMap[334][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[335][LB] = ActionEntry(SHIFT, 465);
   _jumpMap[335][InsertValueSpec] = 464;
   _actionMap[336][IDENTIFIER] = ActionEntry(SHIFT, 467);
   _jumpMap[336][InsertArgList] = 466;
   _actionMap[337][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[338][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[338][SelectStatement] = 468;
   _actionMap[339][STAR] = ActionEntry(SHIFT, 214);
   _actionMap[339][DIVISION] = ActionEntry(SHIFT, 215);
   _actionMap[339][WHEN] = ActionEntry(REDUCE, 136);
   _actionMap[339][ELSE] = ActionEntry(REDUCE, 136);
   _actionMap[339][LEFT] = ActionEntry(REDUCE, 136);
   _actionMap[339][RIGHT] = ActionEntry(REDUCE, 136);
   _actionMap[339][INNER] = ActionEntry(REDUCE, 136);
   _actionMap[339][JOIN] = ActionEntry(REDUCE, 136);
   _actionMap[339][RETURNTOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[339][ORDER] = ActionEntry(REDUCE, 136);
   _actionMap[339][GROUP] = ActionEntry(REDUCE, 136);
   _actionMap[339][WHERE] = ActionEntry(REDUCE, 136);
   _actionMap[339][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[339][THEN] = ActionEntry(REDUCE, 136);
}
void Cego::loadParser129()
{
   _actionMap[339][OR] = ActionEntry(REDUCE, 136);
   _actionMap[339][AS] = ActionEntry(REDUCE, 136);
   _actionMap[339][FROM] = ActionEntry(REDUCE, 136);
   _actionMap[339][LIKE] = ActionEntry(REDUCE, 136);
   _actionMap[339][BETWEEN] = ActionEntry(REDUCE, 136);
   _actionMap[339][NOT] = ActionEntry(REDUCE, 136);
   _actionMap[339][INTOK] = ActionEntry(REDUCE, 136);
   _actionMap[339][END_TOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[339][AND] = ActionEntry(REDUCE, 136);
   _actionMap[339][IS] = ActionEntry(REDUCE, 136);
   _actionMap[339][EQU] = ActionEntry(REDUCE, 136);
   _actionMap[339][NEGATION] = ActionEntry(REDUCE, 136);
   _actionMap[339][LT] = ActionEntry(REDUCE, 136);
   _actionMap[339][MT] = ActionEntry(REDUCE, 136);
   _actionMap[339][DESC] = ActionEntry(REDUCE, 136);
   _actionMap[339][ASC] = ActionEntry(REDUCE, 136);
   _actionMap[339][KSEP] = ActionEntry(REDUCE, 136);
   _actionMap[339][ROWLIMIT] = ActionEntry(REDUCE, 136);
   _actionMap[339][UNION] = ActionEntry(REDUCE, 136);
   _actionMap[339][ENDTOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[339][RB] = ActionEntry(REDUCE, 136);
   _actionMap[339][SEMICOLON] = ActionEntry(REDUCE, 136);
   _actionMap[339][CONCAT] = ActionEntry(REDUCE, 136);
   _actionMap[339][MINUS] = ActionEntry(REDUCE, 136);
   _actionMap[339][PLUS] = ActionEntry(REDUCE, 136);
   _actionMap[340][STAR] = ActionEntry(SHIFT, 214);
   _actionMap[340][DIVISION] = ActionEntry(SHIFT, 215);
   _actionMap[340][WHEN] = ActionEntry(REDUCE, 134);
   _actionMap[340][ELSE] = ActionEntry(REDUCE, 134);
   _actionMap[340][LEFT] = ActionEntry(REDUCE, 134);
   _actionMap[340][RIGHT] = ActionEntry(REDUCE, 134);
   _actionMap[340][INNER] = ActionEntry(REDUCE, 134);
   _actionMap[340][JOIN] = ActionEntry(REDUCE, 134);
   _actionMap[340][RETURNTOKEN] = ActionEntry(REDUCE, 134);
   _actionMap[340][ORDER] = ActionEntry(REDUCE, 134);
   _actionMap[340][GROUP] = ActionEntry(REDUCE, 134);
   _actionMap[340][WHERE] = ActionEntry(REDUCE, 134);
   _actionMap[340][BEGIN] = ActionEntry(REDUCE, 134);
   _actionMap[340][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[340][OR] = ActionEntry(REDUCE, 134);
   _actionMap[340][AS] = ActionEntry(REDUCE, 134);
   _actionMap[340][FROM] = ActionEntry(REDUCE, 134);
   _actionMap[340][LIKE] = ActionEntry(REDUCE, 134);
   _actionMap[340][BETWEEN] = ActionEntry(REDUCE, 134);
   _actionMap[340][NOT] = ActionEntry(REDUCE, 134);
   _actionMap[340][INTOK] = ActionEntry(REDUCE, 134);
   _actionMap[340][END_TOKEN] = ActionEntry(REDUCE, 134);
   _actionMap[340][AND] = ActionEntry(REDUCE, 134);
   _actionMap[340][IS] = ActionEntry(REDUCE, 134);
   _actionMap[340][EQU] = ActionEntry(REDUCE, 134);
}
void Cego::loadParser130()
{
   _actionMap[340][NEGATION] = ActionEntry(REDUCE, 134);
   _actionMap[340][LT] = ActionEntry(REDUCE, 134);
   _actionMap[340][MT] = ActionEntry(REDUCE, 134);
   _actionMap[340][DESC] = ActionEntry(REDUCE, 134);
   _actionMap[340][ASC] = ActionEntry(REDUCE, 134);
   _actionMap[340][KSEP] = ActionEntry(REDUCE, 134);
   _actionMap[340][ROWLIMIT] = ActionEntry(REDUCE, 134);
   _actionMap[340][UNION] = ActionEntry(REDUCE, 134);
   _actionMap[340][ENDTOKEN] = ActionEntry(REDUCE, 134);
   _actionMap[340][RB] = ActionEntry(REDUCE, 134);
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 134);
   _actionMap[340][CONCAT] = ActionEntry(REDUCE, 134);
   _actionMap[340][MINUS] = ActionEntry(REDUCE, 134);
   _actionMap[340][PLUS] = ActionEntry(REDUCE, 134);
   _actionMap[341][STAR] = ActionEntry(SHIFT, 214);
   _actionMap[341][DIVISION] = ActionEntry(SHIFT, 215);
   _actionMap[341][WHEN] = ActionEntry(REDUCE, 133);
   _actionMap[341][ELSE] = ActionEntry(REDUCE, 133);
   _actionMap[341][LEFT] = ActionEntry(REDUCE, 133);
   _actionMap[341][RIGHT] = ActionEntry(REDUCE, 133);
   _actionMap[341][INNER] = ActionEntry(REDUCE, 133);
   _actionMap[341][JOIN] = ActionEntry(REDUCE, 133);
   _actionMap[341][RETURNTOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[341][ORDER] = ActionEntry(REDUCE, 133);
   _actionMap[341][GROUP] = ActionEntry(REDUCE, 133);
   _actionMap[341][WHERE] = ActionEntry(REDUCE, 133);
   _actionMap[341][BEGIN] = ActionEntry(REDUCE, 133);
   _actionMap[341][THEN] = ActionEntry(REDUCE, 133);
   _actionMap[341][OR] = ActionEntry(REDUCE, 133);
   _actionMap[341][AS] = ActionEntry(REDUCE, 133);
   _actionMap[341][FROM] = ActionEntry(REDUCE, 133);
   _actionMap[341][LIKE] = ActionEntry(REDUCE, 133);
   _actionMap[341][BETWEEN] = ActionEntry(REDUCE, 133);
   _actionMap[341][NOT] = ActionEntry(REDUCE, 133);
   _actionMap[341][INTOK] = ActionEntry(REDUCE, 133);
   _actionMap[341][END_TOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[341][AND] = ActionEntry(REDUCE, 133);
   _actionMap[341][IS] = ActionEntry(REDUCE, 133);
   _actionMap[341][EQU] = ActionEntry(REDUCE, 133);
   _actionMap[341][NEGATION] = ActionEntry(REDUCE, 133);
   _actionMap[341][LT] = ActionEntry(REDUCE, 133);
   _actionMap[341][MT] = ActionEntry(REDUCE, 133);
   _actionMap[341][DESC] = ActionEntry(REDUCE, 133);
   _actionMap[341][ASC] = ActionEntry(REDUCE, 133);
   _actionMap[341][KSEP] = ActionEntry(REDUCE, 133);
   _actionMap[341][ROWLIMIT] = ActionEntry(REDUCE, 133);
   _actionMap[341][UNION] = ActionEntry(REDUCE, 133);
   _actionMap[341][ENDTOKEN] = ActionEntry(REDUCE, 133);
   _actionMap[341][RB] = ActionEntry(REDUCE, 133);
   _actionMap[341][SEMICOLON] = ActionEntry(REDUCE, 133);
}
void Cego::loadParser131()
{
   _actionMap[341][CONCAT] = ActionEntry(REDUCE, 133);
   _actionMap[341][MINUS] = ActionEntry(REDUCE, 133);
   _actionMap[341][PLUS] = ActionEntry(REDUCE, 133);
   _actionMap[342][WHEN] = ActionEntry(REDUCE, 137);
   _actionMap[342][ELSE] = ActionEntry(REDUCE, 137);
   _actionMap[342][LEFT] = ActionEntry(REDUCE, 137);
   _actionMap[342][RIGHT] = ActionEntry(REDUCE, 137);
   _actionMap[342][INNER] = ActionEntry(REDUCE, 137);
   _actionMap[342][JOIN] = ActionEntry(REDUCE, 137);
   _actionMap[342][RETURNTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[342][ORDER] = ActionEntry(REDUCE, 137);
   _actionMap[342][GROUP] = ActionEntry(REDUCE, 137);
   _actionMap[342][WHERE] = ActionEntry(REDUCE, 137);
   _actionMap[342][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[342][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[342][OR] = ActionEntry(REDUCE, 137);
   _actionMap[342][FROM] = ActionEntry(REDUCE, 137);
   _actionMap[342][AS] = ActionEntry(REDUCE, 137);
   _actionMap[342][END_TOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[342][AND] = ActionEntry(REDUCE, 137);
   _actionMap[342][INTOK] = ActionEntry(REDUCE, 137);
   _actionMap[342][NOT] = ActionEntry(REDUCE, 137);
   _actionMap[342][BETWEEN] = ActionEntry(REDUCE, 137);
   _actionMap[342][IS] = ActionEntry(REDUCE, 137);
   _actionMap[342][LIKE] = ActionEntry(REDUCE, 137);
   _actionMap[342][MT] = ActionEntry(REDUCE, 137);
   _actionMap[342][LT] = ActionEntry(REDUCE, 137);
   _actionMap[342][NEGATION] = ActionEntry(REDUCE, 137);
   _actionMap[342][EQU] = ActionEntry(REDUCE, 137);
   _actionMap[342][RB] = ActionEntry(REDUCE, 137);
   _actionMap[342][ENDTOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[342][UNION] = ActionEntry(REDUCE, 137);
   _actionMap[342][ROWLIMIT] = ActionEntry(REDUCE, 137);
   _actionMap[342][KSEP] = ActionEntry(REDUCE, 137);
   _actionMap[342][ASC] = ActionEntry(REDUCE, 137);
   _actionMap[342][DESC] = ActionEntry(REDUCE, 137);
   _actionMap[342][SEMICOLON] = ActionEntry(REDUCE, 137);
   _actionMap[342][PLUS] = ActionEntry(REDUCE, 137);
   _actionMap[342][MINUS] = ActionEntry(REDUCE, 137);
   _actionMap[342][CONCAT] = ActionEntry(REDUCE, 137);
   _actionMap[342][DIVISION] = ActionEntry(REDUCE, 137);
   _actionMap[342][STAR] = ActionEntry(REDUCE, 137);
   _actionMap[343][WHEN] = ActionEntry(REDUCE, 138);
   _actionMap[343][ELSE] = ActionEntry(REDUCE, 138);
   _actionMap[343][LEFT] = ActionEntry(REDUCE, 138);
   _actionMap[343][RIGHT] = ActionEntry(REDUCE, 138);
   _actionMap[343][INNER] = ActionEntry(REDUCE, 138);
   _actionMap[343][JOIN] = ActionEntry(REDUCE, 138);
   _actionMap[343][RETURNTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[343][ORDER] = ActionEntry(REDUCE, 138);
}
void Cego::loadParser132()
{
   _actionMap[343][GROUP] = ActionEntry(REDUCE, 138);
   _actionMap[343][WHERE] = ActionEntry(REDUCE, 138);
   _actionMap[343][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[343][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[343][OR] = ActionEntry(REDUCE, 138);
   _actionMap[343][FROM] = ActionEntry(REDUCE, 138);
   _actionMap[343][AS] = ActionEntry(REDUCE, 138);
   _actionMap[343][END_TOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[343][AND] = ActionEntry(REDUCE, 138);
   _actionMap[343][INTOK] = ActionEntry(REDUCE, 138);
   _actionMap[343][NOT] = ActionEntry(REDUCE, 138);
   _actionMap[343][BETWEEN] = ActionEntry(REDUCE, 138);
   _actionMap[343][IS] = ActionEntry(REDUCE, 138);
   _actionMap[343][LIKE] = ActionEntry(REDUCE, 138);
   _actionMap[343][MT] = ActionEntry(REDUCE, 138);
   _actionMap[343][LT] = ActionEntry(REDUCE, 138);
   _actionMap[343][NEGATION] = ActionEntry(REDUCE, 138);
   _actionMap[343][EQU] = ActionEntry(REDUCE, 138);
   _actionMap[343][RB] = ActionEntry(REDUCE, 138);
   _actionMap[343][ENDTOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[343][UNION] = ActionEntry(REDUCE, 138);
   _actionMap[343][ROWLIMIT] = ActionEntry(REDUCE, 138);
   _actionMap[343][KSEP] = ActionEntry(REDUCE, 138);
   _actionMap[343][ASC] = ActionEntry(REDUCE, 138);
   _actionMap[343][DESC] = ActionEntry(REDUCE, 138);
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 138);
   _actionMap[343][PLUS] = ActionEntry(REDUCE, 138);
   _actionMap[343][MINUS] = ActionEntry(REDUCE, 138);
   _actionMap[343][CONCAT] = ActionEntry(REDUCE, 138);
   _actionMap[343][DIVISION] = ActionEntry(REDUCE, 138);
   _actionMap[343][STAR] = ActionEntry(REDUCE, 138);
   _actionMap[344][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[344][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[345][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[345][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[345][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[345][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[345][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[345][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[345][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[345][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[345][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[345][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[345][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[345][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[345][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[345][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[345][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[345][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[345][REPLACE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser133()
{
   _actionMap[345][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[345][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[345][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[345][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[345][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[345][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[345][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[345][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[345][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[345][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[345][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[345][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[345][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[345][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[345][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[345][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[345][LB] = ActionEntry(SHIFT, 136);
   _actionMap[345][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[345][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[345][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[345][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[345][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[345][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[345][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[345][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[345][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[345][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[345][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[345][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[345][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[345][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[345][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[345][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[345][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[345][ObjSpec] = 95;
   _jumpMap[345][Constant] = 94;
   _jumpMap[345][SignedFloat] = 93;
   _jumpMap[345][SignedInt] = 92;
   _jumpMap[345][Attribute] = 91;
   _jumpMap[345][Function] = 90;
   _jumpMap[345][CasePrepare] = 89;
   _jumpMap[345][CaseClause] = 88;
   _jumpMap[345][Factor] = 87;
   _jumpMap[345][Term] = 86;
   _jumpMap[345][Expr] = 469;
   _actionMap[346][INTOK] = ActionEntry(SHIFT, 472);
   _actionMap[346][NOT] = ActionEntry(SHIFT, 475);
   _actionMap[346][BETWEEN] = ActionEntry(SHIFT, 471);
   _actionMap[346][IS] = ActionEntry(SHIFT, 473);
   _actionMap[346][LIKE] = ActionEntry(SHIFT, 474);
}
void Cego::loadParser134()
{
   _actionMap[346][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[346][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[346][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[346][EQU] = ActionEntry(SHIFT, 476);
   _actionMap[346][NEGATION] = ActionEntry(SHIFT, 479);
   _actionMap[346][LT] = ActionEntry(SHIFT, 477);
   _actionMap[346][MT] = ActionEntry(SHIFT, 478);
   _jumpMap[346][Comparison] = 470;
   _actionMap[347][THEN] = ActionEntry(SHIFT, 482);
   _actionMap[347][AND] = ActionEntry(SHIFT, 480);
   _actionMap[347][OR] = ActionEntry(SHIFT, 481);
   _actionMap[348][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[348][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[348][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[348][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[348][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[348][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[348][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[348][RB] = ActionEntry(REDUCE, 293);
   _actionMap[348][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[348][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[348][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[348][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[348][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[348][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[348][OR] = ActionEntry(REDUCE, 293);
   _actionMap[348][AND] = ActionEntry(REDUCE, 293);
   _actionMap[349][LB] = ActionEntry(SHIFT, 483);
   _actionMap[350][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[350][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[350][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[350][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[350][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[350][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[350][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[350][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[350][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[350][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[350][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[350][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[350][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[350][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[350][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[350][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[350][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[350][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[350][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[350][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[350][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[350][RANDSTR] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser135()
{
   _actionMap[350][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[350][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[350][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[350][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[350][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[350][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[350][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[350][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[350][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[350][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[350][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[350][LB] = ActionEntry(SHIFT, 351);
   _actionMap[350][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[350][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[350][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[350][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[350][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[350][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[350][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[350][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[350][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[350][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[350][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[350][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[350][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[350][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[350][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[350][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[350][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[350][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[350][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[350][ObjSpec] = 95;
   _jumpMap[350][Constant] = 94;
   _jumpMap[350][SignedFloat] = 93;
   _jumpMap[350][SignedInt] = 92;
   _jumpMap[350][Attribute] = 91;
   _jumpMap[350][QueryPredicate] = 484;
   _jumpMap[350][Function] = 90;
   _jumpMap[350][CasePrepare] = 89;
   _jumpMap[350][CaseClause] = 88;
   _jumpMap[350][Factor] = 87;
   _jumpMap[350][Term] = 86;
   _jumpMap[350][Expr] = 346;
   _actionMap[351][LONG] = ActionEntry(SHIFT, 260);
   _actionMap[351][BIGINT] = ActionEntry(SHIFT, 256);
   _actionMap[351][SMALLINT] = ActionEntry(SHIFT, 261);
   _actionMap[351][TINYINT] = ActionEntry(SHIFT, 262);
   _actionMap[351][DOUBLE] = ActionEntry(SHIFT, 258);
   _actionMap[351][DECIMAL] = ActionEntry(SHIFT, 257);
   _actionMap[351][FIXED] = ActionEntry(SHIFT, 259);
}
void Cego::loadParser136()
{
   _actionMap[351][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[351][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[351][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[351][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[351][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[351][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[351][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[351][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[351][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[351][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[351][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[351][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[351][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[351][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[351][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[351][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[351][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[351][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[351][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[351][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[351][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[351][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[351][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[351][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[351][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[351][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[351][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[351][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[351][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[351][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[351][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[351][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[351][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[351][LB] = ActionEntry(SHIFT, 351);
   _actionMap[351][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[351][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[351][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[351][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[351][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[351][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[351][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[351][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[351][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[351][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[351][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[351][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[351][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[351][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[351][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[351][MIN] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser137()
{
   _actionMap[351][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[351][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[351][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[351][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[351][ObjSpec] = 95;
   _jumpMap[351][Constant] = 94;
   _jumpMap[351][SignedFloat] = 93;
   _jumpMap[351][SignedInt] = 92;
   _jumpMap[351][Attribute] = 91;
   _jumpMap[351][QueryPredicate] = 348;
   _jumpMap[351][QueryCondition] = 486;
   _jumpMap[351][Function] = 90;
   _jumpMap[351][SelectStatement] = 255;
   _jumpMap[351][CasePrepare] = 89;
   _jumpMap[351][CaseClause] = 88;
   _jumpMap[351][Factor] = 87;
   _jumpMap[351][Term] = 86;
   _jumpMap[351][Expr] = 485;
   _actionMap[352][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[352][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[352][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[352][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[352][RB] = ActionEntry(REDUCE, 287);
   _actionMap[353][RB] = ActionEntry(SHIFT, 488);
   _actionMap[353][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[354][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[354][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[354][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[354][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[354][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[354][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[354][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[354][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[354][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[354][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[354][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[354][AS] = ActionEntry(REDUCE, 285);
   _actionMap[354][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[354][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[354][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[354][OR] = ActionEntry(REDUCE, 285);
   _actionMap[354][AND] = ActionEntry(REDUCE, 285);
   _actionMap[354][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[354][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[354][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[354][IS] = ActionEntry(REDUCE, 285);
   _actionMap[354][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[354][MT] = ActionEntry(REDUCE, 285);
   _actionMap[354][LT] = ActionEntry(REDUCE, 285);
   _actionMap[354][NEGATION] = ActionEntry(REDUCE, 285);
}
void Cego::loadParser138()
{
   _actionMap[354][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[354][RB] = ActionEntry(REDUCE, 285);
   _actionMap[354][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[354][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[354][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[354][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[354][ASC] = ActionEntry(REDUCE, 285);
   _actionMap[354][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[354][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[354][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[354][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[354][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[354][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[354][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[355][RB] = ActionEntry(SHIFT, 489);
   _actionMap[355][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[355][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[355][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[356][RB] = ActionEntry(SHIFT, 490);
   _actionMap[356][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[357][RB] = ActionEntry(SHIFT, 491);
   _actionMap[357][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[358][RB] = ActionEntry(SHIFT, 492);
   _actionMap[358][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[359][RB] = ActionEntry(SHIFT, 493);
   _actionMap[359][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[359][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[359][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[360][RB] = ActionEntry(SHIFT, 494);
   _actionMap[361][KSEP] = ActionEntry(SHIFT, 495);
   _actionMap[362][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[363][RB] = ActionEntry(SHIFT, 496);
   _actionMap[363][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[364][RB] = ActionEntry(SHIFT, 497);
   _actionMap[364][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[365][RB] = ActionEntry(SHIFT, 498);
   _actionMap[365][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[366][LB] = ActionEntry(SHIFT, 499);
   _actionMap[367][RB] = ActionEntry(SHIFT, 500);
   _actionMap[367][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[368][RB] = ActionEntry(SHIFT, 501);
   _actionMap[368][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[369][RB] = ActionEntry(SHIFT, 502);
   _actionMap[369][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[370][RB] = ActionEntry(SHIFT, 503);
   _actionMap[370][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[371][RB] = ActionEntry(SHIFT, 504);
   _actionMap[371][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[372][RB] = ActionEntry(SHIFT, 505);
   _actionMap[372][KSEP] = ActionEntry(SHIFT, 487);
}
void Cego::loadParser139()
{
   _actionMap[373][RB] = ActionEntry(SHIFT, 506);
   _actionMap[373][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[373][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[373][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[374][RB] = ActionEntry(SHIFT, 507);
   _actionMap[374][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[374][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[374][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[375][RB] = ActionEntry(SHIFT, 508);
   _actionMap[375][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[376][RB] = ActionEntry(SHIFT, 509);
   _actionMap[377][RB] = ActionEntry(SHIFT, 510);
   _actionMap[377][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[378][RB] = ActionEntry(SHIFT, 511);
   _actionMap[378][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[379][RB] = ActionEntry(SHIFT, 512);
   _actionMap[379][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[380][RB] = ActionEntry(SHIFT, 513);
   _actionMap[380][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[381][RB] = ActionEntry(SHIFT, 514);
   _actionMap[381][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[382][RB] = ActionEntry(SHIFT, 515);
   _actionMap[382][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[383][RB] = ActionEntry(SHIFT, 516);
   _actionMap[383][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[384][RB] = ActionEntry(SHIFT, 517);
   _actionMap[384][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[385][RB] = ActionEntry(SHIFT, 518);
   _actionMap[385][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[385][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[385][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[386][RB] = ActionEntry(SHIFT, 519);
   _actionMap[386][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[387][RB] = ActionEntry(SHIFT, 520);
   _actionMap[387][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[388][RB] = ActionEntry(SHIFT, 521);
   _actionMap[388][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[389][RB] = ActionEntry(SHIFT, 522);
   _actionMap[389][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[390][RB] = ActionEntry(SHIFT, 523);
   _actionMap[390][KSEP] = ActionEntry(SHIFT, 487);
   _actionMap[391][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[391][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[391][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[391][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[391][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[391][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[391][GROUP] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser140()
{
   _actionMap[391][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[391][AS] = ActionEntry(REDUCE, 145);
   _actionMap[391][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[391][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[391][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][OR] = ActionEntry(REDUCE, 145);
   _actionMap[391][AND] = ActionEntry(REDUCE, 145);
   _actionMap[391][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[391][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[391][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[391][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[391][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[391][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[391][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[391][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[391][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[391][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[391][RB] = ActionEntry(REDUCE, 145);
   _actionMap[391][STAR] = ActionEntry(REDUCE, 145);
   _actionMap[391][DIVISION] = ActionEntry(REDUCE, 145);
   _actionMap[391][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[391][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[391][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[391][IS] = ActionEntry(REDUCE, 145);
   _actionMap[391][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[391][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[391][LT] = ActionEntry(REDUCE, 145);
   _actionMap[391][MT] = ActionEntry(REDUCE, 145);
   _actionMap[392][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[392][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[392][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[392][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[392][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[392][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[392][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[392][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[392][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[392][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[392][AS] = ActionEntry(REDUCE, 146);
   _actionMap[392][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[392][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[392][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[392][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[392][OR] = ActionEntry(REDUCE, 146);
   _actionMap[392][AND] = ActionEntry(REDUCE, 146);
   _actionMap[392][DESC] = ActionEntry(REDUCE, 146);
   _actionMap[392][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[392][KSEP] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser141()
{
   _actionMap[392][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[392][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[392][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[392][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[392][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[392][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[392][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[392][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[392][RB] = ActionEntry(REDUCE, 146);
   _actionMap[392][STAR] = ActionEntry(REDUCE, 146);
   _actionMap[392][DIVISION] = ActionEntry(REDUCE, 146);
   _actionMap[392][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[392][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[392][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[392][IS] = ActionEntry(REDUCE, 146);
   _actionMap[392][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[392][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[392][LT] = ActionEntry(REDUCE, 146);
   _actionMap[392][MT] = ActionEntry(REDUCE, 146);
   _actionMap[393][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[393][MINUS] = ActionEntry(SHIFT, 525);
   _jumpMap[393][SignedInt] = 524;
   _actionMap[394][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[394][MINUS] = ActionEntry(SHIFT, 527);
   _jumpMap[394][SignedFloat] = 526;
   _actionMap[395][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[395][MINUS] = ActionEntry(SHIFT, 527);
   _jumpMap[395][SignedFloat] = 528;
   _actionMap[396][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[396][MINUS] = ActionEntry(SHIFT, 527);
   _jumpMap[396][SignedFloat] = 529;
   _actionMap[397][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[397][MINUS] = ActionEntry(SHIFT, 525);
   _jumpMap[397][SignedInt] = 530;
   _actionMap[398][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[398][MINUS] = ActionEntry(SHIFT, 525);
   _jumpMap[398][SignedInt] = 531;
   _actionMap[399][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[399][MINUS] = ActionEntry(SHIFT, 525);
   _jumpMap[399][SignedInt] = 532;
   _actionMap[400][INTVAL] = ActionEntry(SHIFT, 533);
   _actionMap[401][IDENTIFIER] = ActionEntry(SHIFT, 534);
   _actionMap[402][IDENTIFIER] = ActionEntry(SHIFT, 535);
   _actionMap[403][IDENTIFIER] = ActionEntry(SHIFT, 536);
   _actionMap[404][IDENTIFIER] = ActionEntry(SHIFT, 537);
   _actionMap[405][IDENTIFIER] = ActionEntry(SHIFT, 538);
   _actionMap[406][IDENTIFIER] = ActionEntry(SHIFT, 539);
   _actionMap[407][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[407][RB] = ActionEntry(REDUCE, 290);
   _actionMap[407][ENDTOKEN] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser142()
{
   _actionMap[407][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[407][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[407][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[407][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[407][WHERE] = ActionEntry(SHIFT, 332);
   _jumpMap[407][NoWhere] = 331;
   _jumpMap[407][WhereClause] = 540;
   _actionMap[408][WHERE] = ActionEntry(REDUCE, 197);
   _actionMap[408][GROUP] = ActionEntry(REDUCE, 197);
   _actionMap[408][ORDER] = ActionEntry(REDUCE, 197);
   _actionMap[408][ROWLIMIT] = ActionEntry(REDUCE, 197);
   _actionMap[408][UNION] = ActionEntry(REDUCE, 197);
   _actionMap[408][ENDTOKEN] = ActionEntry(REDUCE, 197);
   _actionMap[408][RB] = ActionEntry(REDUCE, 197);
   _actionMap[408][SEMICOLON] = ActionEntry(REDUCE, 197);
   _actionMap[408][RETURNTOKEN] = ActionEntry(REDUCE, 197);
   _actionMap[408][INNER] = ActionEntry(SHIFT, 543);
   _actionMap[408][JOIN] = ActionEntry(SHIFT, 544);
   _actionMap[408][LEFT] = ActionEntry(SHIFT, 545);
   _actionMap[408][RIGHT] = ActionEntry(SHIFT, 546);
   _jumpMap[408][InnerJoin] = 542;
   _jumpMap[408][JoinSpec] = 541;
   _actionMap[409][WHERE] = ActionEntry(REDUCE, 196);
   _actionMap[409][GROUP] = ActionEntry(REDUCE, 196);
   _actionMap[409][ORDER] = ActionEntry(REDUCE, 196);
   _actionMap[409][ROWLIMIT] = ActionEntry(REDUCE, 196);
   _actionMap[409][UNION] = ActionEntry(REDUCE, 196);
   _actionMap[409][ENDTOKEN] = ActionEntry(REDUCE, 196);
   _actionMap[409][RB] = ActionEntry(REDUCE, 196);
   _actionMap[409][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[409][RETURNTOKEN] = ActionEntry(REDUCE, 196);
   _actionMap[410][KSEP] = ActionEntry(SHIFT, 548);
   _actionMap[410][RETURNTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[410][SEMICOLON] = ActionEntry(REDUCE, 206);
   _actionMap[410][RB] = ActionEntry(REDUCE, 206);
   _actionMap[410][ENDTOKEN] = ActionEntry(REDUCE, 206);
   _actionMap[410][UNION] = ActionEntry(REDUCE, 206);
   _actionMap[410][ROWLIMIT] = ActionEntry(REDUCE, 206);
   _actionMap[410][ORDER] = ActionEntry(REDUCE, 206);
   _actionMap[410][GROUP] = ActionEntry(REDUCE, 206);
   _actionMap[410][WHERE] = ActionEntry(REDUCE, 206);
   _actionMap[410][INNER] = ActionEntry(SHIFT, 543);
   _actionMap[410][JOIN] = ActionEntry(SHIFT, 544);
   _actionMap[410][LEFT] = ActionEntry(SHIFT, 545);
   _actionMap[410][RIGHT] = ActionEntry(SHIFT, 546);
   _jumpMap[410][InnerJoin] = 542;
   _jumpMap[410][JoinSpec] = 547;
   _actionMap[411][WHERE] = ActionEntry(REDUCE, 207);
   _actionMap[411][IDENTIFIER] = ActionEntry(SHIFT, 549);
   _actionMap[411][GROUP] = ActionEntry(REDUCE, 207);
}
void Cego::loadParser143()
{
   _actionMap[411][ORDER] = ActionEntry(REDUCE, 207);
   _actionMap[411][ROWLIMIT] = ActionEntry(REDUCE, 207);
   _actionMap[411][UNION] = ActionEntry(REDUCE, 207);
   _actionMap[411][ENDTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[411][RB] = ActionEntry(REDUCE, 207);
   _actionMap[411][SEMICOLON] = ActionEntry(REDUCE, 207);
   _actionMap[411][RETURNTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[411][LEFT] = ActionEntry(REDUCE, 207);
   _actionMap[411][RIGHT] = ActionEntry(REDUCE, 207);
   _actionMap[411][INNER] = ActionEntry(REDUCE, 207);
   _actionMap[411][JOIN] = ActionEntry(REDUCE, 207);
   _actionMap[411][KSEP] = ActionEntry(REDUCE, 207);
   _actionMap[411][ON] = ActionEntry(REDUCE, 207);
   _actionMap[412][FROM] = ActionEntry(REDUCE, 195);
   _actionMap[412][KSEP] = ActionEntry(REDUCE, 195);
   _actionMap[413][IDENTIFIER] = ActionEntry(SHIFT, 550);
   _actionMap[414][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[414][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[414][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[414][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[414][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[414][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[414][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[414][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[414][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[414][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[414][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[414][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[414][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[414][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[414][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[414][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[414][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[414][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[414][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[414][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[414][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[414][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[414][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[414][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[414][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[414][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[414][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[414][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[414][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[414][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[414][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[414][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[414][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[414][LB] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser144()
{
   _actionMap[414][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[414][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[414][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[414][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[414][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[414][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[414][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[414][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[414][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[414][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[414][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[414][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[414][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[414][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[414][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[414][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[414][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[414][ObjSpec] = 95;
   _jumpMap[414][Constant] = 94;
   _jumpMap[414][SignedFloat] = 93;
   _jumpMap[414][SignedInt] = 92;
   _jumpMap[414][Attribute] = 91;
   _jumpMap[414][Function] = 90;
   _jumpMap[414][SelectItem] = 551;
   _jumpMap[414][CasePrepare] = 89;
   _jumpMap[414][CaseClause] = 88;
   _jumpMap[414][Factor] = 87;
   _jumpMap[414][Term] = 86;
   _jumpMap[414][Expr] = 276;
   _actionMap[415][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[415][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[415][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[415][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[415][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[415][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[415][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[415][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[415][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[415][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[415][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[415][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[415][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[415][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[415][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[415][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[415][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[415][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[415][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[415][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[415][STR2LONG] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser145()
{
   _actionMap[415][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[415][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[415][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[415][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[415][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[415][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[415][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[415][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[415][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[415][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[415][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[415][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[415][LB] = ActionEntry(SHIFT, 136);
   _actionMap[415][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[415][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[415][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[415][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[415][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[415][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[415][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[415][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[415][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[415][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[415][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[415][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[415][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[415][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[415][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[415][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[415][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[415][ObjSpec] = 95;
   _jumpMap[415][Constant] = 94;
   _jumpMap[415][SignedFloat] = 93;
   _jumpMap[415][SignedInt] = 92;
   _jumpMap[415][Attribute] = 91;
   _jumpMap[415][Function] = 90;
   _jumpMap[415][CasePrepare] = 89;
   _jumpMap[415][CaseClause] = 88;
   _jumpMap[415][Factor] = 87;
   _jumpMap[415][Term] = 86;
   _jumpMap[415][Expr] = 552;
   _actionMap[416][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[416][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[416][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[416][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[417][KSEP] = ActionEntry(SHIFT, 554);
   _actionMap[417][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[417][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[417][WHERE] = ActionEntry(SHIFT, 332);
   _jumpMap[417][NoWhere] = 331;
}
void Cego::loadParser146()
{
   _jumpMap[417][WhereClause] = 553;
   _actionMap[418][KSEP] = ActionEntry(REDUCE, 236);
   _actionMap[418][WHERE] = ActionEntry(REDUCE, 236);
   _actionMap[418][GROUP] = ActionEntry(REDUCE, 236);
   _actionMap[418][ORDER] = ActionEntry(REDUCE, 236);
   _actionMap[418][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[418][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[418][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[418][RB] = ActionEntry(REDUCE, 236);
   _actionMap[418][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[418][RETURNTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[419][EQU] = ActionEntry(SHIFT, 555);
   _actionMap[420][LB] = ActionEntry(SHIFT, 556);
   _actionMap[173][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[174][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[175][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[175][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[175][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[175][ObjSpec] = 292;
   _actionMap[176][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[177][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[178][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[179][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[180][ADD] = ActionEntry(SHIFT, 295);
   _actionMap[180][DROP] = ActionEntry(SHIFT, 296);
   _actionMap[180][MODIFY] = ActionEntry(SHIFT, 297);
   _actionMap[180][RENAME] = ActionEntry(SHIFT, 298);
   _jumpMap[180][AlterOption] = 294;
   _jumpMap[180][AlterList] = 293;
   _actionMap[181][BY] = ActionEntry(SHIFT, 299);
   _actionMap[182][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[182][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[182][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[182][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[182][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[182][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[182][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[182][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[182][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[182][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[182][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[182][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[182][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[182][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[182][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[182][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[182][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[182][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[182][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[182][STR2INT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser147()
{
   _actionMap[182][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[182][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[182][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[182][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[182][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[182][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[182][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[182][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[182][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[182][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[182][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[182][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[182][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[182][LB] = ActionEntry(SHIFT, 136);
   _actionMap[182][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[182][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[182][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[182][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[182][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[182][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[182][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[182][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[182][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[182][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[182][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[182][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[182][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[182][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[182][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[182][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[182][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[182][RB] = ActionEntry(REDUCE, 110);
   _jumpMap[182][ObjSpec] = 95;
   _jumpMap[182][Constant] = 94;
   _jumpMap[182][SignedFloat] = 93;
   _jumpMap[182][SignedInt] = 92;
   _jumpMap[182][Attribute] = 91;
   _jumpMap[182][Function] = 90;
   _jumpMap[182][CasePrepare] = 89;
   _jumpMap[182][CaseClause] = 88;
   _jumpMap[182][Factor] = 87;
   _jumpMap[182][Term] = 86;
   _jumpMap[182][Expr] = 302;
   _jumpMap[182][ProcValueList] = 301;
   _jumpMap[182][ProcValueListOpt] = 300;
   _actionMap[183][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[184][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[184][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[184][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[184][TRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser148()
{
   _actionMap[184][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[184][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[184][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[184][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[184][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[184][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[184][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[184][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[184][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[184][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[184][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[184][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[184][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[184][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[184][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[184][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[184][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[184][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[184][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[184][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[184][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[184][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[184][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[184][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[184][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[184][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[184][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[184][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[184][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[184][LB] = ActionEntry(SHIFT, 136);
   _actionMap[184][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[184][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[184][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[184][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[184][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[184][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[184][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[184][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[184][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[184][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[184][VARREF] = ActionEntry(SHIFT, 324);
   _actionMap[184][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[184][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[184][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[184][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[184][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[184][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[184][IF] = ActionEntry(SHIFT, 319);
   _actionMap[184][BEGIN] = ActionEntry(SHIFT, 316);
   _actionMap[184][ROLLBACK] = ActionEntry(SHIFT, 29);
}
void Cego::loadParser149()
{
   _actionMap[184][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[184][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[184][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[184][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[184][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[184][VAR] = ActionEntry(SHIFT, 322);
   _actionMap[184][CURSOR] = ActionEntry(SHIFT, 318);
   _actionMap[184][CLOSE] = ActionEntry(SHIFT, 317);
   _actionMap[184][NOOP] = ActionEntry(SHIFT, 320);
   _actionMap[184][RETURNTOKEN] = ActionEntry(SHIFT, 321);
   _actionMap[184][WHILE] = ActionEntry(SHIFT, 323);
   _jumpMap[184][ObjSpec] = 95;
   _jumpMap[184][Constant] = 94;
   _jumpMap[184][SignedFloat] = 93;
   _jumpMap[184][SignedInt] = 92;
   _jumpMap[184][Attribute] = 91;
   _jumpMap[184][Function] = 90;
   _jumpMap[184][DeleteStatement] = 315;
   _jumpMap[184][UpdateStatement] = 314;
   _jumpMap[184][InsertStatement] = 313;
   _jumpMap[184][RollbackStatement] = 312;
   _jumpMap[184][CommitStatement] = 311;
   _jumpMap[184][StartStatement] = 310;
   _jumpMap[184][CasePrepare] = 89;
   _jumpMap[184][CaseClause] = 88;
   _jumpMap[184][Factor] = 87;
   _jumpMap[184][Term] = 86;
   _jumpMap[184][Expr] = 309;
   _jumpMap[184][ProcStatement] = 308;
   _jumpMap[184][ProcIfPart] = 307;
   _jumpMap[184][ProcBlockStart] = 306;
   _jumpMap[184][ProcStatementList] = 305;
   _jumpMap[184][ProcStmtBlock] = 304;
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 325);
   _actionMap[186][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[187][ON] = ActionEntry(SHIFT, 326);
   _actionMap[188][LB] = ActionEntry(SHIFT, 327);
   _actionMap[189][LB] = ActionEntry(SHIFT, 328);
   _actionMap[190][AS] = ActionEntry(SHIFT, 329);
   _actionMap[191][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[191][WHERE] = ActionEntry(SHIFT, 332);
   _jumpMap[191][NoWhere] = 331;
   _jumpMap[191][WhereClause] = 330;
   _actionMap[192][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[194][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[196][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[197][COUNTER] = ActionEntry(REDUCE, 60);
   _actionMap[197][CHECK] = ActionEntry(REDUCE, 60);
}
void Cego::loadParser150()
{
   _actionMap[197][FOREIGN] = ActionEntry(REDUCE, 60);
   _actionMap[197][PROCEDURE] = ActionEntry(REDUCE, 60);
   _actionMap[197][VIEW] = ActionEntry(REDUCE, 60);
   _actionMap[197][INDEX] = ActionEntry(REDUCE, 60);
   _actionMap[197][TABLE] = ActionEntry(REDUCE, 60);
   _actionMap[198][LB] = ActionEntry(SHIFT, 336);
   _actionMap[198][VALUES] = ActionEntry(REDUCE, 184);
   _actionMap[198][SELECT] = ActionEntry(REDUCE, 184);
   _jumpMap[198][SelectStatement] = 334;
   _jumpMap[198][InsertArgSpec] = 333;
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[199][IDENTIFIER] = ActionEntry(REDUCE, 70);
   _actionMap[200][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[201][IDENTIFIER] = ActionEntry(SHIFT, 337);
   _actionMap[202][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[204][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[205][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[208][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[210][AS] = ActionEntry(SHIFT, 338);
   _actionMap[211][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[211][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[211][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[211][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[211][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[211][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[211][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[211][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[211][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[211][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[211][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[211][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[211][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[211][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[211][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[211][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[211][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[211][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[211][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[211][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[211][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[211][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[211][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[211][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[211][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[211][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[211][RANDINT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser151()
{
   _actionMap[211][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[211][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[211][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[211][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[211][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[211][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[211][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[211][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[211][LB] = ActionEntry(SHIFT, 136);
   _actionMap[211][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[211][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[211][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[211][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[211][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[211][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[211][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[211][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[211][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[211][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[211][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[211][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[211][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[211][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[211][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[211][ObjSpec] = 95;
   _jumpMap[211][Constant] = 94;
   _jumpMap[211][SignedFloat] = 93;
   _jumpMap[211][SignedInt] = 92;
   _jumpMap[211][Attribute] = 91;
   _jumpMap[211][Function] = 90;
   _jumpMap[211][CasePrepare] = 89;
   _jumpMap[211][CaseClause] = 88;
   _jumpMap[211][Factor] = 87;
   _jumpMap[211][Term] = 339;
   _actionMap[212][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[212][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[212][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[212][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[212][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[212][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[212][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[212][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[212][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[212][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[212][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[212][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[212][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[212][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[212][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[212][UPPER] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser152()
{
   _actionMap[212][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[212][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[212][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[212][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[212][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[212][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[212][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[212][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[212][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[212][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[212][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[212][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[212][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[212][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[212][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[212][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[212][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[212][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[212][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[212][LB] = ActionEntry(SHIFT, 136);
   _actionMap[212][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[212][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[212][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[212][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[212][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[212][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[212][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[212][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[212][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[212][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[212][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[212][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[212][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[212][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[212][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[212][ObjSpec] = 95;
   _jumpMap[212][Constant] = 94;
   _jumpMap[212][SignedFloat] = 93;
   _jumpMap[212][SignedInt] = 92;
   _jumpMap[212][Attribute] = 91;
   _jumpMap[212][Function] = 90;
   _jumpMap[212][CasePrepare] = 89;
   _jumpMap[212][CaseClause] = 88;
   _jumpMap[212][Factor] = 87;
   _jumpMap[212][Term] = 340;
   _actionMap[213][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[213][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[213][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[213][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[213][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser153()
{
   _actionMap[213][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[213][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[213][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[213][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[213][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[213][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[213][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[213][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[213][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[213][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[213][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[213][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[213][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[213][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[213][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[213][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[213][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[213][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[213][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[213][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[213][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[213][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[213][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[213][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[213][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[213][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[213][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[213][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[213][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[213][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[213][LB] = ActionEntry(SHIFT, 136);
   _actionMap[213][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[213][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[213][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[213][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[213][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[213][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[213][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[213][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[213][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[213][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[213][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[213][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[213][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[213][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[213][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[213][ObjSpec] = 95;
   _jumpMap[213][Constant] = 94;
   _jumpMap[213][SignedFloat] = 93;
   _jumpMap[213][SignedInt] = 92;
}
void Cego::loadParser154()
{
   _jumpMap[213][Attribute] = 91;
   _jumpMap[213][Function] = 90;
   _jumpMap[213][CasePrepare] = 89;
   _jumpMap[213][CaseClause] = 88;
   _jumpMap[213][Factor] = 87;
   _jumpMap[213][Term] = 341;
   _actionMap[214][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[214][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[214][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[214][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[214][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[214][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[214][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[214][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[214][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[214][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[214][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[214][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[214][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[214][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[214][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[214][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[214][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[214][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[214][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[214][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[214][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[214][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[214][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[214][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[214][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[214][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[214][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[214][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[214][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[214][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[214][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[214][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[214][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[214][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[214][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[214][LB] = ActionEntry(SHIFT, 136);
   _actionMap[214][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[214][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[214][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[214][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[214][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[214][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[214][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[214][COUNTERID] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser155()
{
   _actionMap[214][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[214][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[214][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[214][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[214][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[214][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[214][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[214][ObjSpec] = 95;
   _jumpMap[214][Constant] = 94;
   _jumpMap[214][SignedFloat] = 93;
   _jumpMap[214][SignedInt] = 92;
   _jumpMap[214][Attribute] = 91;
   _jumpMap[214][Function] = 90;
   _jumpMap[214][CasePrepare] = 89;
   _jumpMap[214][CaseClause] = 88;
   _jumpMap[214][Factor] = 342;
   _actionMap[215][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[215][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[215][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[215][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[215][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[215][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[215][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[215][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[215][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[215][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[215][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[215][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[215][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[215][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[215][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[215][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[215][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[215][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[215][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[215][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[215][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[215][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[215][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[215][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[215][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[215][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[215][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[215][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[215][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[215][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[215][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[215][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[215][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[215][NEXTCOUNT] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser156()
{
   _actionMap[215][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[215][LB] = ActionEntry(SHIFT, 136);
   _actionMap[215][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[215][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[215][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[215][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[215][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[215][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[215][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[215][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[215][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[215][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[215][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[215][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[215][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[215][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[215][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[215][ObjSpec] = 95;
   _jumpMap[215][Constant] = 94;
   _jumpMap[215][SignedFloat] = 93;
   _jumpMap[215][SignedInt] = 92;
   _jumpMap[215][Attribute] = 91;
   _jumpMap[215][Function] = 90;
   _jumpMap[215][CasePrepare] = 89;
   _jumpMap[215][CaseClause] = 88;
   _jumpMap[215][Factor] = 343;
   _actionMap[216][ELSE] = ActionEntry(SHIFT, 345);
   _actionMap[216][WHEN] = ActionEntry(SHIFT, 218);
   _jumpMap[216][CaseCondition] = 344;
   _actionMap[217][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[217][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[218][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[218][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[218][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[218][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[218][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[218][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[218][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[218][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[218][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[218][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[218][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[218][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[218][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[218][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[218][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[218][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[218][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[218][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[218][TRUNC] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser157()
{
   _actionMap[218][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[218][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[218][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[218][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[218][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[218][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[218][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[218][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[218][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[218][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[218][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[218][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[218][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[218][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[218][LB] = ActionEntry(SHIFT, 351);
   _actionMap[218][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[218][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[218][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[218][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[218][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[218][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[218][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[218][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[218][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[218][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[218][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[218][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[218][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[218][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[218][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[218][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[218][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[218][EXISTS] = ActionEntry(SHIFT, 349);
   _actionMap[218][NOT] = ActionEntry(SHIFT, 350);
   _jumpMap[218][ObjSpec] = 95;
   _jumpMap[218][Constant] = 94;
   _jumpMap[218][SignedFloat] = 93;
   _jumpMap[218][SignedInt] = 92;
   _jumpMap[218][Attribute] = 91;
   _jumpMap[218][QueryPredicate] = 348;
   _jumpMap[218][QueryCondition] = 347;
   _jumpMap[218][Function] = 90;
   _jumpMap[218][CasePrepare] = 89;
   _jumpMap[218][CaseClause] = 88;
   _jumpMap[218][Factor] = 87;
   _jumpMap[218][Term] = 86;
   _jumpMap[218][Expr] = 346;
   _actionMap[219][RB] = ActionEntry(SHIFT, 354);
   _actionMap[219][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[219][MINUS] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser158()
{
   _actionMap[219][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[219][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[219][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[219][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[219][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[219][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[219][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[219][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[219][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[219][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[219][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[219][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[219][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[219][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[219][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[219][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[219][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[219][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[219][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[219][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[219][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[219][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[219][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[219][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[219][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[219][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[219][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[219][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[219][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[219][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[219][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[219][LB] = ActionEntry(SHIFT, 136);
   _actionMap[219][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[219][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[219][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[219][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[219][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[219][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[219][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[219][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[219][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[219][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[219][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[219][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[219][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[219][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[219][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[219][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[219][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[219][ObjSpec] = 95;
}
void Cego::loadParser159()
{
   _jumpMap[219][Constant] = 94;
   _jumpMap[219][SignedFloat] = 93;
   _jumpMap[219][SignedInt] = 92;
   _jumpMap[219][Attribute] = 91;
   _jumpMap[219][ExpressionList] = 353;
   _jumpMap[219][Function] = 90;
   _jumpMap[219][CasePrepare] = 89;
   _jumpMap[219][CaseClause] = 88;
   _jumpMap[219][Factor] = 87;
   _jumpMap[219][Term] = 86;
   _jumpMap[219][Expr] = 352;
   _actionMap[220][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[220][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[220][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[220][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[220][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[220][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[220][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[220][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[220][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[220][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[220][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[220][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[220][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[220][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[220][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[220][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[220][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[220][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[220][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[220][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[220][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[220][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[220][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[220][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[220][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[220][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[220][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[220][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[220][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[220][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[220][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[220][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[220][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[220][LB] = ActionEntry(SHIFT, 136);
   _actionMap[220][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[220][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[220][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[220][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[220][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser160()
{
   _actionMap[220][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[220][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[220][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[220][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[220][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[220][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[220][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[220][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[220][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[220][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[220][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[220][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[220][ObjSpec] = 95;
   _jumpMap[220][Constant] = 94;
   _jumpMap[220][SignedFloat] = 93;
   _jumpMap[220][SignedInt] = 92;
   _jumpMap[220][Attribute] = 91;
   _jumpMap[220][Function] = 90;
   _jumpMap[220][CasePrepare] = 89;
   _jumpMap[220][CaseClause] = 88;
   _jumpMap[220][Factor] = 87;
   _jumpMap[220][Term] = 86;
   _jumpMap[220][Expr] = 355;
   _actionMap[221][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[221][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[221][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[221][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[221][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[221][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[221][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[221][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[221][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[221][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[221][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[221][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[221][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[221][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[221][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[221][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[221][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[221][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[221][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[221][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[221][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[221][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[221][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[221][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[221][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[221][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[221][BITAND] = ActionEntry(SHIFT, 98);
}
void Cego::loadParser161()
{
   _actionMap[221][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[221][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[221][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[221][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[221][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[221][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[221][LB] = ActionEntry(SHIFT, 136);
   _actionMap[221][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[221][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[221][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[221][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[221][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[221][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[221][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[221][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[221][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[221][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[221][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[221][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[221][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[221][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[221][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[221][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[221][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[221][ObjSpec] = 95;
   _jumpMap[221][Constant] = 94;
   _jumpMap[221][SignedFloat] = 93;
   _jumpMap[221][SignedInt] = 92;
   _jumpMap[221][Attribute] = 91;
   _jumpMap[221][ExpressionList] = 356;
   _jumpMap[221][Function] = 90;
   _jumpMap[221][CasePrepare] = 89;
   _jumpMap[221][CaseClause] = 88;
   _jumpMap[221][Factor] = 87;
   _jumpMap[221][Term] = 86;
   _jumpMap[221][Expr] = 352;
   _actionMap[222][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[222][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[222][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[222][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[222][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[222][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[222][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[222][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[222][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[222][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[222][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[222][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[222][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[222][RIGHT] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser162()
{
   _actionMap[222][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[222][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[222][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[222][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[222][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[222][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[222][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[222][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[222][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[222][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[222][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[222][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[222][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[222][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[222][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[222][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[222][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[222][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[222][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[222][LB] = ActionEntry(SHIFT, 136);
   _actionMap[222][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[222][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[222][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[222][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[222][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[222][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[222][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[222][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[222][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[222][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[222][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[222][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[222][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[222][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[222][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[222][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[222][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[222][ObjSpec] = 95;
   _jumpMap[222][Constant] = 94;
   _jumpMap[222][SignedFloat] = 93;
   _jumpMap[222][SignedInt] = 92;
   _jumpMap[222][Attribute] = 91;
   _jumpMap[222][ExpressionList] = 357;
   _jumpMap[222][Function] = 90;
   _jumpMap[222][CasePrepare] = 89;
   _jumpMap[222][CaseClause] = 88;
   _jumpMap[222][Factor] = 87;
   _jumpMap[222][Term] = 86;
   _jumpMap[222][Expr] = 352;
   _actionMap[223][FLOATVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser163()
{
   _actionMap[223][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[223][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[223][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[223][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[223][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[223][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[223][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[223][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[223][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[223][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[223][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[223][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[223][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[223][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[223][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[223][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[223][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[223][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[223][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[223][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[223][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[223][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[223][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[223][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[223][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[223][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[223][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[223][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[223][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[223][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[223][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[223][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[223][LB] = ActionEntry(SHIFT, 136);
   _actionMap[223][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[223][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[223][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[223][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[223][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[223][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[223][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[223][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[223][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[223][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[223][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[223][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[223][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[223][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[223][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[223][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[223][MAX] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser164()
{
   _jumpMap[223][ObjSpec] = 95;
   _jumpMap[223][Constant] = 94;
   _jumpMap[223][SignedFloat] = 93;
   _jumpMap[223][SignedInt] = 92;
   _jumpMap[223][Attribute] = 91;
   _jumpMap[223][ExpressionList] = 358;
   _jumpMap[223][Function] = 90;
   _jumpMap[223][CasePrepare] = 89;
   _jumpMap[223][CaseClause] = 88;
   _jumpMap[223][Factor] = 87;
   _jumpMap[223][Term] = 86;
   _jumpMap[223][Expr] = 352;
   _actionMap[224][STAR] = ActionEntry(SHIFT, 360);
   _actionMap[224][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[224][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[224][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[224][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[224][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[224][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[224][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[224][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[224][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[224][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[224][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[224][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[224][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[224][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[224][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[224][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[224][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[224][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[224][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[224][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[224][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[224][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[224][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[224][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[224][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[224][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[224][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[224][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[224][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[224][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[224][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[224][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[224][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[224][LB] = ActionEntry(SHIFT, 136);
   _actionMap[224][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[224][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[224][SYSDATE] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser165()
{
   _actionMap[224][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[224][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[224][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[224][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[224][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[224][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[224][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[224][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[224][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[224][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[224][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[224][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[224][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[224][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[224][ObjSpec] = 95;
   _jumpMap[224][Constant] = 94;
   _jumpMap[224][SignedFloat] = 93;
   _jumpMap[224][SignedInt] = 92;
   _jumpMap[224][Attribute] = 91;
   _jumpMap[224][Function] = 90;
   _jumpMap[224][CasePrepare] = 89;
   _jumpMap[224][CaseClause] = 88;
   _jumpMap[224][Factor] = 87;
   _jumpMap[224][Term] = 86;
   _jumpMap[224][Expr] = 359;
   _actionMap[225][STRINGVAL] = ActionEntry(SHIFT, 362);
   _jumpMap[225][DateFormat] = 361;
   _actionMap[226][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[226][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[226][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[226][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[226][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[226][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[226][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[226][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[226][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[226][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[226][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[226][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[226][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[226][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[226][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[226][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[226][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[226][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[226][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[226][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[226][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[226][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[226][RANDINT] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser166()
{
   _actionMap[226][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[226][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[226][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[226][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[226][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[226][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[226][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[226][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[226][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[226][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[226][LB] = ActionEntry(SHIFT, 136);
   _actionMap[226][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[226][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[226][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[226][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[226][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[226][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[226][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[226][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[226][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[226][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[226][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[226][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[226][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[226][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[226][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[226][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[226][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[226][ObjSpec] = 95;
   _jumpMap[226][Constant] = 94;
   _jumpMap[226][SignedFloat] = 93;
   _jumpMap[226][SignedInt] = 92;
   _jumpMap[226][Attribute] = 91;
   _jumpMap[226][ExpressionList] = 363;
   _jumpMap[226][Function] = 90;
   _jumpMap[226][CasePrepare] = 89;
   _jumpMap[226][CaseClause] = 88;
   _jumpMap[226][Factor] = 87;
   _jumpMap[226][Term] = 86;
   _jumpMap[226][Expr] = 352;
   _actionMap[227][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[227][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[227][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[227][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[227][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[227][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[227][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[227][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[227][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[227][INT2DATE] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser167()
{
   _actionMap[227][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[227][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[227][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[227][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[227][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[227][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[227][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[227][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[227][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[227][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[227][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[227][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[227][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[227][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[227][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[227][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[227][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[227][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[227][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[227][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[227][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[227][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[227][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[227][LB] = ActionEntry(SHIFT, 136);
   _actionMap[227][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[227][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[227][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[227][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[227][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[227][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[227][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[227][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[227][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[227][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[227][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[227][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[227][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[227][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[227][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[227][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[227][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[227][ObjSpec] = 95;
   _jumpMap[227][Constant] = 94;
   _jumpMap[227][SignedFloat] = 93;
   _jumpMap[227][SignedInt] = 92;
   _jumpMap[227][Attribute] = 91;
   _jumpMap[227][ExpressionList] = 364;
   _jumpMap[227][Function] = 90;
   _jumpMap[227][CasePrepare] = 89;
   _jumpMap[227][CaseClause] = 88;
}
void Cego::loadParser168()
{
   _jumpMap[227][Factor] = 87;
   _jumpMap[227][Term] = 86;
   _jumpMap[227][Expr] = 352;
   _actionMap[228][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[228][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[228][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[228][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[228][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[228][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[228][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[228][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[228][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[228][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[228][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[228][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[228][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[228][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[228][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[228][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[228][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[228][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[228][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[228][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[228][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[228][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[228][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[228][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[228][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[228][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[228][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[228][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[228][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[228][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[228][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[228][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[228][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[228][LB] = ActionEntry(SHIFT, 136);
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[228][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[228][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[228][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[228][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[228][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[228][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[228][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[228][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[228][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[228][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[228][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[228][COUNT] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser169()
{
   _actionMap[228][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[228][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[228][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[228][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[228][ObjSpec] = 95;
   _jumpMap[228][Constant] = 94;
   _jumpMap[228][SignedFloat] = 93;
   _jumpMap[228][SignedInt] = 92;
   _jumpMap[228][Attribute] = 91;
   _jumpMap[228][ExpressionList] = 365;
   _jumpMap[228][Function] = 90;
   _jumpMap[228][CasePrepare] = 89;
   _jumpMap[228][CaseClause] = 88;
   _jumpMap[228][Factor] = 87;
   _jumpMap[228][Term] = 86;
   _jumpMap[228][Expr] = 352;
   _actionMap[229][INTO] = ActionEntry(SHIFT, 366);
   _actionMap[230][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[230][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[230][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[230][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[230][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[230][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[230][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[230][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[230][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[230][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[230][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[230][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[230][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[230][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[230][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[230][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[230][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[230][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[230][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[230][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[230][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[230][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[230][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[230][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[230][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[230][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[230][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[230][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[230][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[230][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[230][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[230][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[230][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser170()
{
   _actionMap[230][LB] = ActionEntry(SHIFT, 136);
   _actionMap[230][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[230][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[230][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[230][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[230][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[230][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[230][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[230][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[230][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[230][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[230][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[230][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[230][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[230][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[230][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[230][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[230][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[230][ObjSpec] = 95;
   _jumpMap[230][Constant] = 94;
   _jumpMap[230][SignedFloat] = 93;
   _jumpMap[230][SignedInt] = 92;
   _jumpMap[230][Attribute] = 91;
   _jumpMap[230][ExpressionList] = 367;
   _jumpMap[230][Function] = 90;
   _jumpMap[230][CasePrepare] = 89;
   _jumpMap[230][CaseClause] = 88;
   _jumpMap[230][Factor] = 87;
   _jumpMap[230][Term] = 86;
   _jumpMap[230][Expr] = 352;
   _actionMap[231][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[231][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[231][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[231][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[231][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[231][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[231][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[231][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[231][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[231][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[231][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[231][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[231][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[231][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[231][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[231][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[231][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[231][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[231][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[231][STR2INT] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser171()
{
   _actionMap[231][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[231][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[231][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[231][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[231][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[231][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[231][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[231][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[231][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[231][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[231][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[231][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[231][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[231][LB] = ActionEntry(SHIFT, 136);
   _actionMap[231][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[231][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[231][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[231][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[231][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[231][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[231][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[231][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[231][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[231][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[231][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[231][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[231][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[231][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[231][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[231][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[231][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[231][ObjSpec] = 95;
   _jumpMap[231][Constant] = 94;
   _jumpMap[231][SignedFloat] = 93;
   _jumpMap[231][SignedInt] = 92;
   _jumpMap[231][Attribute] = 91;
   _jumpMap[231][ExpressionList] = 368;
   _jumpMap[231][Function] = 90;
   _jumpMap[231][CasePrepare] = 89;
   _jumpMap[231][CaseClause] = 88;
   _jumpMap[231][Factor] = 87;
   _jumpMap[231][Term] = 86;
   _jumpMap[231][Expr] = 352;
   _actionMap[232][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[232][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[232][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[232][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[232][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[232][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[232][ROUND] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser172()
{
   _actionMap[232][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[232][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[232][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[232][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[232][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[232][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[232][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[232][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[232][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[232][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[232][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[232][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[232][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[232][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[232][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[232][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[232][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[232][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[232][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[232][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[232][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[232][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[232][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[232][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[232][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[232][LB] = ActionEntry(SHIFT, 136);
   _actionMap[232][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[232][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[232][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[232][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[232][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[232][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[232][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[232][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[232][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[232][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[232][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[232][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[232][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[232][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[232][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[232][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[232][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[232][ObjSpec] = 95;
   _jumpMap[232][Constant] = 94;
   _jumpMap[232][SignedFloat] = 93;
   _jumpMap[232][SignedInt] = 92;
   _jumpMap[232][Attribute] = 91;
   _jumpMap[232][ExpressionList] = 369;
}
void Cego::loadParser173()
{
   _jumpMap[232][Function] = 90;
   _jumpMap[232][CasePrepare] = 89;
   _jumpMap[232][CaseClause] = 88;
   _jumpMap[232][Factor] = 87;
   _jumpMap[232][Term] = 86;
   _jumpMap[232][Expr] = 352;
   _actionMap[233][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[233][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[233][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[233][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[233][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[233][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[233][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[233][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[233][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[233][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[233][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[233][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[233][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[233][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[233][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[233][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[233][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[233][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[233][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[233][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[233][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[233][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[233][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[233][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[233][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[233][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[233][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[233][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[233][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[233][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[233][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[233][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[233][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[233][LB] = ActionEntry(SHIFT, 136);
   _actionMap[233][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[233][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[233][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[233][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[233][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[233][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[233][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[233][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[233][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[233][CASE] = ActionEntry(SHIFT, 101);
}
void Cego::loadParser174()
{
   _actionMap[233][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[233][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[233][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[233][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[233][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[233][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[233][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[233][ObjSpec] = 95;
   _jumpMap[233][Constant] = 94;
   _jumpMap[233][SignedFloat] = 93;
   _jumpMap[233][SignedInt] = 92;
   _jumpMap[233][Attribute] = 91;
   _jumpMap[233][ExpressionList] = 370;
   _jumpMap[233][Function] = 90;
   _jumpMap[233][CasePrepare] = 89;
   _jumpMap[233][CaseClause] = 88;
   _jumpMap[233][Factor] = 87;
   _jumpMap[233][Term] = 86;
   _jumpMap[233][Expr] = 352;
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[234][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[234][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser175()
{
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[234][LB] = ActionEntry(SHIFT, 136);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[234][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[234][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[234][ObjSpec] = 95;
   _jumpMap[234][Constant] = 94;
   _jumpMap[234][SignedFloat] = 93;
   _jumpMap[234][SignedInt] = 92;
   _jumpMap[234][Attribute] = 91;
   _jumpMap[234][ExpressionList] = 371;
   _jumpMap[234][Function] = 90;
   _jumpMap[234][CasePrepare] = 89;
   _jumpMap[234][CaseClause] = 88;
   _jumpMap[234][Factor] = 87;
   _jumpMap[234][Term] = 86;
   _jumpMap[234][Expr] = 352;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser176()
{
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[235][LB] = ActionEntry(SHIFT, 136);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[235][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[235][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[235][ObjSpec] = 95;
   _jumpMap[235][Constant] = 94;
   _jumpMap[235][SignedFloat] = 93;
   _jumpMap[235][SignedInt] = 92;
   _jumpMap[235][Attribute] = 91;
   _jumpMap[235][ExpressionList] = 372;
   _jumpMap[235][Function] = 90;
   _jumpMap[235][CasePrepare] = 89;
   _jumpMap[235][CaseClause] = 88;
   _jumpMap[235][Factor] = 87;
   _jumpMap[235][Term] = 86;
   _jumpMap[235][Expr] = 352;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser177()
{
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[236][LB] = ActionEntry(SHIFT, 136);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[236][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[236][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[236][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[236][ObjSpec] = 95;
   _jumpMap[236][Constant] = 94;
   _jumpMap[236][SignedFloat] = 93;
   _jumpMap[236][SignedInt] = 92;
}
void Cego::loadParser178()
{
   _jumpMap[236][Attribute] = 91;
   _jumpMap[236][Function] = 90;
   _jumpMap[236][CasePrepare] = 89;
   _jumpMap[236][CaseClause] = 88;
   _jumpMap[236][Factor] = 87;
   _jumpMap[236][Term] = 86;
   _jumpMap[236][Expr] = 373;
   _actionMap[237][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[237][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[237][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[237][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[237][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[237][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[237][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[237][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[237][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[237][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[237][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[237][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[237][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[237][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[237][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[237][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[237][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[237][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[237][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[237][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[237][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[237][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[237][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[237][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[237][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[237][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[237][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[237][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[237][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[237][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[237][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[237][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[237][LB] = ActionEntry(SHIFT, 136);
   _actionMap[237][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[237][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[237][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[237][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[237][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[237][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[237][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[237][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[237][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
}
void Cego::loadParser179()
{
   _actionMap[237][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[237][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[237][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[237][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[237][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[237][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[237][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[237][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[237][ObjSpec] = 95;
   _jumpMap[237][Constant] = 94;
   _jumpMap[237][SignedFloat] = 93;
   _jumpMap[237][SignedInt] = 92;
   _jumpMap[237][Attribute] = 91;
   _jumpMap[237][Function] = 90;
   _jumpMap[237][CasePrepare] = 89;
   _jumpMap[237][CaseClause] = 88;
   _jumpMap[237][Factor] = 87;
   _jumpMap[237][Term] = 86;
   _jumpMap[237][Expr] = 374;
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser180()
{
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[238][LB] = ActionEntry(SHIFT, 136);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[238][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[238][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[238][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[238][ObjSpec] = 95;
   _jumpMap[238][Constant] = 94;
   _jumpMap[238][SignedFloat] = 93;
   _jumpMap[238][SignedInt] = 92;
   _jumpMap[238][Attribute] = 91;
   _jumpMap[238][ExpressionList] = 375;
   _jumpMap[238][Function] = 90;
   _jumpMap[238][CasePrepare] = 89;
   _jumpMap[238][CaseClause] = 88;
   _jumpMap[238][Factor] = 87;
   _jumpMap[238][Term] = 86;
   _jumpMap[238][Expr] = 352;
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 376);
   _actionMap[240][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[240][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[240][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[240][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[240][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[240][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[240][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[240][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[240][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[240][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[240][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[240][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[240][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[240][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[240][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[240][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[240][REPLACE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser181()
{
   _actionMap[240][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[240][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[240][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[240][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[240][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[240][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[240][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[240][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[240][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[240][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[240][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[240][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[240][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[240][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[240][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[240][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[240][LB] = ActionEntry(SHIFT, 136);
   _actionMap[240][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[240][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[240][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[240][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[240][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[240][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[240][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[240][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[240][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[240][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[240][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[240][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[240][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[240][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[240][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[240][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[240][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[240][ObjSpec] = 95;
   _jumpMap[240][Constant] = 94;
   _jumpMap[240][SignedFloat] = 93;
   _jumpMap[240][SignedInt] = 92;
   _jumpMap[240][Attribute] = 91;
   _jumpMap[240][ExpressionList] = 377;
   _jumpMap[240][Function] = 90;
   _jumpMap[240][CasePrepare] = 89;
   _jumpMap[240][CaseClause] = 88;
   _jumpMap[240][Factor] = 87;
   _jumpMap[240][Term] = 86;
   _jumpMap[240][Expr] = 352;
   _actionMap[241][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[241][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[241][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[241][TRIM] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser182()
{
   _actionMap[241][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[241][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[241][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[241][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[241][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[241][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[241][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[241][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[241][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[241][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[241][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[241][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[241][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[241][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[241][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[241][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[241][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[241][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[241][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[241][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[241][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[241][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[241][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[241][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[241][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[241][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[241][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[241][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[241][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[241][LB] = ActionEntry(SHIFT, 136);
   _actionMap[241][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[241][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[241][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[241][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[241][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[241][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[241][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[241][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[241][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[241][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[241][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[241][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[241][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[241][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[241][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[241][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[241][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[241][ObjSpec] = 95;
   _jumpMap[241][Constant] = 94;
   _jumpMap[241][SignedFloat] = 93;
}
void Cego::loadParser183()
{
   _jumpMap[241][SignedInt] = 92;
   _jumpMap[241][Attribute] = 91;
   _jumpMap[241][ExpressionList] = 378;
   _jumpMap[241][Function] = 90;
   _jumpMap[241][CasePrepare] = 89;
   _jumpMap[241][CaseClause] = 88;
   _jumpMap[241][Factor] = 87;
   _jumpMap[241][Term] = 86;
   _jumpMap[241][Expr] = 352;
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[242][LB] = ActionEntry(SHIFT, 136);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[242][LAB] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser184()
{
   _actionMap[242][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[242][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[242][ObjSpec] = 95;
   _jumpMap[242][Constant] = 94;
   _jumpMap[242][SignedFloat] = 93;
   _jumpMap[242][SignedInt] = 92;
   _jumpMap[242][Attribute] = 91;
   _jumpMap[242][ExpressionList] = 379;
   _jumpMap[242][Function] = 90;
   _jumpMap[242][CasePrepare] = 89;
   _jumpMap[242][CaseClause] = 88;
   _jumpMap[242][Factor] = 87;
   _jumpMap[242][Term] = 86;
   _jumpMap[242][Expr] = 352;
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 99);
}
void Cego::loadParser185()
{
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[243][LB] = ActionEntry(SHIFT, 136);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[243][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[243][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[243][ObjSpec] = 95;
   _jumpMap[243][Constant] = 94;
   _jumpMap[243][SignedFloat] = 93;
   _jumpMap[243][SignedInt] = 92;
   _jumpMap[243][Attribute] = 91;
   _jumpMap[243][ExpressionList] = 380;
   _jumpMap[243][Function] = 90;
   _jumpMap[243][CasePrepare] = 89;
   _jumpMap[243][CaseClause] = 88;
   _jumpMap[243][Factor] = 87;
   _jumpMap[243][Term] = 86;
   _jumpMap[243][Expr] = 352;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser186()
{
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[244][LB] = ActionEntry(SHIFT, 136);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[244][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[244][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[244][ObjSpec] = 95;
   _jumpMap[244][Constant] = 94;
   _jumpMap[244][SignedFloat] = 93;
   _jumpMap[244][SignedInt] = 92;
   _jumpMap[244][Attribute] = 91;
   _jumpMap[244][ExpressionList] = 381;
   _jumpMap[244][Function] = 90;
   _jumpMap[244][CasePrepare] = 89;
   _jumpMap[244][CaseClause] = 88;
   _jumpMap[244][Factor] = 87;
   _jumpMap[244][Term] = 86;
   _jumpMap[244][Expr] = 352;
   _actionMap[245][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[245][MINUS] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser187()
{
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[245][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[245][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[245][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[245][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[245][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[245][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[245][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[245][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[245][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[245][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[245][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[245][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[245][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[245][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[245][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[245][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[245][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[245][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[245][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[245][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[245][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[245][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[245][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[245][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[245][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[245][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[245][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[245][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[245][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[245][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[245][LB] = ActionEntry(SHIFT, 136);
   _actionMap[245][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[245][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[245][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[245][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[245][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[245][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[245][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[245][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[245][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[245][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[245][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[245][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[245][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[245][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[245][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[245][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[245][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[245][ObjSpec] = 95;
}
void Cego::loadParser188()
{
   _jumpMap[245][Constant] = 94;
   _jumpMap[245][SignedFloat] = 93;
   _jumpMap[245][SignedInt] = 92;
   _jumpMap[245][Attribute] = 91;
   _jumpMap[245][ExpressionList] = 382;
   _jumpMap[245][Function] = 90;
   _jumpMap[245][CasePrepare] = 89;
   _jumpMap[245][CaseClause] = 88;
   _jumpMap[245][Factor] = 87;
   _jumpMap[245][Term] = 86;
   _jumpMap[245][Expr] = 352;
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[246][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[246][LB] = ActionEntry(SHIFT, 136);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser189()
{
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[246][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[246][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[246][ObjSpec] = 95;
   _jumpMap[246][Constant] = 94;
   _jumpMap[246][SignedFloat] = 93;
   _jumpMap[246][SignedInt] = 92;
   _jumpMap[246][Attribute] = 91;
   _jumpMap[246][ExpressionList] = 383;
   _jumpMap[246][Function] = 90;
   _jumpMap[246][CasePrepare] = 89;
   _jumpMap[246][CaseClause] = 88;
   _jumpMap[246][Factor] = 87;
   _jumpMap[246][Term] = 86;
   _jumpMap[246][Expr] = 352;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser190()
{
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[247][LB] = ActionEntry(SHIFT, 136);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[247][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[247][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[247][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[247][ObjSpec] = 95;
   _jumpMap[247][Constant] = 94;
   _jumpMap[247][SignedFloat] = 93;
   _jumpMap[247][SignedInt] = 92;
   _jumpMap[247][Attribute] = 91;
   _jumpMap[247][ExpressionList] = 384;
   _jumpMap[247][Function] = 90;
   _jumpMap[247][CasePrepare] = 89;
   _jumpMap[247][CaseClause] = 88;
   _jumpMap[247][Factor] = 87;
   _jumpMap[247][Term] = 86;
   _jumpMap[247][Expr] = 352;
   _actionMap[248][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[248][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[248][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[248][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[248][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[248][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[248][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[248][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[248][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[248][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[248][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[248][LEFT] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser191()
{
   _actionMap[248][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[248][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[248][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[248][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[248][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[248][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[248][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[248][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[248][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[248][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[248][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[248][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[248][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[248][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[248][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[248][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[248][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[248][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[248][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[248][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[248][LB] = ActionEntry(SHIFT, 136);
   _actionMap[248][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[248][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[248][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[248][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[248][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[248][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[248][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[248][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[248][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[248][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[248][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[248][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[248][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[248][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[248][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[248][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[248][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[248][ObjSpec] = 95;
   _jumpMap[248][Constant] = 94;
   _jumpMap[248][SignedFloat] = 93;
   _jumpMap[248][SignedInt] = 92;
   _jumpMap[248][Attribute] = 91;
   _jumpMap[248][Function] = 90;
   _jumpMap[248][CasePrepare] = 89;
   _jumpMap[248][CaseClause] = 88;
   _jumpMap[248][Factor] = 87;
   _jumpMap[248][Term] = 86;
   _jumpMap[248][Expr] = 385;
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser192()
{
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[249][LB] = ActionEntry(SHIFT, 136);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[249][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[249][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 116);
}
void Cego::loadParser193()
{
   _jumpMap[249][ObjSpec] = 95;
   _jumpMap[249][Constant] = 94;
   _jumpMap[249][SignedFloat] = 93;
   _jumpMap[249][SignedInt] = 92;
   _jumpMap[249][Attribute] = 91;
   _jumpMap[249][ExpressionList] = 386;
   _jumpMap[249][Function] = 90;
   _jumpMap[249][CasePrepare] = 89;
   _jumpMap[249][CaseClause] = 88;
   _jumpMap[249][Factor] = 87;
   _jumpMap[249][Term] = 86;
   _jumpMap[249][Expr] = 352;
   _actionMap[250][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[250][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[250][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[250][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[250][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[250][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[250][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[250][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[250][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[250][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[250][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[250][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[250][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[250][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[250][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[250][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[250][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[250][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[250][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[250][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[250][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[250][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[250][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[250][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[250][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[250][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[250][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[250][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[250][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[250][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[250][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[250][LB] = ActionEntry(SHIFT, 136);
   _actionMap[250][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[250][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[250][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[250][NULLTOKEN] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser194()
{
   _actionMap[250][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[250][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[250][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[250][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[250][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[250][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[250][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[250][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[250][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[250][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[250][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[250][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[250][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[250][ObjSpec] = 95;
   _jumpMap[250][Constant] = 94;
   _jumpMap[250][SignedFloat] = 93;
   _jumpMap[250][SignedInt] = 92;
   _jumpMap[250][Attribute] = 91;
   _jumpMap[250][ExpressionList] = 387;
   _jumpMap[250][Function] = 90;
   _jumpMap[250][CasePrepare] = 89;
   _jumpMap[250][CaseClause] = 88;
   _jumpMap[250][Factor] = 87;
   _jumpMap[250][Term] = 86;
   _jumpMap[250][Expr] = 352;
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser195()
{
   _actionMap[251][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[251][LB] = ActionEntry(SHIFT, 136);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[251][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[251][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[251][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[251][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[251][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[251][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[251][ObjSpec] = 95;
   _jumpMap[251][Constant] = 94;
   _jumpMap[251][SignedFloat] = 93;
   _jumpMap[251][SignedInt] = 92;
   _jumpMap[251][Attribute] = 91;
   _jumpMap[251][ExpressionList] = 388;
   _jumpMap[251][Function] = 90;
   _jumpMap[251][CasePrepare] = 89;
   _jumpMap[251][CaseClause] = 88;
   _jumpMap[251][Factor] = 87;
   _jumpMap[251][Term] = 86;
   _jumpMap[251][Expr] = 352;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser196()
{
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[252][LB] = ActionEntry(SHIFT, 136);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[252][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[252][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[252][ObjSpec] = 95;
   _jumpMap[252][Constant] = 94;
   _jumpMap[252][SignedFloat] = 93;
   _jumpMap[252][SignedInt] = 92;
   _jumpMap[252][Attribute] = 91;
   _jumpMap[252][ExpressionList] = 389;
   _jumpMap[252][Function] = 90;
   _jumpMap[252][CasePrepare] = 89;
   _jumpMap[252][CaseClause] = 88;
   _jumpMap[252][Factor] = 87;
   _jumpMap[252][Term] = 86;
}
void Cego::loadParser197()
{
   _jumpMap[252][Expr] = 352;
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[253][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[253][LB] = ActionEntry(SHIFT, 136);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[253][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[253][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 97);
}
void Cego::loadParser198()
{
   _actionMap[253][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[253][ObjSpec] = 95;
   _jumpMap[253][Constant] = 94;
   _jumpMap[253][SignedFloat] = 93;
   _jumpMap[253][SignedInt] = 92;
   _jumpMap[253][Attribute] = 91;
   _jumpMap[253][ExpressionList] = 390;
   _jumpMap[253][Function] = 90;
   _jumpMap[253][CasePrepare] = 89;
   _jumpMap[253][CaseClause] = 88;
   _jumpMap[253][Factor] = 87;
   _jumpMap[253][Term] = 86;
   _jumpMap[253][Expr] = 352;
   _actionMap[254][RB] = ActionEntry(SHIFT, 391);
   _actionMap[254][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[254][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[254][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[255][RB] = ActionEntry(SHIFT, 392);
   _actionMap[256][RB] = ActionEntry(SHIFT, 393);
   _actionMap[257][RB] = ActionEntry(SHIFT, 394);
   _actionMap[258][RB] = ActionEntry(SHIFT, 395);
   _actionMap[259][RB] = ActionEntry(SHIFT, 396);
   _actionMap[260][RB] = ActionEntry(SHIFT, 397);
   _actionMap[261][RB] = ActionEntry(SHIFT, 398);
   _actionMap[262][RB] = ActionEntry(SHIFT, 399);
   _actionMap[263][KSEP] = ActionEntry(SHIFT, 400);
   _actionMap[264][WHEN] = ActionEntry(REDUCE, 328);
   _actionMap[264][ELSE] = ActionEntry(REDUCE, 328);
   _actionMap[264][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[264][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[264][INNER] = ActionEntry(REDUCE, 328);
   _actionMap[264][JOIN] = ActionEntry(REDUCE, 328);
   _actionMap[264][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[264][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[264][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[264][WHERE] = ActionEntry(REDUCE, 328);
   _actionMap[264][AS] = ActionEntry(REDUCE, 328);
   _actionMap[264][FROM] = ActionEntry(REDUCE, 328);
   _actionMap[264][END_TOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[264][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[264][THEN] = ActionEntry(REDUCE, 328);
   _actionMap[264][OR] = ActionEntry(REDUCE, 328);
   _actionMap[264][AND] = ActionEntry(REDUCE, 328);
   _actionMap[264][NULLTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[264][LIKE] = ActionEntry(REDUCE, 328);
   _actionMap[264][IS] = ActionEntry(REDUCE, 328);
   _actionMap[264][BETWEEN] = ActionEntry(REDUCE, 328);
   _actionMap[264][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[264][INTOK] = ActionEntry(REDUCE, 328);
}
void Cego::loadParser199()
{
   _actionMap[264][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[264][NEGATION] = ActionEntry(REDUCE, 328);
   _actionMap[264][LT] = ActionEntry(REDUCE, 328);
   _actionMap[264][MT] = ActionEntry(REDUCE, 328);
   _actionMap[264][DESC] = ActionEntry(REDUCE, 328);
   _actionMap[264][ASC] = ActionEntry(REDUCE, 328);
   _actionMap[264][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[264][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[264][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[264][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[264][RB] = ActionEntry(REDUCE, 328);
   _actionMap[264][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[264][CONCAT] = ActionEntry(REDUCE, 328);
   _actionMap[264][STAR] = ActionEntry(REDUCE, 328);
   _actionMap[264][DIVISION] = ActionEntry(REDUCE, 328);
   _actionMap[264][MINUS] = ActionEntry(REDUCE, 328);
   _actionMap[264][PLUS] = ActionEntry(REDUCE, 328);
   _actionMap[265][WHEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][ELSE] = ActionEntry(REDUCE, 330);
   _actionMap[265][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[265][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[265][INNER] = ActionEntry(REDUCE, 330);
   _actionMap[265][JOIN] = ActionEntry(REDUCE, 330);
   _actionMap[265][RETURNTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][ORDER] = ActionEntry(REDUCE, 330);
   _actionMap[265][GROUP] = ActionEntry(REDUCE, 330);
   _actionMap[265][WHERE] = ActionEntry(REDUCE, 330);
   _actionMap[265][AS] = ActionEntry(REDUCE, 330);
   _actionMap[265][FROM] = ActionEntry(REDUCE, 330);
   _actionMap[265][END_TOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[265][THEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][OR] = ActionEntry(REDUCE, 330);
   _actionMap[265][AND] = ActionEntry(REDUCE, 330);
   _actionMap[265][NULLTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][LIKE] = ActionEntry(REDUCE, 330);
   _actionMap[265][IS] = ActionEntry(REDUCE, 330);
   _actionMap[265][BETWEEN] = ActionEntry(REDUCE, 330);
   _actionMap[265][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[265][INTOK] = ActionEntry(REDUCE, 330);
   _actionMap[265][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[265][NEGATION] = ActionEntry(REDUCE, 330);
   _actionMap[265][LT] = ActionEntry(REDUCE, 330);
   _actionMap[265][MT] = ActionEntry(REDUCE, 330);
   _actionMap[265][DESC] = ActionEntry(REDUCE, 330);
   _actionMap[265][ASC] = ActionEntry(REDUCE, 330);
   _actionMap[265][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[265][ROWLIMIT] = ActionEntry(REDUCE, 330);
   _actionMap[265][UNION] = ActionEntry(REDUCE, 330);
   _actionMap[265][ENDTOKEN] = ActionEntry(REDUCE, 330);
}
void Cego::loadParser200()
{
   _actionMap[265][RB] = ActionEntry(REDUCE, 330);
   _actionMap[265][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[265][CONCAT] = ActionEntry(REDUCE, 330);
   _actionMap[265][STAR] = ActionEntry(REDUCE, 330);
   _actionMap[265][DIVISION] = ActionEntry(REDUCE, 330);
   _actionMap[265][MINUS] = ActionEntry(REDUCE, 330);
   _actionMap[265][PLUS] = ActionEntry(REDUCE, 330);
   _actionMap[266][WHEN] = ActionEntry(REDUCE, 326);
   _actionMap[266][ELSE] = ActionEntry(REDUCE, 326);
   _actionMap[266][LEFT] = ActionEntry(REDUCE, 326);
   _actionMap[266][RIGHT] = ActionEntry(REDUCE, 326);
   _actionMap[266][INNER] = ActionEntry(REDUCE, 326);
   _actionMap[266][JOIN] = ActionEntry(REDUCE, 326);
   _actionMap[266][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[266][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[266][WHERE] = ActionEntry(REDUCE, 326);
   _actionMap[266][FROM] = ActionEntry(REDUCE, 326);
   _actionMap[266][AS] = ActionEntry(REDUCE, 326);
   _actionMap[266][END_TOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[266][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[266][THEN] = ActionEntry(REDUCE, 326);
   _actionMap[266][OR] = ActionEntry(REDUCE, 326);
   _actionMap[266][AND] = ActionEntry(REDUCE, 326);
   _actionMap[266][INTOK] = ActionEntry(REDUCE, 326);
   _actionMap[266][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[266][BETWEEN] = ActionEntry(REDUCE, 326);
   _actionMap[266][IS] = ActionEntry(REDUCE, 326);
   _actionMap[266][LIKE] = ActionEntry(REDUCE, 326);
   _actionMap[266][HAVING] = ActionEntry(REDUCE, 326);
   _actionMap[266][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[266][MT] = ActionEntry(REDUCE, 326);
   _actionMap[266][LT] = ActionEntry(REDUCE, 326);
   _actionMap[266][NEGATION] = ActionEntry(REDUCE, 326);
   _actionMap[266][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[266][RB] = ActionEntry(REDUCE, 326);
   _actionMap[266][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[266][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[266][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[266][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[266][ASC] = ActionEntry(REDUCE, 326);
   _actionMap[266][DESC] = ActionEntry(REDUCE, 326);
   _actionMap[266][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[266][PLUS] = ActionEntry(REDUCE, 326);
   _actionMap[266][MINUS] = ActionEntry(REDUCE, 326);
   _actionMap[266][DIVISION] = ActionEntry(REDUCE, 326);
   _actionMap[266][STAR] = ActionEntry(REDUCE, 326);
   _actionMap[266][CONCAT] = ActionEntry(REDUCE, 326);
   _actionMap[267][TO] = ActionEntry(SHIFT, 401);
   _actionMap[268][TO] = ActionEntry(SHIFT, 402);
   _actionMap[269][TO] = ActionEntry(SHIFT, 403);
}
void Cego::loadParser201()
{
   _actionMap[270][TO] = ActionEntry(SHIFT, 404);
   _actionMap[271][TO] = ActionEntry(SHIFT, 405);
   _actionMap[272][TO] = ActionEntry(SHIFT, 406);
   _actionMap[273][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[274][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[275][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[275][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[275][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[275][ObjSpec] = 411;
   _jumpMap[275][Table] = 410;
   _jumpMap[275][TableList] = 409;
   _jumpMap[275][JoinSpecList] = 408;
   _jumpMap[275][TableSource] = 407;
   _actionMap[276][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[276][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[276][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[276][AS] = ActionEntry(SHIFT, 413);
   _actionMap[276][FROM] = ActionEntry(REDUCE, 211);
   _actionMap[276][KSEP] = ActionEntry(REDUCE, 211);
   _jumpMap[276][AliasOpt] = 412;
   _actionMap[277][KSEP] = ActionEntry(SHIFT, 414);
   _actionMap[277][FROM] = ActionEntry(REDUCE, 191);
   _actionMap[278][FROM] = ActionEntry(REDUCE, 194);
   _actionMap[278][KSEP] = ActionEntry(REDUCE, 194);
   _actionMap[279][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[280][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[281][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[282][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[283][TO] = ActionEntry(SHIFT, 415);
   _actionMap[284][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[285][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[286][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[286][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[286][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[286][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[286][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[286][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[286][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[286][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[286][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[286][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[286][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[286][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[286][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[286][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[286][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[286][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[286][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[286][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[286][TRUNC] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser202()
{
   _actionMap[286][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[286][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[286][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[286][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[286][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[286][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[286][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[286][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[286][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[286][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[286][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[286][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[286][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[286][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[286][LB] = ActionEntry(SHIFT, 136);
   _actionMap[286][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[286][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[286][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[286][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[286][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[286][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[286][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[286][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[286][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[286][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[286][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[286][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[286][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[286][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[286][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[286][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[286][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[286][ObjSpec] = 95;
   _jumpMap[286][Constant] = 94;
   _jumpMap[286][SignedFloat] = 93;
   _jumpMap[286][SignedInt] = 92;
   _jumpMap[286][Attribute] = 91;
   _jumpMap[286][Function] = 90;
   _jumpMap[286][CasePrepare] = 89;
   _jumpMap[286][CaseClause] = 88;
   _jumpMap[286][Factor] = 87;
   _jumpMap[286][Term] = 86;
   _jumpMap[286][Expr] = 416;
   _actionMap[287][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[288][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[289][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[290][IDENTIFIER] = ActionEntry(SHIFT, 419);
   _jumpMap[290][Assignment] = 418;
   _jumpMap[290][UpdateList] = 417;
   _actionMap[291][IDENTIFIER] = ActionEntry(SHIFT, 49);
}
void Cego::loadParser203()
{
   _actionMap[291][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[291][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[291][ObjSpec] = 420;
   _actionMap[38][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[38][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[38][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[38][ObjSpec] = 173;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 174);
   _actionMap[40][KEY] = ActionEntry(SHIFT, 175);
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[41][ObjSpec] = 176;
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[42][ObjSpec] = 177;
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[43][ObjSpec] = 178;
   _actionMap[44][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[44][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[44][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[44][ObjSpec] = 179;
   _actionMap[45][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[46][ObjSpec] = 180;
   _actionMap[47][IDENTIFIED] = ActionEntry(SHIFT, 181);
   _actionMap[48][LB] = ActionEntry(SHIFT, 182);
   _actionMap[49][SET] = ActionEntry(REDUCE, 350);
   _actionMap[49][TO] = ActionEntry(REDUCE, 350);
   _actionMap[49][VALUES] = ActionEntry(REDUCE, 350);
   _actionMap[49][SELECT] = ActionEntry(REDUCE, 350);
   _actionMap[49][AS] = ActionEntry(REDUCE, 350);
   _actionMap[49][DROP] = ActionEntry(REDUCE, 350);
   _actionMap[49][MODIFY] = ActionEntry(REDUCE, 350);
   _actionMap[49][RENAME] = ActionEntry(REDUCE, 350);
   _actionMap[49][ADD] = ActionEntry(REDUCE, 350);
   _actionMap[49][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[49][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[49][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[49][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[49][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[49][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[49][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[49][RB] = ActionEntry(REDUCE, 350);
   _actionMap[49][ENDTOKEN] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser204()
{
   _actionMap[49][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[49][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[49][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[49][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[49][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[49][LB] = ActionEntry(REDUCE, 350);
   _actionMap[49][IDENTIFIER] = ActionEntry(REDUCE, 350);
   _actionMap[49][ON] = ActionEntry(REDUCE, 350);
   _actionMap[50][SET] = ActionEntry(REDUCE, 351);
   _actionMap[50][TO] = ActionEntry(REDUCE, 351);
   _actionMap[50][VALUES] = ActionEntry(REDUCE, 351);
   _actionMap[50][SELECT] = ActionEntry(REDUCE, 351);
   _actionMap[50][AS] = ActionEntry(REDUCE, 351);
   _actionMap[50][DROP] = ActionEntry(REDUCE, 351);
   _actionMap[50][MODIFY] = ActionEntry(REDUCE, 351);
   _actionMap[50][RENAME] = ActionEntry(REDUCE, 351);
   _actionMap[50][ADD] = ActionEntry(REDUCE, 351);
   _actionMap[50][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[50][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[50][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[50][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[50][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[50][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[50][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[50][RB] = ActionEntry(REDUCE, 351);
   _actionMap[50][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[50][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[50][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[50][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[50][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[50][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[50][LB] = ActionEntry(REDUCE, 351);
   _actionMap[50][IDENTIFIER] = ActionEntry(REDUCE, 351);
   _actionMap[50][ON] = ActionEntry(REDUCE, 351);
   _actionMap[51][SET] = ActionEntry(REDUCE, 352);
   _actionMap[51][TO] = ActionEntry(REDUCE, 352);
   _actionMap[51][VALUES] = ActionEntry(REDUCE, 352);
   _actionMap[51][SELECT] = ActionEntry(REDUCE, 352);
   _actionMap[51][AS] = ActionEntry(REDUCE, 352);
   _actionMap[51][DROP] = ActionEntry(REDUCE, 352);
   _actionMap[51][MODIFY] = ActionEntry(REDUCE, 352);
   _actionMap[51][RENAME] = ActionEntry(REDUCE, 352);
   _actionMap[51][ADD] = ActionEntry(REDUCE, 352);
   _actionMap[51][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[51][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[51][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[51][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[51][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[51][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[51][SEMICOLON] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser205()
{
   _actionMap[51][RB] = ActionEntry(REDUCE, 352);
   _actionMap[51][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[51][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[51][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[51][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[51][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[51][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[51][IDENTIFIER] = ActionEntry(REDUCE, 352);
   _actionMap[51][ON] = ActionEntry(REDUCE, 352);
   _actionMap[51][LB] = ActionEntry(REDUCE, 352);
   _actionMap[52][IDENTIFIER] = ActionEntry(SHIFT, 183);
   _actionMap[53][BEGIN] = ActionEntry(SHIFT, 184);
   _actionMap[54][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[55][INDEX] = ActionEntry(SHIFT, 185);
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 186);
   _actionMap[57][INDEX] = ActionEntry(SHIFT, 187);
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[58][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[58][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[58][ObjSpec] = 188;
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[59][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[59][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[59][ObjSpec] = 189;
   _actionMap[60][INDEX] = ActionEntry(REDUCE, 176);
   _actionMap[61][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[61][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[61][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[61][ObjSpec] = 190;
   _actionMap[62][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[62][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[62][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[62][ObjSpec] = 191;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[63][ObjSpec] = 192;
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[64][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[64][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[64][ObjSpec] = 193;
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[65][ObjSpec] = 194;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[66][ObjSpec] = 195;
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 49);
}
void Cego::loadParser206()
{
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[67][ObjSpec] = 196;
   _actionMap[68][EXISTS] = ActionEntry(SHIFT, 197);
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[69][ObjSpec] = 198;
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 199);
   _actionMap[70][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[71][IDENTIFIER] = ActionEntry(REDUCE, 71);
   _actionMap[71][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[72][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[72][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[72][TableSetOpt] = 200;
   _actionMap[73][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[73][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[73][TableSetOpt] = 202;
   _actionMap[74][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[74][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[74][TableSetOpt] = 203;
   _actionMap[75][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[75][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[75][TableSetOpt] = 204;
   _actionMap[76][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[76][TableSetOpt] = 205;
   _actionMap[77][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[77][TableSetOpt] = 206;
   _actionMap[78][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[78][TableSetOpt] = 207;
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[80][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[80][TableSetOpt] = 208;
   _actionMap[81][FOR] = ActionEntry(SHIFT, 201);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 13);
   _jumpMap[81][TableSetOpt] = 209;
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[83][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[83][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[83][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[83][ObjSpec] = 210;
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[85][PLUS] = ActionEntry(SHIFT, 213);
   _actionMap[85][MINUS] = ActionEntry(SHIFT, 212);
   _actionMap[85][CONCAT] = ActionEntry(SHIFT, 211);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 64);
}
void Cego::loadParser207()
{
   _actionMap[86][STAR] = ActionEntry(SHIFT, 214);
   _actionMap[86][DIVISION] = ActionEntry(SHIFT, 215);
   _actionMap[86][WHEN] = ActionEntry(REDUCE, 135);
   _actionMap[86][ELSE] = ActionEntry(REDUCE, 135);
   _actionMap[86][LEFT] = ActionEntry(REDUCE, 135);
   _actionMap[86][RIGHT] = ActionEntry(REDUCE, 135);
   _actionMap[86][INNER] = ActionEntry(REDUCE, 135);
   _actionMap[86][JOIN] = ActionEntry(REDUCE, 135);
   _actionMap[86][RETURNTOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[86][ORDER] = ActionEntry(REDUCE, 135);
   _actionMap[86][GROUP] = ActionEntry(REDUCE, 135);
   _actionMap[86][WHERE] = ActionEntry(REDUCE, 135);
   _actionMap[86][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[86][THEN] = ActionEntry(REDUCE, 135);
   _actionMap[86][OR] = ActionEntry(REDUCE, 135);
   _actionMap[86][AS] = ActionEntry(REDUCE, 135);
   _actionMap[86][FROM] = ActionEntry(REDUCE, 135);
   _actionMap[86][END_TOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[86][AND] = ActionEntry(REDUCE, 135);
   _actionMap[86][LIKE] = ActionEntry(REDUCE, 135);
   _actionMap[86][IS] = ActionEntry(REDUCE, 135);
   _actionMap[86][BETWEEN] = ActionEntry(REDUCE, 135);
   _actionMap[86][NOT] = ActionEntry(REDUCE, 135);
   _actionMap[86][INTOK] = ActionEntry(REDUCE, 135);
   _actionMap[86][EQU] = ActionEntry(REDUCE, 135);
   _actionMap[86][NEGATION] = ActionEntry(REDUCE, 135);
   _actionMap[86][LT] = ActionEntry(REDUCE, 135);
   _actionMap[86][MT] = ActionEntry(REDUCE, 135);
   _actionMap[86][DESC] = ActionEntry(REDUCE, 135);
   _actionMap[86][ASC] = ActionEntry(REDUCE, 135);
   _actionMap[86][KSEP] = ActionEntry(REDUCE, 135);
   _actionMap[86][ROWLIMIT] = ActionEntry(REDUCE, 135);
   _actionMap[86][UNION] = ActionEntry(REDUCE, 135);
   _actionMap[86][ENDTOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[86][RB] = ActionEntry(REDUCE, 135);
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 135);
   _actionMap[86][CONCAT] = ActionEntry(REDUCE, 135);
   _actionMap[86][MINUS] = ActionEntry(REDUCE, 135);
   _actionMap[86][PLUS] = ActionEntry(REDUCE, 135);
   _actionMap[87][WHEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][ELSE] = ActionEntry(REDUCE, 139);
   _actionMap[87][LEFT] = ActionEntry(REDUCE, 139);
   _actionMap[87][RIGHT] = ActionEntry(REDUCE, 139);
   _actionMap[87][INNER] = ActionEntry(REDUCE, 139);
   _actionMap[87][JOIN] = ActionEntry(REDUCE, 139);
   _actionMap[87][RETURNTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][ORDER] = ActionEntry(REDUCE, 139);
   _actionMap[87][GROUP] = ActionEntry(REDUCE, 139);
   _actionMap[87][WHERE] = ActionEntry(REDUCE, 139);
   _actionMap[87][BEGIN] = ActionEntry(REDUCE, 139);
}
void Cego::loadParser208()
{
   _actionMap[87][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][OR] = ActionEntry(REDUCE, 139);
   _actionMap[87][FROM] = ActionEntry(REDUCE, 139);
   _actionMap[87][AS] = ActionEntry(REDUCE, 139);
   _actionMap[87][END_TOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][AND] = ActionEntry(REDUCE, 139);
   _actionMap[87][INTOK] = ActionEntry(REDUCE, 139);
   _actionMap[87][NOT] = ActionEntry(REDUCE, 139);
   _actionMap[87][BETWEEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][IS] = ActionEntry(REDUCE, 139);
   _actionMap[87][LIKE] = ActionEntry(REDUCE, 139);
   _actionMap[87][MT] = ActionEntry(REDUCE, 139);
   _actionMap[87][LT] = ActionEntry(REDUCE, 139);
   _actionMap[87][NEGATION] = ActionEntry(REDUCE, 139);
   _actionMap[87][EQU] = ActionEntry(REDUCE, 139);
   _actionMap[87][RB] = ActionEntry(REDUCE, 139);
   _actionMap[87][ENDTOKEN] = ActionEntry(REDUCE, 139);
   _actionMap[87][UNION] = ActionEntry(REDUCE, 139);
   _actionMap[87][ROWLIMIT] = ActionEntry(REDUCE, 139);
   _actionMap[87][KSEP] = ActionEntry(REDUCE, 139);
   _actionMap[87][ASC] = ActionEntry(REDUCE, 139);
   _actionMap[87][DESC] = ActionEntry(REDUCE, 139);
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[87][PLUS] = ActionEntry(REDUCE, 139);
   _actionMap[87][MINUS] = ActionEntry(REDUCE, 139);
   _actionMap[87][DIVISION] = ActionEntry(REDUCE, 139);
   _actionMap[87][STAR] = ActionEntry(REDUCE, 139);
   _actionMap[87][CONCAT] = ActionEntry(REDUCE, 139);
   _actionMap[88][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[88][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[88][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[88][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[88][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[88][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[88][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[88][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[88][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[88][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[88][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[88][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[88][OR] = ActionEntry(REDUCE, 147);
   _actionMap[88][AS] = ActionEntry(REDUCE, 147);
   _actionMap[88][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[88][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[88][AND] = ActionEntry(REDUCE, 147);
   _actionMap[88][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[88][IS] = ActionEntry(REDUCE, 147);
   _actionMap[88][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[88][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[88][INTOK] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser209()
{
   _actionMap[88][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[88][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[88][LT] = ActionEntry(REDUCE, 147);
   _actionMap[88][MT] = ActionEntry(REDUCE, 147);
   _actionMap[88][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[88][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[88][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[88][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[88][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[88][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[88][RB] = ActionEntry(REDUCE, 147);
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[88][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[88][STAR] = ActionEntry(REDUCE, 147);
   _actionMap[88][DIVISION] = ActionEntry(REDUCE, 147);
   _actionMap[88][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[88][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[89][WHEN] = ActionEntry(SHIFT, 218);
   _jumpMap[89][CaseCondition] = 217;
   _jumpMap[89][CaseConditionList] = 216;
   _actionMap[90][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[90][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[90][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[90][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[90][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[90][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[90][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[90][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[90][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[90][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[90][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[90][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[90][OR] = ActionEntry(REDUCE, 144);
   _actionMap[90][AS] = ActionEntry(REDUCE, 144);
   _actionMap[90][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[90][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[90][AND] = ActionEntry(REDUCE, 144);
   _actionMap[90][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[90][IS] = ActionEntry(REDUCE, 144);
   _actionMap[90][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[90][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[90][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[90][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[90][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[90][LT] = ActionEntry(REDUCE, 144);
   _actionMap[90][MT] = ActionEntry(REDUCE, 144);
   _actionMap[90][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[90][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[90][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[90][ROWLIMIT] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser210()
{
   _actionMap[90][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[90][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[90][RB] = ActionEntry(REDUCE, 144);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[90][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[90][STAR] = ActionEntry(REDUCE, 144);
   _actionMap[90][DIVISION] = ActionEntry(REDUCE, 144);
   _actionMap[90][MINUS] = ActionEntry(REDUCE, 144);
   _actionMap[90][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[91][WHEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[91][LEFT] = ActionEntry(REDUCE, 143);
   _actionMap[91][RIGHT] = ActionEntry(REDUCE, 143);
   _actionMap[91][INNER] = ActionEntry(REDUCE, 143);
   _actionMap[91][JOIN] = ActionEntry(REDUCE, 143);
   _actionMap[91][RETURNTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][ORDER] = ActionEntry(REDUCE, 143);
   _actionMap[91][GROUP] = ActionEntry(REDUCE, 143);
   _actionMap[91][WHERE] = ActionEntry(REDUCE, 143);
   _actionMap[91][AS] = ActionEntry(REDUCE, 143);
   _actionMap[91][FROM] = ActionEntry(REDUCE, 143);
   _actionMap[91][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[91][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][OR] = ActionEntry(REDUCE, 143);
   _actionMap[91][AND] = ActionEntry(REDUCE, 143);
   _actionMap[91][LIKE] = ActionEntry(REDUCE, 143);
   _actionMap[91][IS] = ActionEntry(REDUCE, 143);
   _actionMap[91][BETWEEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][NOT] = ActionEntry(REDUCE, 143);
   _actionMap[91][INTOK] = ActionEntry(REDUCE, 143);
   _actionMap[91][EQU] = ActionEntry(REDUCE, 143);
   _actionMap[91][NEGATION] = ActionEntry(REDUCE, 143);
   _actionMap[91][LT] = ActionEntry(REDUCE, 143);
   _actionMap[91][MT] = ActionEntry(REDUCE, 143);
   _actionMap[91][DESC] = ActionEntry(REDUCE, 143);
   _actionMap[91][ASC] = ActionEntry(REDUCE, 143);
   _actionMap[91][KSEP] = ActionEntry(REDUCE, 143);
   _actionMap[91][ROWLIMIT] = ActionEntry(REDUCE, 143);
   _actionMap[91][UNION] = ActionEntry(REDUCE, 143);
   _actionMap[91][ENDTOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[91][RB] = ActionEntry(REDUCE, 143);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 143);
   _actionMap[91][CONCAT] = ActionEntry(REDUCE, 143);
   _actionMap[91][STAR] = ActionEntry(REDUCE, 143);
   _actionMap[91][DIVISION] = ActionEntry(REDUCE, 143);
   _actionMap[91][MINUS] = ActionEntry(REDUCE, 143);
   _actionMap[91][PLUS] = ActionEntry(REDUCE, 143);
   _actionMap[92][WHEN] = ActionEntry(REDUCE, 331);
   _actionMap[92][ELSE] = ActionEntry(REDUCE, 331);
}
void Cego::loadParser211()
{
   _actionMap[92][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[92][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[92][INNER] = ActionEntry(REDUCE, 331);
   _actionMap[92][JOIN] = ActionEntry(REDUCE, 331);
   _actionMap[92][RETURNTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[92][ORDER] = ActionEntry(REDUCE, 331);
   _actionMap[92][GROUP] = ActionEntry(REDUCE, 331);
   _actionMap[92][WHERE] = ActionEntry(REDUCE, 331);
   _actionMap[92][NULLTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[92][FROM] = ActionEntry(REDUCE, 331);
   _actionMap[92][AS] = ActionEntry(REDUCE, 331);
   _actionMap[92][END_TOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[92][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[92][THEN] = ActionEntry(REDUCE, 331);
   _actionMap[92][OR] = ActionEntry(REDUCE, 331);
   _actionMap[92][AND] = ActionEntry(REDUCE, 331);
   _actionMap[92][INTOK] = ActionEntry(REDUCE, 331);
   _actionMap[92][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[92][BETWEEN] = ActionEntry(REDUCE, 331);
   _actionMap[92][IS] = ActionEntry(REDUCE, 331);
   _actionMap[92][LIKE] = ActionEntry(REDUCE, 331);
   _actionMap[92][MT] = ActionEntry(REDUCE, 331);
   _actionMap[92][LT] = ActionEntry(REDUCE, 331);
   _actionMap[92][NEGATION] = ActionEntry(REDUCE, 331);
   _actionMap[92][EQU] = ActionEntry(REDUCE, 331);
   _actionMap[92][RB] = ActionEntry(REDUCE, 331);
   _actionMap[92][ENDTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[92][UNION] = ActionEntry(REDUCE, 331);
   _actionMap[92][ROWLIMIT] = ActionEntry(REDUCE, 331);
   _actionMap[92][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[92][ASC] = ActionEntry(REDUCE, 331);
   _actionMap[92][DESC] = ActionEntry(REDUCE, 331);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[92][PLUS] = ActionEntry(REDUCE, 331);
   _actionMap[92][MINUS] = ActionEntry(REDUCE, 331);
   _actionMap[92][DIVISION] = ActionEntry(REDUCE, 331);
   _actionMap[92][STAR] = ActionEntry(REDUCE, 331);
   _actionMap[92][CONCAT] = ActionEntry(REDUCE, 331);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 337);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 337);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[93][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 337);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[93][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser212()
{
   _actionMap[93][AS] = ActionEntry(REDUCE, 337);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[93][OR] = ActionEntry(REDUCE, 337);
   _actionMap[93][AND] = ActionEntry(REDUCE, 337);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 337);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 337);
   _actionMap[93][IS] = ActionEntry(REDUCE, 337);
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 337);
   _actionMap[93][MT] = ActionEntry(REDUCE, 337);
   _actionMap[93][LT] = ActionEntry(REDUCE, 337);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 337);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[93][RB] = ActionEntry(REDUCE, 337);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[93][ASC] = ActionEntry(REDUCE, 337);
   _actionMap[93][DESC] = ActionEntry(REDUCE, 337);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 337);
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[93][DIVISION] = ActionEntry(REDUCE, 337);
   _actionMap[93][STAR] = ActionEntry(REDUCE, 337);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 337);
   _actionMap[94][WHEN] = ActionEntry(REDUCE, 141);
   _actionMap[94][ELSE] = ActionEntry(REDUCE, 141);
   _actionMap[94][LEFT] = ActionEntry(REDUCE, 141);
   _actionMap[94][RIGHT] = ActionEntry(REDUCE, 141);
   _actionMap[94][INNER] = ActionEntry(REDUCE, 141);
   _actionMap[94][JOIN] = ActionEntry(REDUCE, 141);
   _actionMap[94][RETURNTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[94][ORDER] = ActionEntry(REDUCE, 141);
   _actionMap[94][GROUP] = ActionEntry(REDUCE, 141);
   _actionMap[94][WHERE] = ActionEntry(REDUCE, 141);
   _actionMap[94][AS] = ActionEntry(REDUCE, 141);
   _actionMap[94][FROM] = ActionEntry(REDUCE, 141);
   _actionMap[94][END_TOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[94][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[94][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[94][OR] = ActionEntry(REDUCE, 141);
   _actionMap[94][AND] = ActionEntry(REDUCE, 141);
   _actionMap[94][LIKE] = ActionEntry(REDUCE, 141);
   _actionMap[94][IS] = ActionEntry(REDUCE, 141);
   _actionMap[94][BETWEEN] = ActionEntry(REDUCE, 141);
   _actionMap[94][NOT] = ActionEntry(REDUCE, 141);
   _actionMap[94][INTOK] = ActionEntry(REDUCE, 141);
}
void Cego::loadParser213()
{
   _actionMap[94][EQU] = ActionEntry(REDUCE, 141);
   _actionMap[94][NEGATION] = ActionEntry(REDUCE, 141);
   _actionMap[94][LT] = ActionEntry(REDUCE, 141);
   _actionMap[94][MT] = ActionEntry(REDUCE, 141);
   _actionMap[94][DESC] = ActionEntry(REDUCE, 141);
   _actionMap[94][ASC] = ActionEntry(REDUCE, 141);
   _actionMap[94][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[94][ROWLIMIT] = ActionEntry(REDUCE, 141);
   _actionMap[94][UNION] = ActionEntry(REDUCE, 141);
   _actionMap[94][ENDTOKEN] = ActionEntry(REDUCE, 141);
   _actionMap[94][RB] = ActionEntry(REDUCE, 141);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[94][CONCAT] = ActionEntry(REDUCE, 141);
   _actionMap[94][STAR] = ActionEntry(REDUCE, 141);
   _actionMap[94][DIVISION] = ActionEntry(REDUCE, 141);
   _actionMap[94][MINUS] = ActionEntry(REDUCE, 141);
   _actionMap[94][PLUS] = ActionEntry(REDUCE, 141);
   _actionMap[95][LB] = ActionEntry(SHIFT, 219);
   _actionMap[96][WHEN] = ActionEntry(REDUCE, 336);
   _actionMap[96][ELSE] = ActionEntry(REDUCE, 336);
   _actionMap[96][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[96][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[96][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[96][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[96][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[96][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[96][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[96][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[96][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[96][FROM] = ActionEntry(REDUCE, 336);
   _actionMap[96][AS] = ActionEntry(REDUCE, 336);
   _actionMap[96][END_TOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[96][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[96][THEN] = ActionEntry(REDUCE, 336);
   _actionMap[96][OR] = ActionEntry(REDUCE, 336);
   _actionMap[96][AND] = ActionEntry(REDUCE, 336);
   _actionMap[96][INTOK] = ActionEntry(REDUCE, 336);
   _actionMap[96][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[96][BETWEEN] = ActionEntry(REDUCE, 336);
   _actionMap[96][IS] = ActionEntry(REDUCE, 336);
   _actionMap[96][LIKE] = ActionEntry(REDUCE, 336);
   _actionMap[96][MT] = ActionEntry(REDUCE, 336);
   _actionMap[96][LT] = ActionEntry(REDUCE, 336);
   _actionMap[96][NEGATION] = ActionEntry(REDUCE, 336);
   _actionMap[96][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[96][RB] = ActionEntry(REDUCE, 336);
   _actionMap[96][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[96][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[96][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[96][KSEP] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser214()
{
   _actionMap[96][ASC] = ActionEntry(REDUCE, 336);
   _actionMap[96][DESC] = ActionEntry(REDUCE, 336);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[96][PLUS] = ActionEntry(REDUCE, 336);
   _actionMap[96][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[96][DIVISION] = ActionEntry(REDUCE, 336);
   _actionMap[96][STAR] = ActionEntry(REDUCE, 336);
   _actionMap[96][CONCAT] = ActionEntry(REDUCE, 336);
   _actionMap[97][LB] = ActionEntry(SHIFT, 220);
   _actionMap[98][LB] = ActionEntry(SHIFT, 221);
   _actionMap[99][LB] = ActionEntry(SHIFT, 222);
   _actionMap[100][LB] = ActionEntry(SHIFT, 223);
   _actionMap[101][WHEN] = ActionEntry(REDUCE, 158);
   _actionMap[102][LB] = ActionEntry(SHIFT, 224);
   _actionMap[103][LB] = ActionEntry(SHIFT, 225);
   _actionMap[104][LB] = ActionEntry(SHIFT, 226);
   _actionMap[105][LB] = ActionEntry(SHIFT, 227);
   _actionMap[106][LB] = ActionEntry(SHIFT, 228);
   _actionMap[107][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[107][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[107][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[107][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[107][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[107][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[107][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[107][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[107][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[107][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[107][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[107][AS] = ActionEntry(REDUCE, 345);
   _actionMap[107][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[107][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[107][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[107][OR] = ActionEntry(REDUCE, 345);
   _actionMap[107][AND] = ActionEntry(REDUCE, 345);
   _actionMap[107][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[107][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[107][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[107][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[107][IS] = ActionEntry(REDUCE, 345);
   _actionMap[107][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[107][MT] = ActionEntry(REDUCE, 345);
   _actionMap[107][LT] = ActionEntry(REDUCE, 345);
   _actionMap[107][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[107][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[107][RB] = ActionEntry(REDUCE, 345);
   _actionMap[107][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[107][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[107][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[107][KSEP] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser215()
{
   _actionMap[107][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[107][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[107][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[107][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[107][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[107][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[107][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[107][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[108][IDENTIFIER] = ActionEntry(SHIFT, 229);
   _actionMap[109][LB] = ActionEntry(SHIFT, 230);
   _actionMap[110][LB] = ActionEntry(SHIFT, 231);
   _actionMap[111][LB] = ActionEntry(SHIFT, 232);
   _actionMap[112][LB] = ActionEntry(SHIFT, 233);
   _actionMap[113][LB] = ActionEntry(SHIFT, 234);
   _actionMap[114][LB] = ActionEntry(SHIFT, 235);
   _actionMap[115][LB] = ActionEntry(SHIFT, 236);
   _actionMap[116][LB] = ActionEntry(SHIFT, 237);
   _actionMap[117][LB] = ActionEntry(SHIFT, 238);
   _actionMap[118][LB] = ActionEntry(SHIFT, 239);
   _actionMap[119][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[119][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[119][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[119][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[119][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[119][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[119][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[119][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[119][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[119][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[119][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[119][AS] = ActionEntry(REDUCE, 343);
   _actionMap[119][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[119][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[119][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[119][OR] = ActionEntry(REDUCE, 343);
   _actionMap[119][AND] = ActionEntry(REDUCE, 343);
   _actionMap[119][NULLTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[119][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[119][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[119][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[119][IS] = ActionEntry(REDUCE, 343);
   _actionMap[119][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[119][MT] = ActionEntry(REDUCE, 343);
   _actionMap[119][LT] = ActionEntry(REDUCE, 343);
   _actionMap[119][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[119][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[119][RB] = ActionEntry(REDUCE, 343);
   _actionMap[119][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[119][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[119][ROWLIMIT] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser216()
{
   _actionMap[119][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[119][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[119][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[119][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[119][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[119][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[119][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[119][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[119][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[120][LB] = ActionEntry(SHIFT, 240);
   _actionMap[121][LB] = ActionEntry(SHIFT, 241);
   _actionMap[122][LB] = ActionEntry(SHIFT, 242);
   _actionMap[123][LB] = ActionEntry(SHIFT, 243);
   _actionMap[124][LB] = ActionEntry(SHIFT, 244);
   _actionMap[125][LB] = ActionEntry(SHIFT, 245);
   _actionMap[126][LB] = ActionEntry(SHIFT, 246);
   _actionMap[127][LB] = ActionEntry(SHIFT, 247);
   _actionMap[128][LB] = ActionEntry(SHIFT, 248);
   _actionMap[129][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[129][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[129][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[129][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[129][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[129][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[129][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[129][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[129][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[129][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[129][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[129][AS] = ActionEntry(REDUCE, 342);
   _actionMap[129][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[129][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[129][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[129][OR] = ActionEntry(REDUCE, 342);
   _actionMap[129][AND] = ActionEntry(REDUCE, 342);
   _actionMap[129][NULLTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[129][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[129][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[129][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[129][IS] = ActionEntry(REDUCE, 342);
   _actionMap[129][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[129][MT] = ActionEntry(REDUCE, 342);
   _actionMap[129][LT] = ActionEntry(REDUCE, 342);
   _actionMap[129][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[129][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[129][RB] = ActionEntry(REDUCE, 342);
   _actionMap[129][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[129][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[129][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[129][KSEP] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser217()
{
   _actionMap[129][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[129][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[129][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[129][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[129][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[129][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[129][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[129][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[130][LB] = ActionEntry(SHIFT, 249);
   _actionMap[131][LB] = ActionEntry(SHIFT, 250);
   _actionMap[132][LB] = ActionEntry(SHIFT, 251);
   _actionMap[133][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[133][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[133][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[133][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[133][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[133][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[133][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[133][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[133][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[133][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[133][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[133][AS] = ActionEntry(REDUCE, 344);
   _actionMap[133][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[133][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[133][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[133][OR] = ActionEntry(REDUCE, 344);
   _actionMap[133][AND] = ActionEntry(REDUCE, 344);
   _actionMap[133][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[133][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[133][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[133][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[133][IS] = ActionEntry(REDUCE, 344);
   _actionMap[133][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[133][MT] = ActionEntry(REDUCE, 344);
   _actionMap[133][LT] = ActionEntry(REDUCE, 344);
   _actionMap[133][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[133][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[133][RB] = ActionEntry(REDUCE, 344);
   _actionMap[133][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[133][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[133][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[133][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[133][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[133][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[133][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[133][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[133][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[133][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[133][STAR] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser218()
{
   _actionMap[133][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[134][LB] = ActionEntry(SHIFT, 252);
   _actionMap[135][LB] = ActionEntry(SHIFT, 253);
   _actionMap[136][LONG] = ActionEntry(SHIFT, 260);
   _actionMap[136][BIGINT] = ActionEntry(SHIFT, 256);
   _actionMap[136][SMALLINT] = ActionEntry(SHIFT, 261);
   _actionMap[136][TINYINT] = ActionEntry(SHIFT, 262);
   _actionMap[136][DOUBLE] = ActionEntry(SHIFT, 258);
   _actionMap[136][DECIMAL] = ActionEntry(SHIFT, 257);
   _actionMap[136][FIXED] = ActionEntry(SHIFT, 259);
   _actionMap[136][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[136][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[136][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[136][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[136][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[136][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[136][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[136][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[136][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[136][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[136][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[136][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[136][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[136][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[136][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[136][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[136][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[136][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[136][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[136][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[136][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[136][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[136][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[136][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[136][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[136][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[136][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[136][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[136][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[136][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[136][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[136][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[136][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[136][LB] = ActionEntry(SHIFT, 136);
   _actionMap[136][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[136][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[136][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[136][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[136][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[136][FALSEVAL] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser219()
{
   _actionMap[136][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[136][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[136][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[136][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[136][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[136][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[136][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[136][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[136][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[136][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[136][MAX] = ActionEntry(SHIFT, 116);
   _actionMap[136][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[136][ObjSpec] = 95;
   _jumpMap[136][Constant] = 94;
   _jumpMap[136][SignedFloat] = 93;
   _jumpMap[136][SignedInt] = 92;
   _jumpMap[136][Attribute] = 91;
   _jumpMap[136][Function] = 90;
   _jumpMap[136][SelectStatement] = 255;
   _jumpMap[136][CasePrepare] = 89;
   _jumpMap[136][CaseClause] = 88;
   _jumpMap[136][Factor] = 87;
   _jumpMap[136][Term] = 86;
   _jumpMap[136][Expr] = 254;
   _actionMap[137][INTVAL] = ActionEntry(SHIFT, 263);
   _actionMap[138][FLOATVAL] = ActionEntry(SHIFT, 265);
   _actionMap[138][INTVAL] = ActionEntry(SHIFT, 264);
   _actionMap[139][WHEN] = ActionEntry(REDUCE, 327);
   _actionMap[139][ELSE] = ActionEntry(REDUCE, 327);
   _actionMap[139][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[139][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[139][INNER] = ActionEntry(REDUCE, 327);
   _actionMap[139][JOIN] = ActionEntry(REDUCE, 327);
   _actionMap[139][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[139][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[139][GROUP] = ActionEntry(REDUCE, 327);
   _actionMap[139][WHERE] = ActionEntry(REDUCE, 327);
   _actionMap[139][AS] = ActionEntry(REDUCE, 327);
   _actionMap[139][FROM] = ActionEntry(REDUCE, 327);
   _actionMap[139][END_TOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[139][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[139][THEN] = ActionEntry(REDUCE, 327);
   _actionMap[139][OR] = ActionEntry(REDUCE, 327);
   _actionMap[139][AND] = ActionEntry(REDUCE, 327);
   _actionMap[139][NULLTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[139][LIKE] = ActionEntry(REDUCE, 327);
   _actionMap[139][IS] = ActionEntry(REDUCE, 327);
   _actionMap[139][BETWEEN] = ActionEntry(REDUCE, 327);
   _actionMap[139][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[139][INTOK] = ActionEntry(REDUCE, 327);
}
void Cego::loadParser220()
{
   _actionMap[139][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[139][NEGATION] = ActionEntry(REDUCE, 327);
   _actionMap[139][LT] = ActionEntry(REDUCE, 327);
   _actionMap[139][MT] = ActionEntry(REDUCE, 327);
   _actionMap[139][DESC] = ActionEntry(REDUCE, 327);
   _actionMap[139][ASC] = ActionEntry(REDUCE, 327);
   _actionMap[139][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[139][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[139][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[139][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[139][RB] = ActionEntry(REDUCE, 327);
   _actionMap[139][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[139][CONCAT] = ActionEntry(REDUCE, 327);
   _actionMap[139][STAR] = ActionEntry(REDUCE, 327);
   _actionMap[139][DIVISION] = ActionEntry(REDUCE, 327);
   _actionMap[139][MINUS] = ActionEntry(REDUCE, 327);
   _actionMap[139][PLUS] = ActionEntry(REDUCE, 327);
   _actionMap[140][WHEN] = ActionEntry(REDUCE, 329);
   _actionMap[140][ELSE] = ActionEntry(REDUCE, 329);
   _actionMap[140][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[140][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[140][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[140][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[140][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[140][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[140][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[140][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[140][AS] = ActionEntry(REDUCE, 329);
   _actionMap[140][FROM] = ActionEntry(REDUCE, 329);
   _actionMap[140][END_TOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[140][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[140][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[140][OR] = ActionEntry(REDUCE, 329);
   _actionMap[140][AND] = ActionEntry(REDUCE, 329);
   _actionMap[140][NULLTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[140][LIKE] = ActionEntry(REDUCE, 329);
   _actionMap[140][IS] = ActionEntry(REDUCE, 329);
   _actionMap[140][BETWEEN] = ActionEntry(REDUCE, 329);
   _actionMap[140][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[140][INTOK] = ActionEntry(REDUCE, 329);
   _actionMap[140][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[140][NEGATION] = ActionEntry(REDUCE, 329);
   _actionMap[140][LT] = ActionEntry(REDUCE, 329);
   _actionMap[140][MT] = ActionEntry(REDUCE, 329);
   _actionMap[140][DESC] = ActionEntry(REDUCE, 329);
   _actionMap[140][ASC] = ActionEntry(REDUCE, 329);
   _actionMap[140][KSEP] = ActionEntry(REDUCE, 329);
   _actionMap[140][ROWLIMIT] = ActionEntry(REDUCE, 329);
   _actionMap[140][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[140][ENDTOKEN] = ActionEntry(REDUCE, 329);
}
void Cego::loadParser221()
{
   _actionMap[140][RB] = ActionEntry(REDUCE, 329);
   _actionMap[140][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[140][CONCAT] = ActionEntry(REDUCE, 329);
   _actionMap[140][STAR] = ActionEntry(REDUCE, 329);
   _actionMap[140][DIVISION] = ActionEntry(REDUCE, 329);
   _actionMap[140][MINUS] = ActionEntry(REDUCE, 329);
   _actionMap[140][PLUS] = ActionEntry(REDUCE, 329);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 324);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 324);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 324);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 324);
   _actionMap[141][INNER] = ActionEntry(REDUCE, 324);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 324);
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 324);
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 324);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 324);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 324);
   _actionMap[141][AS] = ActionEntry(REDUCE, 324);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 324);
   _actionMap[141][OR] = ActionEntry(REDUCE, 324);
   _actionMap[141][AND] = ActionEntry(REDUCE, 324);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 324);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 324);
   _actionMap[141][IS] = ActionEntry(REDUCE, 324);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 324);
   _actionMap[141][MT] = ActionEntry(REDUCE, 324);
   _actionMap[141][LT] = ActionEntry(REDUCE, 324);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 324);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[141][RB] = ActionEntry(REDUCE, 324);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 324);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 324);
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 324);
   _actionMap[141][DESC] = ActionEntry(REDUCE, 324);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 324);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 324);
   _actionMap[141][LB] = ActionEntry(REDUCE, 350);
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 324);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 324);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 324);
   _actionMap[142][WHEN] = ActionEntry(REDUCE, 140);
   _actionMap[142][ELSE] = ActionEntry(REDUCE, 140);
   _actionMap[142][LEFT] = ActionEntry(REDUCE, 140);
}
void Cego::loadParser222()
{
   _actionMap[142][RIGHT] = ActionEntry(REDUCE, 140);
   _actionMap[142][INNER] = ActionEntry(REDUCE, 140);
   _actionMap[142][JOIN] = ActionEntry(REDUCE, 140);
   _actionMap[142][RETURNTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[142][ORDER] = ActionEntry(REDUCE, 140);
   _actionMap[142][GROUP] = ActionEntry(REDUCE, 140);
   _actionMap[142][WHERE] = ActionEntry(REDUCE, 140);
   _actionMap[142][AS] = ActionEntry(REDUCE, 140);
   _actionMap[142][FROM] = ActionEntry(REDUCE, 140);
   _actionMap[142][END_TOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[142][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[142][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[142][OR] = ActionEntry(REDUCE, 140);
   _actionMap[142][AND] = ActionEntry(REDUCE, 140);
   _actionMap[142][LIKE] = ActionEntry(REDUCE, 140);
   _actionMap[142][IS] = ActionEntry(REDUCE, 140);
   _actionMap[142][BETWEEN] = ActionEntry(REDUCE, 140);
   _actionMap[142][NOT] = ActionEntry(REDUCE, 140);
   _actionMap[142][INTOK] = ActionEntry(REDUCE, 140);
   _actionMap[142][EQU] = ActionEntry(REDUCE, 140);
   _actionMap[142][NEGATION] = ActionEntry(REDUCE, 140);
   _actionMap[142][LT] = ActionEntry(REDUCE, 140);
   _actionMap[142][MT] = ActionEntry(REDUCE, 140);
   _actionMap[142][DESC] = ActionEntry(REDUCE, 140);
   _actionMap[142][ASC] = ActionEntry(REDUCE, 140);
   _actionMap[142][KSEP] = ActionEntry(REDUCE, 140);
   _actionMap[142][ROWLIMIT] = ActionEntry(REDUCE, 140);
   _actionMap[142][UNION] = ActionEntry(REDUCE, 140);
   _actionMap[142][ENDTOKEN] = ActionEntry(REDUCE, 140);
   _actionMap[142][RB] = ActionEntry(REDUCE, 140);
   _actionMap[142][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[142][CONCAT] = ActionEntry(REDUCE, 140);
   _actionMap[142][STAR] = ActionEntry(REDUCE, 140);
   _actionMap[142][DIVISION] = ActionEntry(REDUCE, 140);
   _actionMap[142][MINUS] = ActionEntry(REDUCE, 140);
   _actionMap[142][PLUS] = ActionEntry(REDUCE, 140);
   _actionMap[143][WHEN] = ActionEntry(REDUCE, 325);
   _actionMap[143][ELSE] = ActionEntry(REDUCE, 325);
   _actionMap[143][LEFT] = ActionEntry(REDUCE, 325);
   _actionMap[143][RIGHT] = ActionEntry(REDUCE, 325);
   _actionMap[143][INNER] = ActionEntry(REDUCE, 325);
   _actionMap[143][JOIN] = ActionEntry(REDUCE, 325);
   _actionMap[143][RETURNTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[143][ORDER] = ActionEntry(REDUCE, 325);
   _actionMap[143][GROUP] = ActionEntry(REDUCE, 325);
   _actionMap[143][WHERE] = ActionEntry(REDUCE, 325);
   _actionMap[143][FROM] = ActionEntry(REDUCE, 325);
   _actionMap[143][AS] = ActionEntry(REDUCE, 325);
   _actionMap[143][END_TOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[143][BEGIN] = ActionEntry(REDUCE, 325);
}
void Cego::loadParser223()
{
   _actionMap[143][THEN] = ActionEntry(REDUCE, 325);
   _actionMap[143][OR] = ActionEntry(REDUCE, 325);
   _actionMap[143][AND] = ActionEntry(REDUCE, 325);
   _actionMap[143][INTOK] = ActionEntry(REDUCE, 325);
   _actionMap[143][NOT] = ActionEntry(REDUCE, 325);
   _actionMap[143][BETWEEN] = ActionEntry(REDUCE, 325);
   _actionMap[143][IS] = ActionEntry(REDUCE, 325);
   _actionMap[143][LIKE] = ActionEntry(REDUCE, 325);
   _actionMap[143][MT] = ActionEntry(REDUCE, 325);
   _actionMap[143][LT] = ActionEntry(REDUCE, 325);
   _actionMap[143][NEGATION] = ActionEntry(REDUCE, 325);
   _actionMap[143][EQU] = ActionEntry(REDUCE, 325);
   _actionMap[143][RB] = ActionEntry(REDUCE, 325);
   _actionMap[143][ENDTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[143][UNION] = ActionEntry(REDUCE, 325);
   _actionMap[143][ROWLIMIT] = ActionEntry(REDUCE, 325);
   _actionMap[143][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[143][ASC] = ActionEntry(REDUCE, 325);
   _actionMap[143][DESC] = ActionEntry(REDUCE, 325);
   _actionMap[143][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[143][PLUS] = ActionEntry(REDUCE, 325);
   _actionMap[143][MINUS] = ActionEntry(REDUCE, 325);
   _actionMap[143][LB] = ActionEntry(REDUCE, 351);
   _actionMap[143][DIVISION] = ActionEntry(REDUCE, 325);
   _actionMap[143][STAR] = ActionEntry(REDUCE, 325);
   _actionMap[143][CONCAT] = ActionEntry(REDUCE, 325);
   _actionMap[144][STAR] = ActionEntry(SHIFT, 266);
   _actionMap[145][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[145][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[145][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[145][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[145][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[145][JOIN] = ActionEntry(REDUCE, 347);
   _actionMap[145][RETURNTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[145][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[145][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[145][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[145][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[145][AS] = ActionEntry(REDUCE, 347);
   _actionMap[145][END_TOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[145][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[145][THEN] = ActionEntry(REDUCE, 347);
   _actionMap[145][OR] = ActionEntry(REDUCE, 347);
   _actionMap[145][AND] = ActionEntry(REDUCE, 347);
   _actionMap[145][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[145][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[145][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[145][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[145][IS] = ActionEntry(REDUCE, 347);
   _actionMap[145][LIKE] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser224()
{
   _actionMap[145][MT] = ActionEntry(REDUCE, 347);
   _actionMap[145][LT] = ActionEntry(REDUCE, 347);
   _actionMap[145][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[145][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[145][RB] = ActionEntry(REDUCE, 347);
   _actionMap[145][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[145][UNION] = ActionEntry(REDUCE, 347);
   _actionMap[145][ROWLIMIT] = ActionEntry(REDUCE, 347);
   _actionMap[145][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[145][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[145][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[145][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[145][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[145][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[145][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[145][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[145][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[146][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[146][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[146][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[146][ObjSpec] = 267;
   _actionMap[147][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[147][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[147][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[147][ObjSpec] = 268;
   _actionMap[148][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[148][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[148][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[148][ObjSpec] = 269;
   _actionMap[149][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[149][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[149][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[149][ObjSpec] = 270;
   _actionMap[150][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[150][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[150][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[150][ObjSpec] = 271;
   _actionMap[151][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[151][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[151][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[151][ObjSpec] = 272;
   _actionMap[152][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[152][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[152][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[152][ObjSpec] = 273;
   _actionMap[153][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[153][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[153][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[153][ObjSpec] = 274;
   _actionMap[154][FROM] = ActionEntry(SHIFT, 275);
}
void Cego::loadParser225()
{
   _actionMap[155][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[155][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[155][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[155][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[155][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[155][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[155][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[155][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[155][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[155][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[155][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[155][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[155][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[155][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[155][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[155][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[155][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[155][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[155][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[155][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[155][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[155][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[155][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[155][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[155][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[155][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[155][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[155][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[155][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[155][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[155][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[155][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[155][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[155][LB] = ActionEntry(SHIFT, 136);
   _actionMap[155][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[155][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[155][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[155][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[155][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[155][FALSEVAL] = ActionEntry(SHIFT, 107);
   _actionMap[155][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[155][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[155][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[155][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[155][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[155][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[155][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[155][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[155][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[155][MIN] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser226()
{
   _actionMap[155][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[155][ObjSpec] = 95;
   _jumpMap[155][Constant] = 94;
   _jumpMap[155][SignedFloat] = 93;
   _jumpMap[155][SignedInt] = 92;
   _jumpMap[155][Attribute] = 91;
   _jumpMap[155][Function] = 90;
   _jumpMap[155][SelectItem] = 278;
   _jumpMap[155][SelectionList] = 277;
   _jumpMap[155][CasePrepare] = 89;
   _jumpMap[155][CaseClause] = 88;
   _jumpMap[155][Factor] = 87;
   _jumpMap[155][Term] = 86;
   _jumpMap[155][Expr] = 276;
   _actionMap[156][VARREF] = ActionEntry(REDUCE, 229);
   _actionMap[156][FETCH] = ActionEntry(REDUCE, 229);
   _actionMap[156][LB] = ActionEntry(REDUCE, 229);
   _actionMap[156][COUNT] = ActionEntry(REDUCE, 229);
   _actionMap[156][SUM] = ActionEntry(REDUCE, 229);
   _actionMap[156][AVG] = ActionEntry(REDUCE, 229);
   _actionMap[156][MIN] = ActionEntry(REDUCE, 229);
   _actionMap[156][MAX] = ActionEntry(REDUCE, 229);
   _actionMap[156][CASE] = ActionEntry(REDUCE, 229);
   _actionMap[156][TRIM] = ActionEntry(REDUCE, 229);
   _actionMap[156][RTRIM] = ActionEntry(REDUCE, 229);
   _actionMap[156][LTRIM] = ActionEntry(REDUCE, 229);
   _actionMap[156][ROUND] = ActionEntry(REDUCE, 229);
   _actionMap[156][DATE2STR] = ActionEntry(REDUCE, 229);
   _actionMap[156][DATE2INT] = ActionEntry(REDUCE, 229);
   _actionMap[156][INT2DATE] = ActionEntry(REDUCE, 229);
   _actionMap[156][LOWER] = ActionEntry(REDUCE, 229);
   _actionMap[156][UPPER] = ActionEntry(REDUCE, 229);
   _actionMap[156][LEFT] = ActionEntry(REDUCE, 229);
   _actionMap[156][RIGHT] = ActionEntry(REDUCE, 229);
   _actionMap[156][GETPOS] = ActionEntry(REDUCE, 229);
   _actionMap[156][SUBSTR] = ActionEntry(REDUCE, 229);
   _actionMap[156][REPLACE] = ActionEntry(REDUCE, 229);
   _actionMap[156][LENGTH] = ActionEntry(REDUCE, 229);
   _actionMap[156][TRUNC] = ActionEntry(REDUCE, 229);
   _actionMap[156][STR2INT] = ActionEntry(REDUCE, 229);
   _actionMap[156][STR2LONG] = ActionEntry(REDUCE, 229);
   _actionMap[156][RANDSTR] = ActionEntry(REDUCE, 229);
   _actionMap[156][RANDINT] = ActionEntry(REDUCE, 229);
   _actionMap[156][MOD] = ActionEntry(REDUCE, 229);
   _actionMap[156][DIV] = ActionEntry(REDUCE, 229);
   _actionMap[156][POWER] = ActionEntry(REDUCE, 229);
   _actionMap[156][BITAND] = ActionEntry(REDUCE, 229);
   _actionMap[156][BITOR] = ActionEntry(REDUCE, 229);
   _actionMap[156][BITXOR] = ActionEntry(REDUCE, 229);
   _actionMap[156][NEXTCOUNT] = ActionEntry(REDUCE, 229);
}
void Cego::loadParser227()
{
   _actionMap[156][IDENTIFIER] = ActionEntry(REDUCE, 229);
   _actionMap[156][QUALIFIEDOBJ] = ActionEntry(REDUCE, 229);
   _actionMap[156][QUALIFIEDTS] = ActionEntry(REDUCE, 229);
   _actionMap[156][QUALIFIEDPRE] = ActionEntry(REDUCE, 229);
   _actionMap[156][STRINGVAL] = ActionEntry(REDUCE, 229);
   _actionMap[156][DATE] = ActionEntry(REDUCE, 229);
   _actionMap[156][SYSDATE] = ActionEntry(REDUCE, 229);
   _actionMap[156][NULLTOKEN] = ActionEntry(REDUCE, 229);
   _actionMap[156][TRUEVAL] = ActionEntry(REDUCE, 229);
   _actionMap[156][FALSEVAL] = ActionEntry(REDUCE, 229);
   _actionMap[156][LAB] = ActionEntry(REDUCE, 229);
   _actionMap[156][COUNTERID] = ActionEntry(REDUCE, 229);
   _actionMap[156][FLOATVAL] = ActionEntry(REDUCE, 229);
   _actionMap[156][MINUS] = ActionEntry(REDUCE, 229);
   _actionMap[156][INTVAL] = ActionEntry(REDUCE, 229);
   _actionMap[157][FROM] = ActionEntry(REDUCE, 192);
   _actionMap[158][OFF] = ActionEntry(SHIFT, 279);
   _actionMap[158][ON] = ActionEntry(SHIFT, 280);
   _actionMap[159][OFF] = ActionEntry(SHIFT, 281);
   _actionMap[159][ON] = ActionEntry(SHIFT, 282);
   _actionMap[160][IDENTIFIER] = ActionEntry(SHIFT, 283);
   _actionMap[161][IDENTIFIER] = ActionEntry(SHIFT, 284);
   _actionMap[162][IDENTIFIER] = ActionEntry(SHIFT, 285);
   _actionMap[163][EQU] = ActionEntry(SHIFT, 286);
   _actionMap[164][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[164][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[164][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[164][ObjSpec] = 287;
   _actionMap[165][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[166][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[166][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[166][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[166][ObjSpec] = 288;
   _actionMap[167][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[168][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[168][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[168][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[168][ObjSpec] = 289;
   _actionMap[169][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[170][SEMICOLON] = ActionEntry(REDUCE, 14);
   _actionMap[171][SET] = ActionEntry(SHIFT, 290);
   _actionMap[172][CALL] = ActionEntry(SHIFT, 291);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 43);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 41);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 44);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 42);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 40);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 38);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 39);
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 45);
}
void Cego::loadParser228()
{
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 46);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 47);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[14][ObjSpec] = 48;
   _actionMap[15][INDEX] = ActionEntry(SHIFT, 52);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 61);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 59);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 57);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 56);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 58);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 60);
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 177);
   _jumpMap[17][IndexOption] = 55;
   _jumpMap[17][ProcDef] = 54;
   _jumpMap[17][ProcHead] = 53;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 62);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 66);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 63);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 67);
   _actionMap[19][KEY] = ActionEntry(SHIFT, 64);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 65);
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 59);
   _actionMap[20][IF] = ActionEntry(SHIFT, 68);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 59);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 59);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 59);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 59);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 59);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 59);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 69);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 71);
   _jumpMap[22][JdbcArgList] = 70;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 79);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 78);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 76);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 81);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 74);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 75);
}
void Cego::loadParser229()
{
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 73);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 77);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 80);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 72);
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 83);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 58);
   _jumpMap[24][ProcDef] = 82;
   _jumpMap[24][ProcHead] = 53;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 84;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 140);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 138);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 139);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 132);
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 126);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 114);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 125);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 104);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 105);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 110);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 113);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 135);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 111);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 124);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 109);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 127);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 123);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 112);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 134);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 130);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 131);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 121);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 122);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 117);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 106);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 120);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 98);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 99);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 100);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 118);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 141);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 143);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 144);
   _actionMap[26][LB] = ActionEntry(SHIFT, 136);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 96);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 103);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 129);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 119);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 133);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser230()
{
   _actionMap[26][LAB] = ActionEntry(SHIFT, 137);
   _actionMap[26][COUNTERID] = ActionEntry(SHIFT, 145);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 101);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 142);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 108);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 102);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 128);
   _actionMap[26][AVG] = ActionEntry(SHIFT, 97);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 115);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 116);
   _jumpMap[26][ObjSpec] = 95;
   _jumpMap[26][Constant] = 94;
   _jumpMap[26][SignedFloat] = 93;
   _jumpMap[26][SignedInt] = 92;
   _jumpMap[26][Attribute] = 91;
   _jumpMap[26][Function] = 90;
   _jumpMap[26][CasePrepare] = 89;
   _jumpMap[26][CaseClause] = 88;
   _jumpMap[26][Factor] = 87;
   _jumpMap[26][Term] = 86;
   _jumpMap[26][Expr] = 85;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 150);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 147);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 148);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 149);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 151);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 146);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 153);
   _actionMap[28][INDEX] = ActionEntry(SHIFT, 152);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 156);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 230);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 230);
   _actionMap[30][LB] = ActionEntry(REDUCE, 230);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 230);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 230);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 230);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 230);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 230);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 230);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 230);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 230);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 230);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 230);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 230);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 230);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 230);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 230);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 230);
}
void Cego::loadParser231()
{
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 230);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 230);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 230);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 230);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 230);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 230);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 230);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 230);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 230);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 230);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 230);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 230);
   _actionMap[30][DIV] = ActionEntry(REDUCE, 230);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 230);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 230);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 230);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 230);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 230);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 230);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 230);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 230);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 230);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 230);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 230);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 230);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 230);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 230);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 230);
   _actionMap[30][LAB] = ActionEntry(REDUCE, 230);
   _actionMap[30][COUNTERID] = ActionEntry(REDUCE, 230);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 230);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 230);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 230);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 157);
   _jumpMap[30][DistinctOpt] = 155;
   _jumpMap[30][Selection] = 154;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 162);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 158);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 159);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 161);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 163);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 160);
   _actionMap[32][POOL] = ActionEntry(SHIFT, 165);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 167);
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 166);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 168);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 164);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 169);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 49);
}
void Cego::loadParser232()
{
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[35][ObjSpec] = 170;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 49);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 50);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 51);
   _jumpMap[36][ObjSpec] = 171;
   _actionMap[37][EQU] = ActionEntry(SHIFT, 172);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 37);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser233()
{
   _prodInfo.Insert(ProdEntry(352, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(351, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(350, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(349, DateValue, 1));
   _prodInfo.Insert(ProdEntry(348, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(347, Constant, 1));
   _prodInfo.Insert(ProdEntry(346, Constant, 5));
   _prodInfo.Insert(ProdEntry(345, Constant, 1));
   _prodInfo.Insert(ProdEntry(344, Constant, 1));
   _prodInfo.Insert(ProdEntry(343, Constant, 1));
   _prodInfo.Insert(ProdEntry(342, Constant, 1));
   _prodInfo.Insert(ProdEntry(341, Constant, 6));
   _prodInfo.Insert(ProdEntry(340, Constant, 4));
   _prodInfo.Insert(ProdEntry(339, Constant, 4));
   _prodInfo.Insert(ProdEntry(338, Constant, 4));
   _prodInfo.Insert(ProdEntry(337, Constant, 1));
   _prodInfo.Insert(ProdEntry(336, Constant, 1));
   _prodInfo.Insert(ProdEntry(335, Constant, 4));
   _prodInfo.Insert(ProdEntry(334, Constant, 4));
   _prodInfo.Insert(ProdEntry(333, Constant, 4));
   _prodInfo.Insert(ProdEntry(332, Constant, 4));
   _prodInfo.Insert(ProdEntry(331, Constant, 1));
   _prodInfo.Insert(ProdEntry(330, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(329, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(328, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(327, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(326, Attribute, 2));
   _prodInfo.Insert(ProdEntry(325, Attribute, 1));
   _prodInfo.Insert(ProdEntry(324, Attribute, 1));
   _prodInfo.Insert(ProdEntry(323, Comparison, 2));
   _prodInfo.Insert(ProdEntry(322, Comparison, 2));
   _prodInfo.Insert(ProdEntry(321, Comparison, 1));
   _prodInfo.Insert(ProdEntry(320, Comparison, 1));
   _prodInfo.Insert(ProdEntry(319, Comparison, 2));
   _prodInfo.Insert(ProdEntry(318, Comparison, 1));
   _prodInfo.Insert(ProdEntry(317, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(316, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(315, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(314, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(313, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(312, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(311, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(310, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(309, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(308, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(307, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(306, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(305, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(304, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(303, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(302, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(301, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(300, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(299, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(298, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(297, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(296, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(295, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(294, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(293, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(292, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(291, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(290, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(289, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(288, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(287, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(286, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(285, Function, 3));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, Function, 4));
   _prodInfo.Insert(ProdEntry(279, Function, 4));
   _prodInfo.Insert(ProdEntry(278, Function, 4));
   _prodInfo.Insert(ProdEntry(277, Function, 4));
   _prodInfo.Insert(ProdEntry(276, Function, 4));
   _prodInfo.Insert(ProdEntry(275, Function, 4));
   _prodInfo.Insert(ProdEntry(274, Function, 4));
   _prodInfo.Insert(ProdEntry(273, Function, 4));
   _prodInfo.Insert(ProdEntry(272, Function, 4));
   _prodInfo.Insert(ProdEntry(271, Function, 4));
   _prodInfo.Insert(ProdEntry(270, Function, 4));
   _prodInfo.Insert(ProdEntry(269, Function, 4));
   _prodInfo.Insert(ProdEntry(268, Function, 4));
   _prodInfo.Insert(ProdEntry(267, Function, 4));
   _prodInfo.Insert(ProdEntry(266, Function, 4));
   _prodInfo.Insert(ProdEntry(265, Function, 4));
   _prodInfo.Insert(ProdEntry(264, Function, 4));
   _prodInfo.Insert(ProdEntry(263, Function, 4));
   _prodInfo.Insert(ProdEntry(262, Function, 4));
   _prodInfo.Insert(ProdEntry(261, Function, 4));
   _prodInfo.Insert(ProdEntry(260, Function, 4));
   _prodInfo.Insert(ProdEntry(259, Function, 4));
   _prodInfo.Insert(ProdEntry(258, Function, 4));
   _prodInfo.Insert(ProdEntry(257, Function, 4));
   _prodInfo.Insert(ProdEntry(256, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(255, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(254, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(253, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(252, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(251, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(250, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(249, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(248, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(247, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(246, AlterList, 1));
   _prodInfo.Insert(ProdEntry(245, AlterList, 3));
   _prodInfo.Insert(ProdEntry(244, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(243, DeleteStatement, 4));
   _prodInfo.Insert(ProdEntry(242, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(241, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(240, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(239, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(238, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(237, Assignment, 3));
   _prodInfo.Insert(ProdEntry(236, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(235, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(234, UpdateStatement, 6));
   _prodInfo.Insert(ProdEntry(233, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(232, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(231, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(230, DistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(229, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(228, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(227, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(226, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(225, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(224, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(223, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(222, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(221, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(220, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(219, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(218, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(217, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(216, GroupList, 1));
   _prodInfo.Insert(ProdEntry(215, GroupList, 3));
   _prodInfo.Insert(ProdEntry(214, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(213, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(212, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(211, AliasOpt, 0));
   _prodInfo.Insert(ProdEntry(210, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(209, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(208, Table, 2));
   _prodInfo.Insert(ProdEntry(207, Table, 1));
   _prodInfo.Insert(ProdEntry(206, TableList, 1));
   _prodInfo.Insert(ProdEntry(205, TableList, 3));
   _prodInfo.Insert(ProdEntry(204, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(203, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(202, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(201, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(200, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(199, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(198, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(197, TableSource, 1));
   _prodInfo.Insert(ProdEntry(196, TableSource, 1));
   _prodInfo.Insert(ProdEntry(195, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(194, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(193, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(192, Selection, 1));
   _prodInfo.Insert(ProdEntry(191, Selection, 2));
   _prodInfo.Insert(ProdEntry(190, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(189, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(188, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(187, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(186, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(185, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(184, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(183, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(182, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(181, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(180, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(179, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(178, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(177, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(176, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(175, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(174, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(173, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(172, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(171, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(170, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(169, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(168, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(167, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(166, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(165, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(164, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(163, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(162, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(161, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(160, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(159, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(158, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(157, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(156, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(155, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(154, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(153, Factor, 4));
   _prodInfo.Insert(ProdEntry(152, Factor, 4));
   _prodInfo.Insert(ProdEntry(151, Factor, 4));
   _prodInfo.Insert(ProdEntry(150, Factor, 4));
   _prodInfo.Insert(ProdEntry(149, Factor, 4));
   _prodInfo.Insert(ProdEntry(148, Factor, 4));
   _prodInfo.Insert(ProdEntry(147, Factor, 1));
   _prodInfo.Insert(ProdEntry(146, Factor, 3));
   _prodInfo.Insert(ProdEntry(145, Factor, 3));
   _prodInfo.Insert(ProdEntry(144, Factor, 1));
   _prodInfo.Insert(ProdEntry(143, Factor, 1));
   _prodInfo.Insert(ProdEntry(142, Factor, 6));
   _prodInfo.Insert(ProdEntry(141, Factor, 1));
   _prodInfo.Insert(ProdEntry(140, Factor, 1));
   _prodInfo.Insert(ProdEntry(139, Term, 1));
   _prodInfo.Insert(ProdEntry(138, Term, 3));
   _prodInfo.Insert(ProdEntry(137, Term, 3));
   _prodInfo.Insert(ProdEntry(136, Expr, 3));
   _prodInfo.Insert(ProdEntry(135, Expr, 1));
   _prodInfo.Insert(ProdEntry(134, Expr, 3));
   _prodInfo.Insert(ProdEntry(133, Expr, 3));
   _prodInfo.Insert(ProdEntry(132, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(131, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(130, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(129, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(128, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(127, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(126, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(125, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(124, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(123, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(122, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(121, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(120, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(119, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(118, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(117, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(116, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(115, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(114, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(113, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(112, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(111, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(110, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(109, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(108, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(107, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(106, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(105, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(104, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(103, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(102, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(101, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(97, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(96, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(95, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(94, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(93, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(92, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(91, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(90, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(89, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(88, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(87, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(86, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(85, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(84, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(83, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(82, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(81, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(80, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(79, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(78, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(77, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(76, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(75, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(74, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(73, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(72, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(71, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(70, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(69, Statement, 2));
   _prodInfo.Insert(ProdEntry(68, Statement, 5));
   _prodInfo.Insert(ProdEntry(67, Statement, 3));
   _prodInfo.Insert(ProdEntry(66, Statement, 3));
   _prodInfo.Insert(ProdEntry(65, Statement, 3));
   _prodInfo.Insert(ProdEntry(64, Statement, 2));
   _prodInfo.Insert(ProdEntry(63, Statement, 4));
   _prodInfo.Insert(ProdEntry(62, Statement, 8));
   _prodInfo.Insert(ProdEntry(61, Statement, 15));
   _prodInfo.Insert(ProdEntry(60, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(59, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(58, Statement, 3));
   _prodInfo.Insert(ProdEntry(57, Statement, 4));
   _prodInfo.Insert(ProdEntry(56, Statement, 3));
   _prodInfo.Insert(ProdEntry(55, Statement, 3));
   _prodInfo.Insert(ProdEntry(54, Statement, 3));
   _prodInfo.Insert(ProdEntry(53, Statement, 3));
   _prodInfo.Insert(ProdEntry(52, Statement, 9));
   _prodInfo.Insert(ProdEntry(51, Statement, 8));
   _prodInfo.Insert(ProdEntry(50, Statement, 6));
   _prodInfo.Insert(ProdEntry(49, Statement, 7));
   _prodInfo.Insert(ProdEntry(48, Statement, 5));
   _prodInfo.Insert(ProdEntry(47, Statement, 2));
   _prodInfo.Insert(ProdEntry(46, Statement, 2));
   _prodInfo.Insert(ProdEntry(45, Statement, 5));
   _prodInfo.Insert(ProdEntry(44, Statement, 5));
   _prodInfo.Insert(ProdEntry(43, Statement, 1));
   _prodInfo.Insert(ProdEntry(42, Statement, 1));
   _prodInfo.Insert(ProdEntry(41, Statement, 1));
   _prodInfo.Insert(ProdEntry(40, Statement, 1));
   _prodInfo.Insert(ProdEntry(39, Statement, 1));
   _prodInfo.Insert(ProdEntry(38, Statement, 2));
   _prodInfo.Insert(ProdEntry(37, Statement, 1));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 3));
   _prodInfo.Insert(ProdEntry(29, Statement, 1));
   _prodInfo.Insert(ProdEntry(28, Statement, 1));
   _prodInfo.Insert(ProdEntry(27, Statement, 1));
   _prodInfo.Insert(ProdEntry(26, Statement, 7));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 3));
   _prodInfo.Insert(ProdEntry(17, Statement, 3));
   _prodInfo.Insert(ProdEntry(16, Statement, 2));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, Statement, 2));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(12, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 798; i++)
   {
      int j;
      for ( j = 0; j < 175; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 111; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 352:
                     setObject3();
                     break;
                  case 351:
                     setObject2();
                     break;
                  case 350:
                     setObject1();
                     break;
                  case 349:
                     miscDateValue();
                     break;
                  case 348:
                     miscDateFormat();
                     break;
                  case 347:
                     miscCounter();
                     break;
                  case 346:
                     miscBlobRef();
                     break;
                  case 345:
                     miscFalseValue();
                     break;
                  case 344:
                     miscTrueValue();
                     break;
                  case 343:
                     miscNull();
                     break;
                  case 342:
                     miscSysDate();
                     break;
                  case 341:
                     miscFormatDate();
                     break;
                  case 340:
                     miscFixedValue();
                     break;
                  case 339:
                     miscDecimalValue();
                     break;
                  case 338:
                     miscDoubleValue();
                     break;
                  case 337:
                     miscFloatValue();
                     break;
                  case 336:
                     miscStringValue();
                     break;
                  case 335:
                     miscTinyIntValue();
                     break;
                  case 334:
                     miscSmallIntValue();
                     break;
                  case 333:
                     miscBigIntValue();
                     break;
                  case 332:
                     miscLongValue();
                     break;
                  case 331:
                     miscIntValue();
                     break;
                  case 330:
                     miscNegatedFloatString();
                     break;
                  case 329:
                     miscFloatString();
                     break;
                  case 328:
                     miscNegatedIntString();
                     break;
                  case 327:
                     miscIntString();
                     break;
                  case 326:
                     miscAttribute3();
                     break;
                  case 325:
                     miscAttribute2();
                     break;
                  case 324:
                     miscAttribute1();
                     break;
                  case 323:
                     miscMoreEqualComp();
                     break;
                  case 322:
                     miscLessEqualComp();
                     break;
                  case 321:
                     miscMoreComp();
                     break;
                  case 320:
                     miscLessComp();
                     break;
                  case 319:
                     miscNotEqualComp();
                     break;
                  case 318:
                     miscEqualComp();
                     break;
                  case 317:
                     miscBlobType();
                     break;
                  case 316:
                     miscFixedType();
                     break;
                  case 315:
                     miscDecimalType();
                     break;
                  case 314:
                     miscTinyIntType();
                     break;
                  case 313:
                     miscSmallIntType();
                     break;
                  case 312:
                     miscDoubleType();
                     break;
                  case 311:
                     miscFloatType();
                     break;
                  case 310:
                     miscBigIntType();
                     break;
                  case 309:
                     miscBoolType();
                     break;
                  case 308:
                     miscDateTimeType();
                     break;
                  case 307:
                     miscStringType();
                     break;
                  case 306:
                     miscLongType();
                     break;
                  case 305:
                     miscIntType();
                     break;
                  case 304:
                     wcPredicateNotPredicate();
                     break;
                  case 303:
                     wcPredicateCondition();
                     break;
                  case 302:
                     wcPredicateNotLikeComp();
                     break;
                  case 301:
                     wcPredicateLikeComp();
                     break;
                  case 300:
                     wcPredicateNotNullComp();
                     break;
                  case 299:
                     wcPredicateNullComp();
                     break;
                  case 298:
                     wcPredicateBetween();
                     break;
                  case 297:
                     wcPredicateExprComp();
                     break;
                  case 296:
                     wcPredicateQueryNotIn();
                     break;
                  case 295:
                     wcPredicateQueryIn();
                     break;
                  case 294:
                     wcPredicateQueryExists();
                     break;
                  case 293:
                     wcConditionPredicate();
                     break;
                  case 292:
                     wcConditionOr();
                     break;
                  case 291:
                     wcConditionAnd();
                     break;
                  case 289:
                     wcEmptyClause();
                     break;
                  case 288:
                     wcWhereClause();
                     break;
                  case 287:
                     functionExprList2();
                     break;
                  case 286:
                     functionExprList1();
                     break;
                  case 285:
                     functionUserDef2();
                     break;
                  case 284:
                     functionUserDef1();
                     break;
                  case 283:
                     functionNextCount();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     functionNative();
                     break;
                  case 279:
                     functionNative();
                     break;
                  case 278:
                     functionNative();
                     break;
                  case 277:
                     functionNative();
                     break;
                  case 276:
                     functionNative();
                     break;
                  case 275:
                     functionNative();
                     break;
                  case 274:
                     functionNative();
                     break;
                  case 273:
                     functionNative();
                     break;
                  case 272:
                     functionNative();
                     break;
                  case 271:
                     functionNative();
                     break;
                  case 270:
                     functionNative();
                     break;
                  case 269:
                     functionNative();
                     break;
                  case 268:
                     functionNative();
                     break;
                  case 267:
                     functionNative();
                     break;
                  case 266:
                     functionNative();
                     break;
                  case 265:
                     functionNative();
                     break;
                  case 264:
                     functionNative();
                     break;
                  case 263:
                     functionNative();
                     break;
                  case 262:
                     functionNative();
                     break;
                  case 261:
                     functionNative();
                     break;
                  case 260:
                     functionNative();
                     break;
                  case 259:
                     functionNative();
                     break;
                  case 258:
                     functionNative();
                     break;
                  case 257:
                     functionNative();
                     break;
                  case 256:
                     renameCheck();
                     break;
                  case 255:
                     renameView();
                     break;
                  case 254:
                     renameProcedure();
                     break;
                  case 253:
                     renameKey();
                     break;
                  case 252:
                     renameIndex();
                     break;
                  case 251:
                     renameTable();
                     break;
                  case 250:
                     alterRenameCol();
                     break;
                  case 249:
                     alterModCol();
                     break;
                  case 248:
                     alterAddCol();
                     break;
                  case 247:
                     alterDropCol();
                     break;
                  case 244:
                     alterStore();
                     break;
                  case 243:
                     deleteStore();
                     break;
                  case 242:
                     returnVarAssignment();
                     break;
                  case 237:
                     updateAssignment();
                     break;
                  case 234:
                     updateStore();
                     break;
                  case 232:
                     selectLimitOpt2();
                     break;
                  case 231:
                     selectLimitOpt1();
                     break;
                  case 229:
                     selectDistinctOpt();
                     break;
                  case 226:
                     selectOrderingDesc();
                     break;
                  case 225:
                     selectOrderingAsc();
                     break;
                  case 224:
                     selectOrderingList2();
                     break;
                  case 223:
                     selectOrderingList1();
                     break;
                  case 221:
                     selectEmptyOrderingClause();
                     break;
                  case 220:
                     selectOrderingClause();
                     break;
                  case 218:
                     selectEmptyHavingClause();
                     break;
                  case 217:
                     selectHavingClause();
                     break;
                  case 216:
                     selectGroupList2();
                     break;
                  case 215:
                     selectGroupList1();
                     break;
                  case 213:
                     selectEmptyGroupClause();
                     break;
                  case 212:
                     selectGroupClause();
                     break;
                  case 210:
                     aliasOpt();
                     break;
                  case 209:
                     selectStackJoinTable();
                     break;
                  case 208:
                     selectTable2();
                     break;
                  case 207:
                     selectTable1();
                     break;
                  case 202:
                     selectRightOuterJoinStore();
                     break;
                  case 201:
                     selectLeftOuterJoinStore();
                     break;
                  case 200:
                     selectInnerJoinStore();
                     break;
                  case 197:
                     selectJoinSpecStore();
                     break;
                  case 196:
                     selectTableListStore();
                     break;
                  case 195:
                     selectItem();
                     break;
                  case 194:
                     selectionList2();
                     break;
                  case 193:
                     selectionList1();
                     break;
                  case 192:
                     selectSelectionStore2();
                     break;
                  case 191:
                     selectSelectionStore1();
                     break;
                  case 190:
                     selectStore();
                     break;
                  case 189:
                     insertExprValue();
                     break;
                  case 188:
                     insertExprValue();
                     break;
                  case 187:
                     insertArg();
                     break;
                  case 186:
                     insertArg();
                     break;
                  case 185:
                     insertValueSpec();
                     break;
                  case 182:
                     insertBySelectStore();
                     break;
                  case 181:
                     insertStore();
                     break;
                  case 180:
                     rollbackStore();
                     break;
                  case 179:
                     commitStore();
                     break;
                  case 178:
                     startStore();
                     break;
                  case 176:
                     createUniqueIndex();
                     break;
                  case 175:
                     createSimpleAttr();
                     break;
                  case 174:
                     createSimpleAttrList();
                     break;
                  case 171:
                     defaultNullOpt();
                     break;
                  case 170:
                     defaultOpt();
                     break;
                  case 168:
                     createNullOpt();
                     break;
                  case 167:
                     createNotNullOpt();
                     break;
                  case 166:
                     createNullOpt();
                     break;
                  case 165:
                     createFieldName();
                     break;
                  case 164:
                     createSetOrdinary();
                     break;
                  case 163:
                     createSetPrimary();
                     break;
                  case 160:
                     procStoreFetchArg2();
                     break;
                  case 159:
                     procStoreFetchArg1();
                     break;
                  case 158:
                     casePrepare();
                     break;
                  case 157:
                     caseCondition();
                     break;
                  case 156:
                     caseConditionList2();
                     break;
                  case 155:
                     caseConditionList1();
                     break;
                  case 154:
                     caseClause();
                     break;
                  case 153:
                     procFactor14();
                     break;
                  case 152:
                     procFactor13();
                     break;
                  case 151:
                     procFactor12();
                     break;
                  case 150:
                     procFactor11();
                     break;
                  case 149:
                     procFactor10();
                     break;
                  case 148:
                     procFactor9();
                     break;
                  case 147:
                     procFactor8();
                     break;
                  case 146:
                     procFactor7();
                     break;
                  case 145:
                     procFactor6();
                     break;
                  case 144:
                     procFactor5();
                     break;
                  case 143:
                     procFactor4();
                     break;
                  case 142:
                     procFactor3();
                     break;
                  case 141:
                     procFactor2();
                     break;
                  case 140:
                     procFactor1();
                     break;
                  case 139:
                     procTerm3();
                     break;
                  case 138:
                     procTerm2();
                     break;
                  case 137:
                     procTerm1();
                     break;
                  case 136:
                     procExpr4();
                     break;
                  case 135:
                     procExpr3();
                     break;
                  case 134:
                     procExpr2();
                     break;
                  case 133:
                     procExpr1();
                     break;
                  case 132:
                     procPredicate4();
                     break;
                  case 131:
                     procPredicate3();
                     break;
                  case 130:
                     procPredicate2();
                     break;
                  case 129:
                     procPredicate1();
                     break;
                  case 128:
                     procCondition3();
                     break;
                  case 127:
                     procCondition2();
                     break;
                  case 126:
                     procCondition1();
                     break;
                  case 125:
                     procWhileCondition();
                     break;
                  case 124:
                     procWhileStatement();
                     break;
                  case 123:
                     procElsIfCondition();
                     break;
                  case 122:
                     procIfCondition();
                     break;
                  case 121:
                     procElsePart();
                     break;
                  case 119:
                     procStoreElseBlock();
                     break;
                  case 118:
                     procStoreIfBlock();
                     break;
                  case 115:
                     procStoreIfBlock();
                     break;
                  case 114:
                     procIfStatement();
                     break;
                  case 113:
                     procExceptionCondition();
                     break;
                  case 112:
                     procExprValue();
                     break;
                  case 111:
                     procExprValue();
                     break;
                  case 109:
                     procValueSpec();
                     break;
                  case 108:
                     procExceptionStatement();
                     break;
                  case 105:
                     procBlockStart();
                     break;
                  case 104:
                     procBlockStatement();
                     break;
                  case 103:
                     procReturnStatement2();
                     break;
                  case 102:
                     procReturnStatement1();
                     break;
                  case 101:
                     procQueryStatement();
                     break;
                  case 100:
                     procQueryStatement();
                     break;
                  case 99:
                     procQueryStatement();
                     break;
                  case 98:
                     procQueryStatement();
                     break;
                  case 97:
                     procQueryStatement();
                     break;
                  case 96:
                     procQueryStatement();
                     break;
                  case 94:
                     procInitialAssignment2();
                     break;
                  case 93:
                     procInitialAssignment1();
                     break;
                  case 92:
                     procNoopStatement();
                     break;
                  case 91:
                     procAssign2NullStatement();
                     break;
                  case 90:
                     procAssignStatement();
                     break;
                  case 89:
                     procCursorCloseStatement();
                     break;
                  case 88:
                     procCursorCreateStatement();
                     break;
                  case 87:
                     procVarStatement();
                     break;
                  case 86:
                     procStoreBlock();
                     break;
                  case 83:
                     procArg2();
                     break;
                  case 82:
                     procArg1();
                     break;
                  case 76:
                     procReturnOpt();
                     break;
                  case 75:
                     procStore();
                     break;
                  case 74:
                     procHead();
                     break;
                  case 72:
                     unionAllStore();
                     break;
                  case 71:
                     jdbcArg2();
                     break;
                  case 70:
                     jdbcArg1();
                     break;
                  case 69:
                     jdbcInfo();
                     break;
                  case 68:
                     execSetCounter();
                     break;
                  case 67:
                     execDropCounter();
                     break;
                  case 66:
                     execCreateCounter();
                     break;
                  case 65:
                     execIndexCheck();
                     break;
                  case 64:
                     execPrint();
                     break;
                  case 63:
                     execAssignStatement();
                     break;
                  case 62:
                     execCheckCreate();
                     break;
                  case 61:
                     execForeignKeyCreate();
                     break;
                  case 60:
                     dropOpt2();
                     break;
                  case 59:
                     dropOpt1();
                     break;
                  case 58:
                     execCheckDrop();
                     break;
                  case 57:
                     execFKeyDrop();
                     break;
                  case 56:
                     execProcDrop();
                     break;
                  case 55:
                     execViewDrop();
                     break;
                  case 54:
                     execIndexDrop();
                     break;
                  case 53:
                     execTableDrop();
                     break;
                  case 52:
                     execIndexCreate();
                     break;
                  case 51:
                     execPrimaryIndexCreate();
                     break;
                  case 50:
                     execUserTableCreate();
                     break;
                  case 49:
                     execFuncCall();
                     break;
                  case 48:
                     execProcCall();
                     break;
                  case 47:
                     execProcLoad();
                     break;
                  case 46:
                     execProcCreate();
                     break;
                  case 45:
                     execViewLoad();
                     break;
                  case 44:
                     execViewCreate();
                     break;
                  case 43:
                     execQuery();
                     break;
                  case 42:
                     execQuery();
                     break;
                  case 41:
                     execQuery();
                     break;
                  case 40:
                     execQuery();
                     break;
                  case 39:
                     execQuery();
                     break;
                  case 38:
                     execSelectPlan();
                     break;
                  case 37:
                     execSelect();
                     break;
                  case 36:
                     execIndexReorganize();
                     break;
                  case 35:
                     execTableReorganize();
                     break;
                  case 34:
                     execSetIsolation();
                     break;
                  case 33:
                     execDisableAutoCommit();
                     break;
                  case 32:
                     execEnableAutoCommit();
                     break;
                  case 31:
                     execDisableAppendMode();
                     break;
                  case 30:
                     execEnableAppendMode();
                     break;
                  case 29:
                     execQuery();
                     break;
                  case 28:
                     execQuery();
                     break;
                  case 27:
                     execQuery();
                     break;
                  case 26:
                     execAuthUser();
                     break;
                  case 25:
                     execSetTableSet();
                     break;
                  case 24:
                     execCheckShow();
                     break;
                  case 23:
                     execViewShow();
                     break;
                  case 22:
                     execProcShow();
                     break;
                  case 21:
                     execProcDesc();
                     break;
                  case 20:
                     execKeyDesc();
                     break;
                  case 19:
                     execViewDesc();
                     break;
                  case 18:
                     execIndexDesc();
                     break;
                  case 17:
                     execTableDesc();
                     break;
                  case 16:
                     execShowSystemSpace();
                     break;
                  case 15:
                     execShowPool();
                     break;
                  case 14:
                     execTableInfo();
                     break;
                  case 12:
                     setTableSetOpt();
                     break;
                  case 11:
                     execListCheck();
                     break;
                  case 10:
                     execListTmpObj();
                     break;
                  case 9:
                     execListSysObj();
                     break;
                  case 8:
                     execListCounter();
                     break;
                  case 7:
                     execListKey();
                     break;
                  case 6:
                     execListIndex();
                     break;
                  case 5:
                     execListView();
                     break;
                  case 4:
                     execListProc();
                     break;
                  case 3:
                     execListTable();
                     break;
                  case 2:
                     execListTableSet();
                     break;
                  case 1:
                     execSync();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
